<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.102" see="http://wiki.hl7.org/index.php?title=Implementatiehandleiding_HL7v3_basiscomponenten_v2.2_Part3#CMET_R_PatientNLInformatiemodel">
    <title>R_PatientNL_JGZ identified/confirmable</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='PAT'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#PAT"
            >template-2.16.840.1.113883.2.4.6.10.100.102: @classCode moet indien aanwezig 'PAT' zijn</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="not(@nullFlavor) or @nullFlavor='NA'"
            >template-2.16.840.1.113883.2.4.6.10.100.102: @nullFlavor moet, indien aanwezig, de waarde "NA" hebben</assert>
        <assert role="error" test="@nullFlavor or @root='2.16.840.1.113883.2.4.6.3'"
            >template-2.16.840.1.113883.2.4.6.10.100.102: als er een patiëntidentificatie aanwezig is dan moet dit het burgerservicenummer zijn</assert>
    </rule>
    <rule context="$element/hl7:addr">
        <extends rule="AD"/>
        <assert role="warning" test="not(.)"
            >template-2.16.840.1.113883.2.4.6.10.100.102: addr is voor deze template niet gespecificeerd</assert>
    </rule>
    
    <title>E_PersonNL_JGZ identified/confirmable</title>
    <rule context="$element/hl7:patientPerson">
        <assert role="error" test="not(@classCode) or @classCode='PSN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/EntityClass.htm#PSN"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: @classCode moet indien aanwezig 'PSN' zijn</assert>
        <assert role="error" test="not(@determinerCode) or @determinerCode='INSTANCE'"  see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/EntityDeterminer.htm#INSTANCE"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: @determinerCode moet indien aanwezig 'INSTANCE' zijn</assert>
        <assert role="error" test="count(hl7:name) &lt;=2"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: er mogen niet meer dan 2 persoonsnamen zijn</assert>
        <assert role="error" test="hl7:administrativeGenderCode"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: administrativeGenderCode is verplicht</assert>
        <assert role="error" test="hl7:birthTime"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: birthTime is verplicht</assert>
    </rule>
    <rule context="$element/hl7:patientPerson/hl7:name">
        <extends rule="PN"/>
        <assert role="error" test="@use='OR'"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: @use moet 'OR' zijn</assert>
        <assert role="error" test="hl7:given and not(hl7:given/@qualifier)"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: given is verplicht en mag geen @qualifier hebben</assert>
        <assert role="error" test="not(hl7:prefix) or hl7:prefix/@qualifier='VV BR' or hl7:prefix/@qualifier='BR VV'"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: prefix moet, indien aanwezig, voorvoegsels van de geslachtsnaam bevatten</assert>
        <assert role="error" test="hl7:family and hl7:family/@qualifier='BR'"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: family moet de geslachtsnaam bevatten</assert>
    </rule>
    <rule context="$element/hl7:patientPerson/hl7:administrativeGenderCode">
        <extends rule="CE"/>
        <assert role="error" test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.5.1'"
            >template-2.16.840.1.113883.2.4.6.10.100.102/COCT_MT030200NL: geslacht moet komen uit codesysteem '2.16.840.1.113883.5.1'</assert>
    </rule>
    <rule context="$element/hl7:patientPerson/hl7:birthTime">
        <extends rule="TS"/>
    </rule>
</pattern>