<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.103" see="http://wiki.hl7.org/index.php?title=Implementatiehandleiding_HL7v3_basiscomponenten_v2.2_Part3#CMET_R_PatientNLInformatiemodel">
    <title>R_PatientNL_JGZ Informal identified/confirmable</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='PAT'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#PAT"
            >template-2.16.840.1.113883.2.4.6.10.100.103: @classCode moet indien aanwezig 'PAT' zijn</assert>
        <assert role="error" test="hl7:*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']"
            >template-2.16.840.1.113883.2.4.6.10.100.103: patientPerson moet gekoppeld zijn met E_Person template-2.16.840.1.113883.2.4.6.10.100.163</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="not(@nullFlavor) or @nullFlavor='NA'"
            >template-2.16.840.1.113883.2.4.6.10.100.103: @nullFlavor moet, indien aanwezig, de waarde "NA" hebben</assert>
        <assert role="error" test="@nullFlavor or @root='2.16.840.1.113883.2.4.6.3'"
            >template-2.16.840.1.113883.2.4.6.10.100.103: als er een patiëntidentificatie aanwezig is dan moet dit het burgerservicenummer zijn</assert>
    </rule>
    <rule context="$element/hl7:addr">
        <extends rule="AD"/>
        <assert role="error" test="not(@use='CONF')"
            >template-2.16.840.1.113883.2.4.6.10.100.103: @use kan niet alleen uit 'CONF' bestaan</assert>
        <assert role="error" test="hl7:houseNumber"
            >template-2.16.840.1.113883.2.4.6.10.100.103: houseNumber moet het numerieke deel van huisnummer bevatten</assert>
        <assert role="error" test="hl7:postalCode"
            >template-2.16.840.1.113883.2.4.6.10.100.103: postalCode moet de postcode bevatten</assert>
    </rule>
</pattern>