<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.117">
    <title>A_Rijksvaccinatie informational</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='SBADM'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#SBADM"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @classCode moet indien aanwezig 'SBADM' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @moodCode moet indien aanwezig 'EVN' zijn</assert>
        <assert role="error" test="hl7:effectiveTime"
            >template-2.16.840.1.113883.2.4.6.10.100.117: effectiveTime is verplicht</assert>
        <assert role="error" test="hl7:performer"
            >template-2.16.840.1.113883.2.4.6.10.100.117: performer is verplicht</assert>
        <assert role="error" test="if (@negationInd='true') then (hl7:authorization) else (not(hl7:authorization))"
            >template-2.16.840.1.113883.2.4.6.10.100.117: als @negationInd 'true' is, dan moet er bezwaar zijn in authorization, anders moet @negationInd 'zijn' en kan er geen bezwaar zijn</assert>
        <assert role="warning" test="not(hl7:component or hl7:reason or hl7:subjectOf or hl7:causeOf1 or hl7:causeOf2)"
            >template-2.16.840.1.113883.2.4.6.10.100.117: de elementen 'component', 'reason', 'subjectOf', 'causeOf1', 'causeOf2' zijn niet gespecificeerd</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4'"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @code moet 'IMMUNIZ' zijn uit @codeSystem '2.16.840.1.113883.5.4'</assert>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="TS"/>
        <assert role="error" test="string-length(string(@value)) &gt;= 8"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @value moet minimaal tot op de dag gevuld zijn</assert>
    </rule>
    
    <rule context="$element/hl7:authorization">
        <assert role="error" test="not(@typeCode) or @typeCode='AUTH'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#AUTH"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @typeCode moet indien aanwezig 'AUTH' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:authorization/hl7:consentEvent">
        <assert role="error" test="not(@classCode) or @classCode='CONS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#CONS"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @classCode moet indien aanwezig 'CONS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @moodCode moet indien aanwezig 'EVN' zijn</assert>
        <assert role="error" test="@negationInd='true'"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @negationInd moet 'true' zijn</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActCode.htm#IMMUNIZ"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @code moet 'IMMUNIZ' zijn uit @codeSystem '2.16.840.1.113883.5.4'</assert>
    </rule>
    
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf">
        <assert role="error" test="not(@typeCode) or @typeCode='RSON'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#RSON"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @typeCode moet indien aanwezig 'RSON' zijn</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent">
        <assert role="error" test="not(@classCode) or @classCode='OBS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#OBS"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @classCode moet indien aanwezig 'OBS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @code moet '683' zijn uit @codeSystem '2.16.840.1.113883.2.4.4.40.267'</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value">
        <extends rule="CV"/>
        <assert role="error" test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @nullFlavor moet 'OTH' zijn en originalText moet een waarde bevatten</assert>
        <assert role="error" test="@nullFlavor or (@code and @codeSystem='2.16.840.1.113883.2.4.4.40.394')"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @nullFlavor of @code moet een waarde hebben en @codeSystem moet '2.16.840.1.113883.2.4.4.40.394' zijn</assert>
    </rule>

    <rule context="$element/hl7:consumable">
        <assert role="error" test="not(@typeCode) or @typeCode='CSM'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ParticipationType.htm#CSM"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @typeCode moet indien aanwezig 'CSM' zijn</assert>
    </rule>
    <rule context="$element/hl7:consumable/hl7:medication">
        <assert role="error" test="not(@classCode) or @classCode='ADMM'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#ADMM"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @typeCode moet indien aanwezig 'ADMM' zijn</assert>
    </rule>

    <rule context="$element/hl7:consumable/hl7:medication/hl7:administrableMedicine">
        <assert role="error" test="not(@classCode) or @classCode='MMAT'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/EntityClass.htm#MMAT"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @classCode moet indien aanwezig 'MMAT' zijn</assert>
        <assert role="error" test="not(@determinerCode) or @determinerCode='KIND'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/EntityDeterminer.htm#KIND"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @determinerCode moet indien aanwezig 'KIND' zijn</assert>
        <assert role="error" test="hl7:code"
            >template-2.16.840.1.113883.2.4.6.10.100.117: code met het type vaccin bevatten</assert>
        <assert role="error" test="hl7:lotNumberText or ../../../hl7:authorization"
            >template-2.16.840.1.113883.2.4.6.10.100.117: lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar</assert>
    </rule>
    <rule context="$element/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.76'"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @codeSystem moet '2.16.840.1.113883.2.4.4.40.76' zijn</assert>
    </rule>
    <rule context="$element/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText">
        <extends rule="ST"/>
        <assert role="error" test="not(../../../../hl7:authorization)"
            >template-2.16.840.1.113883.2.4.6.10.100.117: als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn</assert>
    </rule>
    
    <rule context="$element/hl7:performer">
        <assert role="error" test="not(@typeCode) or @typeCode='PRF'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ParticipationType.htm#PRF"
            >template-2.16.840.1.113883.2.4.6.10.100.117: @typeCode moet indien aanwezig 'PRF' zijn</assert>
        <assert role="error" test="hl7:*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']"
            >template-2.16.840.1.113883.2.4.6.10.100.117: performer moet gekoppeld zijn met R_AssignedEntityNL_PO template-2.16.840.1.113883.2.4.6.10.100.122</assert>
    </rule>
    <!--rule context="$element/hl7:performer/hl7:assigendEntity">
        <assert role="error" test="hl7:id[not(@nullFlavor)]"
            >template-2.16.840.1.113883.2.4.6.10.100.117: assignedEntity/id is mandatory</assert>
    </rule>
    <rule context="$element/hl7:performer/hl7:assigendEntity/hl7:id">
        <extends rule="II"/>
    </rule-->
</pattern>