<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.130">
    <title>Versturen hielprikverzoek</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='SPECCOLLECT'"  see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#SPECCOLLECT"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @classCode moet indien aanwezig de waarde 'SPECCOLLECT' hebben</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='RQO'"  see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#RQO"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @moodCode moet indien aanwezig de waarde 'RQO' hebben</assert>
        <assert role="error" test="hl7:realmCode"
            >template-2.16.840.1.113883.2.4.6.10.100.130: realmCode is verplicht</assert>
        <assert role="error" test="hl7:id"
            >template-2.16.840.1.113883.2.4.6.10.100.130: id is verplicht</assert>
        <assert role="error" test="hl7:code"
            >template-2.16.840.1.113883.2.4.6.10.100.130: code is verplicht</assert>
        <assert role="error" test="hl7:statusCode"
            >template-2.16.840.1.113883.2.4.6.10.100.130: statusCode is verplicht</assert>
        <assert role="error" test="hl7:recordTarget/hl7:*/hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.172' and hl7:recordTarget/hl7:*/hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: recordTarget moet gekoppeld zijn met R_Patient template-2.16.840.1.113883.2.4.6.10.100.172 en template-2.16.840.1.113883.2.4.6.10.100.103</assert>
    </rule>
    
    <rule context="$element/hl7:realmCode">
        <assert role="error" test="@code='NL'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @code moet 'NL' bevatten</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.66' and @displayName"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @codeSystem moet '2.16.840.1.113883.2.4.4.40.66' bevatten en @displayName is verplicht</assert>
        <assert role="error" test="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.66'][@code='02' or @code='03' or @code='04'] or not(../hl7:reason)"
            >template-2.16.840.1.113883.2.4.6.10.100.130: reason mag alleen bij een herhaalde of tweede hielprik een waarde bevatten</assert>
        <assert role="error" test="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.66'][@code='02' or @code='03' or @code='04'] or not(../hl7:pertinentInformation)"
            >template-2.16.840.1.113883.2.4.6.10.100.130: pertinentInformation mag alleen bij een herhaalde of tweede hielprik een waarde bevatten</assert>
        <assert role="error" test="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.66'][@code='03' or @code='04'] or not(../hl7:subjectOf6)"
            >template-2.16.840.1.113883.2.4.6.10.100.130: subjectOf6/annotation mag alleen bij een (herhaalde) tweede hielprik een waarde bevatten</assert>
        
        <assert role="error" test="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.66'][@code='01'] or ../hl7:reason"
            >template-2.16.840.1.113883.2.4.6.10.100.130: reason moet bij een herhaalde of tweede hielprik een waarde bevatten</assert>
        <assert role="error" test="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.66'][@code='01'] or ../hl7:pertinentInformation"
            >template-2.16.840.1.113883.2.4.6.10.100.130: pertinentInformation moet bij een herhaalde of tweede hielprik een waarde bevatten</assert>
    </rule>
    <rule context="$element/hl7:statusCode">
        <extends rule="CS"/>
        <assert role="error" test="@code='active'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @code moet 'active' bevatten</assert>
    </rule>
    
    <title>procedureRequest/subject</title>
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(@typeCode) or @typeCode='RCT'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @typeCode moet indien aanwezig de waarde 'RCT' hebben</assert>
        <assert role="error" test="not(@contextControlCode) or @contextControlCode='OP'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @contextControlCode moet indien aanwezig de waarde 'OP' hebben</assert>
        <assert role="error" test="hl7:patient/hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: patient/templateId/@root moet '2.16.840.1.113883.2.4.6.10.100.103' bevatten</assert>
    </rule>
    
    <title>procedureRequest/reason</title>
    <rule context="$element/hl7:reason">
        <assert role="error" test="not(@typeCode) or @typeCode='RSON'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @typeCode moet indien aanwezig de waarde 'RSON' hebben</assert>
        <assert role="error" test="@contextConductionInd='false'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @contextConductionInd moet de waarde 'false' hebben</assert>
    </rule>
    <rule context="$element/hl7:reason/hl7:act">
        <assert role="error" test="not(@classCode) or @classCode='ALRT'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @classCode moet indien aanwezig de waarde 'ALRT' hebben</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @moodCode moet indien aanwezig de waarde 'EVN' hebben</assert>
        <assert role="error" test="hl7:code"
            >template-2.16.840.1.113883.2.4.6.10.100.130: code is verplicht</assert>
    </rule>
    <rule context="$element/hl7:reason/hl7:act/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.67' and @displayName"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @codeSystem moet '2.16.840.1.113883.2.4.4.40.67' bevatten en @displayName is verplicht</assert>
    </rule>
    
    <title>procedureRequest/pertinentInformation</title>
    <rule context="$element/hl7:pertinentInformation">
        <assert role="error" test="@typeCode='REFR'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @typeCode moet indien aanwezig de waarde 'REFR' hebben</assert>
        <assert role="error" test="@contextConductionInd='false'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @contextConductionInd moet de waarde 'false' hebben</assert>
    </rule>
    <rule context="$element/hl7:pertinentInformation/hl7:act">
        <assert role="error" test="@classCode='DOC'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @classCode moet de waarde 'DOC' hebben</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @moodCode moet indien aanwezig de waarde 'EVN' hebben</assert>
        <assert role="error" test="hl7:code"
            >template-2.16.840.1.113883.2.4.6.10.100.130: code is verplicht</assert>
    </rule>
    <rule context="$element/hl7:pertinentInformation/hl7:act/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@extension and @root"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @extension en @root moeten een waarden bevatten.</assert>
    </rule>
    <rule context="$element/hl7:pertinentInformation/hl7:act/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267' and @displayName"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @code moet '1432' zijn, @codeSystem moet '2.16.840.1.113883.2.4.4.40.67' bevatten en @displayName is verplicht</assert>
    </rule>
    
    <title>procedureRequest/subjectOf6</title>
    <rule context="$element/hl7:subjectOf6">
        <assert role="error" test="not(@typeCode) or @typeCode='SUBJ'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @typeCode moet indien aanwezig de waarde 'SUBJ' hebben</assert>
        <assert role="error" test="@contextConductionInd='false'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @contextConductionInd moet de waarde 'false' hebben</assert>
    </rule>
    <rule context="$element/hl7:subjectOf6/hl7:separatableInd">
        <assert role="error" test="@code='false'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @code moet de waarde 'false' hebben</assert>
    </rule>
    <rule context="$element/hl7:subjectOf6/hl7:annotation">
        <assert role="error" test="not(@classCode) or @classCode='ACT'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @classCode moet indien aanwezig de waarde 'ACT' hebben</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @moodCode moet indien aanwezig de waarde 'EVN' hebben</assert>
        <assert role="error" test="hl7:text"
            >template-2.16.840.1.113883.2.4.6.10.100.130: text is verplicht</assert>
    </rule>
    <rule context="$element/hl7:subjectOf6/hl7:annotation/hl7:text">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:subjectOf6/hl7:annotation/hl7:statusCode">
        <extends rule="CS"/>
        <assert role="error" test="@code='completed'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @code moet 'completed' bevatten</assert>
    </rule>
    
    <rule context="$element/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity">
        <assert role="error" test="not(@typeCode) or @typeCode='AUT'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @typeCode moet indien aanwezig de waarde 'AUT' hebben</assert>
        <assert role="error" test="hl7:id"
            >template-2.16.840.1.113883.2.4.6.10.100.130: id is verplicht</assert>
    </rule>
    <rule context="$element/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root='2.16.528.1.1007.3.3'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: @root moet '2.16.528.1.1007.3.3' bevatten (UZI-registerabonneenummer)</assert>
    </rule>
    <rule context="$element/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:assignedOrganization">
        <extends rule="ON"/>
    </rule>
    <!-- overstating the obvious... -->
    <rule context="$element/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:assignedPerson">
        <assert role="error" test="../hl7:id/@root='2.16.528.1.1007.3.1'"
            >template-2.16.840.1.113883.2.4.6.10.100.130: assignedEntity/id moet een UZI-nummer zijn als de auteur een zorgverlener is.</assert>
    </rule>
    <rule context="$element/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:assignedDevice">
        <assert role="error" test="not(.)"
            >template-2.16.840.1.113883.2.4.6.10.100.130: de auteur kan geen apparaat zijn.</assert>
    </rule>
    
</pattern>