<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.140">
    <title>Versturen geldige vaccinatiepartijnummers</title>
    <rule context="$element">
        <assert role="error" test="@classCode='LIST'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#LIST"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @classCode moet 'LIST' zijn</assert>
        <assert role="error" test="@moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @moodCode moet 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='373873005' and @codeSystem='2.16.840.1.113883.6.96'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @code moet '373873005' zijn en @codeSystem moet '2.16.840.1.113883.6.96' zijn</assert>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:low/@value"
            >template-2.16.840.1.113883.2.4.6.10.100.140: low/@value moet een waarde hebben</assert>
    </rule>

    <rule context="$element/hl7:product">
        <assert role="error" test="@typeCode='PRD'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ParticipationType.htm#PRD"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @typeCode moet 'PRD' zijn</assert>
    </rule>
    <rule context="$element/hl7:product/hl7:instanceOfKind">
        <assert role="error" test="@classCode='INST'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#INST"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @classCode moet 'INST' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance">
        <assert role="error" test="@classCode='MMAT'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @classCode moet 'MMAT' zijn</assert>
        <assert role="error" test="@determinerCode='INSTANCE'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @determinerCode moet 'INSTANCE' zijn</assert>
        <assert role="error" test="hl7:id"
            >template-2.16.840.1.113883.2.4.6.10.100.140: id moet het partijnummer bevatten</assert>
        <assert role="warning" test="not(hl7:lotNumberText)"
            >template-2.16.840.1.113883.2.4.6.10.100.140: het partijnummer moet in het element id</assert>
    </rule>
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id">
        <extends rule="II"/>
        <assert test="@extension"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @extension moet het partijnummer bevatten</assert>
        <assert test="not(@nullFlavor) or @nullFlavor='UNC'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @nullFlavor moet 'UNC' zijn als het partijnummeridentificatiesysteem van de leverancier onbekend is</assert>
    </rule>
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:high/@value"
            >template-2.16.840.1.113883.2.4.6.10.100.140: high/@value moet de uiterste houdbaarheidsdatum bevatten</assert>
    </rule>
    
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind">
        <assert role="error" test="@classCode='INST'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#INST"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @classCodeCode moet 'INST' zijn</assert>
    </rule>
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind">
        <assert role="error" test="@classCode='MAT'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @classCode moet 'MAT' zijn</assert>
        <assert role="error" test="@determinerCode='KIND'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @determinerCode moet 'KIND' zijn</assert>
    </rule>
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @nullFlavor moet 'OTH' zijn en originalText moet een waarde hebben</assert>
        <assert role="error" test="@nullFlavor or (@code and @codeSystem='2.16.840.1.113883.2.4.4.40.76' and @displayName)"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @code en @displayName moeten een waarde hebben en @codeSystem moet '2.16.840.1.113883.2.4.4.40.76' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct">
        <assert role="error" test="@classCode='MAT'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @classCode moet 'MAT' zijn</assert>
        <assert role="error" test="@determinerCode='KIND'"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @determinerCode moet 'KIND' zijn</assert>
    </rule>
    <rule context="$element/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code">
        <extends rule="CD"/>
        <assert role="error" test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @nullFlavor moet 'OTH' zijn en originalText moet een waarde hebben</assert>
        <assert role="error" test="@nullFlavor or (@code and @codeSystem and @displayName)"
            >template-2.16.840.1.113883.2.4.6.10.100.140: @code, @codeSystem en @displayName moeten een waarde hebben</assert>
    </rule>
</pattern>
