<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.190">
    <title>Opvragen vaccinaties</title>
    <rule context="$element">
        <assert role="error" test="hl7:queryId"
            >template-2.16.840.1.113883.2.4.6.10.100.190: queryId is verplicht</assert>
        <assert role="error" test="hl7:statusCode"
            >template-2.16.840.1.113883.2.4.6.10.100.190: statusCode is verplicht</assert>
        <assert role="error" test="hl7:responseModalityCode"
            >template-2.16.840.1.113883.2.4.6.10.100.190: responseModalityCode is verplicht</assert>
        <assert role="error" test="hl7:responsePriorityCode"
            >template-2.16.840.1.113883.2.4.6.10.100.190: responsePriorityCode is verplicht</assert>
    </rule>
    <rule context="$element/hl7:queryId">
        <extends rule="II"/>
    </rule>
    <rule context="$element/hl7:statusCode">
        <extends rule="CS"/>
        <assert role="error" test="@code='executing'"
            >template-2.16.840.1.113883.2.4.6.10.100.190: @code moet 'executing' zijn</assert>
    </rule>
    <rule context="$element/hl7:responseModalityCode">
        <extends rule="CS"/>
        <!--assert role="error" test="@code='R'"
            >@code moet 'R' zijn</assert-->
    </rule>
    <rule context="$element/hl7:responsePrioritycode">
        <extends rule="CS"/>
        <assert role="error" test="@code='I'"
            >template-2.16.840.1.113883.2.4.6.10.100.190: @code moet 'I' zijn</assert>
    </rule>

    <!-- queryByParameter/patientId -->
    <rule context="$element/hl7:patientId/hl7:value">
        <extends rule="II"/>
        <assert role="error" test="@root='2.16.840.1.113883.2.4.6.3' and @extension"
            >template-2.16.840.1.113883.2.4.6.10.100.190: @root moet de waarde '2.16.840.1.113883.2.4.6.3' bevatten en @extension mag niet leeg zijn</assert>
    </rule>

    <!-- queryByParameter/person.addr -->
    <rule context="$element/hl7:person.addr/hl7:value">
        <extends rule="AD"/>
        <assert role="error" test="not(@use or hl7:streetName or hl7:city or hl7:country)"
            >template-2.16.840.1.113883.2.4.6.10.100.190: Alleen houseNumber, buildingNumberSuffix, additionalLocator, en postalCode zijn toegestaan</assert>
    </rule>

    <!-- queryByParameter/person.administrativeGender -->
    <rule context="$element/hl7:person.administrativeGender/hl7:value">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.5.1' and @code"
            >template-2.16.840.1.113883.2.4.6.10.100.190: @codeSystem moet de waarde '2.16.840.1.113883.5.1' bevatten en @code mag niet leeg zijn</assert>
    </rule>

    <!-- queryByParameter/person.birthTime -->
    <rule context="$element/hl7:person.birthTime/hl7:value">
        <extends rule="TS"/>
    </rule>

    <!-- queryByParameter/person.name -->
    <rule context="$element/hl7:person.name/hl7:value">
        <extends rule="PN"/>
        <assert role="error" test="not(hl7:given[@qualifier] or hl7:suffix or hl7:delimiter or hl7:validTime)"
            >template-2.16.840.1.113883.2.4.6.10.100.190: Alleen voornaam, voorvoegsel geslachtsnaam en geslachtsnaam zijn toegestaan</assert>
        <assert role="error" test="not(hl7:prefix) or hl7:prefix[@qualifier='VV BR' or @qualifier='BR VV']"
            >template-2.16.840.1.113883.2.4.6.10.100.190: prefix/@qualifier moet 'VV BR' bevatten</assert>
        <assert role="error" test="not(hl7:family) or hl7:family[@qualifier='BR']"
            >template-2.16.840.1.113883.2.4.6.10.100.190: family/@qualifier moet 'BR' bevatten</assert>
    </rule>
</pattern>
