<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="template-2.16.840.1.113883.2.4.6.10.100.200">
    <title>Opleveren toegediende vaccinaties</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='LIST'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#LIST"
            >template-2.16.840.1.113883.2.4.6.10.100.200: @classCode moet indien aanwezig 'LIST' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >template-2.16.840.1.113883.2.4.6.10.100.200: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(@typeCode) or @typeCode='SBJ'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ParticipationType.htm#SBJ"
            >template-2.16.840.1.113883.2.4.6.10.100.200: @typeCode moet indien aanwezig 'SBJ' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:patient">
        <assert role="error" test="not(@classCode) or @classCode='PAT'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#PAT"
            >template-2.16.840.1.113883.2.4.6.10.100.200: @typeCode moet indien aanwezig 'PAT' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="not(@nullFlavor)"
            >template-2.16.840.1.113883.2.4.6.10.100.200: id is mandatory en mag geen @nullFlavor hebben</assert>
    </rule>
    
    <rule context="$element/hl7:component">
        <assert role="error" test="not(@typeCode) or @typeCode='COMP'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#COMP"
            >template-2.16.840.1.113883.2.4.6.10.100.200: @typeCode moet indien aanwezig 'SBJ' zijn</assert>
        <assert role="error" test="hl7:*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']"
            >template-2.16.840.1.113883.2.4.6.10.100.200: component moet gekoppeld zijn met A_Rijksvaccinatie template-2.16.840.1.113883.2.4.6.10.100.117</assert>
    </rule>
</pattern>