<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT900916NL_JGZ">
    <title>A_Rijksvaccinatie universal</title>
    <!-- TODO: causeOf, sourceOf, scheduleDeviation -->
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='CLUSTER'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#CLUSTER"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'CLUSTER' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
        <assert role="error" test="hl7:component3"
            >COCT_MT900916NL_JGZ: component3 is verplicht</assert>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:authorization">
        <assert role="error" test="not(@typeCode) or @typeCode='AUTH'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#AUTH"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'AUTH' zijn</assert>
        <assert role="warning" test="count(../hl7:component3)&lt;=1"
            >COCT_MT900916NL_JGZ: er is meer dan één vaccinatie. Merk op dat het bezwaar voor álle vaccinaties onder het bezwaar vallen</assert>
    </rule>
    
    <rule context="$element/hl7:authorization/hl7:consentEvent">
        <assert role="error" test="not(@classCode) or @classCode='CONS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#CONS"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'CONS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
        <assert role="error" test="@negationInd='true'"
            >COCT_MT900916NL_JGZ: @negationInd moet 'true' zijn</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActCode.htm#IMMUNIZ"
            >COCT_MT900916NL_JGZ: @code moet 'IMMUNIZ' zijn uit @codeSystem '2.16.840.1.113883.5.4'</assert>
    </rule>
    
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf">
        <assert role="error" test="not(@typeCode) or @typeCode='RSON'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#RSON"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'RSON' zijn</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent">
        <assert role="error" test="not(@classCode) or @classCode='OBS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#OBS"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'OBS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >COCT_MT900916NL_JGZ: @code moet '683' zijn uit @codeSystem '2.16.840.1.113883.2.4.4.40.267'</assert>
    </rule>
    <rule context="$element/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.394'"
            >COCT_MT900916NL_JGZ: @codeSystem moet '2.16.840.1.113883.2.4.4.40.394' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:component1">
        <assert role="error" test="not(@typeCode) or @typeCode='COMP'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#COMP"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'COMP' zijn</assert>
    </rule>
    <rule context="$element/hl7:component1/hl7:vaccinationObservation">
        <assert role="error" test="not(@classCode) or @classCode='OBS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#OBS"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'OBS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
        <assert role="error" test="hl7:value[@xsi:type='ST' or @xsi:type='CV']" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:component1/hl7:vaccinationObservation/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="(@code='608' or @code='872' or @code='5063') and @codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >COCT_MT900916NL_JGZ: @code moet '608', '872, of '5063' zijn uit @codeSystem '2.16.840.1.113883.2.4.4.40.267'</assert>
    </rule>
    <rule context="$element/hl7:component1/hl7:vaccinationObservation/hl7:value[@xsi:type='ST']">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:component1/hl7:vaccinationObservation/hl7:value[@xsi:type='CV']">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.399' or @codeSystem='2.16.840.1.113883.2.4.4.40.402'"
            >COCT_MT900916NL_JGZ: @codeSystem moet '2.16.840.1.113883.2.4.4.40.399' or '2.16.840.1.113883.2.4.4.40.402' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:component3">
        <assert role="error" test="not(@typeCode) or @typeCode='COMP'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#COMP"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'COMP' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent">
        <assert role="error" test="not(@classCode) or @classCode='SBADM'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#SBADM"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'SBADM' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4'"
            >COCT_MT900916NL_JGZ: @code moet 'IMMUNIZ' zijn uit @codeSystem '2.16.840.1.113883.5.4'</assert>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable">
        <assert role="error" test="not(@typeCode) or @typeCode='CSM'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ParticipationType.htm#CSM"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'CSM' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication">
        <assert role="error" test="not(@classCode) or @classCode='ADMM'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#ADMM"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'ADMM' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administerableMedicine">
        <assert role="error" test="not(@classCode) or @classCode='MMAT'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/EntityClass.htm#MMAT"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'MMAT' zijn</assert>
        <assert role="error" test="not(@determinerCode) or @determinerCode='KIND'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/EntityDeterminer.htm#KIND"
            >COCT_MT900916NL_JGZ: @determinerCode moet indien aanwezig 'KIND' zijn</assert>
        <assert role="error" test="hl7:code"
            >COCT_MT900916NL_JGZ: code met het type vaccin bevatten</assert>
        <assert role="error" test="hl7:lotNumberText or ../../../../../hl7:authorization"
            >COCT_MT900916NL_JGZ: lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.76'"
            >COCT_MT900916NL_JGZ: @codeSystem moet '2.16.840.1.113883.2.4.4.40.76' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:lotNumberText">
        <extends rule="ST"/>
        <assert role="error" test="not(../../../../../../hl7:authorization)"
            >COCT_MT900916NL_JGZ: als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn</assert>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:performer">
        <assert role="error" test="not(@typeCode) or @typeCode='PRF'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ParticipationType.htm#PRF"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'PRF' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:performer/hl7:assigendEntity">
        <assert role="error" test="hl7:id[not(@nullFlavor)]"
            >COCT_MT900916NL_JGZ: assignedEntity/id is mandatory</assert>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf">
        <assert role="error" test="not(@typeCode) or @typeCode='SUBJ'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#SUBJ"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'SUBJ' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation">
        <assert role="error" test="not(@classCode) or @classCode='OBS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#OBS"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'OBS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="(@code='870' or @code='871') and @codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >COCT_MT900916NL_JGZ: @code moet '870' of '871' zijn en @codeSystem moet '2.16.840.1.113883.2.4.4.40.267' zijn</assert>
        <assert role="error" test="not(@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:text"
            >COCT_MT900916NL_JGZ: als @code '871' is, dan is het element text verplicht</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:text">
        <extends rule="ST"/>
        <assert role="error" test="../hl7:code[@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
            >COCT_MT900916NL_JGZ: alleen als @code '871' is, mag het element text aanwezig zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:value">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.340'"
            >COCT_MT900916NL_JGZ: @codeSystem moet '2.16.840.1.113883.2.4.4.40.340' zijn</assert>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf">
        <assert role="error" test="not(@typeCode) or @typeCode='SUBJ'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#SUBJ"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'SUBJ' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction">
        <assert role="error" test="not(@classCode) or @classCode='OBS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#OBS"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'OBS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >COCT_MT900916NL_JGZ: @code moet '874' zijn uit @codeSystem '2.16.840.1.113883.2.4.4.40.267'</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:low/@value"
            >COCT_MT900916NL_JGZ: low moet verplicht een waarde bevatten</assert>
        <assert role="error" test="not(@value or @nullFlavor or hl7:center or hl7:width)"
            >COCT_MT900916NL_JGZ: alleen elementen low of high mogen worden gebruikt</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:value">
        <extends rule="ST"/>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason">
        <assert role="error" test="not(@typeCode) or @typeCode='RSON'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#RSON"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'RSON' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent">
        <assert role="error" test="not(@classCode) or @classCode='INFO'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#INFO"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'INFO' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >COCT_MT900916NL_JGZ: @code moet '875' zijn uit @codeSystem '2.16.840.1.113883.2.4.4.40.267'</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:effectiveTime">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer">
        <assert role="error" test="not(@typeCode) or @typeCode='PRF'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ParticipationType.htm#PRF"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'PRF' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer/hl7:assigendPerson">
        <assert role="error" test="not(@classCode) or @classCode='ASSIGNED'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/RoleClass.htm#ASSIGNED"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'ASSIGNED' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer/hl7:assigendPerson">
        <extends rule="II"/>
    </rule>
    
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf">
        <assert role="error" test="not(@typeCode) or @typeCode='SAE'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#SAE"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'SAE' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest">
        <assert role="error" test="not(@classCode) or @classCode='OBS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#OBS"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'OBS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >COCT_MT900916NL_JGZ: @code moet '869' zijn uit @codeSystem '2.16.840.1.113883.2.4.4.40.267'</assert>
    </rule>
    <rule context="$element/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest/hl7:value">
        <extends rule="CV"/>
        <assert role="error" test="@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.325'"
            >COCT_MT900916NL_JGZ: @code moet '874' zijn uit @codeSystem '2.16.840.1.113883.2.4.4.40.325'</assert>
    </rule>
    
    <rule context="$element/hl7:reason">
        <assert role="error" test="not(@typeCode) or @typeCode='RSON'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActRelationshipType.htm#RSON"
            >COCT_MT900916NL_JGZ: @typeCode moet indien aanwezig 'RSON' zijn</assert>
    </rule>
    <rule context="$element/hl7:reason/hl7:vaccinationReason">
        <assert role="error" test="not(@classCode) or @classCode='OBS'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActClass.htm#OBS"
            >COCT_MT900916NL_JGZ: @classCode moet indien aanwezig 'OBS' zijn</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'" see="http://www.hl7.org/v3ballot/html/infrastructure/vocabulary/ActMood.htm#EVN"
            >COCT_MT900916NL_JGZ: @moodCode moet indien aanwezig 'EVN' zijn</assert>
    </rule>
    <rule context="$element/hl7:reason/hl7:vaccinationReason/hl7:code">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.267'"
            >COCT_MT900916NL_JGZ: @codeSystem moet '2.16.840.1.113883.2.4.4.40.267' zijn</assert>
    </rule>
    <rule context="$element/hl7:reason/hl7:vaccinationReason/hl7:value">
        <extends rule="CV"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.40.258'"
            >COCT_MT900916NL_JGZ: @codeSystem moet '2.16.840.1.113883.2.4.4.40.258' zijn</assert>
    </rule>
</pattern>