<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematronvalidatie van POOR_IN002150NL - Hielprikverzoek Versturen</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <include href="coreschematron/xml.sch"/>
   <include href="coreschematron/attentionLine.sch"/>
   
   <include href="coreschematron/transmission-wrapper.sch"/>
   <include href="coreschematron/controlAct-wrapper.sch"/>
   
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.103.sch"/>
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.130.sch"/>
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.163.sch"/>
   
   <pattern is-a="attentionLine" id="POOR_IN002150NL-attentionLine">
      <param name="messagePatientId"
             value="hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:recordTarget/hl7:patient/hl7:id"/>
      <param name="attentionLineOptional" value="'true'"/>
   </pattern>
   
   <pattern is-a="transmission-wrapper" id="POOR_IN002150NL-wrapper">
      <param name="element" value="hl7:POOR_IN002150NL"/>
   </pattern>
   
   <pattern is-a="controlAct-wrapper" id="POOR_IN002150NL-controlAct">
      <param name="element" value="hl7:POOR_IN002150NL/hl7:ControlActProcess"/>
   </pattern>
   
   <pattern>
      <!-- profileId -->
      <rule context="hl7:POOR_IN002150NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
            >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
      <rule context="hl7:POOR_IN002150NL/hl7:acceptAckCode">
         <extends rule="CS"/>
         <assert role="error" test="@code='AL'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'.</assert>
      </rule>
   </pattern>
   
   <pattern>
      <rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:*">
         <assert test="hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130'"
            >Het payloadelement moet het element templateId met @root '2.16.840.1.113883.2.4.6.10.100.130' hebben</assert>
      </rule>
   </pattern>
   
   <title>Versturen hielprikverzoek</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.130" id="POOR_IN002150NL-template-2.16.840.1.113883.2.4.6.10.100.130">
      <param name="element" value="//hl7:*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.130']"/>
   </pattern>
   <title>R_PatientNL02 Informal identified/confirmable</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.103" id="REPC_IN002140NL-template-2.16.840.1.113883.2.4.6.10.100.103">
      <param name="element" value="//hl7:*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.103']"/>
   </pattern>
   <title>E_PersonNL02 Informal identified/confirmable</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.163" id="REPC_IN002140NL-template-2.16.840.1.113883.2.4.6.10.100.163">
      <param name="element" value="//hl7:*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.163']"/>
   </pattern>
</schema>