<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematronvalidatie van PRMM_IN010043NL - Versturen geldige vaccinatiepartijnummers</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <include href="coreschematron/xml.sch"/>
   <include href="coreschematron/attentionLine.sch"/>
   
   <include href="coreschematron/transmission-wrapper.sch"/>
   <include href="coreschematron/controlAct-wrapper.sch"/>
   
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.140.sch"/>
   
   <pattern is-a="transmission-wrapper" id="PRMM_IN010043NL-wrapper">
      <param name="element" value="hl7:PRMM_IN010043NL"/>
   </pattern>
   
   <pattern is-a="controlAct-wrapper" id="PRMM_IN010043NL-controlAct">
      <param name="element" value="hl7:PRMM_IN010043NL/hl7:ControlActProcess"/>
   </pattern>
   
   <pattern>
      <!-- profileId -->
      <rule context="hl7:PRMM_IN010043NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
            >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
      <rule context="hl7:PRMM_IN010043NL/hl7:acceptAckCode">
         <extends rule="CS"/>
         <assert role="error" test="@code='AL'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'.</assert>
      </rule>
   </pattern>
   
   <pattern>
      <rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:*">
         <assert test="hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140'"
            >Het payloadelement moet het element templateId met @root '2.16.840.1.113883.2.4.6.10.100.140' hebben</assert>
      </rule>
   </pattern>
   
   <title>Opvragen toegediende vaccinaties</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.140" id="PRMM_IN010043NL-template-2.16.840.1.113883.2.4.6.10.100.140">
      <param name="element" value="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']"/>
   </pattern>
</schema>