<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematronvalidatie van REPC_IN002140NL - Versturen toegediende vaccinaties</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <include href="coreschematron/xml.sch"/>
   <include href="coreschematron/attentionLine.sch"/>
   
   <include href="coreschematron/transmission-wrapper.sch"/>
   <include href="coreschematron/controlAct-wrapper.sch"/>
   <include href="coreschematron/COCT_MT090000NL2.sch"/>
   
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.102.sch"/>
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.117.sch"/>
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.122.sch"/>
   <include href="JGZ/2.16.840.1.113883.2.4.6.10.100.180.sch"/>
   
   <include href="JGZ/COCT_MT050000NL_JGZ.sch"/>
   <include href="JGZ/COCT_MT900916NL_JGZ.sch"/>
   
   <pattern is-a="attentionLine" id="REPC_IN002140NL-attentionLine">
      <param name="messagePatientId"
             value="hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id"/>
      <param name="attentionLineOptional" value="'false'"/>
   </pattern>
   
   <pattern is-a="transmission-wrapper" id="REPC_IN002140NL-wrapper">
      <param name="element" value="hl7:REPC_IN002140NL"/>
   </pattern>
   
   <pattern is-a="controlAct-wrapper" id="REPC_IN002140NL-controlAct">
      <param name="element" value="hl7:REPC_IN002140NL/hl7:ControlActProcess"/>
   </pattern>
   
   <pattern>
      <!-- profileId -->
      <rule context="hl7:REPC_IN002140NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
            >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
      <rule context="hl7:REPC_IN002140NL/hl7:acceptAckCode">
         <extends rule="CS"/>
         <assert role="error" test="@code='AL'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'.</assert>
      </rule>
   </pattern>
   
   <pattern>
      <rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:*">
         <assert test="hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180'"
            >Het payloadelement moet het element templateId met @root '2.16.840.1.113883.2.4.6.10.100.180' hebben</assert>
      </rule>
   </pattern>
   
   <title>Opvragen toegediende vaccinaties</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.180" id="REPC_IN002140NL-template-2.16.840.1.113883.2.4.6.10.100.180">
      <param name="element" value="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.180']"/>
   </pattern>
   <title>R_PatientNL_JGZ identified/confirmable</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.102" id="REPC_IN002140NL-template-2.16.840.1.113883.2.4.6.10.100.102">
      <param name="element" value="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']"/>
   </pattern>
   
   <!-- Gedeactiveerd hangende de dicussie rondom de 5 identificerende kenmerken -->
   <!--pattern>
      <rule role="error" context="hl7:CareProvisionEvent/hl7:subject/hl7:patient">
      <assert test="hl7:addr/hl7:houseNumber"
      >huisnummer is verplicht</assert>
      <assert test="hl7:addr/hl7:postalCode"
      >postcode is verplicht</assert>
      <assert test="hl7:patientPerson/hl7:name"
      >naam is verplicht</assert>
      <assert test="hl7:patientPerson/hl7:administrativeGenderCode"
      >geslacht is verplicht</assert>
      <assert test="hl7:patientPerson/hl7:birthTime"
      >geboortedatum is verplicht</assert>
      </rule>
      </pattern-->
   
   <title>A_Rijksvaccinatie informational</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.117" id="REPC_IN002140NL-template-2.16.840.1.113883.2.4.6.10.100.117">
      <param name="element" value="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']"/>
   </pattern>
   <title>R_AssignedEntityNL_PO identified</title>
   <pattern is-a="template-2.16.840.1.113883.2.4.6.10.100.122" id="REPC_IN002140NL-template-2.16.840.1.113883.2.4.6.10.100.122">
      <param name="element" value="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.122']"/>
   </pattern>
</schema>