<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT120104NL">
    <title>Allergieën en Ongewenste Groepen</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='OBS'"
            >COCT_MT120104NL: @classCode moet, indien anwezig, 'OBS' bevatten</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >COCT_MT120104NL: @moodCode moet, indien anwezig, 'EVN' bevatten</assert>
        <assert role="error" test="@negationInd"
            >COCT_MT120104NL: @negationInd is verplicht</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >COCT_MT120104NL: id element mist root of extension attribuut</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CE"/>
        <assert role="error" test="@code='INTLRNC' or @code='DINT'"
            >COCT_MT120104NL: @code moet 'INTLNRC' (intolerantie) of 'DINT' (geneesmiddelintolerantie) bevatten</assert>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.5.4'"
            >COCT_MT120104NL: @codeSystem moet '2.16.840.1.113883.5.4' bevatten</assert>
    </rule>
    <rule context="$element/hl7:text">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:statusCode">
        <extends rule="CS"/>
        <assert role="error" test="@code='completed'"
            >COCT_MT120104NL: @code moet 'completed' bevatten</assert>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
        <assert role="error" test="hl7:low"
            >COCT_MT120104NL: low moet de datum en indien bekend de tijd bevatten van de start van de intolerantie</assert>
        <assert role="error" test="not(@value or hl7:center or hl7:width)"
            >COCT_MT120104NL: alleen low en optioneel high mogen worden gebruikt</assert>
    </rule>
    <rule context="$element/hl7:confidentialityCode">
        <assert role="error" test="not(.)"
            >COCT_MT120104NL: <name/> is niet toegestaan</assert>
    </rule>
    <rule context="$element/hl7:value">
        <extends rule="CE"/>
        <assert role="error" test="@code"
            >COCT_MT120104NL: @code is verplicht</assert>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.1.902.122' or
            @codeSystem='2.16.840.1.113883.2.4.4.1.725' or
            @codeSystem='2.16.840.1.113883.2.4.4.1.750' or
            @codeSystem='2.16.840.1.113883.2.4.4.7'"
            >COCT_MT120104NL: @codeSystem moet zijn '2.16.840.1.113883.2.4.4.1.902.122' (Ongewenste Groepen), '2.16.840.1.113883.2.4.4.1.725' (Individuele
            bestanddelen, oftewel stoffen op basis van stofnaamcode (SNK)), '2.16.840.1.113883.2.4.4.1.750' (Individuele bestanddelen in
            combinatie met een toedieningsweg (SSK)), of '2.16.840.1.113883.2.4.4.7' (Ongewenst Handelsprodukt (HPK)) </assert>
        <assert role="error" test="string-length(normalize-space(@displayName)) &gt; 0"
            >COCT_MT120104NL: @displayName is verplicht</assert>
    </rule>
    <rule context="$element/hl7:component">
        <assert role="error" test="not(.)"
            >COCT_MT120104NL: <name path=".."/>/<name/> is niet toegestaan</assert>
    </rule>
    
    <rule context="$element/hl7:author">
        <assert role="error" test="not(@typeCode) or  @typeCode='AUT'"
            >COCT_MT120104NL: @typeCode moet, indien anwezig, 'AUT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120104NL: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:author/hl7:time">
        <assert role="error" test="not(.)"
            >COCT_MT120104NL: <name path=".."/>/<name/> is niet toegestaan</assert>
    </rule>
    
    <rule context="$element/hl7:dataEnterer">
        <assert role="error" test="not(@typeCode) or  @typeCode='ENT'"
            >COCT_MT120104NL: @typeCode moet, indien anwezig, 'ENT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120104NL: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(.)"
            >COCT_MT120104NL: er mag geen (andere) patiënt aan de contra-inicatie worden gekoppeld</assert>
    </rule>
</pattern>