<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 ED - Encapsulated Data
    Status: in behandeling
-->
<rule abstract="true" id="ED" see="http://hl7book.net/index.php?title=DatatypesR1:ED" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="BIN"/>
    
    <assert role="error" test="@nullFlavor or text() or hl7:reference">Datatype ED: content is required if not null</assert>
    <assert role="error" test="not(hl7:integrityCheck) or @integrityCheckAlgorithm">Datatype ED: integrityCheckAlgorithm required if integrityCheck</assert>
    <assert role="error" test="not(hl7:thumbnail) or hl7:thumbnail[not(@nullFlavor and hl7:reference)]">Datatype ED: thumbnails do not use reference</assert>
    <assert role="error" test="not(hl7:thumbnail) or hl7:thumbnail[not(hl7:thumbnail)]">Datatype ED: thumbnails do not have thumbnails</assert>
    <assert role="error" test="(@compression and (hl7:reference/@value or (@representation='B64' and text()))) or not(@compression)">Datatype ED: compression only
        on binary</assert>
    
    <!--assert test="@mediaType">Datatype ED: mediaType cannot be null</assert-->
    
    <assert role="error" test="not(@value) or (@value and (not(@mediaType) or @mediaType='text/plain'))">Datatype ED: value implies mediaType is
        text/plain</assert>
    <assert role="error"
        test="count(*[self::hl7:reference or self::hl7:thumbnail][@validTimeLow or @validTimeHigh or @updateMode])=0"
        >Datatype ED: no history or updateMode</assert>
    <assert role="error" test="not(@value or xml) or not(@charset)">Datatype ED: no charset for value or xml</assert>
    <assert role="error" test="not(hl7:translation) or hl7:thumbnail[not(hl7:translation)]">Datatype ED: no nested translations</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(@mediaType))">Datatype ED: no mediaType if null</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(@charset))">Datatype ED: no charset if null</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(@language))">Datatype ED: no language if null</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(@compression))">Datatype ED: no compression if null</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(@integrityCheck))">Datatype ED: no integrityCheck if null</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(@integrityCheckAlgorithm))">Datatype ED: no integrityCheckAlgorithm if null</assert>
    <assert role="error" test="not(@nullFlavor) or (not(hl7:thumbnail) or hl7:thumbnail/@nullFlavor)">Datatype ED: no thumbnail if null</assert>
    <assert role="error" test="not(@nullFlavor) or (@nullFlavor and not(hl7:translation))">Datatype ED: no translation if null</assert>
    
    <let name="mediaType" value="@mediaType"/>
    <assert role="error" test="not(@mediaType) or document('../vocab/ED-mediaType.xml')/*/hl7:code[@code=$mediaType]">Datatype ED: unsupported mediaType value
        '<value-of select="$mediaType"/>'</assert>
    
    <assert role="error" test="not(thumbnail)">Datatype ED: thumbnail is in Nederland vooralsnog niet toegestaan</assert>
</rule>