<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 EIVL_TS - Event Related Interval of Timestamps
    Status: in behandeling
-->
<rule abstract="true" id="EIVL_TS" see="http://hl7book.net/index.php?title=DatatypesR1:EIVL_TS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="SXCM"/>
    
    <assert role="error" test="@nullFlavor or (hl7:event)">Datatype EIVL_TS: required attributes</assert>
    <assert role="error" test="count(*[self::hl7:offset][@updateMode])=0"
        >Datatype EIVL_TS: no updateMode on EIVL attributes</assert>
    
    <assert role="error" test="(hl7:event/@nullFlavor and not(hl7:event/@code)) or (not(hl7:event/@nullFlavor) and hl7:event/@code)"
        >Datatype EIVL_TS/CS: null violation</assert>
    <assert role="error" test="not(hl7:event/@codeSystem)"
        >Datatype EIVL_TS/CS: cannot have codeSystem</assert>
    <assert role="error" test="not(hl7:event/@codeSystemName)"
        >Datatype EIVL_TS/CS: cannot have codeSystemName</assert>
    <assert role="error" test="not(hl7:event/@codeSystemVersion)"
        >Datatype EIVL_TS/CS: cannot have codeSystemVersion</assert>
    <assert role="error" test="not(hl7:event/@displayName)"
        >Datatype EIVL_TS/CS: cannot have displayName</assert>
    <assert role="error" test="not(hl7:event/hl7:originalText)"
        >Datatype EIVL_TS/CS: cannot have originalText</assert>
    <assert role="error" test="not(hl7:event/hl7:qualifier)"
        >Datatype EIVL_TS/CS: cannot have qualifier</assert>
    <assert role="error" test="not(hl7:event/hl7:translation)"
        >Datatype EIVL_TS/CS: cannot have translation</assert>
    
    <assert role="error" test="(hl7:offset/@nullFlavor and not(hl7:offset/@value|hl7:offset/@unit|hl7:offset/*)) or 
        (not(hl7:offset/@nullFlavor) and (hl7:offset/@value|hl7:offset/@unit|hl7:offset/*))"
        >Datatype EIVL_TS/IVL: null violation. Cannot have @nullFlavor and @value or child elements, or the other way around</assert>
    <assert role="error" test="not(hl7:offset/*[@nullFlavor and (@value|@unit)])"
        >Datatype EIVL_TS/IVL: null violation. Cannot have @nullFlavor and @value on any child elements</assert>
    <assert role="error" test="
        hl7:offset/@nullFlavor or
        (not(hl7:offset/@nullFlavor) and hl7:offset/@value and not(hl7:offset/*)) or
        (not(hl7:offset/@nullFlavor) and not(hl7:offset/@value) and (hl7:offset/hl7:low|hl7:offset/hl7:center|hl7:offset/hl7:high|hl7:offset/hl7:width)) or
        (not(hl7:offset/@nullFlavor) and not(hl7:offset/@value) and (hl7:offset/hl7:*[not(@nullFlavor)])) or
        (not(hl7:offset/@nullFlavor) and not(hl7:offset/@value) and hl7:center and not(hl7:low|hl7:high|hl7:width)) or
        (not(hl7:offset/@nullFlavor) and not(hl7:offset/@value) and not(hl7:offset/hl7:center) and hl7:offset/hl7:width and not(hl7:offset/hl7:low and hl7:offset/hl7:high))"
        >Datatype EIVL_TS/IVL: co-occurence violation. Cannot have @value and other child elements, or missing @value and child elements with data, 
        or center element with other elements, or width element with both low and high elements</assert>
    <assert role="error" test="count(hl7:offset/*[@updateMode])=0"
        >Datatype EIVL_TS/IVL: no updateMode on IVL attributes</assert>
    <assert role="error" test="not(hl7:offset/hl7:low/@value and hl7:offset/hl7:high/@value) or string-length(hl7:offset/hl7:low/@value) = string-length(hl7:offset/hl7:high/@value)"
        >Datatype EIVL_TS/IVL_TS: waarde in phase/low/@value moet dezelfde precisie hebben als phase/high/@value</assert>
    
    <!-- width has datatype PQR, which extends CV ((){1}(((0[1-9])|([12]\d)|(3[01]))?)?)? -->
    <assert role="error" test="not(hl7:offset[@xsi:type='IVL_TS']/hl7:width) or
        hl7:offset[@xsi:type='IVL_TS']/hl7:width[not(@unit)] or
        hl7:offset[@xsi:type='IVL_TS']/hl7:width[@value and @unit]"
        >Datatype EIVL_TS/PQR: width element: no unit without value</assert>
    <assert role="error" test="not(hl7:offset/hl7:width/hl7:translation)"
        >Datatype EIVL_TS/PQR: width element: no translation</assert>
</rule>