<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 RTO - Ratio
    Status: in behandeling
-->
<rule abstract="true" id="RTO" see="http://hl7book.net/index.php?title=DatatypesR1:RTO" xmlns="http://purl.oclc.org/dsdl/schematron">
    <assert role="error" test="@nullFlavor or ((hl7:numerator and not(hl7:numerator/@nullFlavor)) and (hl7:numerator and not(hl7:numerator/@nullFlavor)))">Datatype RTO:
        numerator and denominator required</assert>
    <assert role="error"
        test="count(*[self::hl7:numerator or self::hl7:denominator][@updateMode])=0"
        >Datatype RTO: no updateMode on RTO Attributes</assert>
    <assert role="error" test="not(uncertainty)"
        >Datatype RTO: no uncertainty</assert>
    
    <assert role="error" test="(hl7:numerator/@nullFlavor or hl7:numerator/@value) and not(hl7:numerator/@nullFlavor and hl7:numerator/@value)"
        >Datatype RTO: null or value in numerator</assert>
    <assert role="error" test="not(hl7:numerator/@nullFlavor) or (hl7:numerator/@nullFlavor and not(hl7:numerator/hl7:translation))"
        >Datatype RTO: no translation if null in numerator</assert>
    
    <assert role="error" test="(hl7:denominator/@nullFlavor or hl7:denominator/@value) and not(hl7:denominator/@nullFlavor and hl7:denominator/@value)"
        >Datatype RTO: null or value in denominator</assert>
    <assert role="error" test="not(hl7:denominator/@nullFlavor) or (hl7:denominator/@nullFlavor and not(hl7:denominator/hl7:translation))"
        >Datatype RTO: no translation if null in denominator</assert>
</rule>