<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:hl7="urn:hl7-org:v3"
        xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:sch="http://www.ascc.net/xml/schematron"
        xmlns:uuid="java:java.util.UUID"
        queryBinding="xslt2">
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!--
==================================
Schematron schema for  (pqr-sh-q)

Project: 

Copyright 2011 2012 by Nictiz


Author: dr Kai U. Heitmann

Version information:
  2011-12-01T00:00:00 KH 
  2011-12-13T00:00:00 KH 
  2011-12-15T00:00:00 KH 
  2011-12-16T00:00:00 KH 
  2011-12-29T00:00:00 KH 
  2011-12-30T00:00:00 KH 
  2012-01-03T00:00:00 KH 
  2012-01-04T00:00:00 KH 
  2012-01-12T00:00:00 KH 
  2012-01-26T00:00:00 KH 
  2012-02-09T00:00:00 KH 
  2012-02-14T00:00:00 KH 
  2012-03-09T00:00:00 KH 

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van de – al
            dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2012-05-02T20:51:52.544+02:00
==================================

--><!--Include realm specific schematron-->
<!-- none --><!--Include datatype abstract schematrons-->
<include href="include/DTr1_ANY.sch"/>
   <include href="include/DTr1_AD.sch"/>
   <include href="include/DTr1_BIN.sch"/>
   <include href="include/DTr1_BL.sch"/>
   <include href="include/DTr1_CD.sch"/>
   <include href="include/DTr1_CE.sch"/>
   <include href="include/DTr1_CS.sch"/>
   <include href="include/DTr1_CV.sch"/>
   <include href="include/DTr1_EN.sch"/>
   <include href="include/DTr1_II.sch"/>
   <include href="include/DTr1_INT.sch"/>
   <include href="include/DTr1_INT.NONNEG.sch"/>
   <include href="include/DTr1_INT.POS.sch"/>
   <include href="include/DTr1_IVL.sch"/>
   <include href="include/DTr1_IVL_PQ.sch"/>
   <include href="include/DTr1_IVL_TS.sch"/>
   <include href="include/DTr1_PN.sch"/>
   <include href="include/DTr1_PQ.sch"/>
   <include href="include/DTr1_QTY.sch"/>
   <include href="include/DTr1_SXCM.sch"/>
   <include href="include/DTr1_TS.sch"/>
   <include href="include/DTr1_TS.DATE.sch"/>
   <include href="include/DTr1_TS.DATE.FULL.sch"/>
   <include href="include/DTr1_TS.DATE.MIN.sch"/>
   <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
   <include href="include/DTr1_ST.sch"/>
   <include href="include/DTr1_ON.sch"/>
   <include href="include/DTr1_ED.sch"/>
   <include href="include/DTr1_TEL.sch"/>
   <include href="include/DTr1_URL.sch"/>
   <include href="include/DTr1_AD.NL.sch"/>
   <include href="include/DTr1_II.NL.BSN.sch"/>
   <include href="include/DTr1_II.NL.URA.sch"/>
   <include href="include/DTr1_II.NL.UZI.sch"/>
   <include href="include/DTr1_II.NL.AGB.sch"/>
   <include href="include/DTr1_II.AT.DVR.sch"/>
   <include href="include/DTr1_II.AT.ATU.sch"/>
   <include href="include/DTr1_II.AT.BLZ.sch"/>
   <include href="include/DTr1_II.AT.KTONR.sch"/>

  <!-- Include wrapper schematrons -->
  <include href="coreschematron/xml.sch"/>
  <include href="coreschematron/attentionLine.sch"/>
  
  <include href="include/transmission-wrapper.sch"/>
  <include href="include/controlAct-wrapper.sch"/>
  
  <pattern is-a="transmission-wrapper" id="QUPC_IN443132NL-wrapper">
    <param name="element" value="hl7:QUPC_IN443132NL"/>
  </pattern>
  
  <pattern is-a="controlAct-wrapper" id="QUPC_IN443132NL-controlAct">
    <param name="element" value="hl7:QUPC_IN443132NL/hl7:ControlActProcess"/>
  </pattern>
  
  <pattern>
    <!-- profileId -->
    <rule context="hl7:QUPC_IN443132NL/hl7:profileId">
      <extends rule="II"/>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
        >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
    </rule>
    <rule context="hl7:QUPC_IN443132NL/hl7:acceptAckCode">
      <extends rule="CS"/>
      <assert role="error" test="@code='NE'"
        >In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'NE'.</assert>
    </rule>
    <rule context="hl7:QUPC_IN443132NL/hl7:attentionLine">
      <assert role="warning" test="not(.)"
        >Het gebruik van attentionLine wordt nog niet gespecificeerd in deze interactie.</assert>
    </rule>
  </pattern>

   <!--Include the project schematrons related to scenariopqr-sh-q-->

<include href="include/2.16.840.1.113883.2.4.6.10.40.9003.sch"/>


   <!--Include schematrons from templates with explicit * or ** context (but no representing templates)-->
<include href="include/2.16.840.1.113883.2.4.6.10.40.10.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.100.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.101.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.103.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.104.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.105.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.107.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.108.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.109.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.110.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.111.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.112.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.113.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.114.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.115.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.116.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.117.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.118.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.119.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.120.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.40.17.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.1.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.15.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.16.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.18.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.19.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.2.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.20.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.21.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.22.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.23.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.24.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.25.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.3.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.4.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.5.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.6.sch"/>
   <include href="include/2.16.840.1.113883.2.4.6.10.70.9.sch"/>


</schema>