<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.13
Description: Versturen geldige partijnummers
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.13">
   <title>Versturen geldige partijnummers</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL" id="tmp-c9259241-a896-4ee5-81f7-e860e0f283be">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">Versturen geldige partijnummers: element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:ControlActProcess)&lt;=1">Versturen geldige partijnummers: element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:id
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:id"
         id="tmp-3d0daf49-d9f9-4258-b611-dee3cf456358">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">Versturen geldige partijnummers: Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:creationTime
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:creationTime"
         id="tmp-9ebbf055-fea4-4835-8fb1-4eb9f8ffc7cb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <let name="datatypeName" value="substring-after(string(@xsi:type),':')"/>
      <assert role="error"
              test="not(@xsi:type) or string(@xsi:type)='TS' or substring-after(string(@xsi:type),':')='TS'">Versturen geldige partijnummers: Transmission: creationTime moet datatype TS hebben.</assert>
      <assert role="error" test="matches(@value,'^[0-9]{14}')">Versturen geldige partijnummers: Transmission: creationTime moet minimaal op de seconde nauwkeurig zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:versionCode
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:versionCode"
         id="tmp-5c80b6b5-be6e-4495-ba2c-3a313f22d02d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">Versturen geldige partijnummers: De waarde van @code MOET 'NICTIZEd2005-Okt' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-be84de05-6dff-4c33-a1fe-ef82aee14501">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.1.6'">Versturen geldige partijnummers: @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen geldige partijnummers: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">Versturen geldige partijnummers: Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-91051174-ae90-4c3a-a43b-f4062fefb12a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">Versturen geldige partijnummers: @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen geldige partijnummers: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@extension='810'">Versturen geldige partijnummers: De waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:processingCode
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:processingCode"
         id="tmp-16d6498d-8ede-46fa-8cc9-a71f6956d8b1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='P')">Versturen geldige partijnummers: De waarde van @code MOET 'P' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:processingModeCode
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:processingModeCode"
         id="tmp-663ed4e1-35f7-4f19-aa65-d372eaaa5098">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='T')">Versturen geldige partijnummers: De waarde van @code MOET 'T' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:acceptAckCode
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:acceptAckCode"
         id="tmp-e0fc1d5a-b803-47c1-bfc5-ee71de80523e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='AL')">Versturen geldige partijnummers: De waarde van @code MOET 'AL' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver"
         id="tmp-14b9852d-e075-4f00-85fe-a6bc53866bd6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@typeCode='RCV' or not(@typeCode)">Versturen geldige partijnummers: De waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Versturen geldige partijnummers: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&lt;=1">Versturen geldige partijnummers: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device"
         id="tmp-7ad22e7e-7bab-4073-a066-bb6f43feac27">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Versturen geldige partijnummers: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Versturen geldige partijnummers: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">Versturen geldige partijnummers: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-505bf747-1e5b-4831-9136-ab171b64562e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Versturen geldige partijnummers: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen geldige partijnummers: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Versturen geldige partijnummers: Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:name
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-d935d129-c5ed-4a79-828c-80491f4b3595">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender"
         id="tmp-ec7bc805-1a83-491d-820b-d318b4dc3ebd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@typeCode='SND' or not(@typeCode)">Versturen geldige partijnummers: De waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Versturen geldige partijnummers: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:device)&lt;=1">Versturen geldige partijnummers: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device"
         id="tmp-6bc75582-e442-4195-8f63-436c6f4a6c8e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Versturen geldige partijnummers: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Versturen geldige partijnummers: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">Versturen geldige partijnummers: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-4f9a0bec-e30c-44df-8e6c-186612d4b014">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Versturen geldige partijnummers: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen geldige partijnummers: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Versturen geldige partijnummers: Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:name
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-4aad0dfb-a88b-49d3-8688-3f9065517993">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess"
         id="tmp-9e69c0cc-dad4-403e-a1ad-7597495f946f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:authorOrPerformer)&gt;=1 and not(hl7:authorOrPerformer/@nullFlavor)">Versturen geldige partijnummers: element hl7:authorOrPerformer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:authorOrPerformer)&lt;=1">Versturen geldige partijnummers: element hl7:authorOrPerformer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">Versturen geldige partijnummers: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:subject)&lt;=1">Versturen geldige partijnummers: element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:id
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:id"
         id="tmp-0eb70982-b85b-4ada-a840-5fa6c6df4c89">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:code
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:code"
         id="tmp-8353ca62-161a-485e-9183-30a1d29c8e21">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">Versturen geldige partijnummers: De waarde van @codeSystem MOET '2.16.840.1.113883.1.18' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:text
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:effectiveTime
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-eaf6602e-5676-45ef-9351-1a57cd67099f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@value">Versturen geldige partijnummers: Control Act: <name path=".."/>/<name/> moet datatype TS hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:reasonCode
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:languageCode
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:informationRecipient
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:dataEnterer
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer"
         id="tmp-23a601e4-a833-4a19-a502-44745fd60a18">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@typeCode='AUT' ">Versturen geldige partijnummers: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Versturen geldige partijnummers: element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:participant)&lt;=1">Versturen geldige partijnummers: element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant"
         id="tmp-ca1d7c2c-698c-425e-9b89-877e92a63637">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:AssignedDevice)&gt;=1 and not(hl7:AssignedDevice/@nullFlavor)">Versturen geldige partijnummers: element hl7:AssignedDevice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:AssignedDevice)&lt;=1">Versturen geldige partijnummers: element hl7:AssignedDevice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice"
         id="tmp-7105c278-dd1f-4218-8d54-5343ec58a40c">
      <assert role="error" test="hl7:id[@root='2.16.528.1.1007.3.2']">Versturen geldige partijnummers: </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen geldige partijnummers: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&lt;=1">Versturen geldige partijnummers: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">Versturen geldige partijnummers: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:telecom)&lt;=1">Versturen geldige partijnummers: element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">Versturen geldige partijnummers: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:noteText)=0">Versturen geldige partijnummers: element hl7:noteText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:time)=0">Versturen geldige partijnummers: element hl7:time MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:modeCode)=0">Versturen geldige partijnummers: element hl7:modeCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:signatureCode)=0">Versturen geldige partijnummers: element hl7:signatureCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:signatureText)=0">Versturen geldige partijnummers: element hl7:signatureText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">Versturen geldige partijnummers: element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:Organization)&lt;=1">Versturen geldige partijnummers: element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:id
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:id"
         id="tmp-78627c2d-074e-44bf-b141-a8e974d97dc9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="(@root='2.16.840.1.113883.2.4.6.6' or @root='2.16.528.1.1007.3.2') and @extension">Versturen geldige partijnummers: </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:code
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:code"
         id="tmp-914c4340-6eaf-4588-ba78-8cd61fa75d0e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:telecom
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:telecom"
         id="tmp-7d338aaf-074d-4a07-bf1a-19e3f02f83b8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:name
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:name"
         id="tmp-cede5c9d-ee6a-481a-8730-b5e90f2a68ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:noteText
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:time
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:modeCode
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:signatureCode
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:signatureText
Item: Versturen geldige partijnummers
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization"
         id="tmp-11edc226-a7a9-4baf-8995-c20a53653d22">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen geldige partijnummers: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&lt;=1">Versturen geldige partijnummers: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">Versturen geldige partijnummers: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen geldige partijnummers: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:name)&lt;=1">Versturen geldige partijnummers: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:addr)&lt;=1">Versturen geldige partijnummers: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id"
         id="tmp-1f07e5ac-4926-4ae0-97aa-a815996c59a6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">Versturen geldige partijnummers: </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code"
         id="tmp-05fbcf25-ec66-4377-b5cc-8fb975094a09">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">Versturen geldige partijnummers: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.15.1060' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom"
         id="tmp-ab0ee6f6-9498-4e1c-9284-8636876c2c44">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name"
         id="tmp-fcd75e90-e833-4f02-899d-de610b82fab7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr"
         id="tmp-9cfa3101-10a1-45c3-8f62-a0d7d0b37ad7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject"
         id="tmp-5b12b4d9-d899-458b-921b-346c6d546d29">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:ProductList)&gt;=1 and not(hl7:ProductList/@nullFlavor)">Versturen geldige partijnummers: element hl7:ProductList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:ProductList)&lt;=1">Versturen geldige partijnummers: element hl7:ProductList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList"
         id="tmp-b9fa54d8-1737-4de4-808e-88f4ebe88806">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@classCode='LIST' or not(@classCode)">Versturen geldige partijnummers: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@moodCode='EVN' or not(@moodCode)">Versturen geldige partijnummers: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)">Versturen geldige partijnummers: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1">Versturen geldige partijnummers: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen geldige partijnummers: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">Versturen geldige partijnummers: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:effectiveTime)&gt;=1 ">Versturen geldige partijnummers: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:effectiveTime)&lt;=1">Versturen geldige partijnummers: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:product)&gt;=1 ">Versturen geldige partijnummers: element hl7:product is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']"
         id="tmp-509b2c14-19b9-4a10-952c-af80cd6e7f36">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.140'">Versturen geldige partijnummers: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.140' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen geldige partijnummers: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:code
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:code"
         id="tmp-9a8cc0f6-9015-44c6-b9c5-a60a7c95f2fc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')">Versturen geldige partijnummers: De waarde van @code/@codeSystem MOET '373873005' codeSystem '2.16.840.1.113883.6.96' displayName='Pharmaceutical / biologic product' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:effectiveTime
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:effectiveTime"
         id="tmp-8074dcf2-8878-4c16-9550-2e13a7e1a5ab">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="matches(hl7:low/@value,'^[0-9]{14}') and matches(hl7:high/@value,'^[0-9]{14}')">Versturen geldige partijnummers: </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product"
         id="tmp-5b2bae75-c434-4a66-a256-da5d4ba94b6d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@typeCode='PRD' ">Versturen geldige partijnummers: De waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)">Versturen geldige partijnummers: element hl7:instanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:instanceOfKind)&lt;=1">Versturen geldige partijnummers: element hl7:instanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind"
         id="tmp-c9aa2580-5010-4398-b81e-901a15758f67">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@classCode='INST' ">Versturen geldige partijnummers: De waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)">Versturen geldige partijnummers: element hl7:productInstanceInstance is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:productInstanceInstance)&lt;=1">Versturen geldige partijnummers: element hl7:productInstanceInstance komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:kindOfProduct)&lt;=1">Versturen geldige partijnummers: element hl7:kindOfProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="tmp-c37d5ffd-2947-45a7-a328-b1c460dc028f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@classCode='MMAT' ">Versturen geldige partijnummers: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@determinerCode='INSTANCE' ">Versturen geldige partijnummers: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&gt;=1 ">Versturen geldige partijnummers: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:id)&lt;=1">Versturen geldige partijnummers: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:expirationTime)&lt;=1">Versturen geldige partijnummers: element hl7:expirationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:asInstanceOfKind)&gt;=1 and not(hl7:asInstanceOfKind/@nullFlavor)">Versturen geldige partijnummers: element hl7:asInstanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:asInstanceOfKind)&lt;=1">Versturen geldige partijnummers: element hl7:asInstanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id"
         id="tmp-57fa159d-a3a3-46c2-a29f-42cf15fd654a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@extension and (@root or @nullFlavor='UNC')">Versturen geldige partijnummers: </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime"
         id="tmp-3ac74b5b-0cca-42ec-89aa-42b478f2b9a2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="hl7:high/@value">Versturen geldige partijnummers: </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind"
         id="tmp-bce49093-2099-4053-a680-84867620b73a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@classCode='INST' ">Versturen geldige partijnummers: De waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:kindOfMaterialKind)&gt;=1 and not(hl7:kindOfMaterialKind/@nullFlavor)">Versturen geldige partijnummers: element hl7:kindOfMaterialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:kindOfMaterialKind)&lt;=1">Versturen geldige partijnummers: element hl7:kindOfMaterialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind"
         id="tmp-10bc46c5-6132-481e-8877-8f48544de3c1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@classCode='MAT' ">Versturen geldige partijnummers: De waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@determinerCode='KIND' ">Versturen geldige partijnummers: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen geldige partijnummers: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">Versturen geldige partijnummers: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind/hl7:kindOfMaterialKind/hl7:code"
         id="tmp-b49a13c1-1917-4c9d-bebe-c19d5457627f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen geldige partijnummers: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.76')">Versturen geldige partijnummers: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.76' zijn.</assert>
      <assert role="error" test="@code and @codeSystem and @displayName">Versturen geldige partijnummers: </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct"
         id="tmp-6290620c-80f6-4ad7-a89b-e8039267c568">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@classCode='MAT' ">Versturen geldige partijnummers: De waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="@determinerCode='KIND' ">Versturen geldige partijnummers: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen geldige partijnummers: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.13.html"
              test="count(hl7:code)&lt;=1">Versturen geldige partijnummers: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.13
Context: hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code
Item: Versturen geldige partijnummers
-->

<rule context="hl7:PRMM_IN010043NL/hl7:ControlActProcess/hl7:subject/hl7:ProductList/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code"
         id="tmp-7c023ec0-f247-4fc7-9060-fc08ddcf04f5">
      <assert role="error" test="@nullFlavor or (@code and @codeSystem and @displayName)">Versturen geldige partijnummers: </assert>
      <assert role="error"
              test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)">Versturen geldige partijnummers: </assert>
   </rule>
</pattern>