<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.15
Description: Versturen hielprikverzoek
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.15">
   <title>Versturen hielprikverzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL" id="tmp-2c2d53ed-d401-4841-ac42-ba8354c20d3b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">Versturen hielprikverzoek: element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:ControlActProcess)&lt;=1">Versturen hielprikverzoek: element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:id"
         id="tmp-3d59eabf-5451-4f20-9017-6a37bdb9957e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">Versturen hielprikverzoek: Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:creationTime
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:creationTime"
         id="tmp-4bd3c5da-78c5-4035-b7c4-00519a217401">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <let name="datatypeName" value="substring-after(string(@xsi:type),':')"/>
      <assert role="error"
              test="not(@xsi:type) or string(@xsi:type)='TS' or substring-after(string(@xsi:type),':')='TS'">Versturen hielprikverzoek: Transmission: creationTime moet datatype TS hebben.</assert>
      <assert role="error" test="matches(@value,'^[0-9]{14}')">Versturen hielprikverzoek: Transmission: creationTime moet minimaal op de seconde nauwkeurig zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:versionCode
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:versionCode"
         id="tmp-0c1a6cc1-4ada-4c86-a31f-01e6fff8c827">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">Versturen hielprikverzoek: De waarde van @code MOET 'NICTIZEd2005-Okt' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-f1c15c16-5bf7-48e1-b3ec-099e7b20c66b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@root='2.16.840.1.113883.1.6'">Versturen hielprikverzoek: @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen hielprikverzoek: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">Versturen hielprikverzoek: Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-22ef2f60-7d26-40af-a360-855f3530059c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">Versturen hielprikverzoek: @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen hielprikverzoek: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@extension='810'">Versturen hielprikverzoek: De waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:processingCode
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:processingCode"
         id="tmp-68147a47-e0c1-4688-837a-0f204d378f33">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='P')">Versturen hielprikverzoek: De waarde van @code MOET 'P' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:processingModeCode
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:processingModeCode"
         id="tmp-023658ac-6cce-42c7-a933-b0f6c36a3d0a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='T')">Versturen hielprikverzoek: De waarde van @code MOET 'T' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:acceptAckCode
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:acceptAckCode"
         id="tmp-6c57d98b-9a46-4c69-ab2d-9c154f18b9b4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='AL')">Versturen hielprikverzoek: De waarde van @code MOET 'AL' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:receiver
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:receiver"
         id="tmp-4c7bf831-3e3e-4a88-83cd-6fb9b562de80">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='RCV' or not(@typeCode)">Versturen hielprikverzoek: De waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Versturen hielprikverzoek: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:device)&lt;=1">Versturen hielprikverzoek: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:receiver/hl7:device
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:receiver/hl7:device"
         id="tmp-ae9a7f58-1585-4440-a1ad-91756425938f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Versturen hielprikverzoek: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Versturen hielprikverzoek: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&lt;=1">Versturen hielprikverzoek: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-9ef1a2ff-3b62-486e-855c-551134c3f1ee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Versturen hielprikverzoek: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen hielprikverzoek: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Versturen hielprikverzoek: Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:name
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-7a5c6f8f-4b8e-44cd-a7f2-3ebb9d70f2cc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:sender
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:sender"
         id="tmp-a55b7053-2630-4d83-bff5-5daeecef41bf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='SND' or not(@typeCode)">Versturen hielprikverzoek: De waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Versturen hielprikverzoek: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:device)&lt;=1">Versturen hielprikverzoek: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:sender/hl7:device
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:sender/hl7:device"
         id="tmp-b2538dd1-6c2c-45e3-94b6-af1b88f6153a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Versturen hielprikverzoek: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Versturen hielprikverzoek: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&lt;=1">Versturen hielprikverzoek: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-9ecf3ac3-796f-4846-8beb-d800f0f34afe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Versturen hielprikverzoek: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen hielprikverzoek: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Versturen hielprikverzoek: Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:name
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-041b70ee-f35d-476b-b635-bd546b543cdc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess"
         id="tmp-2d67e946-4da0-4bf6-96b2-cfec3681deba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:authorOrPerformer)&gt;=1 and not(hl7:authorOrPerformer/@nullFlavor)">Versturen hielprikverzoek: element hl7:authorOrPerformer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:authorOrPerformer)&lt;=1">Versturen hielprikverzoek: element hl7:authorOrPerformer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)">Versturen hielprikverzoek: element hl7:overseer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:overseer)&lt;=1">Versturen hielprikverzoek: element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">Versturen hielprikverzoek: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:subject)&lt;=1">Versturen hielprikverzoek: element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:id"
         id="tmp-652b698a-4f91-41a9-8db0-b9e6333792ab">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:code"
         id="tmp-105dad56-c206-4cf9-a7be-becb419e5faa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">Versturen hielprikverzoek: De waarde van @codeSystem MOET '2.16.840.1.113883.1.18' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:text
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:effectiveTime
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-cfaf702a-46f6-47ab-a91c-a8ac01dad084">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@value">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet datatype TS hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:reasonCode
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:languageCode
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:informationRecipient
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:dataEnterer
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer"
         id="tmp-9db47786-e5b3-41e3-b693-e0bd6cee9e16">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='AUT' ">Versturen hielprikverzoek: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Versturen hielprikverzoek: element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:participant)&lt;=1">Versturen hielprikverzoek: element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant"
         id="tmp-1f0d6cd5-4a00-4d4b-9b5e-b46ada6c17eb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">Versturen hielprikverzoek: element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:AssignedPerson)&lt;=1">Versturen hielprikverzoek: element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson"
         id="tmp-3c47ba93-ea11-440d-8ab4-7f4d0955915e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen hielprikverzoek: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&lt;=1">Versturen hielprikverzoek: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&lt;=1">Versturen hielprikverzoek: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:telecom)&lt;=1">Versturen hielprikverzoek: element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&lt;=1">Versturen hielprikverzoek: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:noteText)=0">Versturen hielprikverzoek: element hl7:noteText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:time)=0">Versturen hielprikverzoek: element hl7:time MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:modeCode)=0">Versturen hielprikverzoek: element hl7:modeCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:signatureCode)=0">Versturen hielprikverzoek: element hl7:signatureCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:signatureText)=0">Versturen hielprikverzoek: element hl7:signatureText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">Versturen hielprikverzoek: element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:Organization)&lt;=1">Versturen hielprikverzoek: element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id"
         id="tmp-b5dd1f85-29ca-4af8-94b2-21ebdde2bcdf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-ec4d1f72-c5fb-43b5-ba2f-0ed4302403c6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-e6562e1e-cdec-451d-87cc-75dd8c60c875">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:name
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-166a3509-6e0c-4ce8-8b70-0bc1524d4ca1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:time
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-40bced07-fbcb-42ec-9475-5c856c007954">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen hielprikverzoek: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&lt;=1">Versturen hielprikverzoek: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&lt;=1">Versturen hielprikverzoek: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen hielprikverzoek: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&lt;=1">Versturen hielprikverzoek: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:addr)&lt;=1">Versturen hielprikverzoek: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-977d9bec-8ede-4fb0-a5cd-140d88caf2e4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">Versturen hielprikverzoek: &gt;Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-4edb6e67-9308-40ad-82db-91b2c16cf02a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">Versturen hielprikverzoek: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.15.1060' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-8f1b2492-7d0d-4824-9de3-551f2d6c0fae">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-e61e808a-9b36-4a30-8f43-d271bc807c10">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-42e45660-a264-4796-a63e-1e52d75aa3d3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer"
         id="tmp-bd35e1ba-38b6-49ac-a666-45d475b6dddb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='RESP' ">Versturen hielprikverzoek: De waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">Versturen hielprikverzoek: element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:AssignedPerson)&lt;=1">Versturen hielprikverzoek: element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-586b1095-590f-4e67-9ca0-d6a7ea638c9d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen hielprikverzoek: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&lt;=1">Versturen hielprikverzoek: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen hielprikverzoek: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&lt;=1">Versturen hielprikverzoek: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">Versturen hielprikverzoek: element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">Versturen hielprikverzoek: element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">Versturen hielprikverzoek: element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:Organization)&lt;=1">Versturen hielprikverzoek: element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id"
         id="tmp-e0f42743-fbe8-4512-a752-6107e1c3543e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-af47321a-ea8e-4598-96b9-2e71dee9b8ea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-ee61844b-d3ad-428d-8c73-6ede272f68b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">Versturen hielprikverzoek: element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:assignedPerson)&lt;=1">Versturen hielprikverzoek: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-dfae8841-88df-4f20-a9f5-0c2c0101aebd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen hielprikverzoek: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&lt;=1">Versturen hielprikverzoek: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-b8435e0b-148f-47cb-9581-82fd8988f0c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-1d89934d-7f11-4965-a7c7-4b22777b43bc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen hielprikverzoek: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&lt;=1">Versturen hielprikverzoek: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen hielprikverzoek: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&lt;=1">Versturen hielprikverzoek: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen hielprikverzoek: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:name)&lt;=1">Versturen hielprikverzoek: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">Versturen hielprikverzoek: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:addr)&lt;=1">Versturen hielprikverzoek: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-a6f823f1-3ffb-4096-9d64-31875338a48b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-ce47c500-ca9a-4776-9780-7fe255e2c8d9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.15.1060' and @code">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet een zorgaanbieder-code bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-976472c7-6cd6-4a9b-8abb-6ccd87a2919c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-1cfc144b-47b6-4c69-92cd-fb0681c4f24f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="hl7:city">Versturen hielprikverzoek: Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject"
         id="tmp-40973bfe-49e3-4675-84c3-5f75f7a47e6d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:procedureRequest)&gt;=1 and not(hl7:procedureRequest/@nullFlavor)">Versturen hielprikverzoek: element hl7:procedureRequest is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:procedureRequest)&lt;=1">Versturen hielprikverzoek: element hl7:procedureRequest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest"
         id="tmp-4b8acbd5-b447-47cf-b9e2-8fe5fdeb7961">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@classCode='SPECCOLLECT' ">Versturen hielprikverzoek: De waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@moodCode='RQO' ">Versturen hielprikverzoek: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">Versturen hielprikverzoek: element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:realmCode)&lt;=1">Versturen hielprikverzoek: element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']/@nullFlavor)">Versturen hielprikverzoek: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'])&lt;=1">Versturen hielprikverzoek: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen hielprikverzoek: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&lt;=1">Versturen hielprikverzoek: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen hielprikverzoek: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&lt;=1">Versturen hielprikverzoek: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Versturen hielprikverzoek: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:statusCode)&lt;=1">Versturen hielprikverzoek: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">Versturen hielprikverzoek: element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:recordTarget)&lt;=1">Versturen hielprikverzoek: element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:reason)&lt;=1">Versturen hielprikverzoek: element hl7:reason komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:pertinentInformation)&lt;=1">Versturen hielprikverzoek: element hl7:pertinentInformation komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:subjectOf6)&lt;=1">Versturen hielprikverzoek: element hl7:subjectOf6 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:realmCode
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:realmCode"
         id="tmp-b8d0770e-6f5f-4b17-9bc2-ae02e02e122c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='NL')">Versturen hielprikverzoek: De waarde van @code MOET 'NL' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.130']"
         id="tmp-5ccc78c4-746f-46bc-9af5-ab444e34f5eb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.130'">Versturen hielprikverzoek: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.130' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen hielprikverzoek: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:id"
         id="tmp-b461a93e-f37b-436e-94df-f6d177ccdad5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:code"
         id="tmp-54bdda8b-5b3f-4f2c-80c4-9f3eeccb518a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0316-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Versturen hielprikverzoek: De waarde van @code MOET worden gekozen uit Value Set W0316 W0316 Type hielprik DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Versturen hielprikverzoek: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0316 W0316 Type hielprik DYNAMIC.</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:reason)">Versturen hielprikverzoek: reason kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:reason">Versturen hielprikverzoek: reason moet de reden bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:pertinentInformation)">Versturen hielprikverzoek: pertinentInformation kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="not(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:pertinentInformation">Versturen hielprikverzoek: pertinentInformation moet het setnummer vorige hielprik bevatten bij een verzoek voor een herhaalde of tweede hielprik</assert>
      <assert role="error"
              test="not((@code='01' or @code='02') and @codeSystem='2.16.840.1.113883.2.4.4.40.66' and ../hl7:subjectOf6)">Versturen hielprikverzoek: subjectOf6 kan niet aanwezig aanwezig zijn bij een verzoek voor de eerste hielprik</assert>
      <assert role="error"
              test="not((@code='03' or @code='04') and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or ../hl7:subjectOf6">Versturen hielprikverzoek: subjectOf6 moet de aanvullende informatie bevatten bij een verzoek voor een (herhaalde) tweede hielprik</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:statusCode
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:statusCode"
         id="tmp-73be3c97-ed21-4840-be8d-b5f3ab14f2a9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='active')">Versturen hielprikverzoek: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:recordTarget
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:recordTarget"
         id="tmp-7314b891-9756-448d-9b00-db88e4cde7c1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='RCT' or not(@typeCode)">Versturen hielprikverzoek: De waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">Versturen hielprikverzoek: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:patient)&lt;=1">Versturen hielprikverzoek: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:recordTarget
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:recordTarget
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:recordTarget
Item: Versturen hielprikverzoek
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:reason
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:reason"
         id="tmp-4555d143-43ea-4220-9a7f-22440934b0a2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='RSON' or not(@typeCode)">Versturen hielprikverzoek: De waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@contextConductionInd='false' ">Versturen hielprikverzoek: @contextConductionInd SHALL have value 'false' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">Versturen hielprikverzoek: element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:act)&lt;=1">Versturen hielprikverzoek: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:reason/hl7:act
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:reason/hl7:act"
         id="tmp-f0fa51fa-52d9-4bf7-afc4-61d32eb748b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@classCode='ALRT' ">Versturen hielprikverzoek: De waarde van @classCode MOET 'ALRT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@moodCode='EVN' ">Versturen hielprikverzoek: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen hielprikverzoek: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&lt;=1">Versturen hielprikverzoek: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:reason/hl7:act/hl7:code"
         id="tmp-f1448e86-d689-439d-9236-92d6ef6b3646">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0647-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0647-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Versturen hielprikverzoek: De waarde van @code MOET worden gekozen uit Value Set W0647 W0647 BDS elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Versturen hielprikverzoek: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0647 W0647 BDS elementen DYNAMIC.</assert>
      <assert role="error" test="@displayName or not(@code)">Versturen hielprikverzoek: @displayName is verplicht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation"
         id="tmp-4a111752-70e6-429b-9e4b-c29098f2b5a5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='REFR' ">Versturen hielprikverzoek: De waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@contextConductionInd='false' ">Versturen hielprikverzoek: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation/hl7:act
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation/hl7:act"
         id="tmp-3aa43216-9879-4767-b937-3ae38366afd6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@classCode='DOC' ">Versturen hielprikverzoek: De waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@moodCode='EVN' ">Versturen hielprikverzoek: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&gt;=1 ">Versturen hielprikverzoek: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&lt;=1">Versturen hielprikverzoek: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&gt;=1 ">Versturen hielprikverzoek: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:code)&lt;=1">Versturen hielprikverzoek: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:id"
         id="tmp-bb582162-0077-401d-aad0-6bb31719193b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:pertinentInformation/hl7:act/hl7:code"
         id="tmp-3979cf45-338b-4909-9e39-a86b7d4d3ba4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='1432' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Versturen hielprikverzoek: De waarde van @code/@codeSystem MOET '1432' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6"
         id="tmp-6921824a-9051-4b09-a8bc-b11a9d84986b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Versturen hielprikverzoek: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@contextConductionInd='false' ">Versturen hielprikverzoek: @contextConductionInd SHALL have value 'false' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:seperatableInd)&gt;=1 and not(hl7:seperatableInd/@nullFlavor)">Versturen hielprikverzoek: element hl7:seperatableInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:seperatableInd)&lt;=1">Versturen hielprikverzoek: element hl7:seperatableInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">Versturen hielprikverzoek: element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:annotation)&lt;=1">Versturen hielprikverzoek: element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:seperatableInd"
         id="tmp-a674d71c-e454-47ca-8512-4f17f655b2dc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@value='false'">Versturen hielprikverzoek: De waarde van @value MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@value='false' ">Versturen hielprikverzoek: De waarde van @value MOET 'false' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation"
         id="tmp-00bd052d-09c3-4776-9aac-b2ab445d6bb0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@classCode='ACT' ">Versturen hielprikverzoek: De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@moodCode='EVN' ">Versturen hielprikverzoek: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Versturen hielprikverzoek: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:text)&lt;=1">Versturen hielprikverzoek: element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Versturen hielprikverzoek: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:statusCode)&lt;=1">Versturen hielprikverzoek: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">Versturen hielprikverzoek: element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:author)&lt;=1">Versturen hielprikverzoek: element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:text"
         id="tmp-96b246b0-2e93-4c1e-97e1-0747e4e7dcfc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:statusCode"
         id="tmp-453af42b-d3d4-4c1b-8dc5-07867eea551c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or (@code='completed')">Versturen hielprikverzoek: De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author"
         id="tmp-59279693-5575-4754-b460-1bb80e58adc7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='AUT' or not(@typeCode)">Versturen hielprikverzoek: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Versturen hielprikverzoek: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:assignedEntity)&lt;=1">Versturen hielprikverzoek: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity"
         id="tmp-1a0bc2f8-c66b-4c22-bafc-fccc1e2d42ee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@typeCode='ASSIGNED' ">Versturen hielprikverzoek: De waarde van @typeCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen hielprikverzoek: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="count(hl7:id)&lt;=1">Versturen hielprikverzoek: element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.15
Context: hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id
Item: Versturen hielprikverzoek
-->

<rule context="hl7:POOR_IN002150NL/hl7:ControlActProcess/hl7:subject/hl7:procedureRequest/hl7:subjectOf6/hl7:annotation/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-c2f6a60c-c459-4b49-894c-2a17236f93e9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen hielprikverzoek: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>