<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.100
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.100">
   <title>Assessment</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]
Item: (TMP Assessment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation
Item: (TMP Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation"
         id="tmp-579567bc-0e4c-48e9-816c-62f35b2589a0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@classCode='OBS' ">(TMP Assessment): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@moodCode='EVN' ">(TMP Assessment): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']/@nullFlavor)">(TMP Assessment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&lt;=1">(TMP Assessment): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Assessment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:code)&lt;=1">(TMP Assessment): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Assessment): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="count(hl7:value)&lt;=1">(TMP Assessment): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']
Item: (TMP Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']"
         id="tmp-9d53b135-561a-408b-b458-050382266122">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.100'">(TMP Assessment): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.100' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Assessment): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:code
Item: (TMP Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:code"
         id="tmp-79e2a52c-2e96-498a-81e0-994b68ccd9e7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Assessment): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@nullFlavor or (@code='11283-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Acuity assessment')">(TMP Assessment): De waarde van @code/@codeSystem MOET '11283-9' codeSystem '2.16.840.1.113883.6.1' displayName='Acuity assessment' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.100
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:value
Item: (TMP Assessment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.100']]/hl7:observation/hl7:value"
         id="tmp-18d27bf1-e22a-45cf-b372-8703dff9661b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.100.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Assessment): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>