<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.109
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.109">
   <title>Anamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.109
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]
Item: (TMP Anamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.109
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation
Item: (TMP Anamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation"
         id="tmp-f338db73-ebf3-4b29-96d4-88b3ddb25e66">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="@classCode='OBS' ">(TMP Anamnese): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="@moodCode='EVN' ">(TMP Anamnese): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']/@nullFlavor)">(TMP Anamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&lt;=1">(TMP Anamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Anamnese): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="count(hl7:code)&lt;=1">(TMP Anamnese): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Anamnese): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="count(hl7:value)&lt;=1">(TMP Anamnese): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.109
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']
Item: (TMP Anamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']"
         id="tmp-84fbb0dd-d9d2-41d1-9433-8d865c17710c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.109'">(TMP Anamnese): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.109' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Anamnese): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.109
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation/hl7:code
Item: (TMP Anamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation/hl7:code"
         id="tmp-70e80209-cde2-4d2d-a08e-3bd8517b08d9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Anamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="@nullFlavor or (@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Chief Complaint')">(TMP Anamnese): De waarde van @code/@codeSystem MOET '10154-3' codeSystem '2.16.840.1.113883.6.1' displayName='Chief Complaint' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.109
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation/hl7:value
Item: (TMP Anamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.109']]/hl7:observation/hl7:value"
         id="tmp-40692de1-d396-4422-a132-ef65b53472f9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.109.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Anamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>