<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.31
Description: Nictiz Ambulance-PS
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.31">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent"
         id="tmp-db3477c0-07c1-4a91-8015-eb8daf07e899">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='PCPR' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@moodCode='EVN' ">(TMP Ambulance-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31']
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31']"
         id="tmp-309555bb-30e9-47e2-add1-82d74be729dc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.31'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.31' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-75148f4d-0bee-4fe2-829c-151cfc2f0205">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(TMP Ambulance-PS): De waarde van @code MOET één van de volgende codes bevatten: 'active of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-3a0ec2ad-2832-434a-ac9f-52cfb125bdf6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&gt;=1 ">(TMP Ambulance-PS): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&lt;=1">(TMP Ambulance-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:high)=0">(TMP Ambulance-PS): element hl7:high MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:width)=0">(TMP Ambulance-PS): element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:center)=0">(TMP Ambulance-PS): element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-e8aa010d-4e05-4baf-8156-829a30fe67bc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:width
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:center
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent"
         id="tmp-c47f682b-9f6b-4f35-af89-5404381c4f02">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]])&lt;=1">(TMP Ambulance-PS): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]])&lt;=1">(TMP Ambulance-PS): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]])&lt;=1">(TMP Ambulance-PS): element hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])&lt;=1">(TMP Ambulance-PS): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-38ee2363-b6a5-48a2-8304-ad03e1f04676">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-a1e543ae-0d1d-4a9b-bcf6-fd7b8727fe75">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-90a17dee-bf6f-432c-8f82-4cedd3c76aba">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='OBS' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@moodCode='EVN' ">(TMP Ambulance-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulance-PS): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulance-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Ambulance-PS): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulance-PS): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Ambulance-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&lt;=1">(TMP Ambulance-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']"
         id="tmp-1ee3ea70-f84c-43df-9c60-bbc033c27832">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.1'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-98e2bc1a-5e83-4ade-9605-90de7b07c4be">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP Ambulance-PS): De waarde van @code MOET worden gekozen uit Value Set NoteCategory Note Category DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-50e4bdd2-de21-493a-ae93-8c675bae3897">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-0fb1ef9b-d1ab-41a4-982c-b366e1d99a3c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&gt;=1 ">(TMP Ambulance-PS): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&lt;=1">(TMP Ambulance-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:high)&lt;=1">(TMP Ambulance-PS): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:center)=0">(TMP Ambulance-PS): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:width)=0">(TMP Ambulance-PS): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-bea2c6c2-0de3-411b-aba3-b7248b927e7e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-f6e28d9c-4b61-4784-8aa3-b28178604de9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-d2f33ab3-2d67-4dca-9953-de4994fc3c93">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='AUT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='OP' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-b76f3d9f-288b-4b37-991b-2b66a176b67f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-8dd5ba49-8f6f-4c42-858b-4fd77763aa3e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-c482470c-c63a-4599-959a-de071a715420">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-653b1ac9-1758-41ee-afb3-5771b031663b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]"
         id="tmp-f34b1226-a5be-4043-af29-dab53a045acd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]"
         id="tmp-96196920-6571-4baa-983b-524b9e3fd4e3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-6bf78745-d705-48cb-90c8-7d271a972325">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='OBS' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@moodCode='EVN' ">(TMP Ambulance-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Ambulance-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:id)&lt;=1">(TMP Ambulance-PS): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulance-PS): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulance-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:text)&lt;=1">(TMP Ambulance-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:statusCode)&lt;=1">(TMP Ambulance-PS): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Ambulance-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:value)&gt;=1 ">(TMP Ambulance-PS): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulance-PS): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&lt;=1">(TMP Ambulance-PS): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(TMP Ambulance-PS): element hl7:subject is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']"
         id="tmp-f2e17fd5-8b8c-4890-8509-de0807dda389">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.17'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.17' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id"
         id="tmp-903e916d-5a62-499e-a16e-e94085982ebc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-70f282ad-bf8f-443f-a317-a47a99dda485">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or (@code='10157-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of family member diseases')">(TMP Ambulance-PS): De waarde van @code/@codeSystem MOET '10157-6' codeSystem '2.16.840.1.113883.6.1' displayName='History of family member diseases' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text"
         id="tmp-270719bb-5b5b-409c-86ac-8d470c158e71">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:statusCode
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:statusCode"
         id="tmp-c21a41eb-e656-4d04-b230-8fb59a0c1ff9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(TMP Ambulance-PS): De waarde van @code MOET één van de volgende codes bevatten: 'active of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-e276cdd6-6edf-418a-b851-a85c00ed1c16">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&gt;=1 ">(TMP Ambulance-PS): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&lt;=1">(TMP Ambulance-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:high)&lt;=1">(TMP Ambulance-PS): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:width)=0">(TMP Ambulance-PS): element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:center)=0">(TMP Ambulance-PS): element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-8d177a6b-82a9-4630-9dea-342cfcb75bb6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-73b965fd-b524-4e81-bac6-ec5a13227e83">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-fe345b7e-aed1-4826-ac4c-5596a0054974">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.31.1')">(TMP Ambulance-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.31.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-be5cb647-2d4a-416e-8d63-f39d08c57a1e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='AUT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='ON' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP Ambulance-PS): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:time)&lt;=1">(TMP Ambulance-PS): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="$elmcount&gt;=1">(TMP Ambulance-PS): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:time
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:time"
         id="tmp-0992ee33-fbc5-4019-becf-18b38040741c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-de009d36-7999-4e8c-8972-824105939a54">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])&lt;=1">(TMP Ambulance-PS): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-3adab6cb-1071-490a-a231-5c5306f66315">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-7fdac2e3-40e4-479b-8968-4034978b3492">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-a9d2771a-5444-403e-810a-8a3300dc64d5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-cf0411c7-01b9-42fe-b110-8a6f6a768306">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-cc912ea9-0125-4463-b63c-7f278b0655f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='PAT' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&gt;=1 ">(TMP Ambulance-PS): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&lt;=1">(TMP Ambulance-PS): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']"
         id="tmp-3da579e6-a347-4c2c-a9ff-72a9acf86890">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.18'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.18' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:id
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:id"
         id="tmp-094442d8-633c-48d8-a44c-b17a361fc911">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:addr
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:addr"
         id="tmp-37165a0b-03e4-4a18-9638-72d19fac21dd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:telecom
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:telecom"
         id="tmp-dc07c6a4-55d3-4406-b23f-3e8093182405">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:statusCode
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:statusCode"
         id="tmp-f542ffc2-c1ea-4fcd-9a75-0274f8e712db">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-1830c146-1479-4f69-a652-a4ca650df7fa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='PSN' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@determinerCode='INSTANCE' ">(TMP Ambulance-PS): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP Ambulance-PS): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:birthTime)&lt;=1">(TMP Ambulance-PS): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:birthPlace)&lt;=1">(TMP Ambulance-PS): element hl7:birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-ff0b940c-38a7-4f80-9238-2e259a7f167f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.19'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.19' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:name
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:name"
         id="tmp-ad46c08a-075f-4a68-b1b0-5ab42897eb0c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:administrativeGenderCode
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:administrativeGenderCode"
         id="tmp-5f32bce1-8087-4777-a9c9-10a273f95dee">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP Ambulance-PS): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:birthTime
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:birthTime"
         id="tmp-50ea428c-8764-4080-ac3f-5d2de5645f25">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:birthPlace
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:subject
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:subject"
         id="tmp-1d8b2a82-4575-4d3c-9a4f-20a0d7a8f326">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='SBJ' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='OP' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&gt;=1 and not(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']/@nullFlavor)">(TMP Ambulance-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&lt;=1">(TMP Ambulance-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]"
         id="tmp-23a22868-8c7b-4bfb-83ba-a0ba5713389f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]"
         id="tmp-c57dd5e7-aa97-4d7c-8eb3-17adad971e3c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter"
         id="tmp-2d1c0cea-443a-4c64-b93f-fa7737daf805">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ENC' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@moodCode='EVN' ">(TMP Ambulance-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Ambulance-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:id)&lt;=1">(TMP Ambulance-PS): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&gt;=1 ">(TMP Ambulance-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulance-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Ambulance-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&lt;=1">(TMP Ambulance-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']"
         id="tmp-a30bed38-fb80-4ee4-b04e-4bdb544811f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.3'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:id
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:id"
         id="tmp-5542e2ee-0d1b-45f5-8eac-6df1a2b8f422">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code"
         id="tmp-398f8c2d-bada-427e-84df-c68c9799e1d1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP Ambulance-PS): De waarde van @code MOET worden gekozen uit Value Set Contactwijze NHG HIS tabel 14 Contactwijze versie 7 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:translation)&lt;=1">(TMP Ambulance-PS): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code/hl7:translation
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code/hl7:translation"
         id="tmp-534e2f87-ffac-4179-b08d-458cb7499366">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP Ambulance-PS): De waarde van @code MOET worden gekozen uit Value Set Verrichtingen WCIAv3 Tabel 15 Verrichtingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime"
         id="tmp-8013e95d-5408-428b-b6af-6fdcf72410e6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP Ambulance-PS): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&lt;=1">(TMP Ambulance-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:high)&lt;=1">(TMP Ambulance-PS): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:center)=0">(TMP Ambulance-PS): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:width)=0">(TMP Ambulance-PS): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:low
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:low"
         id="tmp-a897e4a6-64e6-47c9-af7b-c78193378532">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:high
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:high"
         id="tmp-7208535f-c7b7-4306-8503-3a0488f65ff6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:center
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:width
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author"
         id="tmp-8775677a-8f84-4968-bcb9-ec00abf6647a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='AUT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='OP' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-d1e4c4ee-67d4-4ddc-8dfc-289b65f0203e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-b52eddbf-ad93-4391-9234-97a5c69f1281">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-ac760f70-a81f-449b-94ab-396ceedf885b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-cf086093-9914-427e-a36a-39b463ef6cc8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer"
         id="tmp-26bf1658-2499-4b0b-9bb3-92831551678c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PRF' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='OP' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-dc610c2b-a83f-4d51-bfac-33c0ca41adf6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-aabeeceb-cf72-4aa5-ab02-19628dada56d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-88b57553-4f46-486c-a12e-05a107485711">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-abbe8831-1b41-4870-a0ec-54aae1efa19b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship"
         id="tmp-a7c89d36-0b69-4063-b741-a1e41ec4f95d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='COMP' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:sequenceNumber)&lt;=1">(TMP Ambulance-PS): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="$elmcount&gt;=1">(TMP Ambulance-PS): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber"
         id="tmp-5a3a9a99-72de-4680-9a82-c048d5a185ab">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='INT.POS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="$digitok">(TMP Ambulance-PS): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship"
         id="tmp-56802145-2734-4d48-8ed4-6826da494a36">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'])&lt;=1">(TMP Ambulance-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'])&lt;=1">(TMP Ambulance-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'])&lt;=1">(TMP Ambulance-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(TMP Ambulance-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (TMP Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-3af204ab-82ee-4b7c-ad06-25a6f8c6140b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-abf7b93c-3300-4d8e-bc10-c444823e3959">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-bda58e42-feff-40c8-97a6-b5881d1e39ab">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='DOCCLIN' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@moodCode='EVN' ">(TMP Ambulance-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Ambulance-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&gt;=1 ">(TMP Ambulance-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulance-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:text)&lt;=1">(TMP Ambulance-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:effectiveTime)=0">(TMP Ambulance-PS): element hl7:effectiveTime MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP Ambulance-PS): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&lt;=1">(TMP Ambulance-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']"
         id="tmp-a6e0f1f3-6269-416e-ba5a-b5e6409ab136">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.9'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.9' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id"
         id="tmp-2f5274f6-bfe2-485c-a1f3-e938c3ff4cc8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-dca4fbf4-3239-489c-9e39-7846f8e2f72e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-cd1d5601-a7ec-4957-9a20-f4290dbdcbae">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:effectiveTime
Item: (TMP Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author"
         id="tmp-6aad087c-ba9d-4c84-b99c-de1dc80bfd5c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='AUT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='ON' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP Ambulance-PS): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:time)&lt;=1">(TMP Ambulance-PS): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time"
         id="tmp-6d9b7c07-c3d9-4a9a-951e-f0a0158e5c20">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-10a4a3e8-0d3b-457a-826f-b0597253f520">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&gt;=1 ">(TMP Ambulance-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulance-PS): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-76c851c4-a156-4538-abee-eb3ae6bece4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP Ambulance-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-c28c01f6-b6c9-48bd-91e9-63e59d4be1a6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&gt;=1 ">(TMP Ambulance-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulance-PS): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-9e79ebd7-6566-430d-bcf9-180b614fa482">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP Ambulance-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-03077b79-3663-4288-84bf-525402bcb653">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-d11595f5-1a13-48d5-afd4-ef53248fb31c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-090a33a3-7bbc-41c9-a141-62539ac9d889">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PRF' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='OP' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-c137f9bd-e7bb-494a-993e-7a6f4edfef82">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-c0625581-05b8-4b5c-899b-834f00a7ccd9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-d2ed1e57-598c-4799-8340-ca44bf4c6b08">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-443fbd31-f7c4-49ad-ae7a-1e33e60cca55">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship"
         id="tmp-2f78fc7f-09b7-4124-ae9a-2dc08c51c6e6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='SUMM' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'SUMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true' ">(TMP Ambulance-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(TMP Ambulance-PS): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:act)&lt;=1">(TMP Ambulance-PS): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act"
         id="tmp-4067724f-2327-496c-8ed4-8682ea21c5e2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='DOCCLIN' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@moodCode='EVN' ">(TMP Ambulance-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Ambulance-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&gt;=1 ">(TMP Ambulance-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulance-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Ambulance-PS): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:text)&lt;=1">(TMP Ambulance-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP Ambulance-PS): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&lt;=1">(TMP Ambulance-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id"
         id="tmp-5a43bd1d-d242-4d7f-80eb-d928e635cdc2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code"
         id="tmp-79269d90-0a58-47f9-a1d1-8371c812d733">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text"
         id="tmp-4e0d9b8a-60ac-4eeb-b817-1e39fec12590">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author"
         id="tmp-906a089a-fc90-4902-914b-46d16d2fa7b7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='AUT' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='ON' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP Ambulance-PS): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:time)&lt;=1">(TMP Ambulance-PS): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time"
         id="tmp-c2408bc9-636f-433f-95ff-1769687961dd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Ambulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-a6e85eb7-40a9-4ebb-85c8-f35dedc82f64">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-6681e01a-fee4-4547-8c75-013e2a3fbc6d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-ef935bd8-c12b-4659-acf5-1564aaaebefb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-2878153f-64ba-4172-898e-d14071717a5b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer"
         id="tmp-f00661ab-6d23-4685-8c3b-e96d03026559">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PRF' ">(TMP Ambulance-PS): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextControlCode='OP' ">(TMP Ambulance-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulance-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-bce56d81-821c-4b6d-a86b-9251c305ef2e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-8dcf73eb-c6a2-4385-9d68-817cfcf8e891">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulance-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-51382668-50ea-46fa-99df-a4ef122bdb89">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulance-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-39a4826b-fe8d-442e-9c9d-5c85a8628ab1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>