<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.40
Description: Nictiz Care Record Control Room Emergency Care
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.40">
   <title>Meldkamer-terugrapportage</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent"
         id="tmp-66f5bf26-d71e-4f11-90a8-22a746a63b56">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='PCPR' ">(TMP Meldkamerterugrapportage): De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN' ">(TMP Meldkamerterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40']/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40']
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.40']"
         id="tmp-7cc85602-2ffa-4723-9140-3e29d63e6776">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.40'">(TMP Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.40' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-f7eb7918-20c6-4bd7-b6a4-56cc75d22bc7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='completed')">(TMP Meldkamerterugrapportage): De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent"
         id="tmp-641d015f-34dd-47da-9452-a3bca7646815">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]"
         id="tmp-0e44596a-6c88-4b0c-b930-8501714b6142">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]"
         id="tmp-222c35ac-3772-49e2-9c42-53e333f34200">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-457574c2-b640-4784-8642-af62f5e23fdf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='OBS' ">(TMP Meldkamerterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN' ">(TMP Meldkamerterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']"
         id="tmp-500d5101-3a5b-4fe5-8eec-3b06c1f4baf4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.100'">(TMP Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.100' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-1eca8bbc-6227-40a8-b718-dc80063b2027">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='11283-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Acuity assessment')">(TMP Meldkamerterugrapportage): De waarde van @code/@codeSystem MOET '11283-9' codeSystem '2.16.840.1.113883.6.1' displayName='Acuity assessment' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-58272d15-0870-436b-beab-e538081ab3c8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]"
         id="tmp-cb31a97f-3f28-4b98-a02f-cc8c5bbbda99">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]"
         id="tmp-2a300efd-66d0-4ec6-b13e-708b75186edc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-7f213e7a-461b-4177-abfc-50fe925c5165">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='ACT' ">(TMP Meldkamerterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN' ">(TMP Meldkamerterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:text)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']"
         id="tmp-f12409a4-a0c0-400b-9894-8596295379be">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.101'">(TMP Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.101' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-a1f7a745-3130-42c0-98ab-2e8da47390b3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='51847-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Assessment and plan')">(TMP Meldkamerterugrapportage): De waarde van @code/@codeSystem MOET '51847-2' codeSystem '2.16.840.1.113883.6.1' displayName='Assessment and plan' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-8028bf8a-e5d8-4a15-b233-8bc09344a096">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]"
         id="tmp-28251c7e-34e4-49d6-a4d5-92901c166a8a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]"
         id="tmp-819e701b-238c-4b7b-b2d6-265058e039d8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-ba7b1077-7330-4f6d-8868-54cbda48c032">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='OBS' ">(TMP Meldkamerterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN' ">(TMP Meldkamerterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']"
         id="tmp-a101c587-bfd6-4f0b-9d2d-9f45bfff95d6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.107'">(TMP Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.107' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-87082b71-5453-416a-8375-e8bd6c69d30c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='DISDX' and @codeSystem='2.16.840.1.113883.5.4')">(TMP Meldkamerterugrapportage): De waarde van @code/@codeSystem MOET 'DISDX' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-70cf817f-3670-42d4-b633-eef8a4751057">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-cc0ccf61-13d8-486d-9bdc-96ffcbfeaec0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-5d206b60-5117-4478-a8b0-e7d7384d270d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-7c431428-57bd-4dec-ad14-75a14504f8b2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='OBS' ">(TMP Meldkamerterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN' ">(TMP Meldkamerterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']"
         id="tmp-ffb8a985-474b-4130-a058-50c6373657f8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.108'">(TMP Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.108' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-f3275d51-1f13-44ec-bff5-0762cbdb2fb7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Plan of treatment')">(TMP Meldkamerterugrapportage): De waarde van @code/@codeSystem MOET '18776-5' codeSystem '2.16.840.1.113883.6.1' displayName='Plan of treatment' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-243142e2-0347-4a5a-bb9a-cf590b8dca24">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-4e0b33db-0173-4ff6-860a-d6c37f295836">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-804d4aae-4a05-4c17-9b13-e614cad4a6f0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-0b8ce8d5-2beb-43fa-af9c-cf12c57d5ab8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='OBS' ">(TMP Meldkamerterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN' ">(TMP Meldkamerterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']"
         id="tmp-d0400a88-3596-49f1-8e4c-c3919d3bc834">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.120'">(TMP Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.120' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-fc6ed04f-2adf-47c2-9afe-932afa8e13c0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='28574-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Discharge Note')">(TMP Meldkamerterugrapportage): De waarde van @code/@codeSystem MOET '28574-2' codeSystem '2.16.840.1.113883.6.1' displayName='Discharge Note' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-e4b70dcc-75d1-4175-ae54-5ab8ada96150">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (TMP Meldkamerterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-129e846a-a5d4-4d0e-992e-0bacdc52fae4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.40']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-903506df-75ab-42f9-82db-dd899193bba0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@typeCode='PERT' ">(TMP Meldkamerterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@contextConductionInd='true' ">(TMP Meldkamerterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Meldkamerterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-45bf7161-3f12-41db-b04c-9c053b316e33">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@classCode='OBS' ">(TMP Meldkamerterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@moodCode='EVN' ">(TMP Meldkamerterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&lt;=1">(TMP Meldkamerterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:code)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Meldkamerterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="count(hl7:value)&lt;=1">(TMP Meldkamerterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']"
         id="tmp-97251524-3867-4719-9343-50e2b80ea0d8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.109'">(TMP Meldkamerterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.109' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Meldkamerterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-1240d5e8-d577-4414-b078-e38ec6af4bdc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or (@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Chief Complaint')">(TMP Meldkamerterugrapportage): De waarde van @code/@codeSystem MOET '10154-3' codeSystem '2.16.840.1.113883.6.1' displayName='Chief Complaint' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.40
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Meldkamerterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-1efd3192-01eb-4239-b48f-d6e81cb85ba6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.40.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Meldkamerterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>