<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.41
Description: Nictiz Care Record Ambulance Care
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.41">
   <title>Ambulance-terugrapportage</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent"
         id="tmp-6fe4204e-fd56-4852-b0e5-e9299d440c0e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='PCPR' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.41'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.41']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.41'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.41'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.41'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.41']
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.41']"
         id="tmp-2b840a58-fb13-4463-befc-36e19636bf7d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.41'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.41' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-49758bc8-644b-4c4d-874f-a28e35c7c4f3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='completed')">(TMP Ambulanceterugrapportage): De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent"
         id="tmp-425aab64-6b2e-4f99-a831-0ab3bf786470">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]"
         id="tmp-cff48e0c-3470-47d4-8c27-d531b3c5b0a0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']]]"
         id="tmp-8f4c32d3-b9de-4826-a924-709c1deb0dea">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-9c1c464c-a496-4762-9ab7-b8b7f28611c4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='OBS' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.100']"
         id="tmp-de5e0672-ec2d-4274-a893-b8b45bff3059">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.100'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.100' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-613f2c35-b356-4caa-8e75-83c6da94447c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='11283-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Acuity assessment')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '11283-9' codeSystem '2.16.840.1.113883.6.1' displayName='Acuity assessment' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-94674a68-7075-46c0-9eaa-690f9734b0f6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]"
         id="tmp-36c5bf4c-228e-4a46-b6a1-a8386b065bdd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']]]"
         id="tmp-7ac45944-20b7-4a11-8747-869af9a6a1a0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-5b8024f3-4336-42a5-8a6d-b6c1a9147a58">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ACT' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.101']"
         id="tmp-53e3baaf-0465-4fdb-b38c-38b0595ee90b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.101'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.101' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-eea8bb4d-f879-4947-94fb-61b6838767a2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='51847-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Assessment and plan')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '51847-2' codeSystem '2.16.840.1.113883.6.1' displayName='Assessment and plan' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-2367bbe0-94e6-4f73-a20d-9a759eab236e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]"
         id="tmp-2f06f7fb-44a8-4f0a-aba6-75934495c594">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']]]"
         id="tmp-2e6ca102-b018-41f9-981b-0a723d4ecc48">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-6dc95e89-c835-4514-afb5-0a48a02cbb78">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='OBS' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.107']"
         id="tmp-e2680e76-7057-4e03-ab45-4bb932538c54">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.107'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.107' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-062d93ed-72ee-4444-9a49-16428b057e96">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='DISDX' and @codeSystem='2.16.840.1.113883.5.4')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET 'DISDX' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-1bc79466-1760-48bd-9cb8-0093af1a8037">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-08710050-afe3-4b85-8131-a1b3863d54f6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-589c828b-5033-4098-a2da-2f08c56333c1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-8de9c007-b305-4778-ab08-7f2a41e29302">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='OBS' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']"
         id="tmp-f64cec88-e8af-48c2-8e30-9b61a6ce8eb7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.108'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.108' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-881aaff5-1f70-472d-8e59-6b35d767bd40">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Plan of treatment')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '18776-5' codeSystem '2.16.840.1.113883.6.1' displayName='Plan of treatment' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-15654f12-8551-4ed9-80ea-21efef21ef0a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-cf34763e-3dea-43b5-b1ef-218ec6776835">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-61e518fb-d061-4814-81be-7fd945651c55">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-9b36e581-24ec-4fb4-bca8-660b4def1e71">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='OBS' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']"
         id="tmp-db717e77-f150-44ae-a522-da67c87d7429">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.120'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.120' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-63447a8d-0eaf-4af8-84e5-deac289ace30">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='28574-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Discharge Note')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '28574-2' codeSystem '2.16.840.1.113883.6.1' displayName='Discharge Note' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-758b2e9d-447c-41fb-b0c2-9cd71347234e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-a19c468d-01b8-49ab-8be7-018218e25d4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-343d4458-a955-45b7-9bfd-fa6f2ea67398">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-dd9ef9f9-6c19-46fc-b01c-baab5a9357c0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='OBS' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']"
         id="tmp-3d858a8e-3615-411c-821a-a5a4209026b1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.109'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.109' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-a524bdbd-1460-49d5-b0d8-3d73803204ff">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Chief Complaint')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '10154-3' codeSystem '2.16.840.1.113883.6.1' displayName='Chief Complaint' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-da3cac71-769e-416f-aaed-bc60fd7cef10">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]"
         id="tmp-d23693dc-1b25-42af-8983-cac41224c4eb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]"
         id="tmp-04b307d4-f8c7-4b35-b1d0-32aa39b4d1e5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-94424714-4119-40cc-bed9-cfe4febea2ae">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='OBS' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:value)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:performer)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']"
         id="tmp-df90ae84-8f8a-4267-9dcf-6f150831df22">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.112'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.112' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-24e6f294-b5b4-4272-b9e6-cf04ce408ba8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='29545-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Physical Examination')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '29545-1' codeSystem '2.16.840.1.113883.6.1' displayName='Physical Examination' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-e3f8b241-b02e-495b-88ea-8cc6a6c3200a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer"
         id="tmp-a061c70d-36f5-47a5-b197-98fad389e2e3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextControlCode='OP' ">(TMP Ambulanceterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PRF' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-a38059a1-3a12-4c8f-91a5-4b08153cae76">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-11cc13a4-902a-48d0-b243-5b4153e88f22">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-cdc7ffad-decb-4873-8dd9-861ffc0f440c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-b9a719ee-59e1-46e6-b970-68335264c61f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]"
         id="tmp-38b3f0d7-5684-4bd9-9588-93fbb2e519dc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]"
         id="tmp-a4539c2e-c969-4a09-a0b5-4cf35862dea3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-9a494c52-e888-4724-b188-5088da6490b4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ACT' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:performer)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']"
         id="tmp-db255d2a-1491-4f45-9de4-47fe45ae0606">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.113'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.113' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-042aff69-c0f7-4137-9f15-f5ed7cacbb9c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='56850-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Interpretation and review of laboratory results')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '56850-1' codeSystem '2.16.840.1.113883.6.1' displayName='Interpretation and review of laboratory results' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-54e86bca-935d-4d6b-a8a5-4d572044a22a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-0cbfc4d4-0e41-47b9-a08e-ca715c7a2d68">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextControlCode='OP' ">(TMP Ambulanceterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PRF' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-070d340c-8aac-43d0-aa64-dccb86a29016">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-233102a0-8f6a-4293-8bd3-778384b0bf23">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-47a9895c-0dd5-4219-b522-cf5569b27c58">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-2651dd7f-a1cf-4695-8089-6e965e9c4ae2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]"
         id="tmp-844245d2-f814-4d63-8540-864fe3c1ac8c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]"
         id="tmp-ee2258c4-7d72-440d-aec3-76c2fa9fbe9d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-4f7e9d66-c1d8-4d1a-99d2-d270b15329c7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ACT' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:performer)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']"
         id="tmp-1e3ae801-04de-455b-9137-635870435119">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.115'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.115' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-66c785db-0cd1-41e2-b2ad-e633e1229ad6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='42345-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Discharge functional status')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '42345-9' codeSystem '2.16.840.1.113883.6.1' displayName='Discharge functional status' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-b88ce9b5-1b24-4874-a37f-ac862e3c6c2d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-6b419f02-6e67-4f91-996c-feba13b18c07">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextControlCode='OP' ">(TMP Ambulanceterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PRF' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-bfc81a0b-d7e5-44e8-819d-9d5d489d6452">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-7d54c6ff-0019-4c5c-a697-9bf6bda871dd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-1a50d2b0-be7e-44e1-acc8-10355dd00e67">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-0e81b608-7bc8-4cbe-beab-a26d011a0157">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]
Item: (TMP Ambulanceterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]"
         id="tmp-75315f69-7773-4b38-a512-7bdccfa832dc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.41']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]"
         id="tmp-df028b16-7dcb-488b-b36b-fb56c4892794">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PERT' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextConductionInd='true' ">(TMP Ambulanceterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP Ambulanceterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-8db1c898-1a3c-463e-9c8f-25d0fc9d23d0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ACT' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@moodCode='EVN' ">(TMP Ambulanceterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:code)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:text)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:performer)&lt;=1">(TMP Ambulanceterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']"
         id="tmp-76844042-d680-4198-9e89-637954477886">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.116'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.116' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-e4c320f1-2366-41fd-b192-d43a10cb3a3f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Laboratory Studies')">(TMP Ambulanceterugrapportage): De waarde van @code/@codeSystem MOET '26436-6' codeSystem '2.16.840.1.113883.6.1' displayName='Laboratory Studies' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-571e257c-ad84-4671-a7da-ab39699750a0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Ambulanceterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-04d87247-44ec-4cbe-9494-b9efcd5fc7a9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@contextControlCode='OP' ">(TMP Ambulanceterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@typeCode='PRF' ">(TMP Ambulanceterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-8a41d641-bb5b-4d15-af03-7d3373bdd24d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-ccd45e4a-81b7-4fa6-bc32-195ebb285cfa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@classCode='ASSIGNED' ">(TMP Ambulanceterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-b3268b7c-a6a3-47e5-a1c7-128f71f2c29a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Ambulanceterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.41
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Ambulanceterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-1cec8d3a-39e9-4cf0-b4a2-c9707c8d922d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Ambulanceterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.41.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Ambulanceterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>