<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.9002
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.9002">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter
Item: (TMP PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter" id="tmp-6e7ab8c1-c452-4c13-8921-8199c3d902fc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:parameterList)&gt;=1 and not(hl7:parameterList/@nullFlavor)">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:parameterList is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter/hl7:parameterList
Item: (TMP PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList"
         id="tmp-640b9712-abec-474a-8cf9-ca8c4233ad9e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:patientId)&lt;=1">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:patientId komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId
Item: (TMP PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId"
         id="tmp-271e9ef5-1cba-4ad1-8115-f6c88a48b78f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9002
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (TMP PrimaryCareRecordProfileQueryAmbulance-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-1995a00f-c4de-4c3b-8957-8dd37939e01e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.9002.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PrimaryCareRecordProfileQueryAmbulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>