<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.19
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.19">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-9628d481-91aa-46eb-bfa1-a96f308799ec">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@classCode='PSN' ">(TMP PersonNL): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@determinerCode='INSTANCE' ">(TMP PersonNL): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP PersonNL): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:birthTime)&lt;=1">(TMP PersonNL): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:birthPlace)&lt;=1">(TMP PersonNL): element hl7:birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-0da17442-7241-427d-8a9d-fc5ef06f5353">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.19'">(TMP PersonNL): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.19' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PersonNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name"
         id="tmp-7ec0b8d5-f4e6-4789-9fd8-88db2881e355">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP PersonNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode"
         id="tmp-a424ce87-e3e3-4c6a-899e-45a654ca20e7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP PersonNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP PersonNL): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime
Item: (TMP PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime"
         id="tmp-cf0da287-efb8-4154-8a49-a9c8951cc617">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP PersonNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthPlace
Item: (TMP PersonNL)
-->
</pattern>