<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.20
Description: 
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.20">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']"
         id="tmp-4702b40f-f23e-48cb-97a3-17067d78c2da">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@classCode='ASSIGNED' ">(TMP AssignedPartyNL): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']/@nullFlavor)">(TMP AssignedPartyNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&lt;=1">(TMP AssignedPartyNL): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP AssignedPartyNL): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:code)&lt;=1">(TMP AssignedPartyNL): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:assignedPerson|hl7:assignedOrganization)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="$elmcount&gt;=1">(TMP AssignedPartyNL): keuze (hl7:assignedPerson of hl7:assignedOrganization) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="$elmcount&lt;=1">(TMP AssignedPartyNL): keuze (hl7:assignedPerson of hl7:assignedOrganization) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(representedOrganization)&lt;=1">(TMP AssignedPartyNL): element representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']"
         id="tmp-9f57e051-0697-496a-a400-ed887c786461">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.20'">(TMP AssignedPartyNL): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.20' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AssignedPartyNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:id
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:id"
         id="tmp-c2178d18-1d87-4747-ad28-348ae41d1904">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:code
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:code"
         id="tmp-84f4e8dd-c7d1-42f9-8c7b-c5e37abedad0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:addr
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:addr"
         id="tmp-6a3991ac-ae3f-47d3-8e73-c440789bb2b0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']
Item: (TMP AssignedPartyNL)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedPerson
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedPerson"
         id="tmp-f5e93ea2-81bf-40cf-b360-7f1503907d74">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@classCode='PSN' ">(TMP AssignedPartyNL): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@determinerCode='INSTANCE' ">(TMP AssignedPartyNL): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(TMP AssignedPartyNL): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedPerson/hl7:name
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedPerson/hl7:name"
         id="tmp-5ca1b0c0-7b1c-4595-a085-5b7e0661332f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedOrganization
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedOrganization"
         id="tmp-2553ea30-48e5-44d2-8352-76ea0f70329d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@classCode='ORG' ">(TMP AssignedPartyNL): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@determinerCode='INSTANCE' ">(TMP AssignedPartyNL): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:name)&gt;=1 ">(TMP AssignedPartyNL): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedOrganization/hl7:name
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/hl7:assignedOrganization/hl7:name"
         id="tmp-30c49eb5-4480-4e68-8996-c5eb0457eec5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization"
         id="tmp-4e806e2b-81e2-4a0e-9101-ec36ccfdd430">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@classCode='ORG' ">(TMP AssignedPartyNL): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP AssignedPartyNL): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="count(hl7:code)&lt;=1">(TMP AssignedPartyNL): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:id
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:id"
         id="tmp-64568ec5-4212-4692-a42a-d68133026bc0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:code
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:code"
         id="tmp-d88538b9-48ca-486c-9c8a-7daa07d9fbb8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:name
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:name"
         id="tmp-ccd66d35-ab2f-4fc2-bdef-f386ef07696b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.20
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:addr
Item: (TMP AssignedPartyNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.20']/representedOrganization/hl7:addr"
         id="tmp-9987ce9f-e258-4ba0-aa92-8acddae35730">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.20.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP AssignedPartyNL): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>