<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.5
Description: De template wordt gebruikt om een diagnose mee te geven. De auteur van een diagnosecode zal meestal een arts zijn. Vooruitlopend op de situatie dat ook de patiënt de auteur van een
                diagnosecode kan zijn, wordt deze mogelijkheid ondersteund.
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.5">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]
Item: (TMP Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation"
         id="tmp-b3d30447-3c77-4260-a026-2dbf56442844">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='OBS' ">(TMP Diagnose): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@moodCode='EVN' ">(TMP Diagnose): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']/@nullFlavor)">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'])&lt;=1">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Diagnose): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:id)&lt;=1">(TMP Diagnose): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP Diagnose): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:code)&lt;=1">(TMP Diagnose): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:text)&lt;=1">(TMP Diagnose): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Diagnose): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:uncertaintyCode)&lt;=1">(TMP Diagnose): element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:value)&gt;=1 ">(TMP Diagnose): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:value)&lt;=1">(TMP Diagnose): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:author)&lt;=1">(TMP Diagnose): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']"
         id="tmp-29474cb7-b9a9-4a08-9a78-05baeb1816b7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.5'">(TMP Diagnose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.5' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Diagnose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:id
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:id"
         id="tmp-544990c7-60ec-4bbb-bdf0-715950975ebd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:code
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:code"
         id="tmp-dc767051-50e3-4a5a-b736-a179a5afa821">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or (@code='DISDX' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ADMDX' and @codeSystem='2.16.840.1.113883.5.4')">(TMP Diagnose): De waarde van @code MOET één van de volgende codes bevatten: 'DISDX' codeSystem '2.16.840.1.113883.5.4 of ADMDX' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:text
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:text"
         id="tmp-178c67a0-3ac3-4c28-8370-cbc396fae80f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime"
         id="tmp-db5579c5-2522-4565-8e36-1be8f3dffc4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP Diagnose): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:low)&lt;=1">(TMP Diagnose): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:high)&lt;=1">(TMP Diagnose): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:center)=0">(TMP Diagnose): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:width)=0">(TMP Diagnose): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-721e35c1-73b1-452c-b8f5-db27b42b37dd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-c90e85f7-fdb0-42f3-a461-5122f2642d7b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:uncertaintyCode
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-21c8508f-49a6-43e3-9288-8321d91bd150">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-UncertaintyCodeUncertainty-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-UncertaintyCodeUncertainty-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP Diagnose): De waarde van @code MOET worden gekozen uit Value Set UncertaintyCodeUncertainty Uncertainty Code (uncertainty only) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:value
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:value"
         id="tmp-a227e8b5-962f-4bfc-9186-2b2c5a5ce0f1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.31.1')">(TMP Diagnose): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.31.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author"
         id="tmp-c64a1de1-1a4f-41be-aea3-169a7a6d0863">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@typeCode='AUT' ">(TMP Diagnose): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@contextControlCode='ON' ">(TMP Diagnose): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP Diagnose): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:time)&lt;=1">(TMP Diagnose): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="$elmcount&gt;=1">(TMP Diagnose): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:time
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:time"
         id="tmp-6f62731f-d8cc-4dd2-895a-d50ee683e07e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author"
         id="tmp-9bd6ea70-ae09-446c-9bb8-444ef003a2d7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Diagnose): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(TMP Diagnose): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-81e23a3a-b3e8-49e7-958c-5d2180df264d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ASSIGNED' ">(TMP Diagnose): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Diagnose)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-fdaeb459-6557-4e0a-8082-ff4cd3d61f6b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ASSIGNED' ">(TMP Diagnose): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-6f517073-1d76-4eea-8e9b-67dfe143d869">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-8685fdbb-a312-460d-9897-946218b99d53">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Diagnose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Diagnose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP Diagnose)
-->











<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-8b13427a-cc98-40ed-b4e9-6a8e5ebd89d9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']/@nullFlavor)">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&lt;=1">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-9c6b834c-80fc-4337-a968-de11ede4dcbb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.23'">(TMP Diagnose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.23' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Diagnose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer"
         id="tmp-7ed6dd5b-1d52-4b98-8f3e-0f71869a9b46">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@typeCode='PRF' ">(TMP Diagnose): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@contextControlCode='ON' ">(TMP Diagnose): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]|hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="$elmcount&gt;=1">(TMP Diagnose): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']] of hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer"
         id="tmp-58648413-4d55-4854-886f-b4ce33cbcb0f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']])&lt;=1">(TMP Diagnose): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(TMP Diagnose): element hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]
Item: (TMP Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]"
         id="tmp-1bdc9257-edd3-4710-aaf0-5f854ebe0b74">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ASSIGNED' ">(TMP Diagnose): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]
Item: (TMP Diagnose)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]"
         id="tmp-142a70c2-802e-472e-9542-baaff901063d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ASSIGNED' ">(TMP Diagnose): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-ab8fc967-eea8-459b-931b-b7d9c254994c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ASSIGNED' ">(TMP Diagnose): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']/@nullFlavor)">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&lt;=1">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Diagnose): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:code)&lt;=1">(TMP Diagnose): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:assignedPerson|hl7:assignedOrganization)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="$elmcount&gt;=1">(TMP Diagnose): keuze (hl7:assignedPerson of hl7:assignedOrganization) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="$elmcount&lt;=1">(TMP Diagnose): keuze (hl7:assignedPerson of hl7:assignedOrganization) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(representedOrganization)&lt;=1">(TMP Diagnose): element representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']"
         id="tmp-cc6ca7ae-1f23-46d9-9111-95a91ae1f877">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.20'">(TMP Diagnose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.20' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Diagnose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:id
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:id"
         id="tmp-4ad5a30f-119f-45c2-b93f-60269fd9c8ca">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:code
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:code"
         id="tmp-2155d668-5294-4856-9daa-3b737c35c497">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:addr
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:addr"
         id="tmp-0da62cb0-4f03-4f4c-86a1-c0eaee5e5da6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']
Item: (TMP Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:assignedPerson
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedPerson"
         id="tmp-93b87687-fc23-4321-924b-4c16794112c9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='PSN' ">(TMP Diagnose): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@determinerCode='INSTANCE' ">(TMP Diagnose): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(TMP Diagnose): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:assignedPerson/hl7:name
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedPerson/hl7:name"
         id="tmp-e94283a6-fbfc-4b81-abf3-ee9cc73fdf52">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:assignedOrganization
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedOrganization"
         id="tmp-47dc3642-ec15-4b6f-989d-ff42666dd654">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ORG' ">(TMP Diagnose): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@determinerCode='INSTANCE' ">(TMP Diagnose): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:name)&gt;=1 ">(TMP Diagnose): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:assignedOrganization/hl7:name
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedOrganization/hl7:name"
         id="tmp-6204560f-c99d-46d8-a913-e550133a9ed4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/representedOrganization
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization"
         id="tmp-45ab290f-bf5c-4706-94f6-28baff5afcf6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ORG' ">(TMP Diagnose): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Diagnose): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:code)&lt;=1">(TMP Diagnose): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:id
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:id"
         id="tmp-6edfcdcd-11fc-43ff-b688-cb720f06c122">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:code
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:code"
         id="tmp-2f79a2b1-c5e9-4dbc-a334-59d3cb5df34e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:name
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:name"
         id="tmp-fbbf39a1-ab3e-4963-9e65-8074d9ab280e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:addr
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:addr"
         id="tmp-05a60bc3-71be-4e87-a221-8fbeae507723">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP Diagnose): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP Diagnose)
-->











<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-2817de80-04fc-4fa2-88c8-649143347c85">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']/@nullFlavor)">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&lt;=1">(TMP Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (TMP Diagnose)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-f41aecb9-91d2-4e6f-b26b-8f66371486bc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.23'">(TMP Diagnose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.23' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Diagnose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>