<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.9
Description: Deze template wordt gebruikt voor correspondentie. In deze paragraaf wordt Act, outboundRelationship en nogmaals Act beschreven zoals gebruikt voor correspondentie. Samenvattingen van
                correspondentie zijn opgenomen d.m.v. twee acts die gekoppeld zijn met de actRelationship “SUMM” (summarized by) in outboundRelationship. De eerste act is een representatie van de correspondentie
                en bevat gegevens over de auteur, organisatie en datum van de originele correspondentie. De tweede act bevat de daadwerkelijke samenvatting en gegevens over de auteur van de
                samenvatting.
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.70.9">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]
Item: (TMP Correspondentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act"
         id="tmp-5503938d-06aa-4180-90eb-47053817fe92">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='DOCCLIN' ">(TMP Correspondentie): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@moodCode='EVN' ">(TMP Correspondentie): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']/@nullFlavor)">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Correspondentie): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&gt;=1 ">(TMP Correspondentie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&lt;=1">(TMP Correspondentie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:text)&lt;=1">(TMP Correspondentie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:effectiveTime)=0">(TMP Correspondentie): element hl7:effectiveTime MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP Correspondentie): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&lt;=1">(TMP Correspondentie): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']"
         id="tmp-7e988351-3659-4e1f-a40b-d4afe9bad8df">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.9'">(TMP Correspondentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.9' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Correspondentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:id
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:id"
         id="tmp-97631f94-e1b0-4b4d-b7b9-37440252340c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:code
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:code"
         id="tmp-37f2f61c-c7f2-4ecb-be39-07c3d775fe97">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:text
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:text"
         id="tmp-29dd7af7-e049-4143-8a83-136467a2cf55">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:effectiveTime
Item: (TMP Correspondentie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author"
         id="tmp-56efce09-5e42-4639-91e0-dc5577728788">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='AUT' ">(TMP Correspondentie): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='ON' ">(TMP Correspondentie): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP Correspondentie): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&lt;=1">(TMP Correspondentie): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(TMP Correspondentie): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Correspondentie): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:time
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:time"
         id="tmp-4842e461-ae2b-4681-9657-340f26c224f0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-689808f3-55eb-419d-8b0f-a311cdc7169c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&gt;=1 ">(TMP Correspondentie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&lt;=1">(TMP Correspondentie): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-b3f9b6c4-20fb-47bf-8164-75156a9b9a4d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP Correspondentie): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-2bcfb989-ea85-499d-8930-9b5ad580408d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&gt;=1 ">(TMP Correspondentie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&lt;=1">(TMP Correspondentie): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-1d486eb4-9eb6-452d-8f88-cc5235e435a2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP Correspondentie): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-12627b1e-5f2d-41eb-b7f6-cbb7c6cc4f16">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-472555c9-2f7a-47bd-ace5-39100ac3fed4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Correspondentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Correspondentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer"
         id="tmp-c7c47fe6-57f6-4707-a4cb-703f705215d1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='PRF' ">(TMP Correspondentie): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='OP' ">(TMP Correspondentie): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Correspondentie): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-502d140b-40b7-4788-9a2a-8621c0882be0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-d22a6f57-29e0-4e27-b769-f0bf62cd0c78">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-7f71297c-86d2-4abf-b1c6-0b997406d54b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-694da7b5-28bb-4ea9-bf7b-b6249fa3f4b4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Correspondentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Correspondentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship"
         id="tmp-74cea5ad-91a4-46bd-be65-ff66a2d16775">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='SUMM' ">(TMP Correspondentie): De waarde van @typeCode MOET 'SUMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextConductionInd='true' ">(TMP Correspondentie): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(TMP Correspondentie): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:act)&lt;=1">(TMP Correspondentie): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act"
         id="tmp-17397b1b-5a20-4fc2-9ab9-5dcb1f8ad6ac">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='DOCCLIN' ">(TMP Correspondentie): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@moodCode='EVN' ">(TMP Correspondentie): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Correspondentie): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&gt;=1 ">(TMP Correspondentie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:code)&lt;=1">(TMP Correspondentie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP Correspondentie): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:text)&lt;=1">(TMP Correspondentie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP Correspondentie): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:author)&lt;=1">(TMP Correspondentie): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id"
         id="tmp-80f4ce07-44f0-4623-960d-c039f6416ba5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code"
         id="tmp-29ba3c3a-7cd4-4c02-a862-b4b475112cc6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text"
         id="tmp-979aec0b-c277-4f8d-b913-bc34fef6117e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author"
         id="tmp-48358f9b-9ab4-4f08-9efa-e5c636b2e062">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='AUT' ">(TMP Correspondentie): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='ON' ">(TMP Correspondentie): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP Correspondentie): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:time)&lt;=1">(TMP Correspondentie): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Correspondentie): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time"
         id="tmp-632f5b5e-c9e8-4b05-820b-8b261eea3a27">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Correspondentie): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-4f4edf5d-1e1a-40cf-85b8-bac9ccb2201c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-e4a74ed2-29b1-4250-a0e1-59df59d720f0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-aaba5bed-f3ef-41b4-951d-ee6834341b44">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-17cf4437-c7b1-4acb-bf5a-764b720d3bc9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Correspondentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Correspondentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer"
         id="tmp-05bcf793-58a5-4691-950d-601433e6370d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@typeCode='PRF' ">(TMP Correspondentie): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@contextControlCode='OP' ">(TMP Correspondentie): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP Correspondentie): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-ff55cfb2-c5c6-40db-b192-f0756fa779a7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-cfcab1bd-f6b4-4482-8791-f4d8d6ecc2d2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@classCode='ASSIGNED' ">(TMP Correspondentie): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-e580fa89-7397-45fa-8715-9b11b82b2571">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Correspondentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.9
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP Correspondentie)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-865164ee-55d8-4f36-a461-706ead7a63ea">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP Correspondentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.70.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Correspondentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>