<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:hl7="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ao="http://www.aortarelease.nl/805/" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:xmlds="http://www.w3.org/2000/09/xmldsig#" version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->

   <axsl:param name="archiveDirParameter"/>
   <axsl:param name="archiveNameParameter"/>
   <axsl:param name="fileNameParameter"/>
   <axsl:param name="fileDirParameter"/>
   <axsl:variable name="document-uri">
      <axsl:value-of select="document-uri(/)"/>
   </axsl:variable>

<!--PHASES-->


<!--PROLOG-->

   <axsl:output method="text"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-select-full-path">
      <axsl:apply-templates select="." mode="schematron-get-full-path"/>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*:</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>[namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+ $preceding"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@<axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="parent::*">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->

   <axsl:template match="/">
      <axsl:apply-templates select="/" mode="M8"/>
      <axsl:apply-templates select="/" mode="M9"/>
      <axsl:apply-templates select="/" mode="M10"/>
      <axsl:apply-templates select="/" mode="M11"/>
      <axsl:apply-templates select="/" mode="M12"/>
      <axsl:apply-templates select="/" mode="M13"/>
      <axsl:apply-templates select="/" mode="M14"/>
      <axsl:apply-templates select="/" mode="M15"/>
      <axsl:apply-templates select="/" mode="M16"/>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN SAML Assertion-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion" priority="1000" mode="M8">
      <axsl:variable name="samlId" select="concat('token_',//hl7:*[hl7:interactionId][1]/hl7:id/@root,'_',//hl7:*[hl7:interactionId][1]/hl7:id/@extension)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@Version='2.0'"/>
         <axsl:otherwise>
            <axsl:message>@Version moet aanwezig en de waarde '2.0' hebben (@Version='2.0' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(@ID=$samlId)">
         <axsl:message>@ID is niet opgebouwd volgens de aanbevolen methode 'token_messageIdRoot_messageIdExtension', verwacht '<axsl:text/>
            <axsl:value-of select="$samlId"/>
            <axsl:text/>' (not(@ID=$samlId) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Issuer"/>
         <axsl:otherwise>
            <axsl:message>Issuer is verplicht (saml:Issuer / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:Signature"/>
         <axsl:otherwise>
            <axsl:message>Signature in de namespace 'http://www.w3.org/2000/09/xmldsig#' is verplicht (xmlds:Signature / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Subject"/>
         <axsl:otherwise>
            <axsl:message>Subject is verplicht (saml:Subject / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Conditions"/>
         <axsl:otherwise>
            <axsl:message>Conditions is verplicht (saml:Conditions / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:AuthnStatement"/>
         <axsl:otherwise>
            <axsl:message>AuthnStatement is verplicht (saml:AuthnStatement / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:AttributeStatement"/>
         <axsl:otherwise>
            <axsl:message>AttributeStatement is verplicht (saml:AttributeStatement / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M8"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M8"/>
   <axsl:template match="@*|node()" priority="-2" mode="M8">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M8"/>
   </axsl:template>

<!--PATTERN SAML Signature-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/xmlds:Signature" priority="1000" mode="M9">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:KeyInfo"/>
         <axsl:otherwise>
            <axsl:message>Signature/KeyInfo is verplicht (xmlds:KeyInfo / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M9"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M9"/>
   <axsl:template match="@*|node()" priority="-2" mode="M9">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M9"/>
   </axsl:template>

<!--PATTERN SAML Signature/Reference-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/xmlds:Signature/xmlds:SignedInfo/xmlds:Reference" priority="1000" mode="M10">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@URI=concat('#',/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/@ID)"/>
         <axsl:otherwise>
            <axsl:message>Signature/SignedInfo/Reference/@URI moet verwijzen naar Assertion/@ID (@URI=concat('#',/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/@ID) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M10"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M10"/>
   <axsl:template match="@*|node()" priority="-2" mode="M10">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M10"/>
   </axsl:template>

<!--PATTERN SAML Signature/Reference/Transforms-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/xmlds:Signature/xmlds:SignedInfo/xmlds:Reference/xmlds:Transforms" priority="1000" mode="M11">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:Transform[@Algorithm='http://www.w3.org/2000/09/xmldsig#enveloped-signature']"/>
         <axsl:otherwise>
            <axsl:message>Signature/SignedInfo/Reference/Transforms/Transform/@Algorithm='http://www.w3.org/2000/09/xmldsig#enveloped-signature' is verplicht (xmlds:Transform[@Algorithm='http://www.w3.org/2000/09/xmldsig#enveloped-signature'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:Transform[@Algorithm='http://www.w3.org/2001/10/xml-exc-c14n#']"/>
         <axsl:otherwise>
            <axsl:message>Signature/SignedInfo/Reference/Transforms/Transform/@Algorithm='http://www.w3.org/2001/10/xml-exc-c14n#' is verplicht (xmlds:Transform[@Algorithm='http://www.w3.org/2001/10/xml-exc-c14n#'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M11"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M11"/>
   <axsl:template match="@*|node()" priority="-2" mode="M11">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M11"/>
   </axsl:template>

<!--PATTERN SAML Subject-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Subject" priority="1000" mode="M12">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="starts-with(saml:NameID/text(),'urn:cert:')"/>
         <axsl:otherwise>
            <axsl:message>NameID moet beginnen met 'urn:cert:' en worden gevolgd door het seriennummer certifcaat (starts-with(saml:NameID/text(),'urn:cert:') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M12"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M12"/>
   <axsl:template match="@*|node()" priority="-2" mode="M12">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M12"/>
   </axsl:template>

<!--PATTERN SAML Conditions-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Conditions" priority="1000" mode="M13">
      <axsl:variable name="notBefore" select="xs:integer(format-dateTime(xs:dateTime(@NotBefore), '[Y0001][M01][D01][H01][m01][s01]', 'en', (), ()))"/>
      <axsl:variable name="notOnOrAfter" select="xs:integer(format-dateTime(xs:dateTime(@NotOnOrAfter), '[Y0001][M01][D01][H01][m01][s01]', 'en', (), ()))"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$notOnOrAfter &gt; $notBefore"/>
         <axsl:otherwise>
            <axsl:message>Datum @NotBefore moet voor @NotOnOrAfter liggen ($notOnOrAfter &gt; $notBefore / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:AudienceRestriction"/>
         <axsl:otherwise>
            <axsl:message>AudienceRestriction is verplicht (saml:AudienceRestriction / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M13"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M13"/>
   <axsl:template match="@*|node()" priority="-2" mode="M13">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M13"/>
   </axsl:template>

<!--PATTERN SAML Conditions/AudienceRestrictions/Audience-->

   <axsl:variable name="messageReceiver" select="concat('urn:IIroot:',//hl7:receiver[1]/hl7:device/hl7:id/@root,':IIext:',//hl7:receiver[1]/hl7:device/hl7:id/@extension)"/>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Conditions[1]/saml:AudienceRestriction[1]/saml:Audience" priority="1000" mode="M14">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="text() = $messageReceiver"/>
         <axsl:otherwise>
            <axsl:message>Audience '<axsl:text/>
               <axsl:value-of select="."/>
               <axsl:text/>' moet overeenkomen met waarde '<axsl:text/>
               <axsl:value-of select="$messageReceiver"/>
               <axsl:text/>' (text() = $messageReceiver / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M14"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M14"/>
   <axsl:template match="@*|node()" priority="-2" mode="M14">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M14"/>
   </axsl:template>

<!--PATTERN SAML AuthnStatement/AuthnContextClassRef-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AuthnStatement/saml:AuthnContext/saml:AuthnContextClassRef" priority="1000" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test=".='urn:oasis:names:tc:SAML:2.0:ac:classes:SmartcardPKI'"/>
         <axsl:otherwise>
            <axsl:message>Waarde moet 'urn:oasis:names:tc:SAML:2.0:ac:classes:SmartcardPKI' zijn (.='urn:oasis:names:tc:SAML:2.0:ac:classes:SmartcardPKI' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M15"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M15"/>
   <axsl:template match="@*|node()" priority="-2" mode="M15">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M15"/>
   </axsl:template>

<!--PATTERN SAML AttributeStatement-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]" priority="1008" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Attribute[@Name='burgerServiceNummer']/saml:AttributeValue"/>
         <axsl:otherwise>
            <axsl:message>Attribute/@Name='burgerServiceNummer' moet zijn meegetekend (saml:Attribute[@Name='burgerServiceNummer']/saml:AttributeValue / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Attribute[@Name='triggerEventId']/saml:AttributeValue"/>
         <axsl:otherwise>
            <axsl:message>Attribute/@Name='triggerEventId' moet zijn meegetekend (saml:Attribute[@Name='triggerEventId']/saml:AttributeValue / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Attribute[@Name='messageIdExt']/saml:AttributeValue"/>
         <axsl:otherwise>
            <axsl:message>Attribute/@Name='messageIdExt' moet zijn meegetekend (saml:Attribute[@Name='messageIdExt']/saml:AttributeValue / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Attribute[@Name='messageIdRoot']/saml:AttributeValue"/>
         <axsl:otherwise>
            <axsl:message>Attribute/@Name='messageIdRoot' moet zijn meegetekend (saml:Attribute[@Name='messageIdRoot']/saml:AttributeValue / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M16"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]/saml:Attribute[@Name='burgerServiceNummer']/saml:AttributeValue" priority="1006" mode="M16">
      <axsl:variable name="codeValue" select="text()"/>
      <axsl:variable name="patientId" select="//hl7:*[@root='2.16.840.1.113883.2.4.6.3']/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test=". = $patientId"/>
         <axsl:otherwise>
            <axsl:message>Attribute burgerServiceNummer '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' moet overeenkomen met verwachte waarde 
                '<axsl:text/>
               <axsl:value-of select="$patientId"/>
               <axsl:text/>' (. = $patientId / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M16"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]/saml:Attribute[@Name='triggerEventId']/saml:AttributeValue" priority="1004" mode="M16">
      <axsl:variable name="codeValue" select="text()"/>
      <axsl:variable name="interactionId" select="//hl7:interactionId[1]/@extension"/>
      <axsl:variable name="vocabFile" select="concat('../vocab/',//hl7:interactionId[1]/@root,'.xml')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="document(concat('../vocab/',//hl7:interactionId[1]/@root,'.xml'))/*/hl7:code[@code=$interactionId]/hl7:reference[@extension=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Attribute triggerEventId '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' moet overeenkomen met verwachte waarde 
            '<axsl:text/>
               <axsl:value-of select="document(concat('../vocab/',//hl7:interactionId[1]/@root,'.xml'))/*/hl7:code[@code=$interactionId]/hl7:reference/@extension"/>
               <axsl:text/>' (document(concat('../vocab/',//hl7:interactionId[1]/@root,'.xml'))/*/hl7:code[@code=$interactionId]/hl7:reference[@extension=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M16"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]/saml:Attribute[@Name='messageIdExt']/saml:AttributeValue" priority="1002" mode="M16">
      <axsl:variable name="codeValue" select="text()"/>
      <axsl:variable name="messageIdExt" select="//hl7:*[hl7:interactionId][1]/hl7:id/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$codeValue = $messageIdExt"/>
         <axsl:otherwise>
            <axsl:message>Attribute messageIdExt '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' moet overeenkomen met verwachte waarde '<axsl:text/>
               <axsl:value-of select="$messageIdExt"/>
               <axsl:text/>' ($codeValue = $messageIdExt / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M16"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]/saml:Attribute[@Name='messageIdRoot']/saml:AttributeValue" priority="1000" mode="M16">
      <axsl:variable name="codeValue" select="text()"/>
      <axsl:variable name="messageIdRoot" select="//hl7:*[hl7:interactionId][1]/hl7:id/@root"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$codeValue = $messageIdRoot"/>
         <axsl:otherwise>
            <axsl:message>Attribute messageIdRoot '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' moet overeenkomen met verwachte waarde '<axsl:text/>
               <axsl:value-of select="$messageIdRoot"/>
               <axsl:text/>' ($codeValue = $messageIdRoot / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M16"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M16"/>
   <axsl:template match="@*|node()" priority="-2" mode="M16">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M16"/>
   </axsl:template>
</axsl:stylesheet>