<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:hl7="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ao="http://www.aortarelease.nl/805/" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:xmlds="http://www.w3.org/2000/09/xmldsig#" version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->

   <axsl:param name="archiveDirParameter"/>
   <axsl:param name="archiveNameParameter"/>
   <axsl:param name="fileNameParameter"/>
   <axsl:param name="fileDirParameter"/>
   <axsl:variable name="document-uri">
      <axsl:value-of select="document-uri(/)"/>
   </axsl:variable>

<!--PHASES-->


<!--PROLOG-->

   <axsl:output method="text"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-select-full-path">
      <axsl:apply-templates select="." mode="schematron-get-full-path"/>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*:</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>[namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+ $preceding"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@<axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="parent::*">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->

   <axsl:template match="/">
      <axsl:apply-templates select="/" mode="M8"/>
      <axsl:apply-templates select="/" mode="M9"/>
      <axsl:apply-templates select="/" mode="M10"/>
      <axsl:apply-templates select="/" mode="M11"/>
      <axsl:apply-templates select="/" mode="M12"/>
      <axsl:apply-templates select="/" mode="M13"/>
      <axsl:apply-templates select="/" mode="M14"/>
      <axsl:apply-templates select="/" mode="M15"/>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN SAML Assertion-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion" priority="1000" mode="M8">
      <axsl:variable name="samlId" select="concat('token_',//hl7:*[hl7:interactionId][1]/hl7:id/@root,'_',//hl7:*[hl7:interactionId][1]/hl7:id/@extension)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@Version='2.0'"/>
         <axsl:otherwise>
            <axsl:message>@Version moet aanwezig en de waarde '2.0' hebben (@Version='2.0' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(@ID=$samlId)">
         <axsl:message>@ID is niet opgebouwd volgens de aanbevolen methode 'token_messageIdRoot_messageIdExtension', verwacht '<axsl:text/>
            <axsl:value-of select="$samlId"/>
            <axsl:text/>' (not(@ID=$samlId) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Issuer"/>
         <axsl:otherwise>
            <axsl:message>Issuer is verplicht (saml:Issuer / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:Signature"/>
         <axsl:otherwise>
            <axsl:message>Signature in de namespace 'http://www.w3.org/2000/09/xmldsig#' is verplicht (xmlds:Signature / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Subject"/>
         <axsl:otherwise>
            <axsl:message>Subject is verplicht (saml:Subject / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Conditions"/>
         <axsl:otherwise>
            <axsl:message>Conditions is verplicht (saml:Conditions / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:AuthnStatement"/>
         <axsl:otherwise>
            <axsl:message>AuthnStatement is verplicht (saml:AuthnStatement / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:AttributeStatement"/>
         <axsl:otherwise>
            <axsl:message>AttributeStatement is verplicht (saml:AttributeStatement / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M8"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M8"/>
   <axsl:template match="@*|node()" priority="-2" mode="M8">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M8"/>
   </axsl:template>

<!--PATTERN SAML Signature-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/xmlds:Signature" priority="1000" mode="M9">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:KeyInfo"/>
         <axsl:otherwise>
            <axsl:message>Signature/KeyInfo is verplicht (xmlds:KeyInfo / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M9"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M9"/>
   <axsl:template match="@*|node()" priority="-2" mode="M9">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M9"/>
   </axsl:template>

<!--PATTERN SAML Signature/Reference-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/xmlds:Signature/xmlds:SignedInfo/xmlds:Reference" priority="1000" mode="M10">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@URI=concat('#',/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/@ID)"/>
         <axsl:otherwise>
            <axsl:message>Signature/SignedInfo/Reference/@URI moet verwijzen naar Assertion/@ID (@URI=concat('#',/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/@ID) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M10"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M10"/>
   <axsl:template match="@*|node()" priority="-2" mode="M10">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M10"/>
   </axsl:template>

<!--PATTERN SAML Signature/Reference/Transforms-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/xmlds:Signature/xmlds:SignedInfo/xmlds:Reference/xmlds:Transforms" priority="1000" mode="M11">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:Transform[@Algorithm='http://www.w3.org/2000/09/xmldsig#enveloped-signature']"/>
         <axsl:otherwise>
            <axsl:message>Signature/SignedInfo/Reference/Transforms/Transform/@Algorithm='http://www.w3.org/2000/09/xmldsig#enveloped-signature' is verplicht (xmlds:Transform[@Algorithm='http://www.w3.org/2000/09/xmldsig#enveloped-signature'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="xmlds:Transform[@Algorithm='http://www.w3.org/2001/10/xml-exc-c14n#']"/>
         <axsl:otherwise>
            <axsl:message>Signature/SignedInfo/Reference/Transforms/Transform/@Algorithm='http://www.w3.org/2001/10/xml-exc-c14n#' is verplicht (xmlds:Transform[@Algorithm='http://www.w3.org/2001/10/xml-exc-c14n#'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M11"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M11"/>
   <axsl:template match="@*|node()" priority="-2" mode="M11">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M11"/>
   </axsl:template>

<!--PATTERN SAML Subject/NameID-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Subject/saml:NameID" priority="1004" mode="M12">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.='6B2EBBF2E5290BC')"/>
         <axsl:otherwise>
            <axsl:message>NameID '6B2EBBF2E5290BC' komt rechtstreeks uit de implementatiehandleiding. Digi-D is verantwoordelijk voor het al of niet aanleveren van deze waarde (not(.='6B2EBBF2E5290BC') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M12"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Subject/saml:SubjectConfirmation" priority="1002" mode="M12">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@Method='urn:oasis:names:tc:SAML:2.0:cm:bearer'"/>
         <axsl:otherwise>
            <axsl:message>@Method moet de waarde 'urn:oasis:names:tc:SAML:2.0:cm:bearer' hebben (@Method='urn:oasis:names:tc:SAML:2.0:cm:bearer' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M12"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Subject/saml:SubjectConfirmation/saml:SubjectConfirmationData" priority="1000" mode="M12">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@InResponseTo"/>
         <axsl:otherwise>
            <axsl:message>@InResponseTo deze is verplicht (@InResponseTo / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@NotOnOrAfter"/>
         <axsl:otherwise>
            <axsl:message>@NotOnOrAfter deze is verplicht (@NotOnOrAfter / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@Recipient"/>
         <axsl:otherwise>
            <axsl:message>@Recipient deze is verplicht (@Recipient / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M12"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M12"/>
   <axsl:template match="@*|node()" priority="-2" mode="M12">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M12"/>
   </axsl:template>

<!--PATTERN SAML Conditions-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Conditions" priority="1004" mode="M13">
      <axsl:variable name="notBefore" select="xs:integer(format-dateTime(xs:dateTime(@NotBefore), '[Y0001][M01][D01][H01][m01][s01]', 'en', (), ()))"/>
      <axsl:variable name="notOnOrAfter" select="xs:integer(format-dateTime(xs:dateTime(@NotOnOrAfter), '[Y0001][M01][D01][H01][m01][s01]', 'en', (), ()))"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$notOnOrAfter &gt; $notBefore"/>
         <axsl:otherwise>
            <axsl:message>Datum @NotBefore moet voor @NotOnOrAfter liggen ($notOnOrAfter &gt; $notBefore / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:AudienceRestriction"/>
         <axsl:otherwise>
            <axsl:message>AudienceRestriction is verplicht (saml:AudienceRestriction / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M13"/>
   </axsl:template>
   <axsl:variable name="messageReceiver" select="concat('urn:IIroot:',//hl7:receiver[1]/hl7:device/hl7:id/@root,':IIext:',//hl7:receiver[1]/hl7:device/hl7:id/@extension)"/>
   <axsl:variable name="messageSender" select="concat('urn:IIroot:',//hl7:sender[1]/hl7:device/hl7:id/@root,':IIext:',//hl7:sender[1]/hl7:device/hl7:id/@extension)"/>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:Conditions[1]/saml:AudienceRestriction[1]" priority="1000" mode="M13">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(saml:Audience) = 2"/>
         <axsl:otherwise>
            <axsl:message>Er moeten 2 Audiences zijn. De ZIM en het GBP (count(saml:Audience) = 2 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Audience[.=$messageReceiver]"/>
         <axsl:otherwise>
            <axsl:message>Audience ZIM '<axsl:text/>
               <axsl:value-of select="$messageReceiver"/>
               <axsl:text/>' ontbreekt (saml:Audience[.=$messageReceiver] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Audience[.=$messageSender]"/>
         <axsl:otherwise>
            <axsl:message>Audience ZIM '<axsl:text/>
               <axsl:value-of select="$messageSender"/>
               <axsl:text/>' ontbreekt (saml:Audience[.=$messageSender] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M13"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M13"/>
   <axsl:template match="@*|node()" priority="-2" mode="M13">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M13"/>
   </axsl:template>

<!--PATTERN SAML AuthnStatement-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AuthnStatement" priority="1004" mode="M14">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@AuthnInstant"/>
         <axsl:otherwise>
            <axsl:message>@AuthnInstant is verplicht (@AuthnInstant / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@SessionIndex"/>
         <axsl:otherwise>
            <axsl:message>@SessionIndex is verplicht (@SessionIndex / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:SubjectLocality"/>
         <axsl:otherwise>
            <axsl:message>SubjectLocality is verplicht (saml:SubjectLocality / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:AuthnContext"/>
         <axsl:otherwise>
            <axsl:message>AuthnContext is verplicht (saml:AuthnContext / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M14"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AuthnStatement/saml:SubjectLocality" priority="1002" mode="M14">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@Address,'\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}')"/>
         <axsl:otherwise>
            <axsl:message>SubjectLocality/@Address moet een IP-adres zijn (matches(@Address,'\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M14"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AuthnStatement/saml:AuthnContext/saml:AuthnContextClassRef" priority="1000" mode="M14">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="text()='urn:oasis:names:tc:SAML:2.0:ac:classes:MobileTwoFactorContract'"/>
         <axsl:otherwise>
            <axsl:message>Waarde moet 'urn:oasis:names:tc:SAML:2.0:ac:classes:MobileTwoFactorContract' zijn (text()='urn:oasis:names:tc:SAML:2.0:ac:classes:MobileTwoFactorContract' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M14"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M14"/>
   <axsl:template match="@*|node()" priority="-2" mode="M14">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M14"/>
   </axsl:template>

<!--PATTERN SAML AttributeStatement-->


	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]" priority="1004" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Attribute[@Name='burgerServiceNummer']/saml:AttributeValue"/>
         <axsl:otherwise>
            <axsl:message>Attribute/@Name='burgerServiceNummer' moet zijn meegetekend (saml:Attribute[@Name='burgerServiceNummer']/saml:AttributeValue / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="saml:Attribute[@Name='authenticatieSterkte']/saml:AttributeValue"/>
         <axsl:otherwise>
            <axsl:message>Attribute/@Name='authenticatieSterkte' moet zijn meegetekend (saml:Attribute[@Name='authenticatieSterkte']/saml:AttributeValue / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]/saml:Attribute[@Name='burgerServiceNummer']/saml:AttributeValue" priority="1002" mode="M15">
      <axsl:variable name="codeValue" select="text()"/>
      <axsl:variable name="patientId" select="//hl7:*[@root='2.16.840.1.113883.2.4.6.3']/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test=". = $patientId"/>
         <axsl:otherwise>
            <axsl:message>Attribute burgerServiceNummer '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' moet overeenkomen met verwachte waarde 
                '<axsl:text/>
               <axsl:value-of select="$patientId"/>
               <axsl:text/>' (. = $patientId / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="/soap:Envelope/soap:Header[1]/wsse:Security[1]/saml:Assertion/saml:AttributeStatement[1]/saml:Attribute[@Name='authenticatieSterkte']/saml:AttributeValue" priority="1000" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test=".='22'"/>
         <axsl:otherwise>
            <axsl:message>Attribute authenticatieSterkte '<axsl:text/>
               <axsl:value-of select="."/>
               <axsl:text/>' moet overeenkomen met verwachte waarde '22' (22=Midden-plus) (.='22' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M15"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M15"/>
   <axsl:template match="@*|node()" priority="-2" mode="M15">
      <axsl:apply-templates select="*|comment()|processing-instruction()" mode="M15"/>
   </axsl:template>
</axsl:stylesheet>