<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:aorta="http://www.aortarelease.nl/805/"
  xmlns:xmlsig="http://www.w3.org/2000/09/xmldsig#"
  xmlns:wss="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"
  exclude-result-prefixes="aorta xmlsig wss"
  version="1.0">

  <xsl:output method="xml"/>

  <xsl:template match="/">
    <soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
    <soap:Header xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
        <ao:authenticationTokens xmlns:ao="http://www.aortarelease.nl/805/" soap:mustUnderstand="1">
          <xsl:apply-templates select="/wrapper/aorta:signedData"/>
        </ao:authenticationTokens>
        <wss:Security xmlns:wss="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" soap:mustUnderstand="1">
          <xsl:apply-templates select="/wrapper/xmlsig:Signature"/>
        </wss:Security>
    </soap:Header>
    <soap:Body>
    </soap:Body>
    </soap:Envelope>
  </xsl:template>

  <xsl:template match="xmlsig:KeyInfo">
    <KeyInfo xmlns="http://www.w3.org/2000/09/xmldsig#">
      <wss:SecurityTokenReference>
        <xsl:apply-templates select="*"/>
      </wss:SecurityTokenReference>
    </KeyInfo>
  </xsl:template>

  <xsl:template match="*|@*|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|text()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
