<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11
Description: Dossieroverdracht bij brengplicht REPC_IN002120NL_JGZ
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11">
   <title>JGZ dossieroverdracht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ" id="tmp-06ff5a27-0fe7-4288-b2e8-ea110b4e8c39">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">Dossieroverdracht: element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:ControlActProcess)&lt;=1">Dossieroverdracht: element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:id"
         id="tmp-2f434bab-2407-4489-8a26-4f4dd47373f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">Dossieroverdracht: Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:creationTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:creationTime"
         id="tmp-e5bb6126-1dd2-4083-a871-0d8bb7916f77">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <let name="datatypeName" value="substring-after(string(@xsi:type),':')"/>
      <assert role="error"
              test="not(@xsi:type) or string(@xsi:type)='TS' or substring-after(string(@xsi:type),':')='TS'">Dossieroverdracht: Transmission: creationTime moet datatype TS hebben.</assert>
      <assert role="error" test="matches(@value,'^[0-9]{14}')">Dossieroverdracht: Transmission: creationTime moet minimaal op de seconde nauwkeurig zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:versionCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:versionCode"
         id="tmp-96cb0e1d-9277-4b90-a565-7c5156d4f967">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">Dossieroverdracht: De waarde van @code MOET 'NICTIZEd2005-Okt' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-2577f2a7-32f2-4004-a96b-9bac2376625f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.1.6'">Dossieroverdracht: @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Dossieroverdracht: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">Dossieroverdracht: Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-483d1941-c96a-4f86-926b-4f065355c9c4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">Dossieroverdracht: @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Dossieroverdracht: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@extension='810'">Dossieroverdracht: De waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:processingCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:processingCode"
         id="tmp-78030ce1-9688-495c-ba6c-9da0a67ab2e3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='P')">Dossieroverdracht: De waarde van @code MOET 'P' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode"
         id="tmp-86f35ab4-f563-44e7-89b9-feeff5c67bb0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='T')">Dossieroverdracht: De waarde van @code MOET 'T' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode"
         id="tmp-48bbfa81-485b-45e9-86ec-78582445d739">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='AL')">Dossieroverdracht: De waarde van @code MOET 'AL' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver"
         id="tmp-3901931f-b30c-489b-92cc-6750147710f4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RCV' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Dossieroverdracht: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&lt;=1">Dossieroverdracht: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device"
         id="tmp-c4827333-70d5-4fd8-8189-009394f68985">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Dossieroverdracht: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Dossieroverdracht: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-43611dd2-c351-4bcd-9b64-2628e03382cc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Dossieroverdracht: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Dossieroverdracht: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Dossieroverdracht: Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:name
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:name"
         id="tmp-daeefefb-447f-4c8b-9173-a564bba401db">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender"
         id="tmp-ff995f90-dba7-431f-8350-9e97bfedac1b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SND' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Dossieroverdracht: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&lt;=1">Dossieroverdracht: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device"
         id="tmp-1e8a4c2b-b692-4ca4-bfc1-90c3faabc32b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Dossieroverdracht: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Dossieroverdracht: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-414bb35f-5dd0-479a-8b23-78be0e513002">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Dossieroverdracht: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Dossieroverdracht: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Dossieroverdracht: Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:name
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:name"
         id="tmp-341e89da-f7f9-4d4b-b0e3-f770eec4b8c6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess"
         id="tmp-0e519170-d9dc-429b-a7c3-725ed5743bb8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:authorOrPerformer)&gt;=1 and not(hl7:authorOrPerformer/@nullFlavor)">Dossieroverdracht: element hl7:authorOrPerformer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:authorOrPerformer)&lt;=1">Dossieroverdracht: element hl7:authorOrPerformer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)">Dossieroverdracht: element hl7:overseer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:overseer)&lt;=1">Dossieroverdracht: element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">Dossieroverdracht: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&lt;=1">Dossieroverdracht: element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id"
         id="tmp-427dc6e5-e14e-4b56-9a4b-c33436d71b9f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code"
         id="tmp-e3139ba9-7ca4-45a8-9544-51df77513b05">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.1.18' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-37016e22-e9b1-42e2-a1c8-f4415a4589d8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@value">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet datatype TS hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:reasonCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:languageCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:informationRecipient
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:dataEnterer
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer"
         id="tmp-311fea99-4b0f-4c8f-b862-ff9dc5dda9e8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' ">Dossieroverdracht: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Dossieroverdracht: element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:participant)&lt;=1">Dossieroverdracht: element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant"
         id="tmp-3ad80d3f-c228-4293-ad8d-e20fde7579ea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">Dossieroverdracht: element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&lt;=1">Dossieroverdracht: element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson"
         id="tmp-4239b4de-5379-4310-b5f6-f09793435c22">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)&lt;=1">Dossieroverdracht: element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:noteText)=0">Dossieroverdracht: element hl7:noteText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)=0">Dossieroverdracht: element hl7:time MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:modeCode)=0">Dossieroverdracht: element hl7:modeCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:signatureCode)=0">Dossieroverdracht: element hl7:signatureCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:signatureText)=0">Dossieroverdracht: element hl7:signatureText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">Dossieroverdracht: element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&lt;=1">Dossieroverdracht: element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id"
         id="tmp-53cfe20f-d8ab-4e71-8872-76e1ded16663">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-61289813-2541-4dc9-a60c-c2de3b5a3aa9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-090099c7-ee69-4293-b315-67835f2b769c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:name
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-76f97d06-ed5e-4b46-ba7b-2a511fa7b246">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:time
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-31569742-53b8-435c-a339-bab8bc87e7ac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Dossieroverdracht: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&lt;=1">Dossieroverdracht: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-d318d5f9-f25e-46af-9892-84c9a4c37afa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">Dossieroverdracht: &gt;Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-ab655e09-71dc-4e28-81f3-9f6332d8bdf5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.15.1060' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-6aab5f6a-f0e2-46da-b7b1-6741d6bd88c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-05823abf-e503-4148-a978-ff703ffb3da1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-648ac2a3-ff16-4a1b-b031-fc798d2d6f05">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer"
         id="tmp-1404d415-f42a-40e2-a192-4d461dac5302">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RESP' ">Dossieroverdracht: De waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">Dossieroverdracht: element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&lt;=1">Dossieroverdracht: element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-40490e5d-2fe7-49a0-8626-59d7883ddc7b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">Dossieroverdracht: element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">Dossieroverdracht: element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">Dossieroverdracht: element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&lt;=1">Dossieroverdracht: element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id"
         id="tmp-8a41a3c2-ad7b-4d85-b7c6-0e70f5843f17">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-7c31e776-acc4-4d15-b715-629612ce6097">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-101cb0d3-fe2e-4ab9-bb72-4b1136815df2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">Dossieroverdracht: element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">Dossieroverdracht: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-c98aed75-75a7-4781-9d8e-8c1b28020f38">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Dossieroverdracht: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-07c8b88f-655a-4b43-9d4e-41fec1544cf3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-428a89c3-c21e-4c8d-9196-ccccede8ab5d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Dossieroverdracht: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">Dossieroverdracht: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&lt;=1">Dossieroverdracht: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-e314e6fb-8d1d-46c3-9f67-4e5d265bf909">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-cd1a72c1-a90a-431f-a488-8ebfd8a23237">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.15.1060' and @code">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet een zorgaanbieder-code bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-9472e4d5-7723-4d3a-be2d-1f67b64be65e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-41de4c9f-8520-4dbb-8fde-9616eb349abc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="hl7:city">Dossieroverdracht: Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject"
         id="tmp-8f849fdc-ff3b-4673-9969-04519e963e8f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:CareProvisionRequest)&gt;=1 and not(hl7:CareProvisionRequest/@nullFlavor)">Dossieroverdracht: element hl7:CareProvisionRequest is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:CareProvisionRequest)&lt;=1">Dossieroverdracht: element hl7:CareProvisionRequest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest"
         id="tmp-6018daec-4d2d-4b60-8eb0-db5456292132">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 ">Dossieroverdracht: element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">Dossieroverdracht: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">Dossieroverdracht: element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">Dossieroverdracht: element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">Dossieroverdracht: element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">Dossieroverdracht: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">Dossieroverdracht: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&lt;=1">Dossieroverdracht: element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:sequelTo)&gt;=1 and not(hl7:sequelTo/@nullFlavor)">Dossieroverdracht: element hl7:sequelTo is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:sequelTo)&lt;=1">Dossieroverdracht: element hl7:sequelTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:code"
         id="tmp-9e15419d-df5f-4864-ac7a-31eb19b6bc2a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'CPHC' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:statusCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:statusCode"
         id="tmp-a547a92a-f321-4329-b196-544db6d540e7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active')">Dossieroverdracht: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author"
         id="tmp-0fa60ec7-f3d8-473f-a59a-ce0db7c674fc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">Dossieroverdracht: element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">Dossieroverdracht: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:time
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity"
         id="tmp-38ef0483-956e-4a29-befb-51a0a1a303a4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-031b81b1-d5e3-4524-90ae-1b9d289e7cfb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-6eedf9b6-99ae-4153-8fc0-af097d480e04">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:author/hl7:assignedEntity/hl7:addr"
         id="tmp-4e30a660-5d6c-45f8-834c-1f1f065b9298">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer"
         id="tmp-4f0e6326-1e11-41d0-881e-49d147a120de">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity"
         id="tmp-d86124e9-0b3e-4548-8791-65ad3948deb7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-7d58a35b-2635-45f9-a9e1-4056f73fcdf6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-2ce1a4e2-5d60-4f09-a8c3-c89b4d4f4fda">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-2f056937-9184-4ffe-aa1e-49743c7246f4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject"
         id="tmp-691367b3-bfec-4389-89cc-a6052eb7a9cb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">Dossieroverdracht: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:patient)&lt;=1">Dossieroverdracht: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient"
         id="tmp-7cf571d7-0a4e-4b75-88d7-135236c0774b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">Dossieroverdracht: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">Dossieroverdracht: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:confidentialityCode)&lt;=1">Dossieroverdracht: element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-2e0f598b-02c2-4e88-905c-012b57df8845">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">Dossieroverdracht: @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Dossieroverdracht: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:addr"
         id="tmp-5125b26d-7f2e-4fa9-b345-affab3af23ca">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:telecom
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:telecom"
         id="tmp-095dad68-9232-46d0-b946-24f5d653389e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:statusCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:statusCode"
         id="tmp-c5b23c94-2204-4be2-a998-07ac26d0ed4e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active')">Dossieroverdracht: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:confidentialityCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:confidentialityCode"
         id="tmp-09fbfe80-6124-4931-9292-28e827069ef6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.171-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.171-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set 2.16.840.1.113883.2.4.3.11.60.100.11.171 W0032 GBA-veld 07.70.10 Indicatie geheim DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set 2.16.840.1.113883.2.4.3.11.60.100.11.171 W0032 GBA-veld 07.70.10 Indicatie geheim DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf"
         id="tmp-042c2498-d9cf-4704-bd82-465b0515d018">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COV' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:policyOrAccount)&gt;=1 and not(hl7:policyOrAccount/@nullFlavor)">Dossieroverdracht: element hl7:policyOrAccount is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:policyOrAccount)&lt;=1">Dossieroverdracht: element hl7:policyOrAccount komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf/hl7:policyOrAccount
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf/hl7:policyOrAccount"
         id="tmp-8071e5b3-1c48-4aa0-a91c-3a262c2e733a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='COV' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">Dossieroverdracht: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf/hl7:policyOrAccount/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf/hl7:policyOrAccount/hl7:id"
         id="tmp-ab08c4c3-27c1-4a77-9426-4075b6a83385">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf/hl7:policyOrAccount/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:covererdPartyOf/hl7:policyOrAccount/hl7:code"
         id="tmp-8d64b171-90c0-48df-8b23-4a2d79d1a27c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf"
         id="tmp-c530e327-fe7a-426b-9d23-d0baae402b40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:administrativeObservation)&lt;=1">Dossieroverdracht: element hl7:administrativeObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation"
         id="tmp-7b21974b-d107-406a-9dc5-138b30147581">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">Dossieroverdracht: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation/hl7:code"
         id="tmp-92190cd5-332c-4b54-ac42-38767f12fe34">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '27' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 29' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation/hl7:statusCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:administrativeObservation/hl7:value"
         id="tmp-65fe9738-7526-4973-877e-7eb3e3626a87">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson"
         id="tmp-96f3b790-8d0a-4387-934e-30c3bb63db31">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">Dossieroverdracht: element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:birthTime)&lt;=1">Dossieroverdracht: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:identifiedPerson)&lt;=1">Dossieroverdracht: element hl7:identifiedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:member)&lt;=1">Dossieroverdracht: element hl7:member komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-e9c54ac4-aac9-4467-bd36-4d0b805b067c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-4057da1c-5835-490c-964e-9aaa2b173cc7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen"
         id="tmp-caee622c-7ae8-46d1-b4f7-9c6e97db2397">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CIT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CIT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">Dossieroverdracht: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nation)&lt;=1">Dossieroverdracht: element hl7:nation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:code
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:statusCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:statusCode"
         id="tmp-d8eb5123-7556-4032-b252-df5c74347d7f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:nation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:nation"
         id="tmp-89f89610-f879-460e-8deb-0395481eda7d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='NAT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'NAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">Dossieroverdracht: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:nation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:nation/hl7:code"
         id="tmp-32e5edee-1586-4b15-80b5-79be3d50c9db">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.12.212')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.12.212' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:citizen/hl7:nation/hl7:code
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:contactParty
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:contactParty"
         id="tmp-c9558d8c-da36-47e6-a0bd-409fb70dbef5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CON' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:person)&gt;=1 and not(hl7:person/@nullFlavor)">Dossieroverdracht: element hl7:person is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:person)&lt;=1">Dossieroverdracht: element hl7:person komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code"
         id="tmp-a6236391-1112-4e5a-9399-e334da837b60">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:person
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian"
         id="tmp-4c2ee0db-7bac-4dc4-beba-4d5b39767af8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='GUARD' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'GUARD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)=0">Dossieroverdracht: element hl7:id MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)=0">Dossieroverdracht: element hl7:addr MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)=0">Dossieroverdracht: element hl7:telecom MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)=0">Dossieroverdracht: element hl7:statusCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)=0">Dossieroverdracht: element hl7:effectiveTime MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:certificateText)=0">Dossieroverdracht: element hl7:certificateText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:person)&lt;=1">Dossieroverdracht: element hl7:person komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:organization)&lt;=1">Dossieroverdracht: element hl7:organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:code"
         id="tmp-535974e8-e960-4323-915b-3e58814850b0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.300')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.300' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:addr
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:telecom
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:statusCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:certificateText
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:person
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:organization
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson"
         id="tmp-ecf07a99-fa30-4025-bfbc-4517c21d2505">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='IDENT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'IDENT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)=0">Dossieroverdracht: element hl7:addr MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)=0">Dossieroverdracht: element hl7:telecom MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)=0">Dossieroverdracht: element hl7:statusCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)=0">Dossieroverdracht: element hl7:effectiveTime MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:confidentialityCode)=0">Dossieroverdracht: element hl7:confidentialityCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">Dossieroverdracht: element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:addr
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:telecom
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:statusCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:confidentialityCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf"
         id="tmp-8b6c1f49-5203-4871-8a37-5cfe0e97b77e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:identityDocument)&lt;=1">Dossieroverdracht: element hl7:identityDocument komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument"
         id="tmp-50398518-029a-4ce3-8325-58af9ca50ec4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='DOC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&gt;=1 ">Dossieroverdracht: element hl7:subject is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&lt;=1">Dossieroverdracht: element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:code"
         id="tmp-63f0e9a7-ea12-49dc-8d2c-d7f00d1d5f2e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.301')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.301' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject"
         id="tmp-9dba1043-f40b-45d2-ba06-f921bc4c880f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:verification)&gt;=1 ">Dossieroverdracht: element hl7:verification is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:verification)&lt;=1">Dossieroverdracht: element hl7:verification komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification"
         id="tmp-4a9c6405-1430-4e5e-a951-c03371dcf674">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='VERIF' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'VERIF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification/hl7:code"
         id="tmp-5ace7188-0873-475f-8d0a-3754c53f449c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '700' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification/hl7:effectiveTime"
         id="tmp-a7590ff7-2667-49a9-bc8f-0d136a990c7d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:identifiedPerson/hl7:subjectOf/hl7:identityDocument/hl7:subject/hl7:verification/hl7:value"
         id="tmp-dd25caf6-2e43-4089-a8fa-551907e31eac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member"
         id="tmp-66892663-649d-4316-a90b-c244f09ec957">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='MBR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'MBR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)=0">Dossieroverdracht: element hl7:code MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)=0">Dossieroverdracht: element hl7:statusCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)">Dossieroverdracht: element hl7:group is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:group)&lt;=1">Dossieroverdracht: element hl7:group komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:code
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:statusCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf"
         id="tmp-9d473540-a4cd-48a9-8563-4c2b6107b135">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf/hl7:observationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf/hl7:observationEvent"
         id="tmp-ffd013a0-3e45-4211-8d3b-2ce3bb464e15">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf/hl7:observationEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf/hl7:observationEvent/hl7:code"
         id="tmp-d2244181-64dd-44e1-822b-4fde1c7759c6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '683' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf/hl7:observationEvent/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf/hl7:observationEvent/hl7:value"
         id="tmp-54200950-bcc3-4d2d-a437-2f121a110583">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group"
         id="tmp-182af0c3-29db-40f1-b93b-9579ca3fb928">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ORG' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">Dossieroverdracht: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:id"
         id="tmp-0278dfdf-c4aa-486a-930e-4341df778072">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:code"
         id="tmp-2c609e4e-4c0b-4e9f-b0da-457387b362cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.262')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.262' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:addr
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:houseMate
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:houseMate"
         id="tmp-6c1a060a-8d61-4289-96a8-078048183a65">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='MBR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'MBR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)=0">Dossieroverdracht: element hl7:telecom MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:person)&gt;=1 and not(hl7:person/@nullFlavor)">Dossieroverdracht: element hl7:person is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:person)&lt;=1">Dossieroverdracht: element hl7:person komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:houseMate/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:houseMate/hl7:code"
         id="tmp-febe888a-0fa1-4e57-ade3-6535cd2000cd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:houseMate/hl7:telecom
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:houseMate/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group/hl7:houseMate/hl7:person
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject"
         id="tmp-d3a292d4-b4f1-4755-8e52-338b27d7e61c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:scopingOrganization)&lt;=1">Dossieroverdracht: element hl7:scopingOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:effectiveTime"
         id="tmp-7500b71a-cae7-472f-98e6-0b686d38a6c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">Dossieroverdracht: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision"
         id="tmp-0250cc74-4774-4ccb-b5a0-ee0401e513f3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">Dossieroverdracht: element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:code"
         id="tmp-844d384f-6b50-4181-9264-b15aaad6ab8f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.2')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.2' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:effectiveTime"
         id="tmp-ca94ce98-ff45-4dc8-bbfa-75c5d1706ecf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">Dossieroverdracht: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:reasonCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:subjectOf/hl7:nonMedicalCareProvision/hl7:reasonCode"
         id="tmp-a4131e55-47ed-452e-bb80-6a9070f56d6c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.302')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.302' zijn.</assert>
      <assert role="error"
              test="../@negationInd='true' and ../hl7:code[@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.2']">Dossieroverdracht: 
                                    <name/> mag alleen een waarde bevatten als er géén gebruik wordt gemaakt van de peuterspeelzaal</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:careSubject/hl7:scopingOrganization
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider"
         id="tmp-d253df8d-e938-43ce-981e-500d205d8807">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&gt;=1 and not(hl7:subjectOf/@nullFlavor)">Dossieroverdracht: element hl7:subjectOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">Dossieroverdracht: element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf"
         id="tmp-677aa671-305e-407f-b48c-3887a3894216">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:principalCareProvision)&gt;=1 and not(hl7:principalCareProvision/@nullFlavor)">Dossieroverdracht: element hl7:principalCareProvision is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:principalCareProvision)&lt;=1">Dossieroverdracht: element hl7:principalCareProvision komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision"
         id="tmp-d18aeed7-c03a-4a5e-af93-fb8768b90c80">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision/hl7:performer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision/hl7:performer"
         id="tmp-313be8b4-280f-4c32-8ab3-9be590673ba3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision/hl7:performer/hl7:assignedProvider
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision/hl7:performer/hl7:assignedProvider"
         id="tmp-3adac4fa-c787-4b28-97d6-d8937db4325d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision/hl7:performer/hl7:assignedProvider/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:principalCareProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship"
         id="tmp-c162279d-c876-4999-b993-35edadd2f69a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:code"
         id="tmp-d25c2a3e-5d96-4f6b-851b-daf7d2bed66a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:telecom
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:statusCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime"
         id="tmp-c9d3f49e-fb6a-4f19-ae6e-f260b0377750">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">Dossieroverdracht: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf"
         id="tmp-e0a966e5-9936-4bea-990a-b2d371cca7a1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:observationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:observationEvent"
         id="tmp-8bc71bdb-88fb-45cb-a4d1-d68a9b847dae">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:observationEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:observationEvent/hl7:code"
         id="tmp-992ef9ae-eeb6-476c-9ce4-b30bb31c6e30">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '683' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:observationEvent/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:observationEvent/hl7:value"
         id="tmp-8b8235d3-35c0-4419-90e1-f8fde64eb112">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student"
         id="tmp-512aa785-1b5f-4a4a-bc45-fffca9d5c096">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STD' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'STD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)=0">Dossieroverdracht: element hl7:addr MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)=0">Dossieroverdracht: element hl7:telecom MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)=0">Dossieroverdracht: element hl7:statusCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:quantity)=0">Dossieroverdracht: element hl7:quantity MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:organization)&gt;=1 and not(hl7:organization/@nullFlavor)">Dossieroverdracht: element hl7:organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:organization)&lt;=1">Dossieroverdracht: element hl7:organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:code"
         id="tmp-239d229d-0eb9-421c-a3eb-7a3a14949cfc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:addr
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:telecom
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:statusCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:effectiveTime"
         id="tmp-45b52a08-331b-4961-889d-1973562259a2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">Dossieroverdracht: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:quantity
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:student/hl7:organization
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication"
         id="tmp-181d51d8-b5ce-4124-a8a5-52ea4e05b3fd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">Dossieroverdracht: element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:languageCode)&lt;=1">Dossieroverdracht: element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:modeCode)&lt;=1">Dossieroverdracht: element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)">Dossieroverdracht: element hl7:proficiencyLevelCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">Dossieroverdracht: element hl7:proficiencyLevelCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication/hl7:languageCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication/hl7:languageCode"
         id="tmp-3d62f5dd-da7a-449d-a1e8-eda7933faa07">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.100')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.6.100' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication/hl7:modeCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication/hl7:modeCode"
         id="tmp-da14b704-5873-4951-97a1-b5bd4ccbf3e5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.60')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.5.60' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="tmp-9c0c03c0-5a41-4b02-b344-db12495b9d50">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.390')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.390' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee"
         id="tmp-2290551f-95f3-4f17-94fe-4a6964f25de7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='EMP' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'EMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="string-length(@negationInd)=0">Dossieroverdracht: attribute @negationInd MAG NIET aanwezig zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)=0">Dossieroverdracht: element hl7:addr MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)=0">Dossieroverdracht: element hl7:telecom MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)=0">Dossieroverdracht: element hl7:statusCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:jobTitleName)=0">Dossieroverdracht: element hl7:jobTitleName MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:jobClassCode)=0">Dossieroverdracht: element hl7:jobClassCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:occupationCode)&lt;=1">Dossieroverdracht: element hl7:occupationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:employerOrganization)&lt;=1">Dossieroverdracht: element hl7:employerOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:code"
         id="tmp-c87a273c-c2d4-4baa-8a85-9132d5770fcb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.4')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:addr
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:telecom
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:statusCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:effectiveTime"
         id="tmp-9f28305e-2751-4f07-8c37-416da343edbb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">Dossieroverdracht: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:jobTitleName
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:jobClassCode
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:occupationCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:occupationCode"
         id="tmp-bb41fc7c-07bc-4716-922a-0a4511b11f99">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.11')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.11' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">Dossieroverdracht: element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:occupationCode/hl7:originalText
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:employee/hl7:employerOrganization
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo"
         id="tmp-46fd6eea-d7e0-4aba-b8d0-0e30d28053a1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SEQL' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SEQL' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='true' or not(@contextConductionInd)">Dossieroverdracht: @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:careProvisionEvent)&gt;=1 and not(hl7:careProvisionEvent/@nullFlavor)">Dossieroverdracht: element hl7:careProvisionEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:careProvisionEvent)&lt;=1">Dossieroverdracht: element hl7:careProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent"
         id="tmp-017c34fa-c9f5-4ea6-829a-2f3b384a3c80">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Dossieroverdracht: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">Dossieroverdracht: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">Dossieroverdracht: element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">Dossieroverdracht: element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">Dossieroverdracht: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component6)&lt;=1">Dossieroverdracht: element hl7:component6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:limitation)&lt;=1">Dossieroverdracht: element hl7:limitation komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">Dossieroverdracht: element hl7:subjectOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:summary)&lt;=1">Dossieroverdracht: element hl7:summary komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:id"
         id="tmp-db35910a-5dad-47f3-84af-41ef5fd58cb5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:code"
         id="tmp-8be71241-36a5-4bcc-83ca-a81f43ddc75f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'CPHC' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:statusCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:statusCode"
         id="tmp-588b527d-5937-47a1-a676-d52aff19ef4c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active') or (@code='completed') or (@code='aborted')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: 'active of completed of aborted'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:effectiveTime"
         id="tmp-0e766b48-5317-440e-84e9-aeb68f5378f8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 ">Dossieroverdracht: element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high"
         id="tmp-e500177d-f01e-494e-8404-157c25a71488">
      <assert role="error"
              test="count(../../hl7:statusCode[@code='aborted' or @code='completed'])=0 or hl7:high">Dossieroverdracht: Als statusCode=”aborted” of statusCode=”completed” dan moet high/@value de datum en indien bekend de tijd bevatten van de afsluiting van de zorg.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author"
         id="tmp-56f94ba9-5f07-4969-9588-e9a86ff7f26a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">Dossieroverdracht: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:time
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:time"
         id="tmp-91a0b9dd-cbed-4868-a29a-8804f686ce9e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:time/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:time/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:time/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:time/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity"
         id="tmp-2ee61b8b-6611-4f45-a3a4-a1722c4de29a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-aa9f67f9-70bd-43ca-9308-b2426972536f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-a78537c0-3b6f-4c76-9710-40a411bec3b4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity/hl7:addr"
         id="tmp-2f54f624-3fca-4e67-8fc3-a229c58b882d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer"
         id="tmp-4162e0e1-72ca-4519-ba5f-0b41c0f36c59">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">Dossieroverdracht: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:time
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:time"
         id="tmp-a92cddc4-b6e0-464f-a60d-a78532fff820">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:time/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:time/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-7b5fc7c3-f470-4d3f-b7e8-30934939fd58">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-edfec18b-46b7-470d-8d6f-048f2cbf6119">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-20003d9e-606f-481f-be20-212da798c17b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-4470b272-fc0f-4894-83ff-11f4d48d7e8d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage"
         id="tmp-167ae6ca-723f-4cb2-82d4-7791dd33273d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='APND' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'APND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:document)&gt;=1 and not(hl7:document/@nullFlavor)">Dossieroverdracht: element hl7:document is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:document)&lt;=1">Dossieroverdracht: element hl7:document komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document"
         id="tmp-69496945-aa21-4dd8-8dab-fb5144ff83fb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='DOC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">Dossieroverdracht: element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:location)&lt;=1">Dossieroverdracht: element hl7:location komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:code"
         id="tmp-8ac0e69d-ba97-4683-801e-12dc4eb637a9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0084-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0084-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0084 W0084 Onderwerp document DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0084 W0084 Onderwerp document DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author"
         id="tmp-aac535e6-1cf2-4cbd-aa12-053cc8bbf1a8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity"
         id="tmp-2505ad97-1a00-423d-b734-5a9420328ee0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Dossieroverdracht: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:name
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location"
         id="tmp-8947ce0d-8b25-40de-ab7b-424eff9f65f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:archivalLocation)&lt;=1">Dossieroverdracht: element hl7:archivalLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation"
         id="tmp-a37c7828-0690-4e65-8d79-50e934146336">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOCE' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Dossieroverdracht: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">Dossieroverdracht: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation/hl7:name
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization"
         id="tmp-dbfab8bc-9267-4050-a082-f5620ed60e70">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUTH' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">Dossieroverdracht: @contextConductionInd SHALL have value 'false' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:vaccinationConsent)&gt;=1 and not(hl7:vaccinationConsent/@nullFlavor)">Dossieroverdracht: element hl7:vaccinationConsent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:vaccinationConsent)&lt;=1">Dossieroverdracht: element hl7:vaccinationConsent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent"
         id="tmp-2fcf4805-9ccb-499e-8916-df8a1c066dd8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CONS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">Dossieroverdracht: element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">Dossieroverdracht: element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:code"
         id="tmp-d85b0450-5545-4a97-a53a-75a0208dde87">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '469' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author"
         id="tmp-2746da03-2f19-4c1f-be79-7c0293e35959">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">Dossieroverdracht: element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">Dossieroverdracht: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:time
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity"
         id="tmp-d646e51e-696f-4838-81fa-894952a1d96b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-480f6c06-780b-4744-a711-36889b55e2aa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-70f168b0-732f-47ba-8711-036845cbfba3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:vaccinationConsent/hl7:author/hl7:assignedEntity/hl7:addr"
         id="tmp-1e629e70-f47e-4584-88d2-eb20f5f0e10c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1"
         id="tmp-f9852991-7add-4d5c-bab9-5662ee91499a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUTH' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">Dossieroverdracht: @contextConductionInd SHALL have value 'false' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">Dossieroverdracht: element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consentEvent)&lt;=1">Dossieroverdracht: element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent"
         id="tmp-d64bffc8-e6fe-45ec-bb5d-c0edf27a43d5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CONS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">Dossieroverdracht: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">Dossieroverdracht: element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">Dossieroverdracht: element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">Dossieroverdracht: element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:code"
         id="tmp-47be5b26-f57a-4c0e-8d6a-ff87e4646865">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1161' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1320' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '1161' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 1163' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 1165' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 1320' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 1395' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 1398' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 1404' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:author
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:author"
         id="tmp-d1eb6465-7e98-4687-83e4-c35eabf77e97">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">Dossieroverdracht: element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">Dossieroverdracht: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">Dossieroverdracht: element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">Dossieroverdracht: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:author/hl7:time
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:author/hl7:assignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:author/hl7:assignedPerson"
         id="tmp-0bdb4a23-8252-4567-b14e-592816763f2a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:author/hl7:assignedPerson/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:author/hl7:assignedPerson/hl7:code"
         id="tmp-e66f4237-44be-4aec-b6b4-1c09f2c1428a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0088-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0088-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0088 W0088 Bron kind/ouder DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0088 W0088 Bron kind/ouder DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf"
         id="tmp-a22a7906-4824-4f1d-8031-33bb64ef49c6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">Dossieroverdracht: element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">Dossieroverdracht: element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf/hl7:annotation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf/hl7:annotation"
         id="tmp-0a050287-d1ce-4f4f-8cfd-8d7fc58bfcd8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">Dossieroverdracht: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Dossieroverdracht: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-69e87365-fbd7-4d50-a8d3-9ab02991c72a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0647-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0647-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0647 W0647 BDS elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0647 W0647 BDS elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:text
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization1/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-8f6edbd9-b7ca-499f-85b1-403161a9614e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component"
         id="tmp-4a21fc59-9549-4983-977a-98ffab9a49db">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount" value="count(hl7:encounterNoEvent)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">Dossieroverdracht: keuze (hl7:encounterNoEvent) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">Dossieroverdracht: keuze (hl7:encounterNoEvent) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component"
         id="tmp-59175270-8406-4709-bd74-e6b4d0ff2d32">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounterNoEvent)&lt;=1">Dossieroverdracht: element hl7:encounterNoEvent komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounterEvent)&lt;=1">Dossieroverdracht: element hl7:encounterEvent komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonEncounterCareActivity)&lt;=1">Dossieroverdracht: element hl7:nonEncounterCareActivity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:registrationEvent)&lt;=1">Dossieroverdracht: element hl7:registrationEvent komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">Dossieroverdracht: element hl7:consultant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">Dossieroverdracht: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1)&lt;=1">Dossieroverdracht: element hl7:subjectOf1 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent"
         id="tmp-7e7e75dd-1a7d-4d31-9c65-80815eea67b0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='true'">Dossieroverdracht: De waarde van @nullFlavor MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulfillmentOf)&gt;=1 and not(hl7:inFulfillmentOf/@nullFlavor)">Dossieroverdracht: element hl7:inFulfillmentOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulfillmentOf)&lt;=1">Dossieroverdracht: element hl7:inFulfillmentOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf"
         id="tmp-73d17d6e-bc7b-4515-962b-490580a51bb9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='FLFS' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounterAppointment)&gt;=1 and not(hl7:encounterAppointment/@nullFlavor)">Dossieroverdracht: element hl7:encounterAppointment is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounterAppointment)&lt;=1">Dossieroverdracht: element hl7:encounterAppointment komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment"
         id="tmp-1e7a9ce5-ef8e-4e2e-a568-d01da25e5100">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Dossieroverdracht: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">Dossieroverdracht: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&gt;=1 and not(hl7:subjectOf/@nullFlavor)">Dossieroverdracht: element hl7:subjectOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">Dossieroverdracht: element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:statusCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:statusCode"
         id="tmp-2dc7dca7-8ab9-478b-b490-ede90aaa9e52">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: 'completed of aborted'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf"
         id="tmp-89b8936a-f11f-4254-be4f-4fe50934c9ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AppointmentArbortedEvent)&lt;=1">Dossieroverdracht: element hl7:AppointmentArbortedEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent"
         id="tmp-09f31308-6405-4bed-bac3-914c10f7ec28">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">Dossieroverdracht: element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">Dossieroverdracht: element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent/hl7:code"
         id="tmp-6975c946-c133-4cd3-9469-a9bc7aeb943f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">Dossieroverdracht: De waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">Dossieroverdracht: element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">Dossieroverdracht: element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent/hl7:code/hl7:originalText
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent/hl7:code/hl7:originalText"
         id="tmp-8b4256d8-0981-4783-a012-94bc596065df">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="text()='afgezegd'">Dossieroverdracht: de element content van hl7:originalText MOET ''afgezegd'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent/hl7:reasonCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterNoEvent/hl7:inFulfillmentOf/hl7:encounterAppointment/hl7:subjectOf/hl7:AppointmentArbortedEvent/hl7:reasonCode"
         id="tmp-94f62e51-fc75-42a7-9217-a5b216e52dc2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.309') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '01' codeSystem '2.16.840.1.113883.2.4.4.40.309 of 03' codeSystem '2.16.840.1.113883.2.4.4.40.309'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent"
         id="tmp-a69418d5-571b-4cb9-b66c-a57ea168486e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">Dossieroverdracht: element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:code"
         id="tmp-d603ac97-8954-48de-95b3-3f1f875039b7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.308')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.308' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:reasonCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:reasonCode"
         id="tmp-19f26d4b-71f0-49d9-85bb-00bbbae8a1da">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.373')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.373' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author"
         id="tmp-ff3b4de0-8466-4ff6-8196-d9723ae25554">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity"
         id="tmp-6d1aad53-0832-4439-8485-af09a04ba8e6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-52b49a7b-1635-4d60-aeb6-8c86ce9eabbd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity/hl7:code"
         id="tmp-0a3c0483-ed5f-49bd-8d89-dc0375477e41">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:author/hl7:assignedEntity/hl7:addr"
         id="tmp-e2ebc663-f23e-4b80-a875-2be5d5aac5c9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:escort
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:escort"
         id="tmp-e90ecf82-c955-4ddf-a639-a5d5e54baecb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='ESC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'ESC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">Dossieroverdracht: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:personalRelationship)&lt;=1">Dossieroverdracht: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:escort/hl7:personalRelationship
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:escort/hl7:personalRelationship"
         id="tmp-49522e3e-c8e3-4a35-817d-b16d9a7cced4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:escort/hl7:personalRelationship/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:encounterEvent/hl7:escort/hl7:personalRelationship/hl7:code"
         id="tmp-fa427228-0596-4617-8151-5efec79e72a4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonEncounterCareActivity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonEncounterCareActivity"
         id="tmp-0f47acb8-434a-4474-b73c-b2a5ec5bf8f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonEncounterCareActivity/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonEncounterCareActivity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonEncounterCareActivity/hl7:code"
         id="tmp-0516f40f-c791-4bac-88a3-492928d09bac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '29' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 30' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 32' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 98' codeSystem '2.16.840.1.113883.2.4.4.40.308'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonEncounterCareActivity/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent"
         id="tmp-ba07441b-1dd4-4e7a-954f-c0458cc2e285">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Dossieroverdracht: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">Dossieroverdracht: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:id
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:code"
         id="tmp-71ae4f78-de73-4fed-9f5d-0c7e238c5b0c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '30' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 33' codeSystem '2.16.840.1.113883.2.4.4.40.308'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:effectiveTime"
         id="tmp-50aaa553-3b27-435b-af93-1dd46ee203bd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">Dossieroverdracht: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:registrationEvent/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant"
         id="tmp-3670f5db-ac38-49bf-95d9-97059f620ec2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity"
         id="tmp-be6732a8-47c7-40dd-9b5d-2e0f162d1a94">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity/hl7:id"
         id="tmp-8e8c6cbb-fc83-4443-8487-6168723ad087">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-f7ccb56c-0684-43b4-b872-ab1d821a98ac">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:consultant/hl7:assignedEntity/hl7:addr"
         id="tmp-931c4beb-3fcc-438f-b2ed-01b2a946dc6d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer"
         id="tmp-5c60997c-f97f-4f4a-b918-601dc57c0e51">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity"
         id="tmp-1fccb96f-89f9-4745-b998-5767b3666ba8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-66d0ed04-3587-47fc-8b2e-9ad70353566c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-a4be3ff3-9b8e-48fb-af42-283e64c40709">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-1a5cfa5c-8d8c-494b-85d2-b339109e362e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component"
         id="tmp-23db06ad-65fa-4a40-a400-cb3529685c98">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">Dossieroverdracht: element hl7:metaData is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData"
         id="tmp-a79bfd01-dc5f-40c5-b7dc-82c1db5be3dc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">Dossieroverdracht: element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:code"
         id="tmp-d37a9164-9f4b-4afa-a66e-ce755aa9223f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.412')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.412' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:value"
         id="tmp-3e2ec1ed-dffe-45d8-8234-c1b8ce540749">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:pertainsTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:pertainsTo"
         id="tmp-512eb93d-d1dc-49ce-a169-4b57a906aa87">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">Dossieroverdracht: element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">Dossieroverdracht: element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-81cec2c9-8335-4d88-a417-a45b02016a89">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-5abd2b1d-2740-4da3-a70d-6456fd13c33b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.2.4.4.40.391 of 2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1"
         id="tmp-d22ff0f4-e405-4d27-bd0c-805f05f98c60">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">Dossieroverdracht: element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">Dossieroverdracht: element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData"
         id="tmp-f91fc42c-febe-471c-b7c8-2120932f939c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">Dossieroverdracht: element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-9128b63a-689d-4c1e-95dd-08c82bec67dd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">Dossieroverdracht: element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">Dossieroverdracht: element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-7cd230b1-fe69-4438-a031-0cf9af9c219f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-37ae7927-ab29-4c5f-9739-e308ac8e1156">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-42540f1c-2320-4649-9fc7-490be7fa1f6d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">Dossieroverdracht: element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">Dossieroverdracht: element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-c565fa6b-6f80-41ae-ae65-65466162f48c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-7830e302-172c-4df4-afb4-884aa681006c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.2.4.4.40.391 of 2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2"
         id="tmp-3b10e0b9-fe59-4e05-912b-0829ecd5faea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">Dossieroverdracht: element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">Dossieroverdracht: element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice"
         id="tmp-ee9127e4-875a-4673-857d-1198a23b3220">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:code"
         id="tmp-433e30a4-dbab-442b-b838-02f4498a0b8f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.80')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.80' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component"
         id="tmp-7f7c9dee-e542-42a1-9cd4-c0eeec2b0785">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">Dossieroverdracht: element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">Dossieroverdracht: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component/hl7:act
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component/hl7:act"
         id="tmp-82c19353-3497-47b3-a1f8-c62d8599065f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component/hl7:act/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-c5f41b04-3080-40b5-b80a-3d576ecef6c3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '1157' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component/hl7:act/hl7:text
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component2/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-bbe15b88-cbf3-42e9-813b-6f1dc5fa6b83">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5"
         id="tmp-eabdf527-6f4d-47d5-98c5-5eb1fc501ddd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:vaccinations)&gt;=1 and not(hl7:vaccinations/@nullFlavor)">Dossieroverdracht: element hl7:vaccinations is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:vaccinations)&lt;=1">Dossieroverdracht: element hl7:vaccinations komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations"
         id="tmp-944137a1-b03d-4ada-bac1-f226339884ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CLUSTER' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization"
         id="tmp-6769625e-2cff-4d44-9f87-f6b901a1df39">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUTH' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">Dossieroverdracht: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent"
         id="tmp-7f8be3ca-9aa1-4362-830f-84917ff19098">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CONS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:code"
         id="tmp-6e77e93a-8f88-4b08-a3f7-527d7ec10668">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf"
         id="tmp-8c25a406-a2c7-4bb5-a230-36ea7fa963a8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent"
         id="tmp-50f177aa-4a79-4a7d-9c75-5746180afa0f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code"
         id="tmp-a2bd991a-b31e-4dd3-b7ed-804dedd1d307">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '683' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value"
         id="tmp-3a9f62bc-f434-40cc-b4a8-ce86e6ebfa7d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0323-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0323-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0323 W0323 Bezwaar DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0323 W0323 Bezwaar DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1"
         id="tmp-e764e459-d4db-4ccf-a0ac-949e3f6cfb0c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1/hl7:vaccinationObservation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1/hl7:vaccinationObservation"
         id="tmp-87a20374-fb02-4323-9a4d-eeda2f5d68e9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1/hl7:vaccinationObservation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1/hl7:vaccinationObservation/hl7:code"
         id="tmp-b2398446-ded7-4964-8320-9626cc858b98">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='608' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='872' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='5063' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '608' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 872' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 5063' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1/hl7:vaccinationObservation/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component1/hl7:vaccinationObservation/hl7:value"
         id="tmp-bcbcd425-b50e-4fb5-8211-1c31ffb07ce4">
      <assert role="error" test="@xsi:type='CV' or @xsi:type='ST'">Dossieroverdracht:  @xsi:type SHALL be present and one of 'CV', 'ST'.</assert>
      <assert role="error"
              test="@xsi:type='CV' and (@codeSystem='2.16.840.1.113883.2.4.4.40.402' or @codeSystem='2.16.840.1.113883.2.4.4.40.399')">Dossieroverdracht:  if @xsi:type = CV @codeSystem SHALL be 2.16.840.1.113883.2.4.4.40.402 or 2.16.840.1.113883.2.4.4.40.399</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3"
         id="tmp-997e463b-b9e8-4000-8c64-83af8231c685">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent"
         id="tmp-f9c306e8-5497-463f-be25-2362fe1f36a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='SBADM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">Dossieroverdracht: element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consumable)&lt;=1">Dossieroverdracht: element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">Dossieroverdracht: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:causeOf)&lt;=1">Dossieroverdracht: element hl7:causeOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">Dossieroverdracht: element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:code"
         id="tmp-265abf9f-7e66-4267-ba0b-75f2199b291b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-fc1e6548-7de0-4577-bd8f-b0c03806b45b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CSM' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">Dossieroverdracht: element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medication)&lt;=1">Dossieroverdracht: element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-38103cd2-116b-4d12-af4d-de911ca61fd2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">Dossieroverdracht: element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:administrableMedicine)&lt;=1">Dossieroverdracht: element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-a4c3ec22-da27-444b-9e20-3c10b5849aa7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='MMAT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@determinerCode='KIND' or not(@determinerCode)">Dossieroverdracht: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:lotNumberText)&lt;=1">Dossieroverdracht: element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-515bd124-a4a2-445a-8ec8-cbedd0fdf3a0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='461' and @codeSystem='2.16.840.1.113883.2.4.4.40.76')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '461' codeSystem '2.16.840.1.113883.2.4.4.40.76' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-2f0b7831-3f87-401c-958d-ecffa10850b4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:performer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:performer"
         id="tmp-d2588c29-feee-43f8-b8e8-0df9df1e9c03">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(assignedEntity.6.6)&lt;=1">Dossieroverdracht: element assignedEntity.6.6 komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:performer/assignedEntity.6.6
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf"
         id="tmp-b496ab1e-97b4-486c-a6e7-d8b56d0c08d5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CAUS' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'CAUS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:adverseReaction)&lt;=1">Dossieroverdracht: element hl7:adverseReaction komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction"
         id="tmp-cfd0e5ef-8908-4fda-a48f-47bc5e1ea223">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reason)&lt;=1">Dossieroverdracht: element hl7:reason komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:code"
         id="tmp-77b2d18b-4294-49f5-8643-9b70feb89ffc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='874' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '874' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:effectiveTime"
         id="tmp-0ef9e747-96d6-417e-8e46-3640784c7262">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">Dossieroverdracht: element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:value"
         id="tmp-2104a043-c2df-491f-a401-98990b8c0787">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason"
         id="tmp-529751c4-5c86-4239-83ac-39ad777fa8a1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationControlActEvent)&lt;=1">Dossieroverdracht: element hl7:informationControlActEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent"
         id="tmp-7e2d482f-630a-4595-b22e-60ee16291e39">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFO' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'INFO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Dossieroverdracht: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:code"
         id="tmp-09190df6-adc7-46b5-a9ee-65195e0cee83">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='875' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '875' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:effectiveTime"
         id="tmp-0ee213b4-78a2-4ed1-b5f2-41a68bc6110c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer"
         id="tmp-2ba8d518-1f6f-4b2d-917b-66bc6fa7b8de">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson"
         id="tmp-d8c9eae9-60e6-48e2-8b74-ec22319ae5ce">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.1'])&lt;=1">Dossieroverdracht: element hl7:id[@root='2.16.528.1.1007.3.1'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:causeOf/hl7:adverseReaction/hl7:reason/hl7:informationControlActEvent/hl7:performer/hl7:assignedPerson/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-0fa53c0f-a4cc-4bdf-8ca7-6743d6cb1e20">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.1'">Dossieroverdracht: @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Dossieroverdracht: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf"
         id="tmp-04895f24-8ffb-4dac-8a75-27236798bdb2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SAE' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SAE' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest"
         id="tmp-f2b9c596-3f7d-45be-9ddf-f99e1eb41a09">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest/hl7:code"
         id="tmp-678f78b5-de78-469d-9dc7-377d0877e4b9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='869' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '869' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:sourceOf/hl7:serologyTest/hl7:value"
         id="tmp-2fcfffea-2d5d-47cf-8f6e-82afccafb1ea">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.325')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.325' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf"
         id="tmp-a12b148f-51c1-4e97-aa7c-c78e7baa3cdd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:scheduleDeviation)&lt;=1">Dossieroverdracht: element hl7:scheduleDeviation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation"
         id="tmp-a74fc5fd-5ed2-4a32-a0c0-f020ab66637c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:code"
         id="tmp-1f60ebf9-5822-44e4-b1b4-0c252d45d186">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='870' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='871' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '870' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 871' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:component3/hl7:substanceAdministrationEvent/hl7:subjectOf/hl7:scheduleDeviation/hl7:value"
         id="tmp-5497f9b5-a31d-4009-bf9a-8c790448f676">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.340')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.340' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason"
         id="tmp-6710da38-7629-41f5-ae90-1c9ae57ffddf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason/hl7:vaccinationReason
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason/hl7:vaccinationReason"
         id="tmp-3f9ec42e-4b1c-4c3b-94bf-c09c1801a36c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason/hl7:vaccinationReason/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason/hl7:vaccinationReason/hl7:code"
         id="tmp-17d8a359-0799-4d81-9048-c34fb24d2326">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='686' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '686' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason/hl7:vaccinationReason/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component5/hl7:vaccinations/hl7:reason/hl7:vaccinationReason/hl7:value"
         id="tmp-2b1629ea-c50c-469d-8fe4-a9054f3554ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0417-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0417-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0417 W0417 Reden van enting DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0417 W0417 Reden van enting DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9"
         id="tmp-de91e1d8-5db4-4e32-b57f-49c410a255ba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:heelPrick)&gt;=1 and not(hl7:heelPrick/@nullFlavor)">Dossieroverdracht: element hl7:heelPrick is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:heelPrick)&lt;=1">Dossieroverdracht: element hl7:heelPrick komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick"
         id="tmp-92b1c7b7-658d-4d31-baae-fae553327803">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PROC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">Dossieroverdracht: element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">Dossieroverdracht: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:outcome)&lt;=1">Dossieroverdracht: element hl7:outcome komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:code"
         id="tmp-56966533-b2e3-45cd-846e-89f106a4041d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='R037' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'R037' codeSystem '2.16.840.1.113883.2.4.4.40.391' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:reasonCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:reasonCode"
         id="tmp-e38ad86c-bb40-47f7-aff9-1c980ad88538">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.65')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.65' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer"
         id="tmp-a7981215-80c2-4ca0-ba83-6fea628d75fc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Dossieroverdracht: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">Dossieroverdracht: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity"
         id="tmp-0cdd0c15-c23b-494b-8d5f-5087f32e9c9d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 ">Dossieroverdracht: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:id
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-aa343aa6-c62e-4571-a0cd-0699464dd2d5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-a87418ab-ca70-4773-853d-33cfd858e478">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:addr
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-73d95745-ad6c-488b-ba42-d71553c0a272">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD.NL' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD.NL" bevatten</assert>
      <extends rule="AD.NL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component"
         id="tmp-a7a6ebfb-c8dd-4840-816c-299b25e99e88">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation"
         id="tmp-4a1f3544-b144-41d6-b666-d63baed60d4e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:code"
         id="tmp-28da26e0-bcbf-4891-aaf7-d93690d29ad1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:value"
         id="tmp-f0a8bdad-20db-431e-8642-4ec4915c1b60">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.66')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.66' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf"
         id="tmp-5a6fe1f8-33be-42a5-a883-9207caf45969">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf/hl7:repeatHeelPrick
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf/hl7:repeatHeelPrick"
         id="tmp-5c1984b7-e18f-4142-8aab-638d0a54917f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf/hl7:repeatHeelPrick/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf/hl7:repeatHeelPrick/hl7:code"
         id="tmp-77f3ef2b-0692-444e-a613-b31cbf143963">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf/hl7:repeatHeelPrick/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:component/hl7:observation/hl7:reasonOf/hl7:repeatHeelPrick/hl7:value"
         id="tmp-62bf49e6-1895-4ea8-8f17-72e03d7732ba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.67')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.67' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome"
         id="tmp-027f77b1-5fef-4830-950c-7a20bf1d6970">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='OUTC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:result)&lt;=1">Dossieroverdracht: element hl7:result komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome/hl7:result
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome/hl7:result"
         id="tmp-729558e2-49df-4e07-8e55-39f61241f085">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome/hl7:result/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome/hl7:result/hl7:code"
         id="tmp-306ad5ff-a30d-49de-8ccc-8ba9b5f3eab5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome/hl7:result/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:component9/hl7:heelPrick/hl7:outcome/hl7:result/hl7:value"
         id="tmp-4a982ee8-58ac-4902-bf53-7b792835d13c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.68')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.68' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation"
         id="tmp-ecb962cc-4f33-4167-8f5a-d07ba48fdb4f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:rubricCluster)&gt;=1 and not(hl7:rubricCluster/@nullFlavor)">Dossieroverdracht: element hl7:rubricCluster is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:rubricCluster)&lt;=1">Dossieroverdracht: element hl7:rubricCluster komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster"
         id="tmp-d0bfec2f-8a8c-4c99-8147-9c59426adf86">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CLUSTER' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">Dossieroverdracht: element hl7:component is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:code"
         id="tmp-005825aa-77b1-4cd6-acd5-5cbf83117b14">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.391' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component"
         id="tmp-5415b49b-8655-4d26-9be8-f69a5867083b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster"
         id="tmp-7cd81f0e-d3bd-4170-9de5-8e004b3dba8b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CLUSTER' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">Dossieroverdracht: element hl7:component is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:code"
         id="tmp-25c9e792-0c7b-4024-b110-b7c11d0f1531">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.393')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.393' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component"
         id="tmp-1ac5145c-26ee-4f72-8c6f-0a23b4e8d8ae">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation"
         id="tmp-73e5be08-3011-4123-b632-b95fc24bf7a4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">Dossieroverdracht: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:methodCode)&lt;=1">Dossieroverdracht: element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:targetSiteCode)&lt;=1">Dossieroverdracht: element hl7:targetSiteCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informant)&lt;=1">Dossieroverdracht: element hl7:informant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:location)&lt;=1">Dossieroverdracht: element hl7:location komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&lt;=1">Dossieroverdracht: element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:code"
         id="tmp-521b9596-1ccd-47ef-80cb-23aed46f4751">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:text
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:text"
         id="tmp-4c1c96d9-6258-43f7-a193-fb505e1a24ed">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:statusCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:statusCode"
         id="tmp-b31de4fb-e986-4117-85c9-20e85c815180">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active')">Dossieroverdracht: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:value"
         id="tmp-fb56302a-07ac-467d-91cb-aa403c987832">
      <assert role="error"
              test="@xsi:type='PQ' or @xsi:type='CV' or @xsi:type='ST' or @xsi:type='INT'">Dossieroverdracht:  @xsi:type SHALL be present and one of 'PQ', 'CV', 'ST', 'INT'. </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:methodCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:methodCode"
         id="tmp-06b68c66-968d-4916-81ba-36e55f671051">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0270-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0253-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0256-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0261-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0290-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0611-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0638-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0640-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0270-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0253-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0256-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0261-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0290-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0611-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0638-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0640-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0270 W0270 Methode hartgeruismetingofW0253 W0253 Methode lengtemetingofW0256 W0256 Methode lengtemeting oudersofW0261 W0261 Methode gewichtsmetingofW0290 W0290 MethodeofW0611 W0611 Wijze van afnameofW0638 W0638 Screeningsinstrument NGSofW0640 W0640 Screeningsinstrument PP DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0270 W0270 Methode hartgeruismetingofW0253 W0253 Methode lengtemetingofW0256 W0256 Methode lengtemeting oudersofW0261 W0261 Methode gewichtsmetingofW0290 W0290 MethodeofW0611 W0611 Wijze van afnameofW0638 W0638 Screeningsinstrument NGSofW0640 W0640 Screeningsinstrument PP DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:targetSiteCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:targetSiteCode"
         id="tmp-0340b85b-9faa-49c3-9a79-5690058e2ca6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.13')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:informant
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:informant"
         id="tmp-0cb89fea-e8d4-4647-97b2-44ce090d7c64">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">Dossieroverdracht: element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">Dossieroverdracht: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:informant/hl7:assignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:informant/hl7:assignedPerson"
         id="tmp-03a24cd4-1b12-446b-b4b7-97b0fb9a0c94">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:informant/hl7:assignedPerson/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:informant/hl7:assignedPerson/hl7:code"
         id="tmp-10c19414-9009-49b2-a87a-bde400f3ad00">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.17')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.17' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:location
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:location"
         id="tmp-fcfbac8e-dfe7-49e5-b2ea-5d437388f2c2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:serviceDeliveryLocation)&gt;=1 ">Dossieroverdracht: element hl7:serviceDeliveryLocation is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:serviceDeliveryLocation)&lt;=1">Dossieroverdracht: element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:location/hl7:serviceDeliveryLocation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:location/hl7:serviceDeliveryLocation"
         id="tmp-1025f6ed-1762-49e2-8f1b-9637404b1ad1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SDLOC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SDLOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:location/hl7:serviceDeliveryLocation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:location/hl7:serviceDeliveryLocation/hl7:code"
         id="tmp-d52ada3e-e1b8-4736-ab30-e48ef0ee9a98">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.372')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.372' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:subject
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:subject"
         id="tmp-03516499-4a79-4eb1-96f2-2841a7b7fcca">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">Dossieroverdracht: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:personalRelationship)&lt;=1">Dossieroverdracht: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:subject/hl7:personalRelationship
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:subject/hl7:personalRelationship"
         id="tmp-3628377d-69ef-4243-9523-f37ed67aa326">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:subject/hl7:personalRelationship/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-ebbd871d-5182-4e08-856d-1076b96826b3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111') or (@codeSystem='2.16.840.1.113883.2.4.4.40.304')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.5.111 of 2.16.840.1.113883.2.4.4.40.304'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component"
         id="tmp-8c081ff3-46a0-44ab-bda2-f965f22be36b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">Dossieroverdracht: element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">Dossieroverdracht: element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData"
         id="tmp-a9d1d294-3746-4602-a783-12be925da538">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">Dossieroverdracht: element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:code"
         id="tmp-bc9ac604-37ae-4da9-a5a0-a4b24ac0261c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">Dossieroverdracht: element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">Dossieroverdracht: element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:code/hl7:originalText
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-5bf6f9ff-7c54-4d1e-a4d3-63fab8453ff9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:value"
         id="tmp-e19c5b11-18f4-4f5f-8187-7f617d637fda">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:pertainsTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-cd6be671-22ee-4ce3-bbe8-e3a7ea0f8b42">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">Dossieroverdracht: element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">Dossieroverdracht: element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-8e1be8e0-302d-4f0e-bc94-14cdb13dc829">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-db6b981f-1399-4d6d-8de2-594e3e94c3fe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.2.4.4.40.391 of 2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1"
         id="tmp-65f08fa6-d38f-476b-bf6d-1487dfc47f32">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData"
         id="tmp-8d6c7c35-9ce9-44e5-b865-eee9218e43f5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">Dossieroverdracht: element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:code"
         id="tmp-9d511e1d-9119-4a85-a90b-6391a19f32d1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.412')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.412' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:value"
         id="tmp-61056028-1307-485f-bb55-0338a3ba7be9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:pertainsTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:pertainsTo"
         id="tmp-2eb12e6d-5289-4ab6-9f56-7d52a4d1a931">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">Dossieroverdracht: element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">Dossieroverdracht: element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-7373f884-e7c7-402f-86c5-bb0565cef35c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation/hl7:component1/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-20398dbe-6822-4c39-a8a5-4bb8e353378c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.2.4.4.40.391 of 2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1"
         id="tmp-2d26f2b0-0ecb-48c7-82d2-808bc38c8280">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">Dossieroverdracht: element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">Dossieroverdracht: element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion"
         id="tmp-01bc9667-0984-48b3-b0c1-298ec8e6e588">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:code"
         id="tmp-eba29cd3-4bdc-49b2-b45f-e952b76777b4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '492' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:value"
         id="tmp-71db55fb-51b4-47aa-bada-bbc0e500d363">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component"
         id="tmp-100cc848-edde-4a0d-9142-176dd04a011d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">Dossieroverdracht: element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">Dossieroverdracht: element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-ba60c017-97e4-498d-833d-a627c892d40b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 and not(hl7:reasonOf/@nullFlavor)">Dossieroverdracht: element hl7:reasonOf is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-05b5ebd0-2a29-445b-8b58-885a282d4ae0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-024a782c-99da-4d94-ae87-adb8bcb63df9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.373')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.373' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-c0d96f28-0366-4200-b968-3abb3b712f8a">
      <let name="elmcount"
           value="count(hl7:informIntent|hl7:informRequest|hl7:observationIntent|hl7:registrationIntent|hl7:referral)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">Dossieroverdracht: keuze (hl7:informIntent of hl7:informRequest of hl7:observationIntent of hl7:registrationIntent of hl7:referral) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">Dossieroverdracht: keuze (hl7:informIntent of hl7:informRequest of hl7:observationIntent of hl7:registrationIntent of hl7:referral) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-51f0b217-564e-4c83-bc4b-3a113e73bd94">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informIntent)&lt;=1">Dossieroverdracht: element hl7:informIntent komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informRequest)&lt;=1">Dossieroverdracht: element hl7:informRequest komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:observationIntent)&lt;=1">Dossieroverdracht: element hl7:observationIntent komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:registrationIntent)&lt;=1">Dossieroverdracht: element hl7:registrationIntent komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:referral)&lt;=1">Dossieroverdracht: element hl7:referral komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent"
         id="tmp-0f972193-dedb-425e-ac12-dd45c9cd85a3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent/hl7:code"
         id="tmp-074104ed-f7a1-4fd0-9e0c-7fc41dda04c6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9 of 2' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informRequest
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informRequest"
         id="tmp-4ed5118b-cc31-496e-bcd5-74efae7d8289">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informRequest/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informRequest/hl7:code"
         id="tmp-0cb6b1b8-a3e2-42d6-8d36-06e0f80ae96e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '3' codeSystem '2.16.840.1.113883.2.4.4.40.9' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent"
         id="tmp-3c20a441-f8b8-4ffa-b9a7-8db5b7f4bae0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'INT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent"
         id="tmp-5de95786-63c9-4c20-8d99-cff8f836500d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'INT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral"
         id="tmp-85b05571-7b53-4b38-aab3-5b5fc716831d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral/hl7:code"
         id="tmp-fcd7f4e1-156b-407f-80cd-b1a5d6ad252d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '6' codeSystem '2.16.840.1.113883.2.4.4.40.9' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1"
         id="tmp-753fdfaa-6045-4177-be8e-4266543b6c94">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 ">Dossieroverdracht: element hl7:annotation is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1/hl7:annotation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1/hl7:annotation"
         id="tmp-30434c8d-d058-45ab-935d-faf8c52df086">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">Dossieroverdracht: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Dossieroverdracht: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1/hl7:annotation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1/hl7:annotation/hl7:code"
         id="tmp-d9e1b057-c4ed-4172-b623-fa1535993009">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '493' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1/hl7:annotation/hl7:text
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf1/hl7:conclusion/hl7:subjectOf1/hl7:annotation/hl7:text"
         id="tmp-287b4f4e-8eb6-4df1-8f4c-3618bcc34a13">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2"
         id="tmp-1ead231f-919d-4829-a2c1-ad487c516d40">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">Dossieroverdracht: element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">Dossieroverdracht: element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2/hl7:annotation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2/hl7:annotation"
         id="tmp-2c5ba51f-2db3-42d9-9fed-0e92d6403a21">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">Dossieroverdracht: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Dossieroverdracht: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2/hl7:annotation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-e762b3ed-b034-4f60-ba3f-28527a896d82">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '493' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2/hl7:annotation/hl7:text
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-98f743b5-6121-437f-a133-7c1607af680e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component"
         id="tmp-0936bc26-2536-4dac-a209-62467d00d605">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">Dossieroverdracht: element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">Dossieroverdracht: element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData"
         id="tmp-79cee3d6-d144-4f80-bff5-ea6cd9bd962d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">Dossieroverdracht: element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:code"
         id="tmp-a791a629-cf74-45b0-aead-a75d467f8437">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">Dossieroverdracht: element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">Dossieroverdracht: element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:code/hl7:originalText
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-986a299a-e0be-45f5-a7c1-360cbe624d87">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:value"
         id="tmp-9ab61edf-1437-4cd6-a859-64bdf303bd14">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:pertainsTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-741e6936-f7de-4f29-9779-fd37c991b566">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">Dossieroverdracht: element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">Dossieroverdracht: element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-587e50a3-0888-4a01-9bc2-7f8daadb0e8a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-42a07740-a6d3-4232-b2ce-f19dc93c3f50">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.2.4.4.40.391 of 2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2"
         id="tmp-03ad7aba-6c32-45f7-9dfb-44440b4ae2e8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(neonateData)&gt;=1 and not(neonateData/@nullFlavor)">Dossieroverdracht: element neonateData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(neonateData)&lt;=1">Dossieroverdracht: element neonateData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData"
         id="tmp-ad8af23c-ddb2-410c-8a8d-32ee2c098885">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ORGANIZER' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ORGANIZER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:code"
         id="tmp-37da7062-9363-4c40-af03-3dc7804b208f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='R016' and @codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'R016' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1"
         id="tmp-c689d0de-c939-4a40-98ef-ca46720ecf88">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter"
         id="tmp-d7277021-2184-4fd8-8051-6d7f8f572789">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:location)&lt;=1">Dossieroverdracht: element hl7:location komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:code"
         id="tmp-044428bc-ff87-4ae5-99a3-a1c50f0e1d57">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'IMP' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime"
         id="tmp-7ac58c60-adae-45a7-b3e2-e0c423c526a7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 ">Dossieroverdracht: element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location"
         id="tmp-2aa395f0-2922-4dd8-ace1-38b8b9e719b8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:serviceDeliveryLocation)&gt;=1 ">Dossieroverdracht: element hl7:serviceDeliveryLocation is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:serviceDeliveryLocation)&lt;=1">Dossieroverdracht: element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation"
         id="tmp-c86ad7a6-3a8e-47c9-86f2-655819bca713">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SDLOC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SDLOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:locationOf)&lt;=1">Dossieroverdracht: element hl7:locationOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:code"
         id="tmp-49144d6c-315b-4132-a2b8-39883d867598">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='PEDU' and @codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'PEDU' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf"
         id="tmp-19e1698d-1480-44a0-928b-b2f1b5588a75">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOC' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:incubatorAccommodation)&lt;=1">Dossieroverdracht: element hl7:incubatorAccommodation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation"
         id="tmp-cb9419d9-495c-4281-8da1-81c1c8169f71">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACCM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ACCM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation/hl7:code"
         id="tmp-125ebe63-5479-4eac-96ba-b879e6d81fff">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '144' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2"
         id="tmp-8e1742b7-d44b-4200-a08d-b21c95578311">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent"
         id="tmp-e480fa3c-576d-41e9-8237-c5482ef4d802">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='SBADM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consumable)&gt;=1 ">Dossieroverdracht: element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consumable)&lt;=1">Dossieroverdracht: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-c55ed434-03b9-4469-8f09-331cb9fe2d26">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CSM' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medication)&gt;=1 ">Dossieroverdracht: element hl7:medication is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medication)&lt;=1">Dossieroverdracht: element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-da5ecf94-fed1-4835-8b23-3b058b180dc2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ADMM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medicine)&gt;=1 and not(hl7:medicine/@nullFlavor)">Dossieroverdracht: element hl7:medicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medicine)&lt;=1">Dossieroverdracht: element hl7:medicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine"
         id="tmp-a2893baa-a18b-427a-90c0-db74f666d729">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='MMAT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@determinerCode='KIND' or not(@determinerCode)">Dossieroverdracht: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine/hl7:code"
         id="tmp-7a9e71fe-44d7-428e-b14c-37b5b1f9b780">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '137' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 138' codeSystem '2.16.840.1.113883.2.4.4.40.267 of 629' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4"
         id="tmp-51668efe-0e0d-412c-93df-daf5a16000cc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations"
         id="tmp-5c9d5ae4-10bd-42f5-9558-391b42bcd8ca">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:targetSiteCode)&lt;=1">Dossieroverdracht: element hl7:targetSiteCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations/hl7:code"
         id="tmp-5e191df7-0b87-4f9d-8d34-871d6af53c36">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations/hl7:value"
         id="tmp-4668f867-ca78-43c9-b9c3-0fa9a31853e1">
      <assert role="error"
              test="@xsi:type='PQ' or @xsi:type='CV' or @xsi:type='ST' or @xsi:type='INT' or @xsi:type='BL'">Dossieroverdracht:  @xsi:type SHALL be present and one of 'PQ', 'CV', 'ST', 'INT', 'BL'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations/hl7:targetSiteCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/neonateData/hl7:component4/hl7:neonateObservations/hl7:targetSiteCode"
         id="tmp-2b51f98c-d868-4d3e-990a-4c01b82076ad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.13')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3"
         id="tmp-0bffcf3c-81b7-4934-9404-7a86c855903b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:patientCareProvision)&gt;=1 and not(hl7:patientCareProvision/@nullFlavor)">Dossieroverdracht: element hl7:patientCareProvision is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:patientCareProvision)&lt;=1">Dossieroverdracht: element hl7:patientCareProvision komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision"
         id="tmp-74c2ee13-d654-4e59-9a61-df5bd8945104">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:code"
         id="tmp-f4a1d09f-8b08-4069-aa2b-0ff585216fda">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:effectiveTime"
         id="tmp-7e201891-0d97-4ba9-9c5a-3aebc24c4903">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 ">Dossieroverdracht: element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:subject
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:subject"
         id="tmp-7ba18096-fc24-4d5f-a3cc-1a836d5e3d71">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:subject/hl7:assignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:subject/hl7:assignedPerson"
         id="tmp-a9b58470-0df2-463c-8ebd-ac344a9f2508">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:subject/hl7:assignedPerson/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:subject/hl7:assignedPerson/hl7:code"
         id="tmp-95e08f2a-ab37-4444-bc32-cb956b3e8533">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf"
         id="tmp-87a5a968-048a-4d0e-af5f-cec1dec3f87d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf/hl7:patientCareObservation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf/hl7:patientCareObservation"
         id="tmp-a3bd02c9-0bd7-412a-aa74-fd6ee8a3edcc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf/hl7:patientCareObservation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf/hl7:patientCareObservation/hl7:code"
         id="tmp-87a8df1b-4254-4ea1-89d0-c44a0366b592">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf/hl7:patientCareObservation/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf/hl7:patientCareObservation/hl7:value"
         id="tmp-b12702b9-3187-4f08-a8d0-e717c7cbc3ac">
      <assert role="error" test="@xsi:type='BL' or @xsi:type='ST'">Dossieroverdracht:  @xsi:type SHALL be present and one of 'BL', 'ST'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:component"
         id="tmp-3d5dddd5-d3f5-40b8-b46d-7eacba6635fe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:component/hl7:patientCareProvisionIntent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:component/hl7:patientCareProvisionIntent"
         id="tmp-38a0c8e6-9e08-4fa1-b7f2-c8780470fc2d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Dossieroverdracht: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:component/hl7:patientCareProvisionIntent/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason"
         id="tmp-56a34c27-d771-4655-b64d-986a3b000c2d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason/hl7:patientCareObservation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason/hl7:patientCareObservation"
         id="tmp-3d966c3a-0e51-4597-ba40-db8f2a7dca5c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason/hl7:patientCareObservation/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason/hl7:patientCareObservation/hl7:code"
         id="tmp-49cdce55-89d4-42e4-bec2-1583e2a29532">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason/hl7:patientCareObservation/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reason/hl7:patientCareObservation/hl7:value"
         id="tmp-e12a51ff-b71c-4368-94c1-e32e98cb6806">
      <assert role="error" test="@xsi:type='BL' or @xsi:type='ST'">Dossieroverdracht:  @xsi:type SHALL be present and one of 'BL', 'ST'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4"
         id="tmp-3e92e4db-7c4f-4805-9e60-7872045e7617">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)">Dossieroverdracht: element hl7:informationControlActEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationControlActEvent)&lt;=1">Dossieroverdracht: element hl7:informationControlActEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent"
         id="tmp-12678930-a8a1-4de1-b865-779dca08cee8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFO' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'INFO' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">Dossieroverdracht: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">Dossieroverdracht: element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationRecipient)&lt;=1">Dossieroverdracht: element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:code"
         id="tmp-490ad98a-6905-414d-bcf5-b68347ae9c04">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '476' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:effectiveTime
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:informationRecipient
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:informationRecipient"
         id="tmp-2e445f35-b63d-454d-8f86-39cf43087169">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='IRCP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'IRCP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">Dossieroverdracht: element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">Dossieroverdracht: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:informationRecipient/hl7:assignedPerson
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:informationRecipient/hl7:assignedPerson"
         id="tmp-9f6ed530-ce0f-46f3-b82a-c73f6e54aa82">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:informationRecipient/hl7:assignedPerson/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component4/hl7:informationControlActEvent/hl7:informationRecipient/hl7:assignedPerson/hl7:code"
         id="tmp-3c47037f-56a5-4f06-a595-f0a4328c1f13">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0088-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0088-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0088 W0088 Bron kind/ouder DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0088 W0088 Bron kind/ouder DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6"
         id="tmp-452b1ba5-8d6f-4a55-9078-41bad548b790">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:carePlan)&gt;=1 and not(hl7:carePlan/@nullFlavor)">Dossieroverdracht: element hl7:carePlan is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan"
         id="tmp-ac8e4825-6e7e-4a3d-b1d6-5f21dff9971b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">Dossieroverdracht: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:code"
         id="tmp-eb942027-1080-4335-9243-01a7221c3b80">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1150' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '1150' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:effectiveTime
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:effectiveTime"
         id="tmp-e60822ac-ec8a-448a-b798-ee91e3ad9d1d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&gt;=1 ">Dossieroverdracht: element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">Dossieroverdracht: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">Dossieroverdracht: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">Dossieroverdracht: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">Dossieroverdracht: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:effectiveTime/hl7:low
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:effectiveTime/hl7:high
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:effectiveTime/hl7:width
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:effectiveTime/hl7:center
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component"
         id="tmp-dc32119d-4a6e-451a-8328-3233532ea59c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component/hl7:observationIntent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component/hl7:observationIntent"
         id="tmp-7c742cb0-5ab3-44bf-a42d-8972b20d5110">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code"
         id="tmp-32ea9cb8-afbd-458b-88d8-55ac18585bb5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '1155' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value"
         id="tmp-3900a6fe-041d-47af-ab5a-2fb3a51ce66f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal"
         id="tmp-9f35799f-42ff-46bb-b48d-08f971d266b4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal/hl7:observationGoal
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal/hl7:observationGoal"
         id="tmp-72bbbae4-f873-44e5-aa73-6dc4a227dff1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='GOL' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'GOL' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code"
         id="tmp-d437302b-0f55-44f7-af24-df90933a4fb6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '1154' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value"
         id="tmp-f1e92b96-f274-4bc6-974c-cc92c174244d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation"
         id="tmp-8de5e52a-e5d7-420a-8b55-31d4716952c6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent"
         id="tmp-baed282d-814e-4d05-8707-0e97a72125f0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code"
         id="tmp-79ba4cdf-3b86-4f44-b72e-fb7622b93422">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '1156' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value"
         id="tmp-9878b494-e6c3-4c16-9ecc-5e6d89bd8373">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf"
         id="tmp-e5d08800-ab07-4a06-8d9b-6574bd0bd493">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem"
         id="tmp-bb31fcee-8d29-4085-9dc3-07fdbb27dc54">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Dossieroverdracht: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 and not(hl7:reasonOf/@nullFlavor)">Dossieroverdracht: element hl7:reasonOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&lt;=1">Dossieroverdracht: element hl7:reasonOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">Dossieroverdracht: element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:reasonOf
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:reasonOf/hl7:condition
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:reasonOf/hl7:condition"
         id="tmp-1783eb78-0716-4aed-997a-71ec099183f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Dossieroverdracht: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:subjectOf"
         id="tmp-67d4c780-88c0-4929-b750-d168a997aa7e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:symptoms)&lt;=1">Dossieroverdracht: element hl7:symptoms komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:subjectOf/hl7:symptoms
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:subjectOf/hl7:symptoms"
         id="tmp-2b0874f6-9fbe-49fa-82e1-063bd1bf0af2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">Dossieroverdracht: element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">Dossieroverdracht: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:subjectOf/hl7:symptoms/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:subjectOf/hl7:symptoms/hl7:code"
         id="tmp-3d65e853-7d55-4ae8-bd50-75a493dd369d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '1153' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:carePlan/hl7:reasonOf/hl7:problem/hl7:subjectOf/hl7:symptoms/hl7:text
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8"
         id="tmp-19ba8165-d1d6-4a7c-91fb-2b5e250e2baa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData"
         id="tmp-883d16b4-70f7-46c9-a8e5-4c2dfb5810f2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">Dossieroverdracht: element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:code"
         id="tmp-5a56d3ca-c9a1-47c3-88da-49c48932f75a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.412')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.412' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:value"
         id="tmp-114764a0-5fea-4272-827f-6d9fb1b7da49">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:pertainsTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:pertainsTo"
         id="tmp-620ad11c-c2aa-4b40-b1fc-10430d8718fa">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">Dossieroverdracht: element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">Dossieroverdracht: element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-1429167d-f294-4d4f-b6ea-43cb39e30f21">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component8/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-0237e12a-528e-4d3e-ba8c-11815b76d0f8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393')">Dossieroverdracht: De waarde van @code MOET één van de volgende codes bevatten: '2.16.840.1.113883.2.4.4.40.391 of 2.16.840.1.113883.2.4.4.40.393'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:limitation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:limitation"
         id="tmp-07f33cad-d80f-4ff7-bb9e-644636949f1f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LIMIT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'LIMIT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:registrationScope)&gt;=1 and not(hl7:registrationScope/@nullFlavor)">Dossieroverdracht: element hl7:registrationScope is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:registrationScope)&lt;=1">Dossieroverdracht: element hl7:registrationScope komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:limitation/hl7:registrationScope
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:limitation/hl7:registrationScope"
         id="tmp-c18d2714-16e9-423e-a8fc-1f69b601fdfe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:limitation/hl7:registrationScope/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:limitation/hl7:registrationScope/hl7:code"
         id="tmp-b146e624-e10a-4be0-9d1a-1de8ecd0179d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.376')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '03' codeSystem '2.16.840.1.113883.2.4.4.40.376' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation"
         id="tmp-bf402a94-e78d-482f-8e8c-6c592044ab49">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(pregnancyCondition)&gt;=1 and not(pregnancyCondition/@nullFlavor)">Dossieroverdracht: element pregnancyCondition is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(pregnancyCondition)&lt;=1">Dossieroverdracht: element pregnancyCondition komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation
Item: Dossieroverdracht
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition"
         id="tmp-d93fb7c4-0d9e-49c9-98e4-e2d8e81f93d9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='COND' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">Dossieroverdracht: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject)&lt;=1">Dossieroverdracht: element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:outcome)&lt;=1">Dossieroverdracht: element hl7:outcome komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:code"
         id="tmp-c8c9f1dd-54ff-4650-9154-3c6c49c58fd3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='R014' and @codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @code/@codeSystem MOET 'R014' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:subject
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:subject"
         id="tmp-963a3032-74ae-471b-8565-50302ebbbb82">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">Dossieroverdracht: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:personalRelationship)&lt;=1">Dossieroverdracht: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:subject/hl7:personalRelationship
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:subject/hl7:personalRelationship"
         id="tmp-a4355447-d463-4ae9-9a17-6975c2515494">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-92de17f4-a657-49c9-a3ae-d935410d7ff8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1"
         id="tmp-b7420979-20e3-4323-b28a-bc630d7497a5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations"
         id="tmp-47f7aee3-6e30-4142-841a-ca0b00bf5b61">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:code"
         id="tmp-fcedd15e-0573-4d44-b2bc-9aabcca5aa97">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:value"
         id="tmp-cbfafcb0-4824-4bcd-897a-1b2d17944eab">
      <assert role="error" test="@xsi:type='PQ' or @xsi:type='BL' or @xsi:type='ST'">Dossieroverdracht:  @xsi:type SHALL be present and one of 'PQ', 'BL', 'ST'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component"
         id="tmp-de85f471-6656-47cf-8a74-763d34346a66">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component/hl7:detailPregnancyObservations
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component/hl7:detailPregnancyObservations"
         id="tmp-7ba83376-5e21-4897-9b4d-70e0c8fdfa51">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component/hl7:detailPregnancyObservations/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component/hl7:detailPregnancyObservations/hl7:code"
         id="tmp-3b33283e-a659-4f61-bea8-cff48fdc1a1f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component/hl7:detailPregnancyObservations/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component1/hl7:pregnancyObservations/hl7:component/hl7:detailPregnancyObservations/hl7:value"
         id="tmp-84a925c0-0887-4625-81bb-c7dd52e34f86">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.306')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.40.306' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2"
         id="tmp-6bf48e9a-88e8-4df2-a00d-4273ed1befd1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent"
         id="tmp-ef552afb-d124-4884-8908-ea90f64b8c6e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='SBADM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consumable)&gt;=1 ">Dossieroverdracht: element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consumable)&lt;=1">Dossieroverdracht: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-50e63bd7-d459-4b03-88b0-6012858f266e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CSM' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medication)&gt;=1 ">Dossieroverdracht: element hl7:medication is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medication)&lt;=1">Dossieroverdracht: element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-570a8a34-21ee-4cda-bcb3-09dca083b4fc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ADMM' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medicine)&gt;=1 and not(hl7:medicine/@nullFlavor)">Dossieroverdracht: element hl7:medicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:medicine)&lt;=1">Dossieroverdracht: element hl7:medicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine"
         id="tmp-b65cdb62-8304-4e2e-b93e-cabb635dcbdd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='MMAT' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@determinerCode='KIND' or not(@determinerCode)">Dossieroverdracht: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:medicine/hl7:code"
         id="tmp-84bea101-9b5e-416f-876a-c05ae4f9757a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.1')">Dossieroverdracht: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:outcome
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:outcome"
         id="tmp-7ce928cb-7ef8-4da5-b258-ddaf9c771a35">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:sequelTo
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:sequelTo"
         id="tmp-c03dd217-53de-4cd4-a0b4-9299539409d6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber"
         id="tmp-ab50ec87-cf1c-4b5b-b67a-45db06f9a051">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">Dossieroverdracht: value MOET in bereik [1..] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$digitok">Dossieroverdracht: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf"
         id="tmp-03a72dd6-58f7-4611-bc41-a3f2002d9bd4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">Dossieroverdracht: De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:endOfCareEvent)&gt;=1 and not(hl7:endOfCareEvent/@nullFlavor)">Dossieroverdracht: element hl7:endOfCareEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:endOfCareEvent)&lt;=1">Dossieroverdracht: element hl7:endOfCareEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf/hl7:endOfCareEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf/hl7:endOfCareEvent"
         id="tmp-2265e13f-c7e0-465d-8825-d491c09a2761">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">Dossieroverdracht: element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">Dossieroverdracht: element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf/hl7:endOfCareEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf/hl7:endOfCareEvent/hl7:code"
         id="tmp-f9d6d49e-2129-4809-9a81-ddbba6e9d159">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0651-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0651-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0651 W0651 Zorgstatus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0651 W0651 Zorgstatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf/hl7:endOfCareEvent/hl7:reasonCode
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:subjectOf/hl7:endOfCareEvent/hl7:reasonCode"
         id="tmp-f5a4ce8d-2794-490d-ac10-08f0bb46d8cc">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0626-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0626-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Dossieroverdracht: De waarde van @code MOET worden gekozen uit Value Set W0626 W0626 Zorgbeëindiging DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Dossieroverdracht: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0626 W0626 Zorgbeëindiging DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary"
         id="tmp-53254293-7f06-48ea-a5c6-e950e39459c7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">Dossieroverdracht: element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:observationEvent)&lt;=1">Dossieroverdracht: element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent"
         id="tmp-0680e80d-1907-435e-8275-9e75298deee7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">Dossieroverdracht: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">Dossieroverdracht: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Dossieroverdracht: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">Dossieroverdracht: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Dossieroverdracht: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">Dossieroverdracht: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:code
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:code"
         id="tmp-eb0c7130-155c-451d-aac6-ec82fcfa2686">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Dossieroverdracht: De waarde van @code/@codeSystem MOET '492' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:value
Item: Dossieroverdracht
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:value"
         id="tmp-f119cfb7-501a-47b1-a099-d87abd078cad">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Dossieroverdracht: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>