<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.14
Description: Versturen vaccinatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.14">
   <title>Versturen vaccinatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL" id="tmp-4ec49cb8-a13c-4d70-8b65-8398fe4c85e1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">Versturen vaccinatie: element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:ControlActProcess)&lt;=1">Versturen vaccinatie: element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:id"
         id="tmp-868ee1c9-489a-4092-b6b5-9a2fb2eb250b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root and @extension">Versturen vaccinatie: Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:creationTime
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:creationTime"
         id="tmp-9d8efe32-4d86-4fe1-b00e-8627a28282ee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <let name="datatypeName" value="substring-after(string(@xsi:type),':')"/>
      <assert role="error"
              test="not(@xsi:type) or string(@xsi:type)='TS' or substring-after(string(@xsi:type),':')='TS'">Versturen vaccinatie: Transmission: creationTime moet datatype TS hebben.</assert>
      <assert role="error" test="matches(@value,'^[0-9]{14}')">Versturen vaccinatie: Transmission: creationTime moet minimaal op de seconde nauwkeurig zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:versionCode
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:versionCode"
         id="tmp-d10418ea-9019-4b67-8e3d-1cee3c3adb7f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">Versturen vaccinatie: De waarde van @code MOET 'NICTIZEd2005-Okt' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-425630c1-25c0-46ed-8853-41b0feaeef9b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.1.6'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">Versturen vaccinatie: Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-85220e70-8fba-4f16-aa2b-164b39aca8e7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@extension='810'">Versturen vaccinatie: De waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:processingCode
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:processingCode"
         id="tmp-daa5d8e4-4ab3-4d20-a953-e5488bb17e94">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='P')">Versturen vaccinatie: De waarde van @code MOET 'P' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:processingModeCode
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:processingModeCode"
         id="tmp-1162438c-251e-4b9d-b53a-8e81a1b40005">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='T')">Versturen vaccinatie: De waarde van @code MOET 'T' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:acceptAckCode
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:acceptAckCode"
         id="tmp-4d220aac-9137-44b4-b1b4-86733dc9d60a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='AL')">Versturen vaccinatie: De waarde van @code MOET 'AL' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver"
         id="tmp-4d040d44-44e1-4171-8559-db5da3e04bb3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='RCV' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Versturen vaccinatie: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&lt;=1">Versturen vaccinatie: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device"
         id="tmp-4b51a306-8f90-4454-89d9-34f4169d540e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Versturen vaccinatie: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Versturen vaccinatie: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">Versturen vaccinatie: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-236fbdc2-7a39-42ea-b828-8b26c4616c02">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Versturen vaccinatie: Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:name
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-2f5632f5-c55c-41f3-a0f7-e73cf274ca9d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender"
         id="tmp-5f669abd-8ee2-4854-bb5d-50436562f310">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='SND' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">Versturen vaccinatie: element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:device)&lt;=1">Versturen vaccinatie: element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device"
         id="tmp-acbcf9e1-2d68-4fbc-98a9-17a70e34e345">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">Versturen vaccinatie: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">Versturen vaccinatie: element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">Versturen vaccinatie: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-d6555bcf-2d25-4285-93a4-1bc3c972a71e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error" test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">Versturen vaccinatie: Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:name
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-a601addb-3294-4af1-80f1-7a56db5e57db">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess"
         id="tmp-64be120d-671e-4b9b-ab99-e726cce6c86c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:authorOrPerformer)&gt;=1 and not(hl7:authorOrPerformer/@nullFlavor)">Versturen vaccinatie: element hl7:authorOrPerformer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:authorOrPerformer)&lt;=1">Versturen vaccinatie: element hl7:authorOrPerformer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)">Versturen vaccinatie: element hl7:overseer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:overseer)&lt;=1">Versturen vaccinatie: element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">Versturen vaccinatie: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:subject)&lt;=1">Versturen vaccinatie: element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:id"
         id="tmp-4ff5b20d-2185-4106-bf44-f173a4ee9bbf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:code"
         id="tmp-05d10bc6-84d6-4236-a397-2ea03c4eea24">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">Versturen vaccinatie: De waarde van @codeSystem MOET '2.16.840.1.113883.1.18' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:text
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:effectiveTime
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-ddab2672-2ebb-4110-be3a-aeed63bff261">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@value">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet datatype TS hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:reasonCode
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:languageCode
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:informationRecipient
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:dataEnterer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer"
         id="tmp-7bb32339-20aa-4493-ae9e-d4c9af8b22ed">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='AUT' ">Versturen vaccinatie: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Versturen vaccinatie: element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:participant)&lt;=1">Versturen vaccinatie: element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant"
         id="tmp-d519103c-041b-482d-b249-136d9cd1ca89">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">Versturen vaccinatie: element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&lt;=1">Versturen vaccinatie: element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson"
         id="tmp-1c27163c-b985-4d8f-94bf-05c7de23147c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen vaccinatie: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">Versturen vaccinatie: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:telecom)&lt;=1">Versturen vaccinatie: element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">Versturen vaccinatie: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:noteText)=0">Versturen vaccinatie: element hl7:noteText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:time)=0">Versturen vaccinatie: element hl7:time MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:modeCode)=0">Versturen vaccinatie: element hl7:modeCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:signatureCode)=0">Versturen vaccinatie: element hl7:signatureCode MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:signatureText)=0">Versturen vaccinatie: element hl7:signatureText MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">Versturen vaccinatie: element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&lt;=1">Versturen vaccinatie: element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id"
         id="tmp-6186712a-55a9-4536-a82c-38539354e9e4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-fa388469-1b74-41e9-b032-b2bcd400a783">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-af61a8c1-0e17-4755-bd62-9168b644e6e2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:name
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-900e4d29-f36a-401c-8794-fb05109010d1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:time
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-b034c215-7947-467a-8d0a-6d88aecf01f7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen vaccinatie: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">Versturen vaccinatie: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen vaccinatie: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">Versturen vaccinatie: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:addr)&lt;=1">Versturen vaccinatie: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-fd5b61e0-3373-49b7-987f-ac6c0f98c40b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">Versturen vaccinatie: &gt;Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-462df108-f311-4ffa-81af-bea46574ea25">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">Versturen vaccinatie: De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.15.1060' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-2a4f6916-9293-4353-914e-97fbae94c9ba">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-c9093fd1-d3cc-4b86-9e8d-9a2b259a954a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-8685ba92-4dda-4925-8834-6c89d0071030">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer"
         id="tmp-48c4468d-2c99-4129-a89c-f01814c9612c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='RESP' ">Versturen vaccinatie: De waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">Versturen vaccinatie: element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:AssignedPerson)&lt;=1">Versturen vaccinatie: element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-70fc403d-955e-44a1-bf41-137b75722f8c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen vaccinatie: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">Versturen vaccinatie: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">Versturen vaccinatie: element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">Versturen vaccinatie: element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">Versturen vaccinatie: element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:Organization)&lt;=1">Versturen vaccinatie: element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id"
         id="tmp-fc8c9d16-6fb0-4dcc-801a-7ce77394dbcb">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.1' and @extension">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-e579eeed-94f7-4e9c-a968-1451cc8893b8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-ff887453-9c2d-4f83-af5d-409ba84b2339">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">Versturen vaccinatie: element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedPerson)&lt;=1">Versturen vaccinatie: element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-a8562626-1ac2-493b-8cc7-73235a2736b5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen vaccinatie: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">Versturen vaccinatie: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-b84fe0ba-adef-4bd4-90c7-7bebfb21862c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-2222eff0-b1d8-4bde-8fd5-358f650eccf8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen vaccinatie: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">Versturen vaccinatie: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen vaccinatie: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">Versturen vaccinatie: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">Versturen vaccinatie: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:addr)&lt;=1">Versturen vaccinatie: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-438470c8-371f-4883-bc58-e148db5b1761">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@root='2.16.528.1.1007.3.3' and @extension">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-fdcf70e9-70e5-43d4-a091-89988a5f7b80">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.15.1060' and @code">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet een zorgaanbieder-code bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-c35cfb9e-5337-49e4-8aa3-48ec3c57cef1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-0d20ff22-2378-4080-a38c-640f7c4e8d3b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="hl7:city">Versturen vaccinatie: Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject"
         id="tmp-49ea2963-fb18-427f-9b15-93bfef7f5eff">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:CareProvisionEvent)&gt;=1 ">Versturen vaccinatie: element hl7:CareProvisionEvent is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:CareProvisionEvent)&lt;=1">Versturen vaccinatie: element hl7:CareProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent"
         id="tmp-f8fa90ce-ad94-4d30-b433-067379910dc5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='PCPR' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@moodCode='EVN' or not(@moodCode)">Versturen vaccinatie: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error" test="count(hl7:subject)=1">Versturen vaccinatie: template-2.16.840.1.113883.2.4.6.10.100.180: er moet exact één element subject (Patiëntgegevens) zijn</assert>
      <assert role="error" test="count(hl7:performer)=1">Versturen vaccinatie: template-2.16.840.1.113883.2.4.6.10.100.180: er moet exact één element performer (Uitvoerende gegevens) zijn</assert>
      <assert role="error" test="count(hl7:author)=1">Versturen vaccinatie: template-2.16.840.1.113883.2.4.6.10.100.180: er moet exact één element author (Verantwoordelijke gegevens) zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']/@nullFlavor)">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'])&lt;=1">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen vaccinatie: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">Versturen vaccinatie: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">Versturen vaccinatie: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:statusCode)&lt;=1">Versturen vaccinatie: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:effectiveTime)&lt;=1">Versturen vaccinatie: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">Versturen vaccinatie: element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:subject)&lt;=1">Versturen vaccinatie: element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">Versturen vaccinatie: element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:performer)&lt;=1">Versturen vaccinatie: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">Versturen vaccinatie: element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:author)&lt;=1">Versturen vaccinatie: element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">Versturen vaccinatie: element hl7:component is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:component)&lt;=1">Versturen vaccinatie: element hl7:component komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.180']"
         id="tmp-10f8ccc2-e79b-445a-afe4-c6a4fe6feffe">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.180'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.180' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:id"
         id="tmp-a578693a-1163-4409-8dba-938eae8cca50">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:code"
         id="tmp-a507e47b-8ffb-4f78-8e31-d3512ca3344f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">Versturen vaccinatie: De waarde van @code/@codeSystem MOET 'CPHC' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:statusCode
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-e73c81ba-65d6-4dbe-b1f9-9e72ca8c0c5c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='active') or (@code='aborted') or (@code='completed')">Versturen vaccinatie: De waarde van @code MOET één van de volgende codes bevatten: 'active of aborted of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:effectiveTime
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-2654b760-83d0-4bf5-a1c1-9948674faf82">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:low)&gt;=1 ">Versturen vaccinatie: element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:low)&lt;=1">Versturen vaccinatie: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:high)&lt;=1">Versturen vaccinatie: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:width)=0">Versturen vaccinatie: element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:center)=0">Versturen vaccinatie: element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high"
         id="tmp-12612182-2bfa-484a-8f38-ffbf7f69a7bc">
      <assert role="error"
              test="count(../../hl7:statusCode[@code='aborted' or @code='completed'])=0 or hl7:high">Versturen vaccinatie: Als statusCode=”aborted” of statusCode=”completed” dan moet high/@value de datum en indien bekend de tijd bevatten van de afsluiting van de zorg.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:width
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:center
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject"
         id="tmp-0d7d3ae6-5168-47ff-ac90-e7c851032089">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='SBJ' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">Versturen vaccinatie: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:patient)&lt;=1">Versturen vaccinatie: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient"
         id="tmp-9144314f-b923-459f-954e-9c9ce8bfcdec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='PAT' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']/@nullFlavor)">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&lt;=1">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 ">Versturen vaccinatie: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">Versturen vaccinatie: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">Versturen vaccinatie: element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:patientPerson)&lt;=1">Versturen vaccinatie: element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']"
         id="tmp-8b7f9efd-e111-4b93-bb33-346021ee32c4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.102'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.102' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:id"
         id="tmp-f8bde6ef-2402-4a28-9d8f-eb57ae4d10d5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.BSN' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="not(@nullFlavor) or @nullFlavor='NA'">Versturen vaccinatie: @nullFlavor moet, indien aanwezig, de waarde "NA" hebben</assert>
      <assert role="error" test="@nullFlavor or @root='2.16.840.1.113883.2.4.6.3'">Versturen vaccinatie: als er een patiëntidentificatie aanwezig is dan moet dit het burgerservicenummer zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:addr"
         id="tmp-1bb1cfcc-7a30-41bc-a1e2-2f3c8633d326">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="warning" test="not(.)">Versturen vaccinatie: 
                        <name/> is voor deze template niet gespecificeerd</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson"
         id="tmp-94eb8bbd-62ab-47c2-ad60-00acdef08fb9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='PSN' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">Versturen vaccinatie: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">Versturen vaccinatie: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:name)&lt;=1">Versturen vaccinatie: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 and not(hl7:administrativeGenderCode/@nullFlavor)">Versturen vaccinatie: element hl7:administrativeGenderCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">Versturen vaccinatie: element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">Versturen vaccinatie: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:birthTime)&lt;=1">Versturen vaccinatie: element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-341f437c-d8d9-4b04-8070-d7e59f4617c3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @use='OR' ">Versturen vaccinatie: De waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">Versturen vaccinatie: element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:given)&lt;=1">Versturen vaccinatie: element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:prefix)&lt;=1">Versturen vaccinatie: element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:family)&lt;=1">Versturen vaccinatie: element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name/hl7:given
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name/hl7:given"
         id="tmp-34c11a6e-f4e1-4b2c-a815-c31c87d86dab">
      <assert role="error" test="not(@qualifier)">Versturen vaccinatie: 
                                <name/>/@qualifier is niet toegestaan</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name/hl7:prefix
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name/hl7:prefix"
         id="tmp-cc726c71-4af2-4a58-9063-bb4bc15bcad8">
      <assert role="error" test="@qualifier='VV BR' or @qualifier='BR VV'">Versturen vaccinatie: 
                                <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name/hl7:family
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name/hl7:family"
         id="tmp-9af6b473-47f2-4172-bfa7-56d73a0c96c2">
      <assert role="error" test="@qualifier='BR'">Versturen vaccinatie: 
                                <name/> moet de geslachtsnaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-46f94e66-65f9-4b89-972c-e85fc768c2e4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Versturen vaccinatie: De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Versturen vaccinatie: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-0f03844e-3659-4e32-9738-c3f89b2192c0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer"
         id="tmp-9c191cff-489d-4934-ba2f-154691f80939">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='PRF' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Versturen vaccinatie: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedEntity)&lt;=1">Versturen vaccinatie: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-3534a3a7-e2a2-409a-86aa-dbceeaad59d6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:id|hl7:id)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="$elmcount&gt;=1">Versturen vaccinatie: keuze (hl7:id of hl7:id) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="$elmcount&lt;=1">Versturen vaccinatie: keuze (hl7:id of hl7:id) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-cb743195-4512-4ff3-862b-1e869e106642">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-74fd99ad-e850-4157-8695-f76a6980d66b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-d1f18708-4b34-4e3a-ab3f-9f5377398ea9">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author"
         id="tmp-0667e73b-bb6b-4e10-9f4e-1794d0807950">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='AUT' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Versturen vaccinatie: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedEntity)&lt;=1">Versturen vaccinatie: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity"
         id="tmp-8cefcb92-6116-4bad-893a-0f72d790a318">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:id|hl7:id)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="$elmcount&gt;=1">Versturen vaccinatie: keuze (hl7:id of hl7:id) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="$elmcount&lt;=1">Versturen vaccinatie: keuze (hl7:id of hl7:id) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-7fb23faa-7329-4d54-b982-f85d4b07a44c">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-2cab34db-74c4-4b5d-b7db-8d464d0e8436">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:author/hl7:assignedEntity/hl7:id"
         id="tmp-5c3efd71-fd03-47e4-a9ee-05dd38e630ee">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component"
         id="tmp-4a4fc579-4267-4b44-a68e-1fc214b9a8cf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='COMP' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:encounterEvent)&gt;=1 and not(hl7:encounterEvent/@nullFlavor)">Versturen vaccinatie: element hl7:encounterEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:encounterEvent)&lt;=1">Versturen vaccinatie: element hl7:encounterEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent"
         id="tmp-d4839ddf-e339-4b20-ad11-28d65fc46197">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@moodCode='EVN' or not(@moodCode)">Versturen vaccinatie: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='ENC' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Versturen vaccinatie: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:id)&lt;=1">Versturen vaccinatie: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Versturen vaccinatie: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:effectiveTime)&lt;=1">Versturen vaccinatie: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">Versturen vaccinatie: element hl7:component is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:id
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:code"
         id="tmp-fbbec2aa-4b87-496a-8824-c2e72b8de01f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='23' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='24' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='25' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='26' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='27' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')">Versturen vaccinatie: De waarde van @code MOET één van de volgende codes bevatten: '01' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 02' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 03' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 04' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 05' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 06' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 07' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 08' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 09' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 10' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 11' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 12' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 13' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 14' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 15' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 16' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 17' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 18' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 19' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 20' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 21' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 22' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 23' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 24' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 25' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 26' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 27' codeSystem '2.16.840.1.113883.2.4.4.40.308 of 97' codeSystem '2.16.840.1.113883.2.4.4.40.308'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:effectiveTime
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:effectiveTime"
         id="tmp-bcfe42ed-1304-4da8-abbd-6e2fa50789a4">
      <assert role="error" test="matches(@value,'^[0-9]{8}')">Versturen vaccinatie: 
                                            <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component"
         id="tmp-0017739f-57d2-4447-b58f-9dc614005ca3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='COMP' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">Versturen vaccinatie: element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:substanceAdministrationEvent)&lt;=1">Versturen vaccinatie: element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent"
         id="tmp-4212cbd0-0e74-45a8-8e0b-8ac15506e5c4">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='SBADM' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@moodCode='EVN' or not(@moodCode)">Versturen vaccinatie: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="if (@negationInd='true') then (hl7:authorization) else (not(hl7:authorization))">Versturen vaccinatie: als @negationInd 'true' is, dan moet er bezwaar zijn in authorization, anders moet @negationInd 'zijn' en kan er geen bezwaar zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']/@nullFlavor)">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&lt;=1">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">Versturen vaccinatie: element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:effectiveTime)&lt;=1">Versturen vaccinatie: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">Versturen vaccinatie: element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:consumable)&lt;=1">Versturen vaccinatie: element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">Versturen vaccinatie: element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:performer)&lt;=1">Versturen vaccinatie: element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']"
         id="tmp-587f7757-6241-4dc5-800a-9202bb55b500">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.117'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.117' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:code"
         id="tmp-d97d6478-6236-49ca-8602-d9b92715f585">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">Versturen vaccinatie: De waarde van @code/@codeSystem MOET 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:effectiveTime
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:effectiveTime"
         id="tmp-0804c95e-9809-441f-b7d3-845e6925d303">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="matches(@value,'^[0-9]{8}')">Versturen vaccinatie: 
                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-6a6d73df-22ef-4cef-aeb3-d75a25e2fe78">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='CSM' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">Versturen vaccinatie: element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:medication)&lt;=1">Versturen vaccinatie: element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-2a147d0f-0bce-4a02-b273-79af19c046f6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='ADMM' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">Versturen vaccinatie: element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:administrableMedicine)&lt;=1">Versturen vaccinatie: element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-b54007da-3d88-4298-8c14-2e4a803c79e3">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='MMAT' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@determinerCode='KIND' or not(@determinerCode)">Versturen vaccinatie: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error" test="hl7:lotNumberText or ../../../hl7:authorization">Versturen vaccinatie: lotNumberText moet het partijnummer bevatten, als er geen sprake is van bezwaar</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:lotNumberText)&lt;=1">Versturen vaccinatie: element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-a483eb13-8712-4661-bffb-128747e07291">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0422-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Versturen vaccinatie: De waarde van @code MOET worden gekozen uit Value Set W0422 W0422 Soort vaccinatie DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Versturen vaccinatie: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0422 W0422 Soort vaccinatie DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-5cf9ac1e-4684-4b89-aa18-75a9e5de6da8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="not(../../../../hl7:authorization)">Versturen vaccinatie: als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization"
         id="tmp-e2cc9ce8-0c1d-4a3c-a98d-96a15b9e5198">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='AUTH' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">Versturen vaccinatie: @contextConductionInd SHALL have value 'false' STATIC </assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:consentEvent)&gt;=1 ">Versturen vaccinatie: element hl7:consentEvent is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:consentEvent)&lt;=1">Versturen vaccinatie: element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent"
         id="tmp-1b084a40-aef1-4b8a-bc29-b1804f4b8fa5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='CONS' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@moodCode='EVN' or not(@moodCode)">Versturen vaccinatie: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:code"
         id="tmp-eb275c09-c4a5-4c27-9bda-fd3249eca5a6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">Versturen vaccinatie: De waarde van @code/@codeSystem MOET 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf"
         id="tmp-c1d552b7-92e8-403f-af41-406b02d5d0d6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='RSON' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">Versturen vaccinatie: element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:observationEvent)&lt;=1">Versturen vaccinatie: element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent"
         id="tmp-dc72a17d-b05c-44d7-a672-47a839378400">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@classCode='OBS' or not(@classCode)">Versturen vaccinatie: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@moodCode='EVN' or not(@moodCode)">Versturen vaccinatie: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Versturen vaccinatie: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:code)&lt;=1">Versturen vaccinatie: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:value)&gt;=1 ">Versturen vaccinatie: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:value)&lt;=1">Versturen vaccinatie: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code"
         id="tmp-fb6a817a-5c60-4c47-ad44-881e8a299d7d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">Versturen vaccinatie: De waarde van @code/@codeSystem MOET '683' codeSystem '2.16.840.1.113883.2.4.4.40.267' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value"
         id="tmp-9754180b-0aaf-4866-9903-87dab7199ed6">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0323-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0323-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">Versturen vaccinatie: De waarde van @code MOET worden gekozen uit Value Set W0323 W0323 Bezwaar DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">Versturen vaccinatie: De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set W0323 W0323 Bezwaar DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer"
         id="tmp-c5a1216b-65f1-42ac-9c95-905f291b7af1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@typeCode='PRF' or not(@typeCode)">Versturen vaccinatie: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">Versturen vaccinatie: element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:assignedEntity)&lt;=1">Versturen vaccinatie: element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-7d4ee2ac-ab05-4824-8746-ead9d931dfb7">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">Versturen vaccinatie: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:id|hl7:id)"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="$elmcount&gt;=1">Versturen vaccinatie: keuze (hl7:id of hl7:id) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="$elmcount&lt;=1">Versturen vaccinatie: keuze (hl7:id of hl7:id) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-420e2907-3ece-4a6d-8b42-5a5475eb71ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">Versturen vaccinatie: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">Versturen vaccinatie: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity
Item: Versturen vaccinatie
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-b7ccc9a8-eead-45ec-92ba-df369a979b7d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.UZI' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.14
Context: hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: Versturen vaccinatie
-->

<rule context="hl7:REPC_IN002140NL/hl7:ControlActProcess/hl7:subject/hl7:CareProvisionEvent/hl7:component/hl7:encounterEvent/hl7:component/hl7:substanceAdministrationEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-c871b595-a182-4134-830b-fdc4cf51c9e1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorgjgz-html-20120523T211528/tmp-2.16.840.1.113883.2.4.6.10.100.14.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">Versturen vaccinatie: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>