<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.32
Description: Nictiz Emergency-PS
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.32">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent"
         id="tmp-5e5f8ad7-d686-422e-a33c-2a3a084c9b9e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='PCPR' ">(TMP SEH-PS): De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.32'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.32']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.32'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.32'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.32']
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.32']"
         id="tmp-003e318c-df8f-475a-a03e-7b52075815e2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.32'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.32' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-221627a0-c23b-4e0e-9bad-01a69d1b111f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(TMP SEH-PS): De waarde van @code MOET één van de volgende codes bevatten: 'active of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:effectiveTime
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-1745ef93-8644-4108-8ee3-b2e17bd477c1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&gt;=1 ">(TMP SEH-PS): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&lt;=1">(TMP SEH-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:high)=0">(TMP SEH-PS): element hl7:high MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:width)=0">(TMP SEH-PS): element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:center)=0">(TMP SEH-PS): element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-7d3a1f8a-3404-4c3c-ac6c-96086066e9ca">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:width
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:center
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent"
         id="tmp-85130a30-e3b0-444b-ada3-99889005f9f6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]])&lt;=1">(TMP SEH-PS): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]])&lt;=1">(TMP SEH-PS): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]])&lt;=1">(TMP SEH-PS): element hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]])&lt;=1">(TMP SEH-PS): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])&lt;=1">(TMP SEH-PS): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']]])&lt;=1">(TMP SEH-PS): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-0d68ee35-f6e3-439d-b781-c3e6db08de53">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-fc607a6a-39a6-41d8-937a-ba3dba18d8d6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-593888f7-47f4-4959-aec1-f06398f2f299">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='OBS' ">(TMP SEH-PS): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEH-PS): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEH-PS): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value)&lt;=1">(TMP SEH-PS): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SEH-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&lt;=1">(TMP SEH-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']"
         id="tmp-1babc4c0-bf89-4fea-a1c0-d68993c511c6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.1'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-1bb18ef9-4d46-426e-b9a1-487ebb1831bb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEH-PS): De waarde van @code MOET worden gekozen uit Value Set NoteCategory Note Category DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-f850f234-26d5-454c-bfb1-c9b17b80a892">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-46c15aff-0c18-49dc-9798-e38a7ef02844">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&gt;=1 ">(TMP SEH-PS): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&lt;=1">(TMP SEH-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:high)&lt;=1">(TMP SEH-PS): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:center)=0">(TMP SEH-PS): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:width)=0">(TMP SEH-PS): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-9d6e491a-fafd-412b-9723-7389f76aa93c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-ac65f45d-9333-4ac1-8ad9-d8af2abe4838">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-ef46d5df-979c-4048-8d57-150c1ca9d588">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='AUT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-62dc5e81-5c31-417b-859a-45c28b31f01d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-9ad1b0f3-82bd-4ff6-98cc-d930bae3c208">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-27344979-2600-47c1-b32c-d43d619e9215">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-ba141119-04be-4c51-9e5b-d7b1a1a4f980">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]"
         id="tmp-65b35ffd-7ade-4c2c-8f8e-5b54f91f7d7a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]"
         id="tmp-91cc689f-ff16-46a1-b9a6-efd936e95745">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-ceb5a69e-2a3d-42e5-8ff0-5d50f2f4fd9a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='OBS' ">(TMP SEH-PS): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEH-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&lt;=1">(TMP SEH-PS): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEH-PS): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:text)&lt;=1">(TMP SEH-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:statusCode)&lt;=1">(TMP SEH-PS): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SEH-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value)&gt;=1 ">(TMP SEH-PS): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value)&lt;=1">(TMP SEH-PS): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&lt;=1">(TMP SEH-PS): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(TMP SEH-PS): element hl7:subject is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']"
         id="tmp-0b375544-9ae2-4835-bd3a-590040718411">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.17'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.17' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id"
         id="tmp-f3b8dda1-e455-464b-ad07-8514c63add59">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-0656a587-6970-4d60-9e5e-cceff1bf7504">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@code='10157-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of family member diseases')">(TMP SEH-PS): De waarde van @code/@codeSystem MOET '10157-6' codeSystem '2.16.840.1.113883.6.1' displayName='History of family member diseases' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text"
         id="tmp-dcc7f9d5-b3f9-4f43-9524-fdcfe123c9a2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:statusCode
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:statusCode"
         id="tmp-dee9d551-79a9-4d32-8db4-ec32f6f116c4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(TMP SEH-PS): De waarde van @code MOET één van de volgende codes bevatten: 'active of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-d32de49b-3c44-4a9a-8ec4-9d7aca0ab975">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&gt;=1 ">(TMP SEH-PS): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&lt;=1">(TMP SEH-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:high)&lt;=1">(TMP SEH-PS): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:width)=0">(TMP SEH-PS): element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:center)=0">(TMP SEH-PS): element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-fbe3a1ae-d1c2-4a08-bda7-daca8b82924b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-5fd81e4a-f2ec-4ebe-9648-c5b754018a51">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-d4ecc245-e04d-4566-8cc6-9fd182ba9194">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.31.1')">(TMP SEH-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.31.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-babdcbb2-e58d-4b4c-a665-22ba241ce684">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='AUT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='ON' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP SEH-PS): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&lt;=1">(TMP SEH-PS): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="$elmcount&gt;=1">(TMP SEH-PS): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:time
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:time"
         id="tmp-e8366d8c-b640-4128-a05f-12b9f7aacfce">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-66cf0bd3-fdd9-4cae-af3d-5795fc0e6277">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])&lt;=1">(TMP SEH-PS): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-5bf40987-d82e-4acb-88c9-7a5b807cbc81">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-bdd91bf0-f66e-4688-8be3-9e1e56a4398b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-80075a2a-6eaa-42e2-a616-9f88033e7c24">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-4cdf1827-f293-42cd-ad4f-2c26c19f93b8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-9ee6a83d-fd47-4f8a-a9bc-aa04fdde2ddb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='PAT' ">(TMP SEH-PS): De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&gt;=1 ">(TMP SEH-PS): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&lt;=1">(TMP SEH-PS): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']"
         id="tmp-f3922dd5-9c78-4a97-906a-d30caf76c1f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.18'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.18' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:id
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:id"
         id="tmp-58201c6f-8666-4fc7-9b71-ade15070ac85">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:addr
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:addr"
         id="tmp-cb417914-f7a1-4b54-8365-ab6b94c70094">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:telecom
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:telecom"
         id="tmp-ccb31d11-a245-413d-8ba0-107a7555d960">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:statusCode
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:statusCode"
         id="tmp-47f93d1b-7042-45a1-b73c-f6337d1961f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-90ec9118-83bc-484a-86a3-0b354d3b8488">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='PSN' ">(TMP SEH-PS): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@determinerCode='INSTANCE' ">(TMP SEH-PS): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP SEH-PS): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:birthTime)&lt;=1">(TMP SEH-PS): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:birthPlace)&lt;=1">(TMP SEH-PS): element hl7:birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-3178bec4-e66e-4bfe-adbc-401017d6b2b8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.19'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.19' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:name
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:name"
         id="tmp-70e178db-a2d5-4dd9-b901-2a418f9a78fb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:administrativeGenderCode
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:administrativeGenderCode"
         id="tmp-af779264-9a5c-43b4-a711-c37505d26d82">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEH-PS): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:birthTime
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:birthTime"
         id="tmp-1bc19768-7f0c-4a3b-8458-294aeed86aeb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:birthPlace
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:subject
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:subject"
         id="tmp-d7739325-51ef-4610-a029-90299dbbbdac">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='SBJ' ">(TMP SEH-PS): De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&gt;=1 and not(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']/@nullFlavor)">(TMP SEH-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&lt;=1">(TMP SEH-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]"
         id="tmp-2f857e35-a9b3-432f-84cd-a1452575bd41">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]"
         id="tmp-620ee743-15a4-42cb-b726-d428f9585345">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter"
         id="tmp-540d2e3e-347b-444a-ace4-4135a9d7fbe9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ENC' ">(TMP SEH-PS): De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEH-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&lt;=1">(TMP SEH-PS): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SEH-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&lt;=1">(TMP SEH-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']"
         id="tmp-3f59ab9f-82cd-43ee-b920-4e1525328a1d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.3'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:id
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:id"
         id="tmp-fcf6b347-a63b-4ecd-9172-6edd3cb19c9b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code"
         id="tmp-46ff9c34-b574-454c-a0e5-ace5ac37f882">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Contactwijze-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEH-PS): De waarde van @code MOET worden gekozen uit Value Set Contactwijze NHG HIS tabel 14 Contactwijze versie 7 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:translation)&lt;=1">(TMP SEH-PS): element hl7:translation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code/hl7:translation
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:code/hl7:translation"
         id="tmp-f4202e62-073d-48ca-ae4a-fbe23e1ed604">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Verrichtingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEH-PS): De waarde van @code MOET worden gekozen uit Value Set Verrichtingen WCIAv3 Tabel 15 Verrichtingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime"
         id="tmp-f1dd4e16-a821-491d-b7e9-13bd2d75e112">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP SEH-PS): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&lt;=1">(TMP SEH-PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:high)&lt;=1">(TMP SEH-PS): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:center)=0">(TMP SEH-PS): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:width)=0">(TMP SEH-PS): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:low
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:low"
         id="tmp-d0cb6118-a8df-4e1c-99f6-3f62aa62931f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:high
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:high"
         id="tmp-1c2ca88d-7529-458c-a88b-d9892be539ea">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:center
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:effectiveTime/hl7:width
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author"
         id="tmp-56bd620b-b819-49b4-9b8f-1b35c8cf438f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='AUT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-df5a3b0e-f1f5-4fb0-82bc-bde2048cb41f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-b1cfd309-fb97-4f30-b077-7f1f1aa0f415">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-33034206-409e-477f-9b81-73a40a00ac96">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-54242ff4-b34a-4e93-afde-bff3c05898f1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer"
         id="tmp-2dfc6dc3-eb11-4245-9335-212dd1593f62">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PRF' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-141c602f-0d6b-4d94-bc15-ec1c22caed19">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-ee7ccad4-c512-4322-846c-816da0056b8f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-23cf1ee3-025a-406f-9fe4-aa7f45c999ff">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-987aaef8-8b26-4c9f-a431-6634c055f38d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship"
         id="tmp-c532cd4f-a759-4ad7-aef6-3dbeb04da7b3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='COMP' ">(TMP SEH-PS): De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:sequenceNumber)&lt;=1">(TMP SEH-PS): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="$elmcount&gt;=1">(TMP SEH-PS): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship/hl7:sequenceNumber"
         id="tmp-c7d08c92-f371-4295-baf7-ce563c4e1526">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='INT.POS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.POS" bevatten</assert>
      <extends rule="INT.POS"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="$digitok">(TMP SEH-PS): @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:encounter[hl7:templateId/@root='']]/hl7:encounter/hl7:outboundRelationship"
         id="tmp-732b0920-e153-4ebc-93dc-f17de411e50c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'])&lt;=1">(TMP SEH-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'])&lt;=1">(TMP SEH-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'])&lt;=1">(TMP SEH-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(TMP SEH-PS): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]"
         id="tmp-cf7883c4-70ce-4ef3-ba27-4335d5a67bf1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']]]"
         id="tmp-bc876269-210a-4d52-9f8c-bda36e7fab36">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-2ffae21f-dadf-46d8-a4c1-9089d5851693">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='OBS' ">(TMP SEH-PS): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEH-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEH-PS): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:text)&lt;=1">(TMP SEH-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SEH-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ']|hl7:value[@xsi:type='IVL_PQ']|hl7:value[@xsi:type='CV']|hl7:value[@xsi:type='ST']|hl7:value[@xsi:type='TS']|hl7:value[@xsi:type='BL'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="$elmcount&lt;=1">(TMP SEH-PS): keuze (hl7:value[@xsi:type='PQ'] of hl7:value[@xsi:type='IVL_PQ'] of hl7:value[@xsi:type='CV'] of hl7:value[@xsi:type='ST'] of hl7:value[@xsi:type='TS'] of hl7:value[@xsi:type='BL']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&lt;=1">(TMP SEH-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.6']"
         id="tmp-012c0acb-7beb-41e1-b950-15826f3631e0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.6'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id"
         id="tmp-a0e135d5-4e6f-4a02-bc97-986bb2ec528f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-d8f56eee-f2ca-4858-8d69-68613a1da3de">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-DiagnostischeBepalingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-DiagnostischeBepalingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEH-PS): De waarde van @code MOET worden gekozen uit Value Set DiagnostischeBepalingen NHG HIS tabel 45 Diagnostische bepalingen versie 14 DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text"
         id="tmp-40319e50-2753-4b43-89f8-08f155668d79">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-b83acd72-7f5b-453a-ba8e-a5d3fa17438e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-f6085c93-c248-4a87-b2dd-a561781b17ed">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value[@xsi:type='PQ'])&lt;=1">(TMP SEH-PS): element hl7:value[@xsi:type='PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value[@xsi:type='IVL_PQ'])&lt;=1">(TMP SEH-PS): element hl7:value[@xsi:type='IVL_PQ'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value[@xsi:type='CV'])&lt;=1">(TMP SEH-PS): element hl7:value[@xsi:type='CV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value[@xsi:type='ST'])&lt;=1">(TMP SEH-PS): element hl7:value[@xsi:type='ST'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value[@xsi:type='TS'])&lt;=1">(TMP SEH-PS): element hl7:value[@xsi:type='TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value[@xsi:type='BL'])&lt;=1">(TMP SEH-PS): element hl7:value[@xsi:type='BL'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='PQ']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='PQ']"
         id="tmp-982f9599-b3ae-43b3-8d73-5c1d5a449b40">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="$digitok">(TMP SEH-PS): @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP SEH-PS): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='IVL_PQ']"
         id="tmp-4c90f2d2-2f63-416e-8e45-e14ebceabd7f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP SEH-PS): value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP SEH-PS): value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP SEH-PS): value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='CV']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='CV']"
         id="tmp-011e7c0e-5bb5-4264-9f79-954b6bf4e532">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.1045')">(TMP SEH-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.1045' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='ST']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='ST']"
         id="tmp-59a2ff96-83b2-4ec4-b8ec-ade6089980c9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='TS']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='TS']"
         id="tmp-8c0f0bf7-b9d5-4cd9-afa3-e64663702fa0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='BL']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value[@xsi:type='BL']"
         id="tmp-9089e5db-3db5-4cf3-8210-6e9e7dcab3d4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:interpretationCode
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:interpretationCode"
         id="tmp-9585c34f-2479-4fce-a246-f61e9778610b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEH-PS): De waarde van @code MOET worden gekozen uit Value Set ObservationInterpretation Observation Interpretation DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-5013fc27-18f9-469b-8066-2814ad056c93">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='AUT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-47447e53-3953-491d-a377-6fcd303d97a3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-fbc12827-6408-4d8a-b01a-5f022d353889">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-bc791210-c184-4ead-b8c2-33ff78265c50">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-d977c093-f57f-47f9-89ea-b857feaac8fa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer"
         id="tmp-e67c0720-feaf-489b-873b-54216b2e9f9a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PRF' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-8953c167-a810-4124-a70e-098f7a91d77a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-2da2427e-5893-4552-a8bd-fe1aa3b2d6aa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-abc37a57-0999-4970-9d82-0841612f3cbb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-860b2c07-88e9-46b3-897d-81ce25699f80">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange"
         id="tmp-0e6b1f42-bd88-4874-9517-e20d320b5567">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='REFV' ">(TMP SEH-PS): De waarde van @typeCode MOET 'REFV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='false' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange"
         id="tmp-465e8d49-ed35-427f-9f8b-574a84617d46">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='OBS' ">(TMP SEH-PS): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN.CRT' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:text)&lt;=1">(TMP SEH-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:interpretationCode)&gt;=1 and not(hl7:interpretationCode/@nullFlavor)">(TMP SEH-PS): element hl7:interpretationCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:interpretationCode)&lt;=1">(TMP SEH-PS): element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value)&gt;=1 ">(TMP SEH-PS): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:value)&lt;=1">(TMP SEH-PS): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:text"
         id="tmp-37932821-55df-4afb-b6bd-53d8cf0c37b4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode"
         id="tmp-be4ce7af-d745-469b-a2fc-8f23e462bba1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ObservationInterpretation-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEH-PS): De waarde van @code MOET worden gekozen uit Value Set ObservationInterpretation Observation Interpretation DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value
Item: observationRange/value
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value"
         id="tmp-845bc783-7bcf-46fb-beb6-d58ceaf46b3e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">observationRange/value: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">observationRange/value: value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">observationRange/value: value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">observationRange/value: value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error" test="hl7:low or hl7:high">observationRange/value: hl7:low or hl7:high elements (or both) mandatory</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:low)&lt;=1">observationRange/value: element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:high)&lt;=1">observationRange/value: element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:center)=0">observationRange/value: element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:width)=0">observationRange/value: element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:low
Item: observationRange/value
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:high
Item: observationRange/value
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:center
Item: observationRange/value
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:referenceRange/hl7:observationRange/hl7:value/hl7:width
Item: observationRange/value
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-b9d9d916-79cb-421a-998b-415280984c81">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-86df92eb-897c-491b-ae27-0327522fc335">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-acf5f01a-3c3b-4007-91d4-f6635f865c4b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='DOCCLIN' ">(TMP SEH-PS): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEH-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:text)&lt;=1">(TMP SEH-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:effectiveTime)=0">(TMP SEH-PS): element hl7:effectiveTime MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP SEH-PS): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&lt;=1">(TMP SEH-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']"
         id="tmp-b07868b9-0756-42a4-aebf-f1d2e314b535">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.9'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.9' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id"
         id="tmp-4c353935-4122-43c0-aa2f-7c261c0f342d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-6d7ce63c-9aeb-462f-9564-9f46853699bd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-85b05d7d-7398-4ea8-a680-c4fe3b1339d4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:effectiveTime
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author"
         id="tmp-83cacee9-bc00-445a-a792-1dd766d8da2a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='AUT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='ON' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP SEH-PS): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&lt;=1">(TMP SEH-PS): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time"
         id="tmp-a8e121c6-804f-4e8c-b4b1-22538f803676">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-2c7829c7-bca2-4df2-9f46-dabf235b2b7c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-9c63ed90-5435-41b6-8452-7c972b766333">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP SEH-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-c2c1e604-a955-48f8-b1d8-379729650c57">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-40f37e35-7776-4c4c-8bbb-15f0443e44f8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP SEH-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-cd53e331-8724-4b31-9170-1df927a7afe8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-627d090b-1e56-4b74-8f49-2853cbd3bfc0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-14426991-eed0-47c2-892b-408f86fff9d4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PRF' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-b32b1eb6-3f27-4e40-90fb-0bc91ee6a6b1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-efaf3800-a414-4de2-8729-26840c6b0bae">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-7e2c1f55-0c27-4a04-aa38-4ff47d791190">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-0dd7b5b2-228b-4d42-b480-6cfdcccc514f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship"
         id="tmp-9b6de669-030a-48d8-887c-d0a064951a52">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='SUMM' ">(TMP SEH-PS): De waarde van @typeCode MOET 'SUMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(TMP SEH-PS): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:act)&lt;=1">(TMP SEH-PS): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act"
         id="tmp-175da023-4bf2-4d16-a774-703c90577bb2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='DOCCLIN' ">(TMP SEH-PS): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEH-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP SEH-PS): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:text)&lt;=1">(TMP SEH-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP SEH-PS): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&lt;=1">(TMP SEH-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id"
         id="tmp-62c42c93-ffac-40ad-8b3f-3e1d23316fb2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code"
         id="tmp-08b27e5d-4492-4d41-ab59-04a078e7bf33">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text"
         id="tmp-0e0706dd-0038-4952-ab40-76b5a2ad5e65">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author"
         id="tmp-690ae2b4-8c88-41fa-88de-b221ec0b9e70">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='AUT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='ON' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP SEH-PS): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&lt;=1">(TMP SEH-PS): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time"
         id="tmp-50157e39-845b-48d9-a3fb-4bf3a0049a58">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-0a5f1071-638a-43fb-b06e-759c47936bb5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-0fb3d581-5529-4238-8f1c-156ea34a9d22">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-8493a45f-0e7f-4876-a255-b6104e4e393f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-a6180ea1-e69f-474e-a3d9-797989ff79a4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer"
         id="tmp-a3ddc36b-46f4-4e8f-992d-62f8c5cd4a8c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PRF' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='OP' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-65ae8677-52ba-4c83-b055-c2d3b195da54">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-4beff944-f4d2-4e6e-8dc8-2713568e4add">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-9f951554-8513-4658-986b-fe64cd1e7a54">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-409e9cc7-8df1-49f3-9894-f49d604716e8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']]]
Item: (TMP SEH-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']]]"
         id="tmp-955e8635-36a4-447b-aa52-c3cc4c9a6cdd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']]]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.32']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']]]"
         id="tmp-0e0bf14e-f05a-4389-b818-4aab6381eaf2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='PERT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextConductionInd='true' ">(TMP SEH-PS): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-efd6eb48-dd9b-4fb5-a369-bef0ee96f41e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='DOCCLIN' ">(TMP SEH-PS): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@moodCode='EVN' ">(TMP SEH-PS): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEH-PS): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:text)&lt;=1">(TMP SEH-PS): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP SEH-PS): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:author)&lt;=1">(TMP SEH-PS): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']"
         id="tmp-6378524d-af8c-4270-8189-96614df6549a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.10'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.10' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id"
         id="tmp-4e34a0cc-0ee8-4c94-b914-cccafacd9892">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-e051858b-8ad6-4a82-93d9-c2565251b762">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP SEH-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author"
         id="tmp-c087a19f-8385-48c1-9b86-0f873d6b8a62">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@typeCode='AUT' ">(TMP SEH-PS): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@contextControlCode='ON' ">(TMP SEH-PS): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP SEH-PS): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:time)&lt;=1">(TMP SEH-PS): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEH-PS): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time"
         id="tmp-b4d73257-5870-4e97-a65b-c3e244e0385c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEH-PS): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-cf0a1855-2bf5-4bbe-a480-aca50cc6829f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-c6ff1c15-f6b0-42ac-87fa-cafedb70d1ad">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP SEH-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-4bc14032-c713-4787-a835-f032808b49ea">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@classCode='ASSIGNED' ">(TMP SEH-PS): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEH-PS): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:code)&lt;=1">(TMP SEH-PS): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-30b55927-e23b-4250-bae0-94773fbb628d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP SEH-PS): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-2fc65c98-d09f-4362-8b4b-2c3e24ebfbe8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEH-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.32
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEH-PS)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-06f12467-7d6a-4909-b17e-cb1e147396d1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.32.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>