<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.42
Description: Nictiz Care Record First Aid
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.40.42">
   <title>SEH-terugrapportage</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent"
         id="tmp-70426bdd-2fcd-4ee3-b127-b714dc9ccd33">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='PCPR' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42']
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.42']"
         id="tmp-b80ebab0-2382-409f-9138-1261e0b29095">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.42'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.42' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-89551281-c431-4ce8-bf20-b02d15ce3285">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='completed')">(TMP SEHterugrapportage): De waarde van @code MOET 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent"
         id="tmp-2b0714fe-6ddf-4d67-9d2d-fc105bedcd14">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]])&lt;=1">(TMP SEHterugrapportage): element hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-46753716-0a9b-42ee-bd32-d7eca1b4ca9a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-903b17b2-3c60-46ab-8f02-d7628eb10f26">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-d110dfdc-c61b-4590-aebe-54211d5ac6b0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SEHterugrapportage): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&lt;=1">(TMP SEHterugrapportage): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']"
         id="tmp-a5a0683d-b00c-437c-9217-6c552719cb4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.1'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-6bca477f-ff75-4615-8805-f34f79ad8629">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-NoteCategory-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEHterugrapportage): De waarde van @code MOET worden gekozen uit Value Set NoteCategory Note Category DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-14bbb2a2-e8c8-4c4c-812e-6a6b0c76b851">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-7f579aba-ab1f-4f1e-9d93-0659932b8b76">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:low)&gt;=1 ">(TMP SEHterugrapportage): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:low)&lt;=1">(TMP SEHterugrapportage): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:high)&lt;=1">(TMP SEHterugrapportage): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:center)=0">(TMP SEHterugrapportage): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:width)=0">(TMP SEHterugrapportage): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-7bd47b01-fd2a-47ff-8111-c674ce3977db">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-2b06c5c8-22e2-415b-bf22-b590f574cca3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-4f8fd3fb-9b7b-4180-919e-6e4ed3a5cd7e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='AUT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-7d46c997-59be-474e-ae3a-c68e79668348">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-b391aeae-a13c-45b2-9407-52fcc211418f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-dc23bb02-715f-4d91-9f91-b0b41d1e83ec">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-fa01cdd1-3f54-4a67-a591-48f7b1e345f7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-76b18dbf-02e1-4736-86e2-a96a1d0e2fe3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-8712f0b9-b68f-46f1-aa42-c6b8ebca4a8b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-096adddb-f3ee-497d-b5bd-2c17281481d8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='DOCCLIN' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEHterugrapportage): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEHterugrapportage): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&lt;=1">(TMP SEHterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:effectiveTime)=0">(TMP SEHterugrapportage): element hl7:effectiveTime MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP SEHterugrapportage): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&lt;=1">(TMP SEHterugrapportage): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']"
         id="tmp-f0c23240-e3f3-483f-b476-04209603bc26">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.9'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.9' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:id"
         id="tmp-cdd0ab0a-938d-4c09-978a-b52cbb4f6545">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-2bd48d8b-8722-4453-b44f-e5ce6ca28ee4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-00590b0e-6737-433d-9385-078b8342e394">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:effectiveTime
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author"
         id="tmp-67aaaede-7ca5-46d8-9bf5-2482fbdcea84">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='AUT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='ON' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP SEHterugrapportage): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:time)&lt;=1">(TMP SEHterugrapportage): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:time"
         id="tmp-d124f4eb-a346-4d14-89b7-01987b87597a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-f9387cf2-7c10-4a68-9fb1-d51492a78243">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEHterugrapportage): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-2b5dc9f6-a288-4838-92ff-d30db311c899">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP SEHterugrapportage): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-6a927839-567c-4850-8c55-5678df89c806">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEHterugrapportage): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-ecb1ab5d-440e-4409-94e0-0648bfd62a74">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP SEHterugrapportage): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-44f74f4b-1594-4839-8e87-b9b153a15b50">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-1cad4b25-0ee3-477f-914d-27f91bef507c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-9a7fbc58-7f6e-4d7f-b350-7701b2be5396">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-f745eebe-d1f4-4222-be1e-deb4ef671dbb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-65f9197d-de78-4de1-b490-bbf4412bf282">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-cb9f0202-e507-4c4a-b422-17fa642de186">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-dc73700d-349e-4dd8-8a4f-d06a2b81e958">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship"
         id="tmp-dfcf992b-f51d-4b6e-beca-c45024419314">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='SUMM' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'SUMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(TMP SEHterugrapportage): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:act)&lt;=1">(TMP SEHterugrapportage): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act"
         id="tmp-a5988815-e33d-4ff1-96f5-b430809618d6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='DOCCLIN' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEHterugrapportage): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 ">(TMP SEHterugrapportage): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP SEHterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&lt;=1">(TMP SEHterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP SEHterugrapportage): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&lt;=1">(TMP SEHterugrapportage): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:id"
         id="tmp-5c5b9c28-77a8-4e6a-9777-75187b109706">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:code"
         id="tmp-77d2df56-57b0-434f-af09-4094c2a93378">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:text"
         id="tmp-51eb3be1-1369-4bb6-9f71-a5154699f7f0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author"
         id="tmp-492b194e-8789-43ad-b2b4-4df7a1e562f2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='AUT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='ON' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP SEHterugrapportage): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:time)&lt;=1">(TMP SEHterugrapportage): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:time"
         id="tmp-5cf1aa9f-f13c-4642-b6b6-8b28b3b41e59">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-eb9d6a65-1155-414d-ae1e-f5ee99a3a454">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-c2908367-0bca-438d-ad6f-4b90de440fc2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-d2e10eb9-8676-4738-8fe6-6dab94445b9e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-9da89e96-5935-4343-8aa9-eae68b3a4c73">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer"
         id="tmp-34ca3837-206c-4883-b177-2503b06b2254">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-f87a8b20-6c9f-427b-9458-a4d1b8ff601c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:outboundRelationship/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-3fca8536-a20e-4f0b-a270-b2753a7023e6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-736b70b7-4d6c-4127-b040-acd09cf9927c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-c31ea4bb-569a-4701-ba8f-03c81bdf2290">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]"
         id="tmp-5b62b26b-2fc8-4545-9cae-8cef7435b558">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]"
         id="tmp-9df424c7-5459-47b2-9ac5-2a36453d88a9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-f1b06b66-2b6c-472e-b034-495b8acecb89">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEHterugrapportage): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:id)&lt;=1">(TMP SEHterugrapportage): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&lt;=1">(TMP SEHterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP SEHterugrapportage): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:uncertaintyCode)&lt;=1">(TMP SEHterugrapportage): element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 ">(TMP SEHterugrapportage): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&lt;=1">(TMP SEHterugrapportage): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']"
         id="tmp-0f869bb2-157d-4a3d-887c-6d3c0ec062da">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.5'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.5' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:id"
         id="tmp-836a5f74-49af-44d5-ba76-918b301986d2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-c7fbb714-9243-4325-859d-da1f1d0ee6a4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='DISDX' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ADMDX' and @codeSystem='2.16.840.1.113883.5.4')">(TMP SEHterugrapportage): De waarde van @code MOET één van de volgende codes bevatten: 'DISDX' codeSystem '2.16.840.1.113883.5.4 of ADMDX' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:text"
         id="tmp-1311674c-f2b1-4507-a95c-e15d2ce2dc6d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime"
         id="tmp-75fb2b66-feb4-4c0b-9471-ffe84b3299c7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP SEHterugrapportage): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:low)&lt;=1">(TMP SEHterugrapportage): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:high)&lt;=1">(TMP SEHterugrapportage): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:center)=0">(TMP SEHterugrapportage): element hl7:center MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:width)=0">(TMP SEHterugrapportage): element hl7:width MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-68b9f341-6d25-4d05-b60c-d74c2fe1e15d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-28d3cd1f-30b8-48b2-95f5-a06cb52bd8f6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:uncertaintyCode
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-210d13c5-9e82-42eb-9023-e04479f9cd47">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-UncertaintyCodeUncertainty-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-UncertaintyCodeUncertainty-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEHterugrapportage): De waarde van @code MOET worden gekozen uit Value Set UncertaintyCodeUncertainty Uncertainty Code (uncertainty only) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-bc8e8526-a3ad-4618-b55f-f7ae669f41c0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.31.1')">(TMP SEHterugrapportage): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.31.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-3995f629-53be-4d7a-8dcf-94a2345507f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='AUT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='ON' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP SEHterugrapportage): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:time)&lt;=1">(TMP SEHterugrapportage): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="$elmcount&gt;=1">(TMP SEHterugrapportage): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:time
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:time"
         id="tmp-299196d1-8721-40c9-9cc3-4ea0e30ac7bc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-e9c2a1ce-6670-4c3d-b032-291ef9f116ef">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(TMP SEHterugrapportage): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-e09f443d-fca8-421c-96c6-7cb62873ec58">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-2f912f58-3141-4840-9d24-a2a559f35477">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-b710510c-ee3c-45c4-84b0-1504a41bb5e1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-c1fe1729-906e-4f7c-9ce6-df1d54296019">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-e31eb88a-e9d2-4436-bf67-09cdf52c4222">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-42a97db7-9d0c-4df7-b703-df9beba79d99">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.23'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.23' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer"
         id="tmp-5b0f5453-b394-461b-84e4-7ebcc8a224c1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='ON' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]|hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="$elmcount&gt;=1">(TMP SEHterugrapportage): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']] of hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer"
         id="tmp-7512d2ed-c0ed-4f05-b288-e541426f8ba8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(TMP SEHterugrapportage): element hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]"
         id="tmp-6c310cbf-f0b3-428b-8d2d-60b82e16aeac">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']]"
         id="tmp-a4fcb0ee-9756-4674-9936-fb565d19ddb0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-ff03d141-ab88-4502-9df2-fed078c72024">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEHterugrapportage): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:assignedPerson|hl7:assignedOrganization)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="$elmcount&gt;=1">(TMP SEHterugrapportage): keuze (hl7:assignedPerson of hl7:assignedOrganization) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="$elmcount&lt;=1">(TMP SEHterugrapportage): keuze (hl7:assignedPerson of hl7:assignedOrganization) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(representedOrganization)&lt;=1">(TMP SEHterugrapportage): element representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.20']"
         id="tmp-acddfbf7-2f8c-4caf-a11e-b606cb2ca2ca">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.20'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.20' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:id
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:id"
         id="tmp-dbfdf9af-106c-4acd-83cf-dbc357dd52c8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:code"
         id="tmp-bd0bccaf-d62c-4219-a90e-ca12d63a572c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:addr
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:addr"
         id="tmp-6385ea54-77ec-4338-a3b3-bfaf08d05f4f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:assignedPerson
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedPerson"
         id="tmp-b4e016ad-2c55-462a-9f42-8873f359471a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='PSN' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@determinerCode='INSTANCE' ">(TMP SEHterugrapportage): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(TMP SEHterugrapportage): element hl7:name is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:assignedPerson/hl7:name
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedPerson/hl7:name"
         id="tmp-a4bd51bb-6eef-4c2c-b97d-bec9f1ef28af">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:assignedOrganization
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedOrganization"
         id="tmp-d8bcbce6-730e-4b76-b7e9-cff590b375fa">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ORG' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@determinerCode='INSTANCE' ">(TMP SEHterugrapportage): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:name)&gt;=1 ">(TMP SEHterugrapportage): element hl7:name is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:assignedOrganization/hl7:name
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:assignedOrganization/hl7:name"
         id="tmp-01ee9282-d2cd-4dda-9e2c-ad7a334dce90">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/representedOrganization
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization"
         id="tmp-aefc6b8e-59ae-46f1-aa94-281951d634a0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ORG' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP SEHterugrapportage): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:id
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:id"
         id="tmp-c610b254-49e4-43fc-b95a-f669ed8719fd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:code"
         id="tmp-66c0addb-79f7-4f12-a944-46ff7b1fe684">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:name
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:name"
         id="tmp-60bfca3c-846c-4066-a12f-a082c938729a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/representedOrganization/hl7:addr
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/representedOrganization/hl7:addr"
         id="tmp-40f40893-c19e-42cf-8cf6-b1d8a16bab92">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-1ba25428-fe14-4f44-8ac9-fde998c24e01">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-29b1cb9f-88c4-4ec9-bbe6-842c7403e091">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.23'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.23' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-33f6ec19-478d-4392-abad-8d738d39b6d8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']]]"
         id="tmp-87c7c760-65e0-4a6d-9fca-775b9110ed42">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-50142242-3d1d-450e-b545-be4e9ed40c4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.108']"
         id="tmp-6bce21cb-e053-436e-9836-26a43677fd1e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.108'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.108' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-f29c9301-1ddc-4e3b-a59a-10c296a51e35">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='18776-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Plan of treatment')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '18776-5' codeSystem '2.16.840.1.113883.6.1' displayName='Plan of treatment' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-28aacb15-f641-44da-958c-18cff656a3f3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-9be2e9f7-a917-40dc-afd4-8b9697cb6ec4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']]]"
         id="tmp-62c5b01d-f0a6-4734-8ba1-f5a14c43d109">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-4a78c645-8ace-4dfa-84f6-2453c5bae996">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.120']"
         id="tmp-1e159a37-fba1-4f28-b1c4-a86f5210ddd2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.120'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.120' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-377e7a67-96b1-4097-9360-1f13776ec9e9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='28574-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Discharge Note')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '28574-2' codeSystem '2.16.840.1.113883.6.1' displayName='Discharge Note' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-a7eadefa-c3f1-4107-8e1b-72fd77591611">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-aeb0d28d-91bc-4c68-b7a6-fcd8fb04631e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']]]"
         id="tmp-6fdbcbe5-2d24-4cd6-88e1-385c1e8c7876">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-5d1657ae-5f87-43e8-b85e-1c091b85d9a8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.109']"
         id="tmp-6c989a72-9702-4bca-82a2-8f86e857ceaf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.109'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.109' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-1d7aaad0-fb79-40ab-9d86-ee6b8ab0fa38">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Chief Complaint')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '10154-3' codeSystem '2.16.840.1.113883.6.1' displayName='Chief Complaint' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-16d6b13e-8497-4e14-ae43-86d57119ffad">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]]"
         id="tmp-932e2eaf-cd8d-41f7-b651-9326881fd82b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']]]"
         id="tmp-5b73d5a4-168b-41ec-8e90-91abe41bd408">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-660b81c8-9904-4bc6-8d80-43547965cfab">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:author)&lt;=1">(TMP SEHterugrapportage): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:subject)&gt;=1 ">(TMP SEHterugrapportage): element hl7:subject is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']"
         id="tmp-3fa6d24f-ec51-4aed-bbb4-3c4a3b02b050">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.110'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.110' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-3cf71817-ce1c-4353-a49b-bc6d68e81b7f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='10157-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of family member diseases')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '10157-6' codeSystem '2.16.840.1.113883.6.1' displayName='History of family member diseases' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-583bab82-dae2-4268-8f1a-6b722dfabbf8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-27358627-d679-47f2-8de5-e5b99d2ee2ff">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='ON' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='AUT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="$elmcount&gt;=1">(TMP SEHterugrapportage): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author"
         id="tmp-7d66b7de-f5e2-426c-a4a9-3c415c2f8317">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])&lt;=1">(TMP SEHterugrapportage): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-a2015aa3-cf4c-43d7-90d0-546846e0159f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-9aead456-73a5-4dd2-8002-03048673bd38">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-7436710d-2fe8-4bbb-907c-c672cd72d0c8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-e0f26493-ef33-4d08-a260-0390dcb40abf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-37d32518-d74b-462a-8ab3-2a40aace6df3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='PAT' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&gt;=1 ">(TMP SEHterugrapportage): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']])&lt;=1">(TMP SEHterugrapportage): element hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']"
         id="tmp-38bc6b2c-87d5-44e8-870c-db3f35ced2e9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.18'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.18' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:id
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:id"
         id="tmp-5c31eb98-3d34-4bf6-a1fa-3e1f5cc9cca0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:addr
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:addr"
         id="tmp-64291f42-3b5c-4fa2-a6bc-49fe91653844">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:telecom
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:telecom"
         id="tmp-284b3ef0-8f90-466d-8cf9-890d0ba0c01b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:statusCode
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:statusCode"
         id="tmp-8f855c4f-b66f-40e6-b6ae-d304f04c73b1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:patientPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-2c7b5a00-0d7c-455e-bc34-2613f4603103">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='PSN' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@determinerCode='INSTANCE' ">(TMP SEHterugrapportage): @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(TMP SEHterugrapportage): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:birthTime)&lt;=1">(TMP SEHterugrapportage): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:birthPlace)&lt;=1">(TMP SEHterugrapportage): element hl7:birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-8f4b231a-9e59-41ff-92dd-e33dac1dfa8e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.19'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.19' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:name
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:name"
         id="tmp-531eb4bb-5d95-4d30-a7c1-4906d279706b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:administrativeGenderCode
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:administrativeGenderCode"
         id="tmp-b4119087-9a42-4b2c-9605-1ae9ce35be83">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP SEHterugrapportage): De waarde van @code MOET worden gekozen uit Value Set AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:birthTime
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:birthTime"
         id="tmp-78e62350-ab2e-4f72-afd7-e64a5c42796e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:birthPlace
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:subject
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:subject"
         id="tmp-a665b692-8f11-4a38-bcea-260813b4298c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='SBJ' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&gt;=1 and not(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']/@nullFlavor)">(TMP SEHterugrapportage): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&lt;=1">(TMP SEHterugrapportage): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]]"
         id="tmp-99d36112-9186-44f3-99a3-3daba73e099f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']]]"
         id="tmp-40ed484d-b50f-47f3-b544-8b8a6c26cad7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-dbc484a5-73c4-459d-9205-d6299a9199fc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.111']"
         id="tmp-910bada0-4900-4956-9121-6bf34acc3f80">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.111'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.111' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-06044aa3-3745-4cbe-b657-269b087f659c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='46002-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Psychosocial well-being section')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '46002-2' codeSystem '2.16.840.1.113883.6.1' displayName='Psychosocial well-being section' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-18b87545-9fda-4072-bf2d-c7240ec5b0e3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]"
         id="tmp-e719a592-f43e-4234-9243-30ce5abb1ce4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']]]"
         id="tmp-1fbded1b-aacd-4c9b-8cd5-3fc5001b4aca">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-9aeea379-6695-4bb0-a6fc-dfe5c438cf4e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:performer)&lt;=1">(TMP SEHterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.112']"
         id="tmp-39b99e76-f7d5-43f0-b7a9-98848d4ab6b6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.112'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.112' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-eb865351-7065-4568-8864-1a3731856cae">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='29545-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Physical Examination')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '29545-1' codeSystem '2.16.840.1.113883.6.1' displayName='Physical Examination' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-346f0efe-ea8e-4dc1-a8ab-806db41dd0c4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer"
         id="tmp-cba6e888-ad81-4ddc-8c4e-53e18e8b74fe">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-3c8fb9e1-e919-45d6-bfec-cd0c9f9f4f99">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-ac07850b-5375-49be-922c-3eae955123cf">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-b5252404-a5f0-484e-9ea4-41306eeb001f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-c99455f5-6c27-4ea8-8a46-e4860c05c228">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]"
         id="tmp-25cc962e-4190-4ff4-99fd-2262c1f52b30">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']]]"
         id="tmp-b0b7db67-c53a-4f77-bfef-bdd74af5eb97">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-624c41e7-21e6-47b3-a54b-6cf7f1ba0787">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ACT' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP SEHterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&lt;=1">(TMP SEHterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:performer)&lt;=1">(TMP SEHterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']"
         id="tmp-f46c9f62-6836-4f4a-816b-f999a3768d95">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.113'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.113' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-549bbc83-ed01-4ba3-889f-1a95c105d19d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='56850-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Interpretation and review of laboratory results')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '56850-1' codeSystem '2.16.840.1.113883.6.1' displayName='Interpretation and review of laboratory results' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-bd33c754-eb02-4ce8-bb34-2c663fc56f9e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-e1e35bc1-853a-4fb2-bf8b-f47a27bed549">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-ee7cdb84-ce42-4af6-8c48-d557223ddf22">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-36c6be66-7f0a-4ccc-8c9c-280233305b91">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-3d73b57a-f57b-45f4-8009-2a76716b6d83">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-05a0383d-2688-49d4-b3a0-0873d62b55c0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]]"
         id="tmp-469710cc-6770-4667-9dc5-60b11fec4cd2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']]]"
         id="tmp-65a45755-2023-4b65-9f3a-3d088ce11c73">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-252a1aac-5a45-4d16-88b3-4221e8d0501a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ACT' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP SEHterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&lt;=1">(TMP SEHterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:performer)&lt;=1">(TMP SEHterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']"
         id="tmp-54b6ec5d-67b1-4e84-b20d-62a68450ac0b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.114'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.114' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-7545c5ce-1dff-4737-8338-345f22452c98">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Studies summary')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '30954-2' codeSystem '2.16.840.1.113883.6.1' displayName='Studies summary' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-1bf53c40-45e2-4eaa-bd62-fd35ec14cc7c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-354a4769-4fab-4517-8356-9a52edf0a5d5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-e1c617ec-d341-4eab-8019-8c65771cbc3b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-6b1a77e9-0a3c-489b-aa5e-c872c3c49024">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-1d7e0231-027d-4371-b422-9b39a4124377">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-78478daf-d96e-4c57-b32e-12e12dc105e7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]"
         id="tmp-2d09c588-bca4-4769-80d5-c9f39651a7cb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']]]"
         id="tmp-89c30f18-ef50-4b5e-8309-65eaf3b20898">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-bd25c810-d237-4185-90d7-66ae8e1cbc68">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ACT' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP SEHterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&lt;=1">(TMP SEHterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:performer)&lt;=1">(TMP SEHterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.115']"
         id="tmp-769e9622-c72e-44db-a52b-b7f2b3157d5d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.115'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.115' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-e0a2d0a0-ddee-4d68-8d5f-834ebef7170a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='42345-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Discharge functional status')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '42345-9' codeSystem '2.16.840.1.113883.6.1' displayName='Discharge functional status' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-d35b7eff-1835-401a-8f7f-cda6b6c90061">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-3b9b3fb0-0a7b-4bbd-bf46-c5e0a817f45e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-877db750-1845-4594-ae18-b2b46e303fbe">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-97cf6ba7-07b2-4e8b-8435-3c26642b4cdb">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-1d7955a3-da05-4d99-b596-b17e2fc4de84">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-f068a247-8179-452d-bfb3-de8fdbe90a9c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]"
         id="tmp-01c94438-efad-48b4-9f9b-40290943206b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']]]"
         id="tmp-5c16e7dd-ae62-4c79-8aa1-be9da23f7ca0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act"
         id="tmp-21347845-51b4-4c4a-a07c-55c043b0c718">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ACT' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP SEHterugrapportage): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:text)&lt;=1">(TMP SEHterugrapportage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:performer)&lt;=1">(TMP SEHterugrapportage): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.116']"
         id="tmp-346648fd-2f13-411b-83b3-84d96c3aeb1c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.116'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.116' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:code"
         id="tmp-1d540700-6e6a-4308-b60d-e323b5c55dd3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='26436-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Laboratory Studies')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '26436-6' codeSystem '2.16.840.1.113883.6.1' displayName='Laboratory Studies' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:text"
         id="tmp-115b32db-ad77-4475-a9d5-b485daa9d570">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer"
         id="tmp-4dcdabdc-773e-4c06-a5a0-896eb8d1f263">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextControlCode='OP' ">(TMP SEHterugrapportage): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PRF' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP SEHterugrapportage): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-df165122-8993-4993-9b28-9264cbb9754f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:act[hl7:templateId/@root='']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-ed74dc01-2a19-4a0a-a149-00dfcb120dda">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='ASSIGNED' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']"
         id="tmp-59e03ac7-eab9-42ae-b266-2e3ff227f46c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:templateId/@root='']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-b3d6a1db-33ec-42d5-86f2-74fa61a0bb6e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]]"
         id="tmp-82a12e3a-39e2-4df6-8f53-76182d6b172c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']]]"
         id="tmp-227277a0-b7c3-4090-8cc7-43a224e8e3d8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-ddb79405-6e0b-432f-90a6-84c737c366c3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']"
         id="tmp-81570e4e-0010-49cc-bf5b-c6ac9c20bef7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.117'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.117' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-9227648a-98c0-45e4-ae27-09668c8a0284">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='47042-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Counseling note')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET '47042-7' codeSystem '2.16.840.1.113883.6.1' displayName='Counseling note' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-bc0df0fc-833d-44ce-951f-f73a3d1fc686">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]]"
         id="tmp-71ba8656-b4bf-46d5-8878-8a9a1e29bf0e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']]]"
         id="tmp-15d39888-27eb-4ef0-a9c3-d0bfeb28fda9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-9e32063d-84f0-4d54-a415-329be29549fd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']"
         id="tmp-aea21fcb-5dfb-4997-b5c8-7b2a450b4d2b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.118'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.118' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-4f6d93b8-5029-4b43-8b11-701f72295fe8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='57207-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Risk factors present or past affecting health status')">(TMP SEHterugrapportage): De waarde van @code MOET één van de volgende codes bevatten: '57207-3' codeSystem '2.16.840.1.113883.6.1' displayName='Risk factors present or past affecting health status'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-e5d786f5-9005-4320-8e69-cc1f10585bd8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]]
Item: (TMP SEHterugrapportage)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]]"
         id="tmp-0656fce0-bc1e-4269-b69d-53ab28752422">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>











   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]]
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.42']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']]]"
         id="tmp-6dbdc6a8-3146-4fca-be53-560cfc50dd38">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@typeCode='PERT' ">(TMP SEHterugrapportage): De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@contextConductionInd='true' ">(TMP SEHterugrapportage): @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]
Item: (TMP SEHterugrapportage)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation"
         id="tmp-e7da9c92-a416-4d45-873c-1556457dc984">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@classCode='OBS' ">(TMP SEHterugrapportage): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@moodCode='EVN' ">(TMP SEHterugrapportage): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']/@nullFlavor)">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'])&lt;=1">(TMP SEHterugrapportage): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP SEHterugrapportage): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:code)&lt;=1">(TMP SEHterugrapportage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP SEHterugrapportage): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="count(hl7:value)&lt;=1">(TMP SEHterugrapportage): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.119']"
         id="tmp-9ebeacb7-4de7-45af-a070-b057eea56d23">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.119'">(TMP SEHterugrapportage): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.119' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP SEHterugrapportage): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:code"
         id="tmp-2c2933ea-cbc3-4112-ab10-df3e9fdba5e3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or (@code='REP' and @codeSystem='2.16.840.1.113883.5.4')">(TMP SEHterugrapportage): De waarde van @code/@codeSystem MOET 'REP' codeSystem '2.16.840.1.113883.5.4' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.42
Context: *[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value
Item: (TMP SEHterugrapportage)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='']]/hl7:observation/hl7:value"
         id="tmp-25448ab0-264a-447d-bdbf-3146237547ba">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120502T205152/tmp-2.16.840.1.113883.2.4.6.10.40.42.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP SEHterugrapportage): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>