<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.61
Description: Template: Overdracht Acute Fase bericht (durante partu)
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.90.61">
   <title>Overdracht Acute Fase bericht (durante partu)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']"
         id="tmp-e3c817fd-962e-4505-883f-74a7665ae697">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.61'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.61']/@nullFlavor)">acufdp: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.61'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.61'])&lt;=1">acufdp: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.61'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufdp: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:statusCode)&lt;=1">acufdp: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:subject)&gt;=1 ">acufdp: element hl7:subject is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:subject)&lt;=1">acufdp: element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:performer)&lt;=1">acufdp: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:author)&gt;=1 ">acufdp: element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:author)&lt;=1">acufdp: element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]])&gt;=1 and not(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/@nullFlavor)">acufdp: element hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">acufdp: element hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 ">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufdp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]])&lt;=9">acufdp: element hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]] komt te vaak voor [max 9x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.61']
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.61']"
         id="tmp-5c0d1875-7fe2-42e5-948e-1f9cf6e2206a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@root='2.16.840.1.113883.2.4.6.10.90.61'">acufdp: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.61' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufdp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:id
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:id"
         id="tmp-099f33c5-2da1-402f-b3a8-ddc3e183e454">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:statusCode
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:statusCode"
         id="tmp-a9319e4d-e86d-4ec3-a477-ba745825b545">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='active')">acufdp: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject"
         id="tmp-280994bf-0f25-4fe5-8426-57aee1b22465">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='SBJ' ">acufdp: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">acufdp: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:patient)&lt;=1">acufdp: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient"
         id="tmp-4b84e482-d476-45b2-845b-9221d9be8ab2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PAT' ">acufdp: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error" test="count(hl7:id)&gt;0">acufdp: identification mother requires either a BSN or a local id or both</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">acufdp: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">acufdp: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">acufdp: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">acufdp: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:statusCode)&lt;=1">acufdp: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">acufdp: element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:patientPerson)&lt;=1">acufdp: element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-5bf3a691-8112-4f2d-b081-2c73b406ac26">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II.NL.BSN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">acufdp: @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufdp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="string-length(@extension)&gt;0">acufdp: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:id
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:id"
         id="tmp-47312cc9-0878-4e55-b611-d4c894f5734e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="string-length(@root)&gt;0">acufdp: attribute @root MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="string-length(@extension)&gt;0">acufdp: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:addr
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:addr"
         id="tmp-65d650af-ea56-4bf3-a643-5b75f795f580">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @use='HP' or @use='PHYS' or @use='TMP' or @use='HP PHYS' or @use='TMP PHYS' ">acufdp: De waarde van @use MOET één van de volgende codes bevatten: 'HP', 'PHYS', 'TMP', 'HP PHYS', 'TMP PHYS'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">acufdp: element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:postalCode)&lt;=1">acufdp: element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:addr/hl7:postalCode
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:statusCode
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:statusCode"
         id="tmp-c36eab85-0d8b-438c-96e5-cbfd4618f628">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='active')">acufdp: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson"
         id="tmp-51f02f2a-675c-4d01-8b16-ddada44670ad">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PSN' ">acufdp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@determinerCode='INSTANCE' ">acufdp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error" test="hl7:deceasedInd/@value='false' or hl7:deceasedTime">acufdp: Datum maternale sterfte: if deceasedInd=true an element deceasedTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&gt;=1 ">acufdp: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&lt;=2">acufdp: element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">acufdp: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:birthTime)&lt;=1">acufdp: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:languageCommunication)&lt;=1">acufdp: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:deceasedInd)&gt;=1 and not(hl7:deceasedInd/@nullFlavor)">acufdp: element hl7:deceasedInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:deceasedInd)&lt;=1">acufdp: element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:deceasedTime)&lt;=1">acufdp: element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:ethnicGroupCode)&gt;=1 ">acufdp: element hl7:ethnicGroupCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:ethnicGroupCode)&lt;=1">acufdp: element hl7:ethnicGroupCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-47823016-a4a0-4a02-ad8c-391d30c7126c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @use='OR' or @use='L' ">acufdp: De waarde van @use MOET één van de volgende codes bevatten: 'OR', 'L'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-9b1d9d2f-d8b6-485e-9367-04e391ae7149">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication"
         id="tmp-48123621-6fbf-4b1f-81cb-efb3e7df3423">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:languageCommunication)&gt;=1 and not(hl7:languageCommunication/@nullFlavor)">acufdp: element hl7:languageCommunication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:languageCommunication)&lt;=1">acufdp: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)">acufdp: element hl7:proficiencyLevelCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">acufdp: element hl7:proficiencyLevelCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication"
         id="tmp-bbc470f3-6ab7-44d2-ae0a-c58bdb9c5142">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')">acufdp: De waarde van @code/@codeSystem MOET 'nl-NL' codeSystem '2.16.840.1.113883.6.121' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="tmp-ea27a957-f0ea-4f76-b47a-b1396b66540b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set LanguageAbilityProficiency Language Ability Proficiency DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd"
         id="tmp-c2d1d124-defc-4e39-8aeb-6c527113c293">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime"
         id="tmp-a662ff81-26d1-45b7-9e8e-53f4979408fc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode"
         id="tmp-d121615d-6170-467b-aa1c-523c4209ddd4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set EthnicGroup DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer"
         id="tmp-1bc79a60-a137-4ef8-85ac-654a74a0a76f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PRF' ">acufdp: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">acufdp: element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:responsibleParty)&lt;=1">acufdp: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty"
         id="tmp-c6eae62d-07b7-4dfe-a382-9bc8a63dede1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='ASSIGNED' ">acufdp: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">acufdp: element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:agentPerson)&lt;=1">acufdp: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty/hl7:code
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty/hl7:code"
         id="tmp-af94e991-5d74-4c3c-9c7a-ce3cece7ca43">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.37')">acufdp: De waarde van @code/@codeSystem MOET '2' codeSystem '2.16.840.1.113883.2.4.4.13.37' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-747a532b-3ca3-40cd-a685-45921c0c2012">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PSN' ">acufdp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@determinerCode='INSTANCE' ">acufdp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufdp: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&lt;=1">acufdp: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-c1d1475f-ce7c-4cde-97b2-67aae13046d8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author"
         id="tmp-3be26010-043f-44a6-be02-4514550490f3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='AUT' ">acufdp: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">acufdp: element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:time)&lt;=1">acufdp: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:modeCode)&gt;=1 ">acufdp: element hl7:modeCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:modeCode)&lt;=1">acufdp: element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:signatureCode)&gt;=1 ">acufdp: element hl7:signatureCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:signatureCode)&lt;=1">acufdp: element hl7:signatureCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">acufdp: element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:responsibleParty)&lt;=1">acufdp: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:time
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:time"
         id="tmp-af527f26-a13e-4d7a-a4e1-0aa66887b7fc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:modeCode
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:modeCode"
         id="tmp-d9b55f36-77d2-4972-9d70-26ad1e940b09">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="string-length(@nullFlavor)&gt;0">acufdp: attribute @nullFlavor MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@code='NA')">acufdp: De waarde van nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:signatureCode
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:signatureCode"
         id="tmp-ff533316-d671-431a-aab1-b6662fad0f84">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="string-length(@nullFlavor)&gt;0">acufdp: attribute @nullFlavor MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@code='NA')">acufdp: De waarde van nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty"
         id="tmp-f4e68b4b-179c-4eb7-97ea-4d7b839114a8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='ASSIGNED' ">acufdp: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufdp: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">acufdp: element hl7:telecom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:telecom)&lt;=1">acufdp: element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">acufdp: element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:agentPerson)&lt;=1">acufdp: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">acufdp: element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:representedOrganization)&lt;=1">acufdp: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:id
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:id"
         id="tmp-3183625f-3e94-4db0-bbe2-a489de845615">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:code
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:code"
         id="tmp-67691d29-eb1c-4f67-b72d-d1c141554e81">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:telecom
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:telecom"
         id="tmp-78b1a3d1-b9c9-4a93-8b12-b009055e4806">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:agentPerson
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-6b911da1-4897-4bd5-8879-b8f12d7ea59e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufdp: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&lt;=1">acufdp: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-35e44b1a-a8d2-4365-8ed4-cbffadf7fc87">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization"
         id="tmp-6af5cc03-3c94-4147-9b97-e772797ebb89">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufdp: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$elmcount&gt;=1">acufdp: keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufdp: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&lt;=1">acufdp: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">acufdp: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:addr)&lt;=1">acufdp: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id"
         id="tmp-6e753ea3-53e5-447e-875f-8182dd03b680">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-f3d0ff2e-db09-4c58-bd57-e63f7425b05f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II.NL.AGB' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.AGB" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@root='2.16.840.1.113883.2.4.6.1'">acufdp: @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufdp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']"
         id="tmp-0ccc52f7-302d-4d40-bc6d-66a428046325">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@root='2.16.840.1.113883.2.4.3.22.98.1'">acufdp: @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufdp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-b5f9c8e7-b9ad-499d-b9b8-b4ff8580a7b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II.NL.URA' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@root='2.16.528.1.1007.3.3'">acufdp: @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufdp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:code
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:code"
         id="tmp-46379211-e57a-412f-b66f-b8db44a2ca69">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:name
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:name"
         id="tmp-934a9ed3-22f6-4444-beff-e7d85c329c0d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:addr
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:addr"
         id="tmp-6669ee28-3812-4379-8bd1-96a6f4cd7063">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-1e388e06-370f-4be4-986f-bdcd7a575ed9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='RSON' ">acufdp: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-af228aa0-3860-457a-be06-73b55244a7fe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='RSON' ">acufdp: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent"
         id="tmp-98492e1b-9ed1-4d7b-b43a-7ecfa50c423a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='COND' ">acufdp: De waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&gt;=1 ">acufdp: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:text)&lt;=1">acufdp: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:id
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:id"
         id="tmp-6426dd9e-7309-4a1f-9f4b-2c6748ff5706">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:code"
         id="tmp-3e630fc0-ccc0-4ab6-a706-3fb6c07f3435">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RedenOverdrachtCategorie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RedenOverdrachtCategorie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set RedenOverdrachtCategorie Categorie Reden overdracht DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:text
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:text"
         id="tmp-795f0ff9-7304-453c-a404-88a5990b371a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-95468a78-9b62-4e11-91b9-8471165af7af">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-9646a411-4bdf-4a36-88d3-105c2270cc41">
      <extends rule="tmp-f2fca528-45c8-47e4-9da2-c2e1040ad9f2"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule id="tmp-f2fca528-45c8-47e4-9da2-c2e1040ad9f2" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:act)&lt;=1">acufdp: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-35fbbf2e-5b93-4ead-afb3-e214986984d7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='LIST' ">acufdp: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufdp: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufdp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-82924755-92d2-490e-9a0d-1e95775afc13">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-54b53940-4b67-4053-894c-670c966de23e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufdp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&lt;=1">acufdp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-66ee46e9-c652-460b-b6ea-1195a7b5668b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-7d4a1e7f-a453-4eae-80d0-6afd489f08f6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-c39c4398-30c8-4f5a-b61f-128fb60965c9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufdp:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufdp:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-d66bcc59-46f3-472a-abda-265d86b76fd4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-a1dcdd8d-8d86-4ed6-a3b4-803d4045d69d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufdp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-4bf27d4d-7bdb-4321-b4f6-ab1ecb8cf8b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-d47d041c-8e92-4c40-81c7-41f9acd27076">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set VILLijst10002000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-c36ca084-5e09-451f-a87c-b716c2d5a9b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-32bed619-ad59-4578-80fa-88a38704efd5">
      <extends rule="tmp-d02ce96f-af55-465c-aeca-aa0041650308"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule id="tmp-d02ce96f-af55-465c-aeca-aa0041650308" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:act)&lt;=1">acufdp: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-a3f3edb2-4130-4f7b-a579-838ae0ea5634">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='LIST' ">acufdp: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufdp: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufdp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-9a4bf251-a44b-4048-9c46-fd7d9cf6bb68">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-4e5c4a31-2046-40eb-ab42-a69edeb6c93f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufdp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&lt;=1">acufdp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-1edebeda-a187-499a-bae3-e41f5c1cb7f7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-3a4db2f5-24f8-437f-a357-f850b0a8fdc3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-0ad39651-9166-4c28-956a-4096afc5bf6b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufdp:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufdp:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-d287c75e-c5dc-46ab-8977-d0a0284af1ed">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-9f00b8ab-4057-4bcf-8389-958a827c3c37">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufdp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-2a8625e6-748d-42dd-bace-9f030a3b314b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-7248bc2c-b799-43c7-899d-cf5cf926640e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set VILLijst3000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-bb533b16-2663-4aac-a13f-2fcfd41be9e7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufdp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&lt;=1">acufdp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-7c42ff48-1749-4aa2-b3a4-6d58ed1de374">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-29608539-856f-4a07-a31d-01ddfa5b5a77">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='276987000')">acufdp: De waarde van @code MOET '276987000' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-bc487308-f040-41b9-b7ce-8a1f6a2aeadc">
      <extends rule="tmp-f49821da-8c02-493f-b68c-d4375047bc5a"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufdp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&lt;=1">acufdp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-66e9a0a6-3759-40d1-9a75-3ecb898fe3b1">
      <extends rule="tmp-caba16b6-f845-498b-abde-c6b556553629"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-730c6817-5942-4fbc-9d9b-601f0629731f">
      <extends rule="tmp-c0b6d98f-b9b5-44a2-af76-5a2130bb4e2d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='276987000')">acufdp: De waarde van @code MOET '276987000' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule id="tmp-f49821da-8c02-493f-b68c-d4375047bc5a" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufdp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&lt;=1">acufdp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule id="tmp-caba16b6-f845-498b-abde-c6b556553629" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-9bc84801-8a87-4ac9-bd72-956ba194b501">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='373663005' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '373663005' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule id="tmp-c0b6d98f-b9b5-44a2-af76-5a2130bb4e2d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-PerinatalperiodADP-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-PerinatalperiodADP-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set PerinatalperiodADP DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-344ab53f-5911-41bc-b824-24afda9a8e50">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-0610c491-32c5-4947-80dc-266c9595aa05">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-8a9bbb38-f9f4-42c0-b0a7-e86c944748cf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-debd6414-9c74-4ecc-a8da-60cd8ea7619c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='106190000' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '106190000' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-8d2867cc-10c2-4dc4-a56b-0c5375a5d5cf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Allergies-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Allergies-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set Allergies DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8853b0c0-b4c4-4e81-9d6c-6d1c8c75daf2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-877fb033-a9e7-4a59-b5e5-d7eb6a68980e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-1be9725f-b125-4a2c-9968-e79b6d543a23">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufdp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-0c762c11-4aa1-4aae-a693-cf8b8011f458">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='129019007' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '129019007' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-61e25b2d-2dc4-447d-99d0-2b389d16232f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship"
         id="tmp-f58000e7-8a8b-4e6a-a721-12d0385eb4fd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship"
         id="tmp-1192665f-20a0-4ad2-8a60-a67f7b396746">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration"
         id="tmp-138b2022-3d92-4e82-9e24-48fc3e500c9b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='SBADM' ">acufdp: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">acufdp: element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:consumable)&lt;=1">acufdp: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-9ee5fd8e-9027-4197-9474-399da6ce58e2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='CSM' ">acufdp: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">acufdp: element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:manufacturedProduct)&lt;=1">acufdp: element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-03606438-7f0c-49f2-baf5-eca3acdcd34d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='MANU' ">acufdp: De waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">acufdp: element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:manufacturedProduct)&lt;=1">acufdp: element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct"
         id="tmp-ac45041f-f008-407b-b166-907b51fb6575">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='MMAT' ">acufdp: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@determinerCode='KIND' ">acufdp: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&gt;=1 ">acufdp: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:name)&lt;=1">acufdp: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct/hl7:name
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct/hl7:name"
         id="tmp-6def3af5-f8d6-4d8f-a3b5-4ee267003f11">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]"
         id="tmp-721366cc-268d-4971-857a-86bd1ce8e537">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]"
         id="tmp-82c9ae34-81d3-439d-ac4a-9ade0be704f2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation"
         id="tmp-2915d8fa-f54d-47b9-a876-c3864acb13bc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:code"
         id="tmp-6db0413e-2a4f-4d2a-83d8-cc9a4c87ed9b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1')">acufdp: De waarde van @code/@codeSystem MOET 'NEGSE' codeSystem '2.16.840.1.113883.3.799.5.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:value"
         id="tmp-75cb16a3-cb5d-426f-be74-c25b5a300cb1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-d30e44b1-6380-404d-9774-3276fa5236a8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-7e3de8ae-a2c1-4eae-bfb5-3ced0b3468b5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-b71e8855-0bdc-4a06-bd5c-315cf0388e8b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-d302746d-7b20-4cec-9618-d30cae478406">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='266096002' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '266096002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-ad13505c-04c1-45d8-a09d-ccbc2b93901c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f96717ef-d712-46b2-9d38-248ed93ac761">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-dc2a9700-9582-4ce2-8dc3-5efd273f075c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-8c0280df-0cc2-4834-8d0d-940d5a9adfc6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-390b9277-06d0-4f47-ad41-217df87aeabf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='161664006' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '161664006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-69157dff-2fe5-4d63-affb-4f00c8ab47a6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-34f76fa8-28fd-478f-8e55-ed664a16e205">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-4b553fc0-a26e-44aa-8ed2-ecdad2a31cdd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-e2cb13d1-96a9-4675-87db-d1a1c719b0e0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-7812d4a5-e78e-4ea7-b9ec-4d39cb4fe66d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET '39156-5' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-49ec87ae-11fd-4bfc-85e3-da4369919fb9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (@unit='kg/m2' and number($theValue)&gt;=0))">acufdp: value MOET eenheid 'kg/m2' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufdp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8d871d2d-06c9-4e88-b5af-c51b1e96025e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-bb1f633a-6313-48a1-a947-b4ba761a9cb9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer"
         id="tmp-fc8785c7-2fcd-487e-af13-8b84bd78807a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='CONTAINER' ">acufdp: De waarde van @classCode MOET 'CONTAINER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/@nullFlavor)">acufdp: element hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/@nullFlavor)">acufdp: element hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code"
         id="tmp-73cf15f9-6ca6-4a2d-9333-dcafa17634ec">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '75367002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-9ebe7a20-c9cb-4535-a1d1-151bcca82c6d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-400fe5c1-62f3-4695-9390-069e8c32dae8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-fdc0e276-bfe2-4306-94dd-fbc7b51a2088">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-b618bb90-5cdd-4c2e-ac80-1f9277d86336">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='271649006' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '271649006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-cacf6f1d-488c-440b-a469-2a4073169227">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">acufdp: value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufdp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-94d39c1a-6321-4613-b83a-0172fe9c7baf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-5a5cc67c-178c-466b-bf99-e886a724f8f8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-d4f47fd4-2588-4f1a-9809-638b9de23d52">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-ce2b61ec-83fb-4df7-8342-f91a12497201">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='271650006' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '271650006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-ee3971cc-f322-41e1-b124-0951ed276830">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">acufdp: value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufdp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-fe9942c0-0e4a-4878-abb1-6d58573f4343">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-32d6208d-ac4d-49b1-baf7-17b0d59e3577">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-9d8b9e46-025e-4bba-b807-03091daa1691">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-f15730d5-d12d-4326-947d-319f6dbb2101">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='883-9' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET '883-9' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-e267237b-e67a-43ae-b9a5-a943028eb6fc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AB0BloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AB0BloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set AB0BloodGroup AB0 blood group DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-ecaac13d-2306-4372-bf66-3ce553fb296d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-40cb5ef0-f88d-437d-af49-f35d92157634">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-c0e55e41-5d49-4e5c-9154-33ca8b6d97ad">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-1950b022-fd9a-472d-b191-67be97e3d144">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-fa7705ec-d15d-4f99-92c6-822f60c1c919">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set RhesusDBloodGroup Rhesus D Blood Group DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-db6ba231-7fde-4929-8ff8-d95746219c28">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f60f3baf-d65d-4e9e-a425-22e27dc692e1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-93be20bb-1a5d-485b-b504-0545a8c10ffc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="string-length(@negationInd)&gt;0">acufdp: attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error" test="@negationInd='true' or hl7:value">acufdp: Indien er irregulaire antistoffen aanwezig zijn moet value een waarde bevatten of moet @nullFlavor="NA" bevatten</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-663bfbc2-7bb5-49f0-8128-5121ddf7e744">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='312457003' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '312457003' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-2aac080a-0de9-43b0-b00d-eaa5881a0f5c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-BloodGroupAntibodies-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-BloodGroupAntibodies-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set BloodGroupAntibodies Blood Group Antibodies DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-4b405363-ab49-4df4-b81b-0c97ae02a1fd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-1988fb50-c088-4702-b5c3-0e98bab6e4a8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-a6a50e4d-d185-4b15-b0c5-19bf08cf851c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&lt;=1">acufdp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-52eb97a3-e1f7-49ec-beab-4263ceb9ab2c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET '59260-0' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-0da73bd1-b8d5-4604-9749-44e4f0e8df7c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-eb4a17f6-3ef5-47d9-b13a-91d39bd6711a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (@unit='mmol/L' and (matches($theValue, '^[-+]?[0-9]*\.[0-9]{1,1}$'))))">acufdp: value MOET eenheid 'mmol/L' gebruiken en exact op 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufdp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8a6924a7-ba6b-48d6-880f-6c16119fac42">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-045779ef-c775-4d39-b02c-4b7b46a481aa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-5ee3b2dd-2399-4e58-8cc6-820b517a6df3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&lt;=1">acufdp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-c02a7bbb-adff-43ab-b262-d1298fc9d372">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:effectiveTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-14880aab-6daf-4fb5-bd47-efe3282485d6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-cb307985-a1aa-428e-9384-abb937f5ef65">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusCFactor-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusCFactor-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set RhesusCFactor Rhesus C Factor DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-7a4900f6-99d3-4cb1-b596-26c3bfe2d854">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-478277e4-6131-4903-ad12-b862d937c315">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-15d47d4e-d740-48a3-a13f-f2e85dee4c32">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-9515d0a1-cea5-4c58-a5d5-170a5477845e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='165806002' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '165806002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-5cbbc9d7-47f0-4b65-8c9e-10c02cf11e3b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-04b4fdea-ded3-46c8-9366-4512a1246407">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-4b61a75f-ce18-4238-be8c-d7d91062e1e2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer"
         id="tmp-ba3cf23f-e640-4ec6-ada3-1372f9a04edc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='CONTAINER' ">acufdp: De waarde van @classCode MOET 'CONTAINER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufdp: element hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufdp: element hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufdp: element hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]])&lt;=1">acufdp: element hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code"
         id="tmp-d7efd664-7509-4985-b0d6-ce2479527b3b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='248983002' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '248983002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d216f119-5089-4fa7-a6a4-4616e9e758c8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-b56f13b3-e85d-47d8-a649-bb1b89c38840">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-3b3a9355-55d5-4b7a-a0f9-ad2f8ddd9321">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-8ad88def-f88f-481f-a5ce-cd26ed112813">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET 'X_PREGNBR' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-9abfaf3c-4c11-43b3-9018-528bc358892b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-f68b0388-9858-4537-92bf-3c458814201a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-b5fb839f-4a1c-40dc-a8b9-81d9ccbe8655">
      <extends rule="tmp-c6f07737-5bc2-4a51-9042-c7d8c50a7730"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule id="tmp-c6f07737-5bc2-4a51-9042-c7d8c50a7730" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:act)&lt;=1">acufdp: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-dd3aee15-a2b5-4dd3-836e-f9b271656878">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='LIST' ">acufdp: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufdp: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufdp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-03550501-8f84-4eef-9619-daf6ec5e1b37">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-a357aed9-b646-427a-b584-a0c80b9bc356">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufdp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:observation)&lt;=1">acufdp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-ebd77bb2-5523-4d77-8ab0-d3c63a42fc64">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-0f23fac0-5c08-4968-9285-5478d2c9dfae">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-7352e97b-8f09-4bd5-a74b-e2140b069416">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufdp:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufdp:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-909620c5-7571-4a98-9812-1541a88d7f52">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-003cbfd4-40c0-45bf-96a4-23feb8e5835b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufdp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-a668798f-5303-449b-b94c-d0e4cd1020f0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-a683ff76-bbab-4a2a-b0ef-405dbae8ac09">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set VILLijst10002000 DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-aa634612-84cb-4420-af36-8c22b4d77b75">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-4d212e14-c18d-4774-821c-20f9fa946960">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-a1692020-0ffb-4698-84b2-7e534ac2b4f3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 ">acufdp: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&lt;=1">acufdp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-eab186df-089b-47d3-8570-159c61a718a2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'TypeDeliv' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-dfa9fdde-01c7-484d-a118-d361094ea0e7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-c69f6d21-39e6-41de-8c9e-0fe9a17dec8c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set TypeBevalling DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-05ae397d-9fed-41ff-8f56-d74c79f6b7af">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-c9fca529-ff0e-4b79-8bd3-2607935caebb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-1abeded9-76a7-4d78-a9fd-af0e27a21667">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-c888c8ce-836a-479b-9226-b534aab98b3a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='366323009' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '366323009' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-386020a6-d267-4061-b835-a17ee6d8e4ca">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (@unit='d' and number($theValue)&gt;=0))">acufdp: value MOET eenheid 'd' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufdp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-ed5b9e8d-7433-4f4b-a029-20899b5b0514">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-c6ae75b5-85fb-49ac-a660-611c2c5e583b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-8b1d69e4-82af-4341-b20a-b65ed8a94d83">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufdp: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&lt;=1">acufdp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-b4b83b3e-07ee-43f2-b77f-ad04288e527b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufdp: De waarde van @code/@codeSystem MOET 'PRN520301' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-d177e011-d47e-42da-8bad-2b0a035a1ec5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-4cbc1830-27e2-44a4-ada3-45823b845e6f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-f8cc7e33-6029-41df-a73c-97116884e07f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-064b8a85-1698-4c9c-a715-9400a9da1207">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-72b3fa3d-1128-4e8a-9ce4-643db50a8384">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufdp: De waarde van @code/@codeSystem MOET 'PRN530401' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-37c6027d-cca1-44ad-9bd1-ef82c7e281b5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]"
         id="tmp-a5d3770c-e832-4ad4-8cea-cd84176086bb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:procedure)&lt;=1">acufdp: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure"
         id="tmp-84aef722-46e3-41f2-8cec-44f7f8413f39">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PROC' ">acufdp: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&gt;=1 ">acufdp: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:id
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:id"
         id="tmp-7efd4ef2-e25f-4d95-aab3-308973c418ac">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor='NI'">acufdp: De waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:code"
         id="tmp-c8b5aa9b-9288-4c13-a52b-1bb0ec9fa54c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">acufdp: De waarde van @code/@codeSystem MOET 'Baring' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject"
         id="tmp-4f03512c-2ac2-40f1-b8e9-3e4db84d2532">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='SBJ' ">acufdp: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">acufdp: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:personalRelationship)&lt;=1">acufdp: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship"
         id="tmp-56cc70a3-260c-4bdf-bdf6-394ee38ed40e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PRS' ">acufdp: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">acufdp: element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:relationshipHolder)&lt;=1">acufdp: element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-ef0f3fb8-7c12-48a7-b030-f6c312815cec">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">acufdp: De waarde van @code/@codeSystem MOET 'CHILD' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-8c18a969-4ed6-4289-9f01-5d351274d101">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PSN' ">acufdp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@determinerCode='INSTANCE' ">acufdp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd"
         id="tmp-3a7c8aab-9a39-45fc-a974-e5e6b2f02378">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-0ebd02e6-c022-4da6-9be0-1fee9f6897d2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-edbc44ea-a740-42b0-bc04-3c3f7a484b40">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-e10995a0-4b69-4c88-9961-240936ca51ae">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-baa9aa78-3e76-47b1-9c88-db96222c59e1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'Gravidity' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-2acf1736-0173-4aca-aba0-ce21124f1c5f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=75))">acufdp: value MOET in bereik [0..75] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-70228e9e-2121-4634-9c88-1349c15cc53e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-78d46a28-efc2-4e56-afad-0d4cc584ea7c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-4a37e288-8c30-420d-b3b6-0272422171e5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufdp: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&lt;=1">acufdp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufdp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-07c49448-506e-4eb6-a6ed-ea12fe2cb601">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'EDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-6e7cf8d3-c674-4f57-ad30-f821a665114e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-0d4d3103-2474-46db-9d10-fb34039cb51b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-36ff82d9-9026-4e27-a984-dd7a88480852">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='SPRT' ">acufdp: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a9864056-f3aa-4bfe-9dc8-b412c7c339d6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='SPRT' ">acufdp: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-11273d00-7aed-4f1a-8faa-baec6e369158">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufdp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-3895ec8f-1ca2-4366-8273-85af28f07d59">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'EDDBasedOn' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-af80dc82-6dd7-4498-9a6c-0b58c4ea4224">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set EDDBasis DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-7bc909b4-b8a4-497d-877f-189d79228bce">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-859ae5aa-1d59-48ec-b2c6-b72f183cc53a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-96d9af9d-ec7b-4e36-9823-675d4d88e744">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufdp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-80ad0052-31c2-408d-8fcd-9f083d0fbf2f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'ActualEDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-f3630dc9-d4c5-48a7-a4ea-2eadcfdde10e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-76ded0c7-4330-4b3f-b73e-4f5f60dbc7aa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-0b3e6ff7-3e03-4278-97da-8bcd61cd3951">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: Pariteit
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-ed6e69ff-484d-4132-b013-05cd27d30f15">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">Pariteit: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">Pariteit: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Pariteit: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">Pariteit: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">Pariteit: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">Pariteit: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-48898718-0ce4-4e62-8e5f-dd617c3a7101">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')">Pariteit: De waarde van @code/@codeSystem MOET 'Parturit' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-1c5369e0-e983-4362-a94e-caac36b28937">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=30))">Pariteit: value MOET in bereik [1..30] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">Pariteit: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-daaa9a50-ccb1-439f-8a43-83e8fdc17496">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-2274842c-3566-4d48-924b-85f09c7289af">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-55618300-d7dc-47a0-a700-9d64f8131ae9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-c697cfd6-10ef-4d2b-9ab0-19b16734b23a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='224118004' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '224118004' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-177bd24b-744a-48a9-b007-14448827ba2f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='INT.NONNEG' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT.NONNEG" bevatten</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ec6b686c-642f-4bcd-8825-165553047541">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-bc9884f4-7839-4386-bf96-3483d21dca56">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-4f7d47a5-7ab5-4d86-a279-a373d6ad6bfc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 ">acufdp: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&lt;=1">acufdp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-e4d321db-4e1f-48bd-9de7-d4d994133de2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'TypeDeliv' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-bef47361-155f-4762-a4ae-16e1005913ba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-cd8ce06f-a096-4794-80f5-c19a5fa3c83c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set TypeBevalling DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-35066dfd-9a1d-417a-af97-4463a9eef9c0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-fa5ecb67-733e-48e9-8056-ca385f8d0405">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-4ff99e92-4b62-43e6-8dcf-1651b1ff3abd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufdp: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:effectiveTime)&lt;=1">acufdp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-8c240602-aaaf-4615-8541-a5d325257443">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufdp: De waarde van @code/@codeSystem MOET 'PRN530101' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-54362734-bbe8-4848-a42c-6976a9fc5bb7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-51667479-49b3-4ebd-97ee-2abd5e8d4e86">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-25ce5f91-72f8-4ec5-a64c-b0866a897739">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-8f0d2824-7604-47e9-98de-f7fd0fd2da12">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-6df90d43-ae9e-46d8-89d2-c8c625e2007e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET '38386-9' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-1e592259-41a4-46f1-be91-acd6c430097b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-KleurVruchtwater-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-KleurVruchtwater-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set KleurVruchtwater DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-9de46eb7-a6f7-4fb3-8f9e-b34ac031ca1b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-7134a549-8d20-47b0-b93f-42c25f26b6b1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-632d5883-5697-473c-ad40-12fd0c3c3dfd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="hl7:value/@value='true' and hl7:inboundRelationship/@typeCode='COMP'">acufdp: If Medicatie nageboortetijdperk = true, a substanceAdministration as a component SHALL
                    be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-09fd79a4-a8e8-42da-9798-f5adc6d46048">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'Medic3stage' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-32a5d84f-0ad4-4fa6-a73d-fe482369fd8f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]"
         id="tmp-9afe354c-c476-42c3-899d-2b41526cb66b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]"
         id="tmp-a6fa2d0c-2418-489f-9475-987d80126e06">
      <extends rule="tmp-5599a58f-8414-4996-8253-08f971554032"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: acufdp
-->
<rule id="tmp-5599a58f-8414-4996-8253-08f971554032" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:substanceAdministration)&gt;=1 ">acufdp: element hl7:substanceAdministration is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:substanceAdministration)&lt;=1">acufdp: element hl7:substanceAdministration komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration"
         id="tmp-35d5d8b8-fe16-4264-ba43-987fee09932d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='SBADM' ">acufdp: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:consumable)&gt;=1 ">acufdp: element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:consumable)&lt;=1">acufdp: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-f223014c-5102-442b-b653-e510a8d3ae8d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='CSM' ">acufdp: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:medication)&gt;=1 ">acufdp: element hl7:medication is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:medication)&lt;=1">acufdp: element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication"
         id="tmp-58b4ceb4-1aca-487f-8c97-6f08193b17eb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='ADMM' ">acufdp: De waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:administerableMedicine)&gt;=1 ">acufdp: element hl7:administerableMedicine is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:administerableMedicine)&lt;=1">acufdp: element hl7:administerableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine"
         id="tmp-406dbb61-baa4-4b27-ae56-ef4573e258c7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='MMAT' ">acufdp: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@determinerCode='KIND' ">acufdp: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 ">acufdp: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:code"
         id="tmp-235ffad1-f916-4d4a-87d1-d894e39fd92c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-SoortMedNageboorte-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-SoortMedNageboorte-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set SoortMedNageboorte DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8def595b-064e-41b8-be93-65347baa77d4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2cc7a69c-052e-4af9-87ac-7a9cced05835">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-b71be257-1f3a-47cf-b36c-4ad583d688d3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-a89da403-1123-457b-bf9b-bf6a33759aef">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'AfterBirthMethod' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-0a3c0994-dde3-447e-83a2-0796f3d5e9fb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-GeboortePlacenta-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-GeboortePlacenta-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set GeboortePlacenta DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-673c1822-7c64-47d0-908b-55156745bbda">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-e926a1b1-a1d0-45de-9887-697ec3268b3f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-93eece2a-5533-42f5-a500-523e9bf2bacc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-02c25da7-0616-4d42-8859-07c50699d8d9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='364343000' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '364343000' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-a5762f27-d360-4889-840b-86456316789f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Completenessplacenta-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Completenessplacenta-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set Completenessplacenta Completeness placenta DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-bfd34e43-8281-4701-a66b-94a8965464e1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-f75c94f8-8b68-48d5-8c5e-1c5a59f6ded2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='true' ">acufdp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-3c9cd899-a1e8-4ce0-8eea-887379f550e2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-99264f44-a2c0-4b28-8330-6ee0ec7a40a5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufdp: De waarde van @code/@codeSystem MOET 'PRN5703' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-ece406e6-3719-4562-8df6-3cee36da5040">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (@unit='ml'))">acufdp: value MOET eenheid 'ml' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufdp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: acufdp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-d2217731-5ee7-4e2a-85c4-aed13f221855">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='false' ">acufdp: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-532f5ba6-c5b1-43ea-aa9b-ac5589ddfdbb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='PERT' ">acufdp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@contextConductionInd='false' ">acufdp: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-2860e5b4-afa1-4fd9-a6c7-03de6a839acb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PROC' ">acufdp: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&gt;=1 ">acufdp: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:id)&lt;=1">acufdp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufdp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id"
         id="tmp-aa5f15a4-2e2a-4c09-bd91-e78425439d5e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-0a702c38-d79d-4d67-8e6c-653d4b3af6fb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">acufdp: De waarde van @code/@codeSystem MOET 'Baring' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject"
         id="tmp-e20f5137-b9a8-40f9-a95a-83717949ceeb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='SBJ' ">acufdp: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">acufdp: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:personalRelationship)&lt;=1">acufdp: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship"
         id="tmp-7a6c05fc-96e5-49d4-83dc-76a86c364341">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PRS' ">acufdp: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">acufdp: element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:relationshipHolder)&lt;=1">acufdp: element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-19d52076-8476-403a-ac2d-bf541f996568">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">acufdp: De waarde van @code/@codeSystem MOET 'CHILD' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-0db67a10-7536-487d-b0cd-fb5564d09408">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='PSN' ">acufdp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@determinerCode='INSTANCE' ">acufdp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error" test="hl7:deceasedInd/@value='false' or hl7:deceasedTime">acufdp: Datum perinatale sterfte: if deceasedInd=true an element deceasedTime shall be
                                present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:birthTime)&lt;=1">acufdp: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:deceasedInd)&lt;=1">acufdp: element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:deceasedTime)&lt;=1">acufdp: element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-b2bd4c60-27a8-4950-baf0-806b75dd05f7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd"
         id="tmp-fc04624b-aee7-494e-a58d-4622ae873409">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime"
         id="tmp-d5a92a24-eb03-4737-aa8d-d39eae307a2e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-ef69030f-f40a-4aee-8926-8ffe1cfa488f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-58e0e012-d5c4-4ee2-a604-636e86152e2d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-0222a96d-8431-46c7-b9c6-14314ce6cf3a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-ea59bb66-d520-4081-b5c6-441b62dad02d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET '46098-0' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-b57ca38f-7610-4c5e-97d2-888d499f72af">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-GenderMedisch-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-GenderMedisch-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set GenderMedisch DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8dfd8d28-5a76-4a3b-94b1-78ae07a48607">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-499debd7-71ef-4e2e-95aa-f020e2fbb135">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-c11d4d3c-ed3d-46cf-9096-50e018880def">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-0fcb52eb-f5bb-492f-827a-cd8d8aebd99d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufdp: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-c1320b5a-781d-449f-8e57-1f0aacd959bd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set RhesusDBloodGroup Rhesus D Blood Group DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8450327e-779e-4423-a31f-103886c73342">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-93bc84e4-dd36-4473-b631-857ddfa99f05">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6793d3c0-1dc5-4a5b-9bc2-72ccbd4cdb47">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:text)&gt;=1 ">acufdp: element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:text)&lt;=1">acufdp: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-35b11b6d-3fda-4bdb-a16b-6cce73ded41e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'GUOFind' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:text
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:text"
         id="tmp-616e94cd-9dcc-4eda-a78c-85096f7010bc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-fdf5aeaf-bfb3-432c-a557-2845b38bffcb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-bf71ca98-a1e1-4464-ae2b-49c9fb1616bd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-4a11c063-f6cd-4468-9dce-2eafb98e849f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-e94ad8e4-a707-4c7e-88c6-6f5b902800f1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufdp: De waarde van @code/@codeSystem MOET 'PRN530401' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-d7eb1865-0d5f-42db-be30-829f682d0de3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-5ee5aa8b-1cf2-4e7d-9099-ecfa51f38b51">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-1b99675b-cfd4-4ea6-9a28-427234350f5c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-87d443d7-5198-437c-86fa-a2eb99513a9d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-6a13792f-0de0-4504-ba56-cf38a1caafb5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufdp: De waarde van @code/@codeSystem MOET 'PRN5704' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-8e85734d-9dbd-4139-a6fc-93befe474900">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ConditiePerineum-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ConditiePerineum-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set ConditiePerineum DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-9fde694f-60e2-4a93-87bf-f875812026a1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-1c816195-6bc6-4e8e-90c6-6da40deca991">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-85ea5733-cdaa-41f6-86e0-70f4b56485da">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-c523142d-4d8f-4cf5-b37b-a004ef2fd84b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET '8339-4' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-3da3a3fc-2824-4e3f-b58d-dd15752263ff">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&gt;=0 and (matches($theValue, '^[-+]?[0-9]*$'))))">acufdp: value MOET eenheid 'g' gebruiken en in bereik [0..] liggen  en tot op minst 0 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufdp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d0242cfe-0e81-40c9-9a31-1eb0d12ef1bc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-4099eb68-1172-44c2-841b-20a14a3c5c23">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-91e00c57-74e6-487a-8ca3-3fe1d71fc937">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-71bef717-9bd8-4a73-bc0c-40e511ead52a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')">acufdp: De waarde van @code/@codeSystem MOET '9274-2' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-ffd432a8-694c-41e5-a978-6df3b3c4bd34">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">acufdp: value MOET in bereik [0..10] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="$digitok">acufdp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-0bbed2e3-af8a-4a6d-8c1c-53a50a6fa057">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-49cf79c7-5b92-42ca-a1d6-28c6278e988f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-39a9f2ac-a1f8-4c31-960a-44828bbd9cb7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufdp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 ">acufdp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-90f51da4-36a6-4c8f-ad42-1c0f5be9ad7d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufdp: De waarde van @code/@codeSystem MOET 'CongMalf' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-424dfd48-0789-48fd-a51c-6cceaf587d27">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set UncertaintyCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-80b8a1cc-3f6f-4b26-872e-6d45bb8027e0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CongenitaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CongenitaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set CongenitaleAfwijkingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-fd305e7d-d0a9-4f5a-b793-e265fcc1bedc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-5d8a06f3-1fa7-42df-b9aa-4c97a1f73586">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@typeCode='COMP' ">acufdp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufdp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-e3af3933-e3fd-40c7-975a-dfe2f409d137">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@classCode='OBS' ">acufdp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@moodCode='EVN' ">acufdp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufdp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:code)&lt;=1">acufdp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufdp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="count(hl7:value)&lt;=1">acufdp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-e189216f-c029-4153-af05-2c04906d6076">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or (@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufdp: De waarde van @code/@codeSystem MOET 'PRN810201' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.61
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufdp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.61']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-b336b8de-47fd-4eaf-a427-d498c63161ff">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufdp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-FasePerinatSterfte-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-FasePerinatSterfte-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.61.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufdp: De waarde van @code MOET worden gekozen uit Value Set FasePerinatSterfte DYNAMIC.</assert>
   </rule>
</pattern>