<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:hl7="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="2.0"><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->

   <axsl:param name="archiveDirParameter"/>
   <axsl:param name="archiveNameParameter"/>
   <axsl:param name="fileNameParameter"/>
   <axsl:param name="fileDirParameter"/>
   <axsl:variable name="document-uri">
      <axsl:value-of select="document-uri(/)"/>
   </axsl:variable>

<!--PHASES-->


<!--PROLOG-->

   <axsl:output method="text"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-select-full-path">
      <axsl:apply-templates select="." mode="schematron-get-full-path"/>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*:</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>[namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+ $preceding"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@<axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-3">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="parent::*">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->

   <axsl:template match="/">
      <axsl:apply-templates select="/" mode="M3"/>
      <axsl:apply-templates select="/" mode="M4"/>
      <axsl:apply-templates select="/" mode="M5"/>
      <axsl:apply-templates select="/" mode="M6"/>
      <axsl:apply-templates select="/" mode="M7"/>
      <axsl:apply-templates select="/" mode="M8"/>
      <axsl:apply-templates select="/" mode="M9"/>
      <axsl:apply-templates select="/" mode="M10"/>
      <axsl:apply-templates select="/" mode="M11"/>
      <axsl:apply-templates select="/" mode="M12"/>
      <axsl:apply-templates select="/" mode="M13"/>
      <axsl:apply-templates select="/" mode="M14"/>
      <axsl:apply-templates select="/" mode="M15"/>
      <axsl:apply-templates select="/" mode="M16"/>
      <axsl:apply-templates select="/" mode="M17"/>
      <axsl:apply-templates select="/" mode="M18"/>
      <axsl:apply-templates select="/" mode="M19"/>
      <axsl:apply-templates select="/" mode="M20"/>
      <axsl:apply-templates select="/" mode="M21"/>
      <axsl:apply-templates select="/" mode="M22"/>
      <axsl:apply-templates select="/" mode="M23"/>
      <axsl:apply-templates select="/" mode="M24"/>
      <axsl:apply-templates select="/" mode="M25"/>
      <axsl:apply-templates select="/" mode="M26"/>
      <axsl:apply-templates select="/" mode="M27"/>
      <axsl:apply-templates select="/" mode="M28"/>
      <axsl:apply-templates select="/" mode="M29"/>
      <axsl:apply-templates select="/" mode="M30"/>
      <axsl:apply-templates select="/" mode="M31"/>
      <axsl:apply-templates select="/" mode="M32"/>
      <axsl:apply-templates select="/" mode="M33"/>
      <axsl:apply-templates select="/" mode="M34"/>
      <axsl:apply-templates select="/" mode="M35"/>
      <axsl:apply-templates select="/" mode="M36"/>
      <axsl:apply-templates select="/" mode="M37"/>
      <axsl:apply-templates select="/" mode="M38"/>
      <axsl:apply-templates select="/" mode="M39"/>
      <axsl:apply-templates select="/" mode="M40"/>
      <axsl:apply-templates select="/" mode="M41"/>
      <axsl:apply-templates select="/" mode="M42"/>
      <axsl:apply-templates select="/" mode="M43"/>
      <axsl:apply-templates select="/" mode="M44"/>
      <axsl:apply-templates select="/" mode="M45"/>
      <axsl:apply-templates select="/" mode="M46"/>
      <axsl:apply-templates select="/" mode="M47"/>
      <axsl:apply-templates select="/" mode="M48"/>
      <axsl:apply-templates select="/" mode="M49"/>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN xmlTest op processing instructions anders dan xml-->


	<!--RULE -->

   <axsl:template match="*[count(ancestor::*)=0][1]" priority="1007" mode="M3">
      <axsl:variable name="unparsed" select="unparsed-text(document-uri(/))"/>
      <axsl:variable name="declaration" select="if (starts-with($unparsed, '&lt;?xml')) then concat(substring-before($unparsed, '?&gt;'), '?&gt;') else ''"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(starts-with($unparsed, '&lt;?xml')) or matches($declaration, 'version=.1\.0.')"/>
         <axsl:otherwise>
            <axsl:message>xml: het XML-prologattribuut moet versie 1.0 zijn. (not(starts-with($unparsed, '&lt;?xml')) or matches($declaration, 'version=.1\.0.') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(starts-with($unparsed, '&lt;?xml')) or matches($declaration, 'encoding=.(utf-8)|(UTF-8).')"/>
         <axsl:otherwise>
            <axsl:message>xml: het XML-prologattribuut encoding moet worden weggelaten of expliciet "UTF-8" zijn. (not(starts-with($unparsed, '&lt;?xml')) or matches($declaration, 'encoding=.(utf-8)|(UTF-8).') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="document(document-uri(/))/processing-instruction('nictiz') or not(starts-with($unparsed, '&lt;?xml')) or not(matches($declaration, 'standalone='))"/>
         <axsl:otherwise>
            <axsl:message>xml: het XML-prologattribuut standalone mag niet worden gebruikt. (document(document-uri(/))/processing-instruction('nictiz') or not(starts-with($unparsed, '&lt;?xml')) or not(matches($declaration, 'standalone=')) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(document(document-uri(/))/processing-instruction()) = 0 or                 (count(document(document-uri(/))/processing-instruction()) = 1 and                  document(document-uri(/))/processing-instruction('xml')) or                 document(document-uri(/))/processing-instruction('nictiz')"/>
         <axsl:otherwise>
            <axsl:message>xml: de XML-prolog is de enig toegestane processing instruction. Bijvoorbeeld koppelingen naar stylesheets zijn niet toegestaan. (count(document(document-uri(/))/processing-instruction()) = 0 or (count(document(document-uri(/))/processing-instruction()) = 1 and document(document-uri(/))/processing-instruction('xml')) or document(document-uri(/))/processing-instruction('nictiz') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M3"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="*[@xsi:schemaLocation]" priority="1005" mode="M3">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="document(document-uri(/))/processing-instruction('nictiz') or not(.)"/>
         <axsl:otherwise>
            <axsl:message>xml: er mogen geen XML Schema's zijn gekoppeld. Gevonden '<axsl:text/>
               <axsl:value-of select="@xsi:schemaLocation"/>
               <axsl:text/>' (document(document-uri(/))/processing-instruction('nictiz') or not(.) / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M3"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="*[@xsi:noNamespaceSchemaLocation]" priority="1004" mode="M3">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="document(document-uri(/))/processing-instruction('nictiz') or not(.)"/>
         <axsl:otherwise>
            <axsl:message>xml: er mogen geen XML Schema's zijn gekoppeld. Gevonden '<axsl:text/>
               <axsl:value-of select="@xsi:noNamespaceSchemaLocation"/>
               <axsl:text/>' (document(document-uri(/))/processing-instruction('nictiz') or not(.) / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M3"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="*[not(self::hl7:Place) and          not(self::hl7:patient and (../../../hl7:consentDirective or ../../../hl7:IntoleranceCondition or ../../../hl7:Condition)) and         not(*) and (not(@*) or (count(@*)=1 and @xsi:type)) and string-length(normalize-space(text()[1]))=0]" priority="1002" mode="M3">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>xml: elementen moeten tenminste een attribuut, een onderliggend element, of tekstuele inhoud hebben (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M3"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="*[@*[normalize-space()='']]" priority="1000" mode="M3">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>xml: attributen moeten een waarde hebben (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M3"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M3"/>
   <axsl:template match="@*|node()" priority="-2" mode="M3">
      <axsl:apply-templates select="*" mode="M3"/>
   </axsl:template>

<!--PATTERN REPC_IN002120NL_JGZ-attentionLineTransmission wrapper AttentionLine validatie-->


	<!--RULE -->

   <axsl:template match="hl7:interactionId[preceding-sibling::hl7:creationTime and following-sibling::hl7:profileId[not(@extension='608' or @extension='705' or @extension='805')]]" priority="1005" mode="M4">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ('false'='false') then (count(../hl7:attentionLine)=1) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Er moet verplicht één attentionLine element zijn, welke de patiënt identificeert om wie dit bericht gaat. (if ('false'='false') then (count(../hl7:attentionLine)=1) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ('false'='true') then (count(../hl7:attentionLine)&lt;=1) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Er mag optioneel één attentionLine element zijn, welke de patiënt identificeert om wie dit bericht gaat. (if ('false'='true') then (count(../hl7:attentionLine)&lt;=1) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M4"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:interactionId[preceding-sibling::hl7:creationTime and following-sibling::hl7:profileId[@extension='810']]" priority="1004" mode="M4">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(../hl7:attentionLine)"/>
         <axsl:otherwise>
            <axsl:message>In deze publicatie mag AttentionLine nog niet worden verstuurd, maar moeten ontvangers deze wel kunnen negeren. Deze interactie moet dus voor test of kwalificatiedoeleinden zijn opgesteld. (not(../hl7:attentionLine) / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M4"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:attentionLine[preceding-sibling::hl7:creationTime and preceding-sibling::hl7:interactionId and preceding-sibling::hl7:profileId[not(@extension='608' or @extension='705' or @extension='805')]]" priority="1003" mode="M4">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:keyWordText"/>
         <axsl:otherwise>
            <axsl:message>attentionLine/keyWordText is verplicht (hl7:keyWordText / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>attentionLine/value is verplicht (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M4"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:attentionLine[preceding-sibling::hl7:creationTime and preceding-sibling::hl7:interactionId and preceding-sibling::hl7:profileId[not(@extension='608' or @extension='705' or @extension='805')]]/hl7:keyWordText" priority="1002" mode="M4">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length(.)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>Datatype BIN: there must be a nullFlavor, or text must be non-empty (@nullFlavor or string-length(.)&gt;0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or text() or hl7:reference"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: content is required if not null (@nullFlavor or text() or hl7:reference / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:integrityCheck) or @integrityCheckAlgorithm"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: integrityCheckAlgorithm required if integrityCheck (not(hl7:integrityCheck) or @integrityCheckAlgorithm / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:thumbnail) or hl7:thumbnail[not(@nullFlavor and hl7:reference)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: thumbnails do not use reference (not(hl7:thumbnail) or hl7:thumbnail[not(@nullFlavor and hl7:reference)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:thumbnail) or hl7:thumbnail[not(hl7:thumbnail)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: thumbnails do not have thumbnails (not(hl7:thumbnail) or hl7:thumbnail[not(hl7:thumbnail)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@compression and (hl7:reference/@value or (@representation='B64' and text()))) or not(@compression)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: compression only
        on binary ((@compression and (hl7:reference/@value or (@representation='B64' and text()))) or not(@compression) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@value) or (@value and (not(@mediaType) or @mediaType='text/plain'))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: value implies mediaType is
        text/plain (not(@value) or (@value and (not(@mediaType) or @mediaType='text/plain')) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:reference or self::hl7:thumbnail][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no history or updateMode (count(*[self::hl7:reference or self::hl7:thumbnail][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@value or xml) or not(@charset)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no charset for value or xml (not(@value or xml) or not(@charset) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation) or hl7:thumbnail[not(hl7:translation)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no nested translations (not(hl7:translation) or hl7:thumbnail[not(hl7:translation)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@mediaType))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no mediaType if null (not(@nullFlavor) or (@nullFlavor and not(@mediaType)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@charset))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no charset if null (not(@nullFlavor) or (@nullFlavor and not(@charset)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@language))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no language if null (not(@nullFlavor) or (@nullFlavor and not(@language)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@compression))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no compression if null (not(@nullFlavor) or (@nullFlavor and not(@compression)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@integrityCheck))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no integrityCheck if null (not(@nullFlavor) or (@nullFlavor and not(@integrityCheck)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@integrityCheckAlgorithm))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no integrityCheckAlgorithm if null (not(@nullFlavor) or (@nullFlavor and not(@integrityCheckAlgorithm)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (not(hl7:thumbnail) or hl7:thumbnail/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no thumbnail if null (not(@nullFlavor) or (not(hl7:thumbnail) or hl7:thumbnail/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(hl7:translation))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no translation if null (not(@nullFlavor) or (@nullFlavor and not(hl7:translation)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="mediaType" select="@mediaType"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@mediaType) or document('../vocab/ED-mediaType.xml')/*/hl7:code[@code=$mediaType]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: unsupported mediaType value
        '<axsl:text/>
               <axsl:value-of select="$mediaType"/>
               <axsl:text/>' (not(@mediaType) or document('../vocab/ED-mediaType.xml')/*/hl7:code[@code=$mediaType] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(thumbnail)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: thumbnail is in Nederland vooralsnog niet toegestaan (not(thumbnail) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation) or hl7:thumbnail[not(hl7:translation)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ST: no nested translations (not(hl7:translation) or hl7:thumbnail[not(hl7:translation)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and string-length(.) &gt; 0)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ST: null or content (not(@nullFlavor and string-length(.) &gt; 0) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype SC: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype SC: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype SC: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype SC: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor != 'OTH' or @codeSystem"/>
         <axsl:otherwise>
            <axsl:message>Datatype SC: nullFlavor 'OTH' requires codeSystem (@nullFlavor != 'OTH' or @codeSystem / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype SC: no code if null (not(@nullFlavor and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and @displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype SC: no displayName if null (not(@nullFlavor and @displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>
      <axsl:variable name="code" select="@code"/>
      <axsl:variable name="codeSystem" select="@codeSystem"/>
      <axsl:variable name="text" select=".[1]"/>
      <axsl:variable name="vocabFile" select="concat('../vocab/',$codeSystem,'.xml')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$codeSystem='2.16.840.1.113883.2.4.15.1' and document($vocabFile)/*/hl7:code[@code=$code][@codeSystem=$codeSystem]"/>
         <axsl:otherwise>
            <axsl:message>attentionLine/keyWordText moet een geldige code uit codesysteem '2.16.840.1.113883.2.4.15.1' bevatten ($codeSystem='2.16.840.1.113883.2.4.15.1' and document($vocabFile)/*/hl7:code[@code=$code][@codeSystem=$codeSystem] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='PATID') or $text='Patient.id'"/>
         <axsl:otherwise>
            <axsl:message>attentionLine/keyWordText moet de waarde 'Patient.id' bevatten als @code='PATID' (not(@code='PATID') or $text='Patient.id' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='FICID') or $text='FictiefPatientnummer'"/>
         <axsl:otherwise>
            <axsl:message>attentionLine/keyWordText moet de waarde 'FictiefPatientnummer' bevatten als @code='FICID' (not(@code='FICID') or $text='FictiefPatientnummer' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M4"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:attentionLine[preceding-sibling::hl7:creationTime and preceding-sibling::hl7:interactionId and preceding-sibling::hl7:profileId[not(@extension='608' or @extension='705' or @extension='805')]]/hl7:value" priority="1001" mode="M4">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(preceding-sibling::hl7:keyWordText='Patient.id') or @root='2.16.840.1.113883.2.4.6.3'"/>
         <axsl:otherwise>
            <axsl:message>attentionLine/value moet een burgerservicenummer bevatten met OID '2.16.840.1.113883.2.4.6.3' (not(preceding-sibling::hl7:keyWordText='Patient.id') or @root='2.16.840.1.113883.2.4.6.3' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M4"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:ControlActProcess/hl7:subject/hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:id" priority="1000" mode="M4">
      <axsl:variable name="patRoot" select="@root"/>
      <axsl:variable name="patExt" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]"/>
         <axsl:otherwise>
            <axsl:message>De patiënt in de Payload (BSN '<axsl:text/>
               <axsl:value-of select="$patExt"/>
               <axsl:text/>') moet overeen komen met de patient in de attentionLine (BSN '<axsl:text/>
               <axsl:value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>
               <axsl:text/>') (not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M4"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M4"/>
   <axsl:template match="@*|node()" priority="-2" mode="M4">
      <axsl:apply-templates select="*" mode="M4"/>
   </axsl:template>

<!--PATTERN REPC_IN002120NL_JGZ-wrapperTransmission Wrapper Algemeen-->


	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:id" priority="1025" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>Transmission: id element mist root of extension (@root and @extension / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:creationTime" priority="1024" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TS: null or value ((@nullFlavor or @value) and not(@nullFlavor and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="datatypeName" select="substring-after(string(@xsi:type),':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@xsi:type) or string(@xsi:type)='TS' or substring-after(string(@xsi:type),':')='TS'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: creationTime moet datatype TS hebben. Gevonden '<axsl:text/>
               <axsl:value-of select="$datatypeName"/>
               <axsl:text/>' (not(@xsi:type) or string(@xsi:type)='TS' or substring-after(string(@xsi:type),':')='TS' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length(@value)&gt;13"/>
         <axsl:otherwise>
            <axsl:message>Transmission: creationTime moet minimaal op de seconde nauwkeurig zijn (string-length(@value)&gt;13 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:versionCode" priority="1023" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='NICTIZEd2005-Okt'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: versionCode '<axsl:text/>
               <axsl:value-of select="@code"/>
               <axsl:text/>' moet 'NICTIZEd2005-Okt' zijn (@code='NICTIZEd2005-Okt' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:interactionId" priority="1022" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>
      <axsl:variable name="interactionId" select="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <axsl:variable name="interactionVocabFile" select="'../vocab/2.16.840.1.113883.1.6.xml'"/>
      <axsl:variable name="interactionName" select="document($interactionVocabFile)/*/hl7:code[@code=$interactionId]/@displayName"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.1.6'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: @root moet '2.16.840.1.113883.1.6' zijn (@root='2.16.840.1.113883.1.6' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension"/>
         <axsl:otherwise>
            <axsl:message>Transmission: @extension moet overeenkomen met het startelement van het bericht (not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(contains(@extension,':'))"/>
         <axsl:otherwise>
            <axsl:message>Transmission: @extension mag geen namespace prefix bevatten (not(contains(@extension,':')) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(document($interactionVocabFile)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='Actief']/@value='false')"/>
         <axsl:otherwise>
            <axsl:message>Transmission: interaction-id <axsl:text/>
               <axsl:value-of select="$interactionId"/>
               <axsl:text/> (<axsl:text/>
               <axsl:value-of select="$interactionName"/>
               <axsl:text/>) is niet (meer) Actief in <axsl:text/>
               <axsl:value-of select="$interactionVocabFile"/>
               <axsl:text/> (not(document($interactionVocabFile)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='Actief']/@value='false') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:profileId" priority="1021" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.3.11.1' and (@extension='810')"/>
         <axsl:otherwise>
            <axsl:message>Transmission: profileId '<axsl:text/>
               <axsl:value-of select="@extension"/>
               <axsl:text/>' moet gelijk zijn aan 810.  (@root='2.16.840.1.113883.2.4.3.11.1' and (@extension='810') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(following-sibling::hl7:profileId)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: er mag maar één profileId worden gebruikt (not(following-sibling::hl7:profileId) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:acknowledgement" priority="1020" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="local-name(..)='MCCI_IN000002' or @typeCode='AA' or @typeCode='AE' or @typeCode='AR'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: applicatieantwoorden moeten acknowledgement/@typeCode AA, AE of AR hebben (local-name(..)='MCCI_IN000002' or @typeCode='AA' or @typeCode='AE' or @typeCode='AR' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(local-name(..)='MCCI_IN000002') or @typeCode='CA' or @typeCode='CE' or @typeCode='CR'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: ontvangstbevestigingen moeten acknowledgement/@typeCode CA, CE of CR hebben. In slechts sommige gevallen worden 
            toch inhoudelijke antwoorden toegestaan (@typeCode is 'AA', 'AE' or 'AR'). (not(local-name(..)='MCCI_IN000002') or @typeCode='CA' or @typeCode='CE' or @typeCode='CR' / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetMessage/hl7:id[@root and @extension] or hl7:targetTransmission/hl7:id[@root and @extension]"/>
         <axsl:otherwise>
            <axsl:message>Transmission: in antwoordinteracties moet de interactie waarop wordt geantwoord, worden geïdentificeerd in het element targetTransmission/id (hl7:targetMessage/hl7:id[@root and @extension] or hl7:targetTransmission/hl7:id[@root and @extension] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail or ../hl7:ControlActProcess/hl7:reason or ../hl7:ControlActProcess/hl7:reasonOf"/>
         <axsl:otherwise>
            <axsl:message>Transmission: negatieve antwoordberichten moeten ook een reden hebben waarom (@typeCode='AA' or @typeCode='CA' or hl7:acknowledgementDetail or ../hl7:ControlActProcess/hl7:reason or ../hl7:ControlActProcess/hl7:reasonOf / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:acknowledgement/hl7:acknowledgementDetail" priority="1019" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@typeCode) or @typeCode='E'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: acknowledgementDetail/@typeCode moet indien aanwezig E (Error) zijn. W (Warning) of I (Information) zijn niet toegestaan (not(@typeCode) or @typeCode='E' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Transmission: acknowledgementDetail/code moet een waarde hebben. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code[@code and @displayName] or hl7:text"/>
         <axsl:otherwise>
            <axsl:message>Transmission: er moet een toelichting op de fout/waarschuwing zijn in hl7:code/@displayName of text (hl7:code[@code and @displayName] or hl7:text / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:acknowledgement/hl7:acknowledgementDetail/hl7:code" priority="1018" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CE: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nulFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: code moet een waarde hebben. (not(@nulFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: code mag geen translation bevatten. (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(@codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4') and not(@displayName)">
         <axsl:message>Transmission: als de code niet uit een van de standaardcodesystemen '2.16.840.1.113883.5.1100', '2.16.840.1.113883.2.4.6.6.1.1000', of '2.16.840.1.113883.5.4' komt is het @displayName attribuut verplicht (not(@codeSystem='2.16.840.1.113883.5.1100' or @codeSystem='2.16.840.1.113883.2.4.6.6.1.1000' or @codeSystem='2.16.840.1.113883.5.4') and not(@displayName) / warning)</axsl:message>
      </axsl:if>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:receiver" priority="1017" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@typeCode) or @typeCode='RCV'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: receiver/@typeCode moet 'RCV' zijn indien aanwezig (not(@typeCode) or @typeCode='RCV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(../hl7:receiver)=1"/>
         <axsl:otherwise>
            <axsl:message>Transmission: receiver mag slechts éénmaal voorkomen (count(../hl7:receiver)=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:respondTo" priority="1016" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@typeCode) or @typeCode='RSP'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: respondTo/@typeCode moet 'RSP' zijn indien aanwezig (not(@typeCode) or @typeCode='RSP' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(../hl7:respondTo)=1"/>
         <axsl:otherwise>
            <axsl:message>Transmission: respondTo mag slechts éénmaal voorkomen (count(../hl7:respondTo)=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:entityRsp)=1"/>
         <axsl:otherwise>
            <axsl:message>Transmission: respondTo/entityRsp mag slechts éénmaal voorkomen (count(hl7:entityRsp)=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="entityRspRoot" select="hl7:entityRsp/hl7:id/@root"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(hl7:entityRsp/hl7:id/@extension=../hl7:sender/hl7:device/hl7:id[@root=$entityRspRoot]/@extension)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: waarschuwing: het antwoord moet worden verstuurd aan dezelfde applicatie als de zendende applicatie. In dit geval is respondTo redundant. (not(hl7:entityRsp/hl7:id/@extension=../hl7:sender/hl7:device/hl7:id[@root=$entityRspRoot]/@extension) / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:sender" priority="1015" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@typeCode) or @typeCode='SND'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: sender/@typeCode moet 'SND' zijn indien aanwezig (not(@typeCode) or @typeCode='SND' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine" priority="1014" mode="M5">
      <axsl:variable name="interactionId" select="../hl7:interactionId[@root='2.16.840.1.113883.1.6']/@extension"/>
      <axsl:variable name="interactionVocabFile" select="'../vocab/2.16.840.1.113883.1.6.xml'"/>
      <axsl:variable name="interactionName" select="document($interactionVocabFile)/*/hl7:code[@code=$interactionId]/@displayName"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="document($interactionVocabFile)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='AttentionLineMetBsn']/@value='true' or             ../hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'] or             ../hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.6']"/>
         <axsl:otherwise>
            <axsl:message>Transmission: interaction-id <axsl:text/>
               <axsl:value-of select="$interactionId"/>
               <axsl:text/> (<axsl:text/>
               <axsl:value-of select="$interactionName"/>
               <axsl:text/>) is niet geconfigureerd voor gebruik van het element <axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> in <axsl:text/>
               <axsl:value-of select="$interactionVocabFile"/>
               <axsl:text/> en afzender is niet GBK of GBP (document($interactionVocabFile)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='AttentionLineMetBsn']/@value='true' or ../hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'] or ../hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.6'] / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:id | hl7:respondTo/hl7:entityRsp/hl7:id" priority="1013" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.6.6' and @extension"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(../..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/id/@root moet 2.16.840.1.113883.2.4.6.6 zijn (@root='2.16.840.1.113883.2.4.6.6' and @extension / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:desc" priority="1012" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/device/descr mag niet gebruikt worden. (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:existenceTime" priority="1011" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/device/existenceTime mag niet gebruikt worden. (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:manufacturerModelName" priority="1010" mode="M5">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/device/manufacturerModelName niet gebruiken. (not(.) / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:agencyFor" priority="1009" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@classCode) or @classCode='AGNT'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(../..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/agencyFor/@classCode moet, indien aanwezig de waarde "AGNT" bevatten (not(@classCode) or @classCode='AGNT' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:agencyFor/hl7:representedOrganization" priority="1008" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@classCode) or @classCode='ORG'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(../../..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name(../..)"/>
               <axsl:text/>/agencyFor/representedOrganization/@classCode moet, indien aanwezig de waarde "ORG" bevatten (not(@classCode) or @classCode='ORG' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@determinerCode) or @determinerCode='INSTANCE'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(../../..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name(../..)"/>
               <axsl:text/>/agencyFor/representedOrganization/@determinerCode moet, indien aanwezig de waarde "INSTANCE" bevatten (not(@determinerCode) or @determinerCode='INSTANCE' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id)=1"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(../../..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name(../..)"/>
               <axsl:text/>/agencyFor/representedOrganization/id mag maar één maal voorkomen (count(hl7:id)=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:agencyFor/hl7:representedOrganization/hl7:id" priority="1007" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@root='2.16.528.1.1007.3.3' and @extension) or (@root='2.16.840.1.113883.2.4.3.11' and @extension='7')"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(../../../..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name(../../..)"/>
               <axsl:text/>/agencyFor/representedOrganization/id moet een UZI-registerabonneenummer zijn of het Klantenloket ((@root='2.16.528.1.1007.3.3' and @extension) or (@root='2.16.840.1.113883.2.4.3.11' and @extension='7') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:agencyFor/hl7:representedOrganization/hl7:name" priority="1006" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or * or text()) and not(@nullFlavor and (* or text()))"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: either null or content ((@nullFlavor or * or text()) and not(@nullFlavor and (* or text())) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: naam geheel in tekst of geheel in elementen (geen mixed content) ((count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="*[normalize-space(.)='']">
         <axsl:message>Datatype EN: lege naamdelen zijn niet toegestaan. (*[normalize-space(.)=''] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="substring(normalize-space(.),1,1)='&#34;'">
         <axsl:message>Datatype EN: Het gebruik van aanhalingstekens aan het begin van een naam is waarschijnlijk onjuist. (substring(normalize-space(.),1,1)='"' / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)=0 and count(hl7:given)=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: no parts may be person types (count(hl7:family)=0 and count(hl7:given)=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use='L')"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: use='L' attribuut is niet toegestaan bij namen van organisaties of apparaten (not(@use='L') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(*)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: organisatienamen en apparaatnamen moeten in de text-node (not(*) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:agencyFor/hl7:representedOrganization/hl7:telecom" priority="1005" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: unsupported URL scheme value '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: value must be a valid URI, e.g. '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom elementen moeten een value attribuut hebben. (@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Een telecom value moet een geldige URI zijn, bijvoorbeeld '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom value moet een in Nederland geldig URL scheme hebben. Gevonden '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlStr" select="substring-after(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='tel' or $urlScheme='fax') then (         matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 3966 (if ($urlScheme='tel' or $urlScheme='fax') then ( matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='file') then (         matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='file') then ( matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='nfs') then (         matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2224. (if ($urlScheme='nfs') then ( matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='ftp' or $urlScheme='ftps') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='ftp' or $urlScheme='ftps') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='http' or $urlScheme='https') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738 (if ($urlScheme='http' or $urlScheme='https') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='telnet') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='telnet') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mailto') then (         matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2368. Merk op dat het niet toegestaan is extra headers op te nemen (if ($urlScheme='mailto') then ( matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='x-hl7-applicatie') then (         matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten beginnen met "2.16.840.1.113883.2.4.6.6." gevolgd door een numeriek deel (if ($urlScheme='x-hl7-applicatie') then ( matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mllp') then (         matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan mllp://host:port/ waarbij 'host' een naam of IP kan zijn en 'port' een benoemde poort of een nummer (if ($urlScheme='mllp') then ( matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and hl7:usablePeriod)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TEL: not null and usablePeriod (not(@nullFlavor and hl7:usablePeriod) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:*[local-name()='receiver' or local-name()='sender']/hl7:device/hl7:location" priority="1004" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Transmission: <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/device/location mag niet gebruikt worden. (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:processingCode" priority="1002" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="@code='P' or document(document-uri(/))/processing-instruction('nictiz')"/>
         <axsl:otherwise>
            <axsl:message>Transmission: processingCode moet in productie altijd gelijk zijn aan P (productie). D (debug) en T (training) zijn dan niet toegestaan (@code='P' or document(document-uri(/))/processing-instruction('nictiz') / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='P' or @code='T' or @code='D'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: processingCode moet de waarde P (productie). D (debug) of T (training) bevatten (@code='P' or @code='T' or @code='D' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode" priority="1001" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='T'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: processingModeCode moet gelijk zijn aan T (Current processing). A (Archive), I (Initial load), en R (Restore from archive) zijn niet toegestaan (@code='T' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode" priority="1000" mode="M5">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='NE' or @code='AL'"/>
         <axsl:otherwise>
            <axsl:message>Transmission: acceptAckCode moet gelijk zijn aan NE (never) of AL (always) (@code='NE' or @code='AL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M5"/>
   <axsl:template match="@*|node()" priority="-2" mode="M5">
      <axsl:apply-templates select="*" mode="M5"/>
   </axsl:template>

<!--PATTERN REPC_IN002120NL_JGZ-controlActControlActProcess-->


	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess" priority="1086" mode="M6">
      <axsl:variable name="interactionId" select="local-name(..)"/>
      <axsl:variable name="interactionVocab" select="'../vocab/2.16.840.1.113883.1.6.xml'"/>
      <axsl:variable name="interactionTrustLevel" select="document($interactionVocab)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='Vertrouwensniveau']/@value"/>
      <axsl:variable name="interactionSendType" select="document($interactionVocab)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='Verzendtype']/@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:overseer or not($interactionTrustLevel) or $interactionTrustLevel='Laag'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: ControlActProcess/overseer moet de mandaterende persoon bevatten in berichten met vertrouwensniveau midden of hoog (hl7:overseer or not($interactionTrustLevel) or $interactionTrustLevel='Laag' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:queryByParameter) or @moodCode='EVN'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: ControlActProcess moodCode moet EVN zijn bij queries (not(hl7:queryByParameter) or @moodCode='EVN' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id" priority="1085" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code" priority="1084" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem='2.16.840.1.113883.1.18'"/>
         <axsl:otherwise>
            <axsl:message>ControlActProcess/code moet uit codeSystem '2.16.840.1.113883.1.18' komen (@codeSystem='2.16.840.1.113883.1.18' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@code"/>
      <axsl:variable name="interactionId" select="../../hl7:interactionId/@extension"/>
      <axsl:variable name="vocabFile" select="concat('../vocab/',../../hl7:interactionId/@root,'.xml')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="document($vocabFile)/*/hl7:code[@code=$interactionId]/hl7:reference[@extension=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Control Act: ControlActProcess/code (Trigger Event) moet bij deze interactie 
            '<axsl:text/>
               <axsl:value-of select="document($vocabFile)/*/hl7:code[@code=$interactionId]/hl7:reference/@extension"/>
               <axsl:text/>'
            zijn, gevonden is echter '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' (document($vocabFile)/*/hl7:code[@code=$interactionId]/hl7:reference[@extension=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:text" priority="1083" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime" priority="1082" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TS: null or value ((@nullFlavor or @value) and not(@nullFlavor and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@xsi:type='TS' or substring-after(@xsi:type,':')='TS' or (not(@xsi:type) and @value)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: ControlActProcess/effectiveTime moet datatype TS hebben (@xsi:type='TS' or substring-after(@xsi:type,':')='TS' or (not(@xsi:type) and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:reasonCode" priority="1081" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:languageCode" priority="1080" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/*[self::hl7:reasonOf or self::hl7:reason]/*[self::hl7:justifiedDetectedIssue or self::hl7:justifyingDetectedIssueEvent]" priority="1078" mode="M6">

		<!--REPORT warning-->

      <axsl:if test="not(hl7:code[@code and @displayName] or hl7:text or hl7:value)">
         <axsl:message>Control Act: Bij voorkeur moet code/@displayName, text of value een uitgebreidere toelichting op de fout/waarschuwing hebben (not(hl7:code[@code and @displayName] or hl7:text or hl7:value) / warning)</axsl:message>
      </axsl:if>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/*[self::hl7:reasonOf or self::hl7:reason]/*[self::hl7:justifiedDetectedIssue or self::hl7:justifyingDetectedIssueEvent]/hl7:code[not(@xsi:type or @xsi:type='CD')]" priority="1077" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>code mag geen translation bevatten (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(@codeSystem='2.16.840.1.113883.5.4') and not(@displayName) and not(following-sibling::hl7:value or following-sibling::hl7:text)">
         <axsl:message>Control Act: Als de code niet uit het standaard codesysteem '2.16.840.1.113883.5.4' komt is het @displayName attribuut verplicht, of er moet een value/text element zijn met aanvullende informatie (not(@codeSystem='2.16.840.1.113883.5.4') and not(@displayName) and not(following-sibling::hl7:value or following-sibling::hl7:text) / warning)</axsl:message>
      </axsl:if>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/*[self::hl7:reasonOf or self::hl7:reason]/*[self::hl7:justifiedDetectedIssue or self::hl7:justifyingDetectedIssueEvent]/hl7:value[@xsi:type='CE']" priority="1076" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CE: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/*[self::hl7:reasonOf or self::hl7:reason]/*[self::hl7:justifiedDetectedIssue or self::hl7:justifyingDetectedIssueEvent]/hl7:targetOf" priority="1075" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="../hl7:code[@code and @codeSystem]"/>
         <axsl:otherwise>
            <axsl:message>Control Act: Als IssueManagement aanwezig is dan is de justifiedDetectedIssue/code verplicht (../hl7:code[@code and @codeSystem] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:registrationProcess" priority="1073" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@classCode) or @classCode='REG'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/@classCode moet indien aanwezig 'REG' zijn (not(@classCode) or @classCode='REG' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:registrationProcess/hl7:id" priority="1071" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>
      <axsl:variable name="sendingApplicationIdRoot" select="../../../../hl7:sender/hl7:device/hl7:id/@root"/>
      <axsl:variable name="sendingApplicationIdExt" select="../../../../hl7:sender/hl7:device/hl7:id/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="($sendingApplicationIdRoot='2.16.840.1.113883.2.4.6.6' and $sendingApplicationIdExt='1') or @nullFlavor='UNK'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/id/@nullFlavor moet 'UNK' zijn als de afzender niet de ZIM is (($sendingApplicationIdRoot='2.16.840.1.113883.2.4.6.6' and $sendingApplicationIdExt='1') or @nullFlavor='UNK' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not($sendingApplicationIdRoot='2.16.840.1.113883.2.4.6.6' and $sendingApplicationIdExt='1') or @root"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/id/@nullFlavor moet 'UNK' zijn als de afzender niet de ZIM is (not($sendingApplicationIdRoot='2.16.840.1.113883.2.4.6.6' and $sendingApplicationIdExt='1') or @root / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:registrationProcess/hl7:code" priority="1069" mode="M6">
      <axsl:variable name="codeValue" select="@code"/>
      <axsl:variable name="codeSystem" select="@codeSystem"/>
      <axsl:variable name="displayName" select="document(concat('../vocab/',$codeSystem,'.xml'))/*/hl7:code[@code=$codeValue]/@displayName"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$codeSystem='2.16.840.1.113883.2.4.15.4' or $codeSystem='2.16.840.1.113883.6.1'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/code moet uit ActRegistrycodeNL (2.16.840.1.113883.2.4.15.4) of LOINC (2.16.840.1.113883.6.1) komen. ($codeSystem='2.16.840.1.113883.2.4.15.4' or $codeSystem='2.16.840.1.113883.6.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="document(concat('../vocab/',$codeSystem,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/code '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' is niet geldig binnen codeSystem '<axsl:text/>
               <axsl:value-of select="$codeSystem"/>
               <axsl:text/>' (ActRegistryCodeNL of LOINC). (document(concat('../vocab/',$codeSystem,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($codeValue='117117' or $codeValue='118118' or $codeValue='118400' or $codeValue='603508' or $codeValue='302850') then (                 ../hl7:subject1) else (../hl7:subject2)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/code '<axsl:text/>
               <axsl:value-of select="$codeValue"/>
               <axsl:text/>' (<axsl:text/>
               <axsl:value-of select="$displayName"/>
               <axsl:text/>) komt niet overeen met het gebruikte type register. Rollen
            horen in subject1 en Act's in subject2. (if ($codeValue='117117' or $codeValue='118118' or $codeValue='118400' or $codeValue='603508' or $codeValue='302850') then ( ../hl7:subject1) else (../hl7:subject2) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:registrationProcess/hl7:statusCode" priority="1067" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject/hl7:registrationProcess/hl7:effectiveTime" priority="1065" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@value|@unit|*)) or (not(@nullFlavor) and (@value|@unit|hl7:low|hl7:center|hl7:high|hl7:width))"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: null violation. Cannot have @nullFlavor and @value or child elements, or the other way around ((@nullFlavor and not(@value|@unit|*)) or (not(@nullFlavor) and (@value|@unit|hl7:low|hl7:center|hl7:high|hl7:width)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(*[@nullFlavor and (@value|@unit)])"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: null violation. Cannot have @nullFlavor and @value on any child elements (not(*[@nullFlavor and (@value|@unit)]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:*[@nullFlavor and (@value|@unit)])"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: null violation. Child element has @nullFlavor and @value (not(hl7:*[@nullFlavor and (@value|@unit)]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="         @nullFlavor or         (not(@nullFlavor) and @value and not(*)) or         (not(@nullFlavor) and not(@value) and (hl7:low|hl7:center|hl7:high|hl7:width)) or         (not(@nullFlavor) and not(@value) and (hl7:*[not(@nullFlavor)])) or         (not(@nullFlavor) and not(@value) and hl7:center and not(hl7:low|hl7:high|hl7:width)) or         (not(@nullFlavor) and not(@value) and not(hl7:center) and hl7:width and not(hl7:low and hl7:high))"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: co-occurence violation. Cannot have @value and other child elements, or missing @value and child elements with data, 
        or center element with other elements, or width element with both low and high elements (@nullFlavor or (not(@nullFlavor) and @value and not(*)) or (not(@nullFlavor) and not(@value) and (hl7:low|hl7:center|hl7:high|hl7:width)) or (not(@nullFlavor) and not(@value) and (hl7:*[not(@nullFlavor)])) or (not(@nullFlavor) and not(@value) and hl7:center and not(hl7:low|hl7:high|hl7:width)) or (not(@nullFlavor) and not(@value) and not(hl7:center) and hl7:width and not(hl7:low and hl7:high)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[@updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: no updateMode on IVL attributes (count(*[@updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:low/@value and hl7:high/@value) or hl7:low/@value != hl7:high/@value"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: low/@value must not be equal to high/@value (not(hl7:low/@value and hl7:high/@value) or hl7:low/@value != hl7:high/@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:width) or         hl7:width[not(@unit)] or         hl7:width[@value and @unit]"/>
         <axsl:otherwise>
            <axsl:message>Datatype PQR: width element: no unit without value (not(hl7:width) or hl7:width[not(@unit)] or hl7:width[@value and @unit] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:width/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype PQR: width element: no translation (not(hl7:width/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:low/@value and hl7:high/@value) or string-length(hl7:low/@value) = string-length(hl7:high/@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL_TS: low/@value must have the same precision as high/@value (not(hl7:low/@value and hl7:high/@value) or string-length(hl7:low/@value) = string-length(hl7:high/@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:low/@value and hl7:high/@value) or         substring(concat(hl7:low/@value,'00000000000000'),1,14) &lt; substring(concat(hl7:high/@value,'00000000000000'),1,14)"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL_TS: low/@value must be before high/@value (not(hl7:low/@value and hl7:high/@value) or substring(concat(hl7:low/@value,'00000000000000'),1,14) &lt; substring(concat(hl7:high/@value,'00000000000000'),1,14) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="tum" select="'^(us|ms|s|min|h|d|wk|mo|a|)$'"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(hl7:width/@unit, $tum)"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL_TS: for width only us (microseconds), ms (milliseconds), s (seconds), min (minute), h (hours), d (day), wk (week),
        mo (month) or a (year) are allowed (matches(hl7:width/@unit, $tum) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or @nullFlavor='UNK'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/effectiveTime/@nullFlavor moet, indien aanwezig, 'UNK' zijn. (not(@nullFlavor) or @nullFlavor='UNK' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:*/@nullFlavor) or hl7:*/@nullFlavor='UNK'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/effectiveTime/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/>/@nullFlavor moet, indien aanwezig, 'UNK' zijn. (not(hl7:*/@nullFlavor) or hl7:*/@nullFlavor='UNK' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or hl7:*[local-name()='low' or local-name()='high']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: registrationProcess/effectiveTime mag alleen bestaan uit datum eerste aanmelding (effectiveTime/low) en een einde van de geldigheidsperiode (effectiveTime/high). (@nullFlavor or hl7:*[local-name()='low' or local-name()='high'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter" priority="1063" mode="M6">
      <axsl:variable name="interactionId" select="local-name(../..)"/>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="hl7:executionAndDeliveryTime or             $interactionId='PRPA_IN900111NL' or              $interactionId='PRPA_IN900112NL' or             $interactionId='QUMT_IN020010' or             $interactionId='QUMT_IN020011NL' or             $interactionId='QUMT_IN020011NL02' or             $interactionId='QUMT_IN900008NL' or             $interactionId='QUMT_IN900013NL' or             $interactionId='QUPA_IN101101' or              $interactionId='QUPA_IN101102' or             $interactionId='QUPA_IN101103' or              $interactionId='QUPA_IN101104'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: Waarschuwing: queryByParameter/executionAndDeliveryTime is verplicht vanaf AORTA 6 indien hier een waarde voor is ingesteld in het XIS. (hl7:executionAndDeliveryTime or $interactionId='PRPA_IN900111NL' or $interactionId='PRPA_IN900112NL' or $interactionId='QUMT_IN020010' or $interactionId='QUMT_IN020011NL' or $interactionId='QUMT_IN020011NL02' or $interactionId='QUMT_IN900008NL' or $interactionId='QUMT_IN900013NL' or $interactionId='QUPA_IN101101' or $interactionId='QUPA_IN101102' or $interactionId='QUPA_IN101103' or $interactionId='QUPA_IN101104' / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:responsePriorityCode or $interactionId='PRPA_IN900111NL' or $interactionId='PRPA_IN900112NL'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/responsePriorityCode is verplicht vanaf AORTA 6 (hl7:responsePriorityCode or $interactionId='PRPA_IN900111NL' or $interactionId='PRPA_IN900112NL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:responseModalityCode or $interactionId='PRPA_IN900111NL' or $interactionId='PRPA_IN900112NL'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: responseModalityCode is verplicht vanaf AORTA 6 (hl7:responseModalityCode or $interactionId='PRPA_IN900111NL' or $interactionId='PRPA_IN900112NL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode" priority="1062" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="interactionId" select="local-name(../../..)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='executing' or @code='aborted' or @code='waitContinuedQueryResponse'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/statusCode moet 'executing', 'aborted', of 'waitContinuedQueryResponse' zijn (@code='executing' or @code='aborted' or @code='waitContinuedQueryResponse' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='executing' or             $interactionId='QUQI_IN000003' or             $interactionId='QUQI_IN000003UV'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/statusCode moet 'executing' zijn, behalve bij QUQI_IN000003(UV) (@code='executing' or $interactionId='QUQI_IN000003' or $interactionId='QUQI_IN000003UV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='aborted' or @code='waitContinuedQueryResponse' or not(              $interactionId='QUQI_IN000003' or             $interactionId='QUQI_IN000003UV')"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/statusCode moet 'aborted' of 'waitContinuedQueryResponse' zijn bij QUQI_IN000003(UV) (@code='aborted' or @code='waitContinuedQueryResponse' or not( $interactionId='QUQI_IN000003' or $interactionId='QUQI_IN000003UV') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:modifyCode" priority="1061" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='M' or @code='N'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/modifyCode moet 'M' (Modified) of 'N' (New) zijn (@code='M' or @code='N' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseElementGroupId" priority="1060" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/responseElementGroupId mag niet gebruikt worden (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode" priority="1059" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='R' or @code='B'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/responseModalityCode moet 'R' (Realtime) of 'B' (Batch) zijn (@code='R' or @code='B' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="interactionId" select="local-name(../../..)"/>
      <axsl:variable name="interactionVocab" select="'../vocab/2.16.840.1.113883.1.6.xml'"/>
      <axsl:variable name="interactionSendType" select="document($interactionVocab)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='Verzendtype']/@value"/>
      <axsl:variable name="interactionQueryType" select="document($interactionVocab)/*/hl7:code[@code=$interactionId]/hl7:qualifier[@name='Vraagtype']/@value"/>
      <axsl:variable name="receivingApplication" select="../../../hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@extension"/>
      <axsl:variable name="sendingApplication" select="../../../hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='R') or not($interactionSendType='Initiërend') or $interactionQueryType='Direct' or $sendingApplication='1'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/responseModalityCode/@code moet 'B' zijn bij indirecte vragen aan de ZIM (not(@code='R') or not($interactionSendType='Initiërend') or $interactionQueryType='Direct' or $sendingApplication='1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='B') or ($interactionQueryType='Indirect' and not($sendingApplication='1'))"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/responseModalityCode/@code moet 'R' zijn bij directe vragen en bij vragen verstuurd door de ZIM (in feite ook een directe vraag) (not(@code='B') or ($interactionQueryType='Indirect' and not($sendingApplication='1')) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode" priority="1058" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='I'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/responsePriorityCode moet 'I' (Immediate) zijn (@code='I' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:initialQuantity" priority="1057" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: no uncertainty (not(hl7:uncertainty) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: null or value ((@nullFlavor or @value) and not(@nullFlavor and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/initialQuantity mag niet gebruikt worden (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="../hl7:initialQuantityCode"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/initialQuantityCode is verplicht indien initialQuantity wordt gebruikt (../hl7:initialQuantityCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:initialQuantityCode" priority="1056" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CE: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="../hl7:initialQuantity"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/initialQuantity is verplicht indien initialQuantityCode wordt gebruikt (../hl7:initialQuantity / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime" priority="1055" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TS: null or value ((@nullFlavor or @value) and not(@nullFlavor and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../../../hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1' and (@extension='608' or @extension='705' or @extension='805')])"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/executionAndDeliveryTime is pas toegestaan vanaf profileId 810 (not(../../../hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1' and (@extension='608' or @extension='705' or @extension='805')]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/executionAndDeliveryTime/@value moet een waarde hebben (@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(@value,'^[0-9]{12}')"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/executionAndDeliveryTime/@value moet tenminste tot op de minuten nauwkeurig zijn (matches(@value,'^[0-9]{12}') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="creationTime" select="../../../hl7:creationTime/@value"/>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@value)=string-length($creationTime))">
         <axsl:message>Control Act: queryByParameter/executionAndDeliveryTime/@value '<axsl:text/>
            <axsl:value-of select="@value"/>
            <axsl:text/>' en creationTime '<axsl:text/>
            <axsl:value-of select="$creationTime"/>
            <axsl:text/>' hebben niet dezelfde precisie. Aanbevolen is om ze dezelfde precisie te geven (not(string-length(@value)=string-length($creationTime)) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ((string-length(@value)=14 and string-length($creationTime)=14) or             (string-length(@value)=12 and string-length($creationTime)=12)) then (             (number(@value) - number($creationTime)) &gt;= 5) else ( 1=1 )"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/executionAndDeliveryTime/@value '<axsl:text/>
               <axsl:value-of select="@value"/>
               <axsl:text/>' ligt niet 5 seconden of meer na creationTime '<axsl:text/>
               <axsl:value-of select="$creationTime"/>
               <axsl:text/>' (if ((string-length(@value)=14 and string-length($creationTime)=14) or (string-length(@value)=12 and string-length($creationTime)=12)) then ( (number(@value) - number($creationTime)) &gt;= 5) else ( 1=1 ) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter//hl7:semanticsText" priority="1054" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or string-length(.)&gt;0"/>
         <axsl:otherwise>
            <axsl:message>Datatype BIN: there must be a nullFlavor, or text must be non-empty (@nullFlavor or string-length(.)&gt;0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or text() or hl7:reference"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: content is required if not null (@nullFlavor or text() or hl7:reference / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:integrityCheck) or @integrityCheckAlgorithm"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: integrityCheckAlgorithm required if integrityCheck (not(hl7:integrityCheck) or @integrityCheckAlgorithm / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:thumbnail) or hl7:thumbnail[not(@nullFlavor and hl7:reference)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: thumbnails do not use reference (not(hl7:thumbnail) or hl7:thumbnail[not(@nullFlavor and hl7:reference)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:thumbnail) or hl7:thumbnail[not(hl7:thumbnail)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: thumbnails do not have thumbnails (not(hl7:thumbnail) or hl7:thumbnail[not(hl7:thumbnail)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@compression and (hl7:reference/@value or (@representation='B64' and text()))) or not(@compression)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: compression only
        on binary ((@compression and (hl7:reference/@value or (@representation='B64' and text()))) or not(@compression) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@value) or (@value and (not(@mediaType) or @mediaType='text/plain'))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: value implies mediaType is
        text/plain (not(@value) or (@value and (not(@mediaType) or @mediaType='text/plain')) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:reference or self::hl7:thumbnail][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no history or updateMode (count(*[self::hl7:reference or self::hl7:thumbnail][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@value or xml) or not(@charset)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no charset for value or xml (not(@value or xml) or not(@charset) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation) or hl7:thumbnail[not(hl7:translation)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no nested translations (not(hl7:translation) or hl7:thumbnail[not(hl7:translation)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@mediaType))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no mediaType if null (not(@nullFlavor) or (@nullFlavor and not(@mediaType)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@charset))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no charset if null (not(@nullFlavor) or (@nullFlavor and not(@charset)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@language))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no language if null (not(@nullFlavor) or (@nullFlavor and not(@language)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@compression))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no compression if null (not(@nullFlavor) or (@nullFlavor and not(@compression)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@integrityCheck))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no integrityCheck if null (not(@nullFlavor) or (@nullFlavor and not(@integrityCheck)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@integrityCheckAlgorithm))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no integrityCheckAlgorithm if null (not(@nullFlavor) or (@nullFlavor and not(@integrityCheckAlgorithm)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (not(hl7:thumbnail) or hl7:thumbnail/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no thumbnail if null (not(@nullFlavor) or (not(hl7:thumbnail) or hl7:thumbnail/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(hl7:translation))"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: no translation if null (not(@nullFlavor) or (@nullFlavor and not(hl7:translation)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="mediaType" select="@mediaType"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@mediaType) or document('../vocab/ED-mediaType.xml')/*/hl7:code[@code=$mediaType]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: unsupported mediaType value
        '<axsl:text/>
               <axsl:value-of select="$mediaType"/>
               <axsl:text/>' (not(@mediaType) or document('../vocab/ED-mediaType.xml')/*/hl7:code[@code=$mediaType] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(thumbnail)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ED: thumbnail is in Nederland vooralsnog niet toegestaan (not(thumbnail) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation) or hl7:thumbnail[not(hl7:translation)]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ST: no nested translations (not(hl7:translation) or hl7:thumbnail[not(hl7:translation)] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and string-length(.) &gt; 0)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ST: null or content (not(@nullFlavor and string-length(.) &gt; 0) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>Control Act: het queryParameter element semanticsText bij voorkeur niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryByParameter/hl7:sortControl" priority="1053" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryByParameter/sortControl mag niet gebruikt worden (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryAck" priority="1051" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:resultTotalQuantity"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultTotalQuantity ontbreekt (hl7:resultTotalQuantity / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:resultCurrentQuantity"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultCurrentQuantity ontbreekt (hl7:resultCurrentQuantity / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:resultRemainingQuantity"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultRemainingQuantity ontbreekt (hl7:resultRemainingQuantity / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryAck/hl7:id" priority="1050" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root and @extension"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/queryId mist root en/of extension (@root and @extension / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryAck/hl7:statusCode" priority="1049" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="interactionId" select="local-name(../../..)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='aborted' or @code='deliveredResponse'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/statusCode moet 'aborted', of 'deliveredResponse' zijn (@code='aborted' or @code='deliveredResponse' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryAck/hl7:queryResponseCode" priority="1048" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='NF' or @code='AE' or @code='QE' or @code='OK'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/queryResponsecode/code moet NF (Nothing found), AE (Application Error), QE (Query error) of OK bevatten (@code='NF' or @code='AE' or @code='QE' or @code='OK' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="acknowledgementTypeCode" select="../../../hl7:acknowledgement/@typeCode"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($acknowledgementTypeCode='AA') then (             @code='NF' or @code='OK' ) else (             @code='AE' or @code='QE'             )"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/queryResponseCode moet bij een positief antwoord 'OK' of 'NF' zijn, anders moet deze 'AE' of 'QE' zijn (if ($acknowledgementTypeCode='AA') then ( @code='NF' or @code='OK' ) else ( @code='AE' or @code='QE' ) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="resultCurrentQuantity" select="../hl7:resultCurrentQuantity/@value"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='OK') or ($acknowledgementTypeCode='AA' and $resultCurrentQuantity &gt; 0)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/queryResponseCode moet 'OK' bevatten indien er op basis van de queryParameters resultaten gevonden konden 
            worden (resultCurrentQuantity/@value='<axsl:text/>
               <axsl:value-of select="$resultCurrentQuantity"/>
               <axsl:text/>') en de query valide
            is (acknowledgement/@typeCode='<axsl:text/>
               <axsl:value-of select="$acknowledgementTypeCode"/>
               <axsl:text/>') (not(@code='OK') or ($acknowledgementTypeCode='AA' and $resultCurrentQuantity &gt; 0) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@code='NF') or ($acknowledgementTypeCode='AA' and $resultCurrentQuantity = 0)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/queryResponseCode moet 'NF' bevatten indien er op basis van de queryParameters geen resultaten gevonden konden 
            worden (resultCurrentQuantity/@value='<axsl:text/>
               <axsl:value-of select="$resultCurrentQuantity"/>
               <axsl:text/>') en de query valide
            is (acknowledgement/@typeCode='<axsl:text/>
               <axsl:value-of select="$acknowledgementTypeCode"/>
               <axsl:text/>') (not(@code='NF') or ($acknowledgementTypeCode='AA' and $resultCurrentQuantity = 0) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryAck/hl7:resultTotalQuantity" priority="1047" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: no uncertainty (not(hl7:uncertainty) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: null or value ((@nullFlavor or @value) and not(@nullFlavor and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="number(@value) &gt;= 0 or @nullFlavor='NAV'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultTotalQuantity moet 0 of groter zijn, of nullFlavor moet 'NAV' zijn (number(@value) &gt;= 0 or @nullFlavor='NAV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="resultCurrentQuantity" select="number(../hl7:resultCurrentQuantity/@value)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if (@value and $resultCurrentQuantity) then (number(@value) &gt;= $resultCurrentQuantity) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultTotalQuantity '<axsl:text/>
               <axsl:value-of select="@value"/>
               <axsl:text/>' moet groter zijn dan resultCurrentQuantity '<axsl:text/>
               <axsl:value-of select="$resultCurrentQuantity"/>
               <axsl:text/>' (if (@value and $resultCurrentQuantity) then (number(@value) &gt;= $resultCurrentQuantity) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryAck/hl7:resultCurrentQuantity" priority="1046" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: no uncertainty (not(hl7:uncertainty) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: null or value ((@nullFlavor or @value) and not(@nullFlavor and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) and @value"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultCurrentQuantity moet 0 of groter zijn (not(@nullFlavor) and @value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="resultCurrentQuantity" select="count(../../hl7:subject)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=$resultCurrentQuantity"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultCurrentQuantity '<axsl:text/>
               <axsl:value-of select="@value"/>
               <axsl:text/>' moet gelijk zijn aan het aantal subject elementen ('<axsl:text/>
               <axsl:value-of select="$resultCurrentQuantity"/>
               <axsl:text/>') (@value=$resultCurrentQuantity / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:queryAck/hl7:resultRemainingQuantity" priority="1045" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: no uncertainty (not(hl7:uncertainty) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or @value) and not(@nullFlavor and @value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype INT: null or value ((@nullFlavor or @value) and not(@nullFlavor and @value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor='NAV' or @value &gt;= 0"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultRemainingQuantity moet 0 of groter zijn, of nullFlavor moet 'NAV' zijn (@nullFlavor='NAV' or @value &gt;= 0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="resultTotalQuantity" select="number(../hl7:resultTotalQuantity/@value)"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if (@value and $resultTotalQuantity) then (number(@value) &lt;= $resultTotalQuantity) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: queryAck/resultRemainingQuantity '<axsl:text/>
               <axsl:value-of select="@value"/>
               <axsl:text/>' moet kleiner dan of gelijk aan resultTotalQuantity '<axsl:text/>
               <axsl:value-of select="$resultTotalQuantity"/>
               <axsl:text/>' zijn (if (@value and $resultTotalQuantity) then (number(@value) &lt;= $resultTotalQuantity) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:informationRecipient" priority="1043" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: informationRecipient mag (nog) niet gebruikt worden (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:dataEnterer" priority="1041" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(.)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: dataEnterer mag (nog) niet gebruikt worden (not(.) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer" priority="1039" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='AUT' or @typeCode='PRF'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/@typeCode moet AUT or PRF zijn (@typeCode='AUT' or @typeCode='PRF' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson" priority="1037" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3' or @root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1'])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/id. Tenminste één id moet als root 2.16.528.1.1007.3.1 (UZI), 2.16.840.1.113883.2.4.6.3 (BSN) of 2.16.840.1.113883.2.4.3.11.7.3 (batch inzage auteur), of 2.16.528.1.1003.1.3.5.4.1 (Nictiz-klantenloket met PKIO-pas van Getronics) hebben (count(hl7:id[@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3' or @root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1'])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/code ontbreekt. Dit is alleen toegestaan als de rolcode 00.000 is. (Pas voor medewerker niet op naam) (not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111'] / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3' and @extension]"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/Organization/id moet de zorgaanbieder van de persoon identificeren (not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3' and @extension] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']) or hl7:Organization/hl7:id[@nullFlavor='NA']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/Organization/id/@nullFlavor moet 'NA' bevatten (not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']) or hl7:Organization/hl7:id[@nullFlavor='NA'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.840.1.113883.2.4.3.11' or @root='2.16.528.1.1003.1.3.5.4.1']) or hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11' and @extension='7']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/Organization/id moet de Nictiz-klantenloket organisatie identificeren (not(hl7:id[@root='2.16.840.1.113883.2.4.3.11' or @root='2.16.528.1.1003.1.3.5.4.1']) or hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11' and @extension='7'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:name"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/Organization/name moet de zorgaanbiedernaam bevatten (not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:name / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.840.1.113883.2.4.3.11' or @root='2.16.528.1.1003.1.3.5.4.1']) or hl7:Organization/hl7:name"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/Organization/name moet de Nictiz-klantenloket organisatienaam bevatten (not(hl7:id[@root='2.16.840.1.113883.2.4.3.11' or @root='2.16.528.1.1003.1.3.5.4.1']) or hl7:Organization/hl7:name / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:id" priority="1035" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3' or @root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1' or @root='2.16.840.1.113883.2.4.6.1'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/id. @root moet 2.16.528.1.1007.3.1 (UZI), 2.16.840.1.113883.2.4.6.3 (BSN) of 2.16.840.1.113883.2.4.3.11.7.3 (batch inzage auteur), 2.16.528.1.1003.1.3.5.4.1 (Nictiz-klantenloket met PKIO-pas van Getronics), of 2.16.840.1.113883.2.4.6.1 (AGB-code) zijn (@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3' or @root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1' or @root='2.16.840.1.113883.2.4.6.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'][@code='P']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/code/@code moet "P" (Patiënt) zijn. Wettelijke vertegenwoordigers moet dit via het Klantenloket doen en kunnen dus niet als auteur optreden (not(@root='2.16.840.1.113883.2.4.6.3') or following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'][@code='P'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or              not(../../../../*[local-name()='queryByParameter' or local-name()='subject']//hl7:*[@root='2.16.840.1.113883.2.4.6.3']) or              ../../../../../hl7:attentionLine"/>
         <axsl:otherwise>
            <axsl:message>Control Act: patiëntgebonden interacties, verzonden vanuit een patiëntenportaal (GBP), moeten een attentionLine hebben (not(@root='2.16.840.1.113883.2.4.6.3') or not(../../../../*[local-name()='queryByParameter' or local-name()='subject']//hl7:*[@root='2.16.840.1.113883.2.4.6.3']) or ../../../../../hl7:attentionLine / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1') or following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'][@code='KLANTENLOKET']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedPerson/code/@code moet "KLANTENLOKET" zijn voor klantenloketmedewerkers (not(@root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1') or following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'][@code='KLANTENLOKET'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1') or              not(../../../../*[local-name()='queryByParameter' or local-name()='subject']//hl7:*[@root='2.16.840.1.113883.2.4.6.3']) or              ../../../../../hl7:attentionLine"/>
         <axsl:otherwise>
            <axsl:message>Control Act: patiëntgebonden interacties, verzonden vanuit het klantenloket (GBK), moeten een attentionLine hebben (not(@root='2.16.840.1.113883.2.4.3.11.7.3' or @root='2.16.528.1.1003.1.3.5.4.1') or not(../../../../*[local-name()='queryByParameter' or local-name()='subject']//hl7:*[@root='2.16.840.1.113883.2.4.6.3']) or ../../../../../hl7:attentionLine / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:code" priority="1034" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CE: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:telecom" priority="1033" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: unsupported URL scheme value '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: value must be a valid URI, e.g. '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom elementen moeten een value attribuut hebben. (@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Een telecom value moet een geldige URI zijn, bijvoorbeeld '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom value moet een in Nederland geldig URL scheme hebben. Gevonden '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlStr" select="substring-after(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='tel' or $urlScheme='fax') then (         matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 3966 (if ($urlScheme='tel' or $urlScheme='fax') then ( matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='file') then (         matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='file') then ( matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='nfs') then (         matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2224. (if ($urlScheme='nfs') then ( matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='ftp' or $urlScheme='ftps') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='ftp' or $urlScheme='ftps') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='http' or $urlScheme='https') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738 (if ($urlScheme='http' or $urlScheme='https') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='telnet') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='telnet') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mailto') then (         matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2368. Merk op dat het niet toegestaan is extra headers op te nemen (if ($urlScheme='mailto') then ( matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='x-hl7-applicatie') then (         matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten beginnen met "2.16.840.1.113883.2.4.6.6." gevolgd door een numeriek deel (if ($urlScheme='x-hl7-applicatie') then ( matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mllp') then (         matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan mllp://host:port/ waarbij 'host' een naam of IP kan zijn en 'port' een benoemde poort of een nummer (if ($urlScheme='mllp') then ( matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and hl7:usablePeriod)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TEL: not null and usablePeriod (not(@nullFlavor and hl7:usablePeriod) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:name" priority="1032" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or * or text()) and not(@nullFlavor and (* or text()))"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: either null or content ((@nullFlavor or * or text()) and not(@nullFlavor and (* or text())) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: naam geheel in tekst of geheel in elementen (geen mixed content) ((count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="*[normalize-space(.)='']">
         <axsl:message>Datatype EN: lege naamdelen zijn niet toegestaan. (*[normalize-space(.)=''] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="substring(normalize-space(.),1,1)='&#34;'">
         <axsl:message>Datatype EN: Het gebruik van aanhalingstekens aan het begin van een naam is waarschijnlijk onjuist. (substring(normalize-space(.),1,1)='"' / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:given[contains(@qualifier,'IN')]) or hl7:given[contains(@qualifier,'IN') and not(starts-with(text(),'.')) and contains(text(),'.') and ends-with(text(),'.')]"/>
         <axsl:otherwise>
            <axsl:message>Datatype PN: als given/@qualifier 'IN' bevat dan moeten er initialen gescheiden en gevolgd door een punt in het element given staan. (not(hl7:given[contains(@qualifier,'IN')]) or hl7:given[contains(@qualifier,'IN') and not(starts-with(text(),'.')) and contains(text(),'.') and ends-with(text(),'.')] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:given[contains(@qualifier,'IN') and contains(@qualifier,'CL')])"/>
         <axsl:otherwise>
            <axsl:message>Datatype PN: given/@qualifier 'IN' en 'CL' gaan niet samen. Initalen zijn geen roepnaam (not(hl7:given[contains(@qualifier,'IN') and contains(@qualifier,'CL')]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:given[contains(@qualifier,'CL') and contains(text(),'.')])"/>
         <axsl:otherwise>
            <axsl:message>Datatype PN: als given/@qualifier 'CL' bevat dan moeten er voornamen in dit element staan. Voornamen hebben geen puntjes. (not(hl7:given[contains(@qualifier,'CL') and contains(text(),'.')]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="hl7:prefix[@qualifier='VV' and not(ends-with(text(),' '))]">
         <axsl:message>Datatype PN: als er een spatie tussen een voorvoegsel en de bijbehorende achternaam hoort, moet het prefix element met qualifier=VV ook eindigen met een spatie. (hl7:prefix[@qualifier='VV' and not(ends-with(text(),' '))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:family[substring(.,1,4)='van '] or hl7:family[substring(.,1,3)='de ']">
         <axsl:message>Datatype PN: voorvoegsels moeten in het prefix element worden gevoerd, tenzij het bronsysteem voorvoegsels en achternaam niet gescheiden vastlegt. (hl7:family[substring(.,1,4)='van '] or hl7:family[substring(.,1,3)='de '] / warning)</axsl:message>
      </axsl:if>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:noteText" priority="1031" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:time" priority="1030" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:modeCode" priority="1029" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:signatureCode" priority="1028" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:signatureText" priority="1027" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id" priority="1026" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code" priority="1025" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CE: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom" priority="1024" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: unsupported URL scheme value '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: value must be a valid URI, e.g. '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom elementen moeten een value attribuut hebben. (@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Een telecom value moet een geldige URI zijn, bijvoorbeeld '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom value moet een in Nederland geldig URL scheme hebben. Gevonden '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlStr" select="substring-after(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='tel' or $urlScheme='fax') then (         matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 3966 (if ($urlScheme='tel' or $urlScheme='fax') then ( matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='file') then (         matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='file') then ( matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='nfs') then (         matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2224. (if ($urlScheme='nfs') then ( matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='ftp' or $urlScheme='ftps') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='ftp' or $urlScheme='ftps') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='http' or $urlScheme='https') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738 (if ($urlScheme='http' or $urlScheme='https') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='telnet') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='telnet') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mailto') then (         matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2368. Merk op dat het niet toegestaan is extra headers op te nemen (if ($urlScheme='mailto') then ( matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='x-hl7-applicatie') then (         matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten beginnen met "2.16.840.1.113883.2.4.6.6." gevolgd door een numeriek deel (if ($urlScheme='x-hl7-applicatie') then ( matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mllp') then (         matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan mllp://host:port/ waarbij 'host' een naam of IP kan zijn en 'port' een benoemde poort of een nummer (if ($urlScheme='mllp') then ( matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and hl7:usablePeriod)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TEL: not null and usablePeriod (not(@nullFlavor and hl7:usablePeriod) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name" priority="1023" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or * or text()) and not(@nullFlavor and (* or text()))"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: either null or content ((@nullFlavor or * or text()) and not(@nullFlavor and (* or text())) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: naam geheel in tekst of geheel in elementen (geen mixed content) ((count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="*[normalize-space(.)='']">
         <axsl:message>Datatype EN: lege naamdelen zijn niet toegestaan. (*[normalize-space(.)=''] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="substring(normalize-space(.),1,1)='&#34;'">
         <axsl:message>Datatype EN: Het gebruik van aanhalingstekens aan het begin van een naam is waarschijnlijk onjuist. (substring(normalize-space(.),1,1)='"' / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)=0 and count(hl7:given)=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: no parts may be person types (count(hl7:family)=0 and count(hl7:given)=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use='L')"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: use='L' attribuut is niet toegestaan bij namen van organisaties of apparaten (not(@use='L') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(*)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: organisatienamen en apparaatnamen moeten in de text-node (not(*) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr" priority="1022" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(count(*)&gt;0 and string-length(normalize-space(text()[1]))=0) or count(*)=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: adres geheel in tekst of geheel in
        elementen (geen mixed content) ((count(*)&gt;0 and string-length(normalize-space(text()[1]))=0) or count(*)=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (not(hl7:thumbnail) or hl7:useablePeriod/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: no useablePeriod if null (not(@nullFlavor) or (not(hl7:thumbnail) or hl7:useablePeriod/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:useablePeriod][@updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: updateMode mag niet worden gebruikt op adreselementen (count(*[self::hl7:useablePeriod][@updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="postalCodeText" select="hl7:postalCode/text()"/>
      <axsl:variable name="countryCode" select="hl7:country/@code"/>
      <axsl:variable name="countryCodeSystem" select="hl7:country/@codeSystem"/>
      <axsl:variable name="countryText" select="upper-case(normalize-space(hl7:country))"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if (@codeSystem='2.16.840.1.113883.2.4.4.15') then (         matches(@code,'^[0-9]{4}[A-Z]{2}$')         ) else ( 1=1 )"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: postcodes onder codeSystem '2.16.840.1.113883.2.4.4.15' moeten voldoen aan '9999AA' (if (@codeSystem='2.16.840.1.113883.2.4.4.15') then ( matches(@code,'^[0-9]{4}[A-Z]{2}$') ) else ( 1=1 ) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if (hl7:postalCode/text() and (not(hl7:country) or          ($countryCode='NL' and ($countryCodeSystem='2.16.1' or $countryCodeSystem='1.3.6.1.4.1.1466.115.121.1.11' or $countryCodeSystem='1.0.3166.1.2.2')) or         ($countryCode='NLD' and $countryCodeSystem='2.16.2') or         ($countryCode='528' and $countryCodeSystem='2.16.3') or         $countryText='NL' or         $countryText='NLD' or         $countryText='NEDERLAND'         )) then ( matches($postalCodeText,'^[0-9]{4} [A-Z]{2}$')         ) else ( 1=1 )"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: Nederlandse postcodes in de text-nodes moeten voldoen aan '9999 AA' (if (hl7:postalCode/text() and (not(hl7:country) or ($countryCode='NL' and ($countryCodeSystem='2.16.1' or $countryCodeSystem='1.3.6.1.4.1.1466.115.121.1.11' or $countryCodeSystem='1.0.3166.1.2.2')) or ($countryCode='NLD' and $countryCodeSystem='2.16.2') or ($countryCode='528' and $countryCodeSystem='2.16.3') or $countryText='NL' or $countryText='NLD' or $countryText='NEDERLAND' )) then ( matches($postalCodeText,'^[0-9]{4} [A-Z]{2}$') ) else ( 1=1 ) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="illegalAddressPart" select="*[local-name(.)!='delimiter' and local-name(.)!='buildingNumberSuffix' and         local-name(.)!='country' and local-name(.)!='county' and         local-name(.)!='city' and local-name(.)!='postalCode' and         local-name(.)!='houseNumber' and local-name(.)!='streetName' and         local-name(.)!='additionalLocator'][1]/name()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*)=0 or string-length($illegalAddressPart)=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: binnen Nederland mogen alleen delimiter, country, county, 
        city, postalCode, houseNumber, buildingNumberSuffix, streetName en additionalLocator worden gebruikt. Gevonden '<axsl:text/>
               <axsl:value-of select="$illegalAddressPart"/>
               <axsl:text/>'. (count(*)=0 or string-length($illegalAddressPart)=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*)=0 or count(*[not(self::hl7:postalCode) and not(self::hl7:country) and @code])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: alleen postalCode en country 
        kunnen gecodeerd worden. Gevonden '<axsl:text/>
               <axsl:value-of select="*[not(self::hl7:postalCode) and not(self::hl7:country) and @code][1]/name()"/>
               <axsl:text/>' (count(*)=0 or count(*[not(self::hl7:postalCode) and not(self::hl7:country) and @code])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice" priority="1020" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:id[@root='2.16.528.1.1007.3.2' or @root='2.16.840.1.113883.2.4.6.6' or @root='2.16.528.1.1007.4'])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedDevice/id. Tenminste één id moet als root 2.16.528.1.1007.3.2 (UZI-systemen), 2.16.840.1.113883.2.4.6.6 (Applicatie-id) of 2.16.528.1.1007.4 (SBV-Z) hebben (count(hl7:id[@root='2.16.528.1.1007.3.2' or @root='2.16.840.1.113883.2.4.6.6' or @root='2.16.528.1.1007.4'])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']) or hl7:id[@root='2.16.528.1.1007.3.2']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedDevice/id moet tenminste het UZI-nummer systemen bevatten voor een XIS in een GBZ (not(hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']) or hl7:id[@root='2.16.528.1.1007.3.2'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.2']) or hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3' and @extension]"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedDevice/Organization/id moet de zorgaanbieder van het XIS identificeren (not(hl7:id[@root='2.16.528.1.1007.3.2']) or hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3' and @extension] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer/hl7:participant/hl7:AssignedDevice/hl7:id" priority="1018" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>
      <axsl:variable name="autIdExt" select="@extension"/>
      <axsl:variable name="sendIdExt" select="../../../../../hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.2' or @root='2.16.840.1.113883.2.4.6.6' or @root='2.16.528.1.1007.4'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedDevice/id. @root 2.16.528.1.1007.3.2 (UZI-systemen), 2.16.840.1.113883.2.4.6.6 (Applicatie-id) of 2.16.528.1.1007.4 (SBV-Z) zijn (@root='2.16.528.1.1007.3.2' or @root='2.16.840.1.113883.2.4.6.6' or @root='2.16.528.1.1007.4' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="$sendIdExt=$autIdExt or not(@root='2.16.840.1.113883.2.4.6.6') or empty($sendIdExt) or $sendIdExt='1'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedDevice/id. Applicatie-id <axsl:text/>
               <axsl:value-of select="$autIdExt"/>
               <axsl:text/> komt niet overeen met Transmission-wrapper sender <axsl:text/>
               <axsl:value-of select="$sendIdExt"/>
               <axsl:text/>. ($sendIdExt=$autIdExt or not(@root='2.16.840.1.113883.2.4.6.6') or empty($sendIdExt) or $sendIdExt='1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.6' and @extension='1' and following-sibling::hl7:Organization)"/>
         <axsl:otherwise>
            <axsl:message>Control Act: authorOrPerformer/*/AssignedDevice/id. De verantwoordelijke organisatie voor de ZIM moet niet worden meegegeven (not(@root='2.16.840.1.113883.2.4.6.6' and @extension='1' and following-sibling::hl7:Organization) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer" priority="1016" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@typeCode='RESP'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/@typeCode moet RESP zijn (@typeCode='RESP' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:noteText" priority="1015" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:time" priority="1014" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no uncertainty (not(hl7:uncertainty/@expression) and not(hl7:uncertainty/@uncertainty) and not(hl7:uncertainty/@originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype QTY: no history or updateMode (count(*[self::hl7:originalText or self::hl7:uncertainty or self::hl7:expression][@validTimeLow or @validTimeHigh or @updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@value|@unit|*)) or (not(@nullFlavor) and (@value|@unit|hl7:low|hl7:center|hl7:high|hl7:width))"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: null violation. Cannot have @nullFlavor and @value or child elements, or the other way around ((@nullFlavor and not(@value|@unit|*)) or (not(@nullFlavor) and (@value|@unit|hl7:low|hl7:center|hl7:high|hl7:width)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(*[@nullFlavor and (@value|@unit)])"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: null violation. Cannot have @nullFlavor and @value on any child elements (not(*[@nullFlavor and (@value|@unit)]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:*[@nullFlavor and (@value|@unit)])"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: null violation. Child element has @nullFlavor and @value (not(hl7:*[@nullFlavor and (@value|@unit)]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="         @nullFlavor or         (not(@nullFlavor) and @value and not(*)) or         (not(@nullFlavor) and not(@value) and (hl7:low|hl7:center|hl7:high|hl7:width)) or         (not(@nullFlavor) and not(@value) and (hl7:*[not(@nullFlavor)])) or         (not(@nullFlavor) and not(@value) and hl7:center and not(hl7:low|hl7:high|hl7:width)) or         (not(@nullFlavor) and not(@value) and not(hl7:center) and hl7:width and not(hl7:low and hl7:high))"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: co-occurence violation. Cannot have @value and other child elements, or missing @value and child elements with data, 
        or center element with other elements, or width element with both low and high elements (@nullFlavor or (not(@nullFlavor) and @value and not(*)) or (not(@nullFlavor) and not(@value) and (hl7:low|hl7:center|hl7:high|hl7:width)) or (not(@nullFlavor) and not(@value) and (hl7:*[not(@nullFlavor)])) or (not(@nullFlavor) and not(@value) and hl7:center and not(hl7:low|hl7:high|hl7:width)) or (not(@nullFlavor) and not(@value) and not(hl7:center) and hl7:width and not(hl7:low and hl7:high)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[@updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: no updateMode on IVL attributes (count(*[@updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:low/@value and hl7:high/@value) or hl7:low/@value != hl7:high/@value"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL: low/@value must not be equal to high/@value (not(hl7:low/@value and hl7:high/@value) or hl7:low/@value != hl7:high/@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:width) or         hl7:width[not(@unit)] or         hl7:width[@value and @unit]"/>
         <axsl:otherwise>
            <axsl:message>Datatype PQR: width element: no unit without value (not(hl7:width) or hl7:width[not(@unit)] or hl7:width[@value and @unit] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:width/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype PQR: width element: no translation (not(hl7:width/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:low/@value and hl7:high/@value) or string-length(hl7:low/@value) = string-length(hl7:high/@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL_TS: low/@value must have the same precision as high/@value (not(hl7:low/@value and hl7:high/@value) or string-length(hl7:low/@value) = string-length(hl7:high/@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:low/@value and hl7:high/@value) or         substring(concat(hl7:low/@value,'00000000000000'),1,14) &lt; substring(concat(hl7:high/@value,'00000000000000'),1,14)"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL_TS: low/@value must be before high/@value (not(hl7:low/@value and hl7:high/@value) or substring(concat(hl7:low/@value,'00000000000000'),1,14) &lt; substring(concat(hl7:high/@value,'00000000000000'),1,14) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="tum" select="'^(us|ms|s|min|h|d|wk|mo|a|)$'"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="matches(hl7:width/@unit, $tum)"/>
         <axsl:otherwise>
            <axsl:message>Datatype IVL_TS: for width only us (microseconds), ms (milliseconds), s (seconds), min (minute), h (hours), d (day), wk (week),
        mo (month) or a (year) are allowed (matches(hl7:width/@unit, $tum) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:modeCode" priority="1013" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:signatureCode" priority="1012" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:signatureText" priority="1011" mode="M6">

		<!--ASSERT warning-->

      <axsl:choose>
         <axsl:when test="false()"/>
         <axsl:otherwise>
            <axsl:message>
               <axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/<axsl:text/>
               <axsl:value-of select="local-name()"/>
               <axsl:text/> niet gebruiken (false() / warning)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']" priority="1009" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:id[@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/*/<axsl:text/>
               <axsl:value-of select="local-name(.)"/>
               <axsl:text/>/id. Tenminste één id moet als root 2.16.528.1.1007.3.1 (UZI), 2.16.840.1.113883.2.4.6.3 (BSN) hebben (hl7:id[@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/*/<axsl:text/>
               <axsl:value-of select="local-name(.)"/>
               <axsl:text/>/code is verplicht (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/*/<axsl:text/>
               <axsl:value-of select="local-name(.)"/>
               <axsl:text/>/name is verplicht (not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3' and @extension]"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/*/<axsl:text/>
               <axsl:value-of select="local-name(.)"/>
               <axsl:text/>/Organization/id moet de zorgaanbieder van de persoon identificeren (not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3' and @extension] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']) or hl7:Organization/hl7:id[@nullFlavor='NA']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/*/<axsl:text/>
               <axsl:value-of select="local-name(.)"/>
               <axsl:text/>/Organization/id/@nullFlavor moet 'NA' bevatten (not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']) or hl7:Organization/hl7:id[@nullFlavor='NA'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:name"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/*/<axsl:text/>
               <axsl:value-of select="local-name(.)"/>
               <axsl:text/>/Organization/name moet de zorgaanbiedernaam bevatten (not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:name / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:addr/hl7:city"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer/*/<axsl:text/>
               <axsl:value-of select="local-name(.)"/>
               <axsl:text/>/Organization/addr moet tennminste de vestigingsplaats bevatten (not(hl7:id[@root='2.16.528.1.1007.3.1']) or hl7:Organization/hl7:addr/hl7:city / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:id" priority="1008" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3' or @root='2.16.840.1.113883.2.4.6.1'"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer//<axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/id. @root moet 2.16.528.1.1007.3.1 (UZI), 2.16.840.1.113883.2.4.6.3 (BSN), of  or 2.16.840.1.113883.2.4.6.1 (AGB) zijn (@root='2.16.528.1.1007.3.1' or @root='2.16.840.1.113883.2.4.6.3' or @root='2.16.840.1.113883.2.4.6.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or              following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'][@code='P'] or             following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.6']"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer//<axsl:text/>
               <axsl:value-of select="local-name(..)"/>
               <axsl:text/>/code/@code moet "P" (Patiënt) zijn of een geldige waarde uit RoleCodeWettelijkeVertegenwoordigerNL (not(@root='2.16.840.1.113883.2.4.6.3') or following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.8'][@code='P'] or following-sibling::hl7:code[@codeSystem='2.16.840.1.113883.2.4.3.11.6'] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:code" priority="1007" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CE: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:telecom" priority="1006" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: unsupported URL scheme value '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: value must be a valid URI, e.g. '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom elementen moeten een value attribuut hebben. (@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Een telecom value moet een geldige URI zijn, bijvoorbeeld '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom value moet een in Nederland geldig URL scheme hebben. Gevonden '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlStr" select="substring-after(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='tel' or $urlScheme='fax') then (         matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 3966 (if ($urlScheme='tel' or $urlScheme='fax') then ( matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='file') then (         matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='file') then ( matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='nfs') then (         matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2224. (if ($urlScheme='nfs') then ( matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='ftp' or $urlScheme='ftps') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='ftp' or $urlScheme='ftps') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='http' or $urlScheme='https') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738 (if ($urlScheme='http' or $urlScheme='https') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='telnet') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='telnet') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mailto') then (         matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2368. Merk op dat het niet toegestaan is extra headers op te nemen (if ($urlScheme='mailto') then ( matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='x-hl7-applicatie') then (         matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten beginnen met "2.16.840.1.113883.2.4.6.6." gevolgd door een numeriek deel (if ($urlScheme='x-hl7-applicatie') then ( matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mllp') then (         matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan mllp://host:port/ waarbij 'host' een naam of IP kan zijn en 'port' een benoemde poort of een nummer (if ($urlScheme='mllp') then ( matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and hl7:usablePeriod)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TEL: not null and usablePeriod (not(@nullFlavor and hl7:usablePeriod) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name" priority="1005" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or * or text()) and not(@nullFlavor and (* or text()))"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: either null or content ((@nullFlavor or * or text()) and not(@nullFlavor and (* or text())) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: naam geheel in tekst of geheel in elementen (geen mixed content) ((count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="*[normalize-space(.)='']">
         <axsl:message>Datatype EN: lege naamdelen zijn niet toegestaan. (*[normalize-space(.)=''] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="substring(normalize-space(.),1,1)='&#34;'">
         <axsl:message>Datatype EN: Het gebruik van aanhalingstekens aan het begin van een naam is waarschijnlijk onjuist. (substring(normalize-space(.),1,1)='"' / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:given[contains(@qualifier,'IN')]) or hl7:given[contains(@qualifier,'IN') and not(starts-with(text(),'.')) and contains(text(),'.') and ends-with(text(),'.')]"/>
         <axsl:otherwise>
            <axsl:message>Datatype PN: als given/@qualifier 'IN' bevat dan moeten er initialen gescheiden en gevolgd door een punt in het element given staan. (not(hl7:given[contains(@qualifier,'IN')]) or hl7:given[contains(@qualifier,'IN') and not(starts-with(text(),'.')) and contains(text(),'.') and ends-with(text(),'.')] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:given[contains(@qualifier,'IN') and contains(@qualifier,'CL')])"/>
         <axsl:otherwise>
            <axsl:message>Datatype PN: given/@qualifier 'IN' en 'CL' gaan niet samen. Initalen zijn geen roepnaam (not(hl7:given[contains(@qualifier,'IN') and contains(@qualifier,'CL')]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:given[contains(@qualifier,'CL') and contains(text(),'.')])"/>
         <axsl:otherwise>
            <axsl:message>Datatype PN: als given/@qualifier 'CL' bevat dan moeten er voornamen in dit element staan. Voornamen hebben geen puntjes. (not(hl7:given[contains(@qualifier,'CL') and contains(text(),'.')]) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="hl7:prefix[@qualifier='VV' and not(ends-with(text(),' '))]">
         <axsl:message>Datatype PN: als er een spatie tussen een voorvoegsel en de bijbehorende achternaam hoort, moet het prefix element met qualifier=VV ook eindigen met een spatie. (hl7:prefix[@qualifier='VV' and not(ends-with(text(),' '))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:family[substring(.,1,4)='van '] or hl7:family[substring(.,1,3)='de ']">
         <axsl:message>Datatype PN: voorvoegsels moeten in het prefix element worden gevoerd, tenzij het bronsysteem voorvoegsels en achternaam niet gescheiden vastlegt. (hl7:family[substring(.,1,4)='van '] or hl7:family[substring(.,1,3)='de '] / warning)</axsl:message>
      </axsl:if>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:Organization/hl7:id" priority="1004" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>
      <axsl:variable name="overseerRoot" select="@root"/>
      <axsl:variable name="overseerExt" select="@extension"/>
      <axsl:variable name="authorExt" select="ancestor::hl7:*[hl7:authorOrPerformer]/hl7:authorOrPerformer//hl7:Organization/hl7:id[@root=$overseerRoot]/@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or $authorExt=$overseerExt or ancestor::hl7:*[hl7:authorOrPerformer]/hl7:authorOrPerformer//hl7:AssignedDevice"/>
         <axsl:otherwise>
            <axsl:message>Control Act: overseer//<axsl:text/>
               <axsl:value-of select="local-name(../..)"/>
               <axsl:text/>/Organization/id. Organisatie van de overseer (<axsl:text/>
               <axsl:value-of select="$overseerRoot"/>
               <axsl:text/>#<axsl:text/>
               <axsl:value-of select="$overseerExt"/>
               <axsl:text/>) moet gelijk zijn aan die van de authorOrPerformer (<axsl:text/>
               <axsl:value-of select="$authorExt"/>
               <axsl:text/>) (@nullFlavor or $authorExt=$overseerExt or ancestor::hl7:*[hl7:authorOrPerformer]/hl7:authorOrPerformer//hl7:AssignedDevice / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:Organization/hl7:code" priority="1003" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: null or code and/or originalText (@nullFlavor or @code or (hl7:originalText and not(hl7:originalText/@nullFlavor)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: code requires codeSystem (@codeSystem or not(@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemName only if codeSystem (@codeSystem or not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@codeSystem or not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: codeSystemVersion only if codeSystem (@codeSystem or not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code or not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: displayName only if code (@code or not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@code))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no code if null (not(@nullFlavor) or (@nullFlavor and not(@code)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no displayName if null (not(@nullFlavor) or (@nullFlavor and not(@displayName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="code" select="@code"/>

		<!--REPORT warning-->

      <axsl:if test="@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>' gevonden met codeSystemName 
        '<axsl:text/>
            <axsl:value-of select="./@codeSystemName"/>
            <axsl:text/>'. Bestand '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' ontbreekt. (@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml'))) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))]">
         <axsl:message>Datatype CD: waarschuwing: onbekend codeSystem '<axsl:text/>
            <axsl:value-of select="hl7:translation/@codeSystem"/>
            <axsl:text/>' in translation (hl7:translation[@codeSystem and not(doc-available(concat('../vocab/',@codeSystem,'.xml')))] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and (         document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or         not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then (          not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 )">
         <axsl:message>Datatype CD: waarschuwing: onbekende code '<axsl:text/>
            <axsl:value-of select="$code"/>
            <axsl:text/>' gevonden in codeSystem '<axsl:text/>
            <axsl:value-of select="@codeSystem"/>
            <axsl:text/>'
        gevonden met displayName '<axsl:text/>
            <axsl:value-of select="./@displayName"/>
            <axsl:text/>'. Waarde ontbreekt in 
        '<axsl:text/>
            <axsl:value-of select="concat('../vocab/',@codeSystem,'.xml')"/>
            <axsl:text/>' (<axsl:text/>
            <axsl:value-of select="document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:name"/>
            <axsl:text/>). (if (@codeSystem and doc-available(concat('../vocab/',@codeSystem,'.xml')) and ( document(concat('../vocab/',@codeSystem,'.xml'))/*[@codeStrength='CNE'] or not(document(concat('../vocab/',@codeSystem,'.xml'))/*/@codeStrength))) then ( not(document(concat('../vocab/',@codeSystem,'.xml'))/*/hl7:code[@code=$code]) ) else ( 0=1 ) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no originalText on translations (not(hl7:translation/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no translation on translations (not(hl7:translation/hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: no null on translations (not(hl7:translation/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation code requires codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemName only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation codeSystemVersion only if codeSystem (hl7:translation/@codeSystem or not(hl7:translation/@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:translation/@code or not(hl7:translation/@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: translation displayName only if code (hl7:translation/@code or not(hl7:translation/@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.1') or          document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: UZI rolcode attribuut code moet een geldige RoleCodeNL bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.1') or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="self::hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(../hl7:id/@root='2.16.528.1.1007.3.3') or          document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype CD: organisatie rolcode attribuut code moet een geldige AssignedRoleType bevatten (not(../hl7:id/@root='2.16.528.1.1007.3.3') or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="matches(@displayName,'[\r\n\t]')">
         <axsl:message>Datatype CD: waarschuwing: het lijkt erop dat er opmaak is toegepast in het attribuut @displayName. Hoewel dat is toegestaan, bestaat de 
        kans dat dit tot interoperabiliteitsproblemen leidt. (matches(@displayName,'[\r\n\t]') / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CE: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:Organization/hl7:telecom" priority="1002" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: unsupported URL scheme value '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: value must be a valid URI, e.g. '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom elementen moeten een value attribuut hebben. (@value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value=iri-to-uri(@value)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Een telecom value moet een geldige URI zijn, bijvoorbeeld '<axsl:text/>
               <axsl:value-of select="iri-to-uri(@value)"/>
               <axsl:text/>'. (@value=iri-to-uri(@value) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlScheme" select="substring-before(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme]"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: Telecom value moet een in Nederland geldig URL scheme hebben. Gevonden '<axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/>' (@value and document('../vocab/URL-urlScheme.xml')/*/hl7:code[@code=$urlScheme] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="urlStr" select="substring-after(@value,':')"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='tel' or $urlScheme='fax') then (         matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 3966 (if ($urlScheme='tel' or $urlScheme='fax') then ( matches($urlStr,'^(\+?([\d()./-]|(%[a-f\d]{2}))+)*(;(phone-context=((\+?([\d()./-]|(%[a-f\d]{2}))+)|(([a-z\d-]|(%[a-f\d]{2}))+(\.([a-z\d-]|(%[a-f\d]{2}))+)*))|(ext=[\d./-]+)|(isub=(([a-z\d();/?:@&amp;=+$,_.!~*-])|(%[a-f\d]{2}))+)|([a-z\d-]+=([a-z\d\[\]/:&amp;+$_.!~*()-]|(%[a-f\d]{2}))+)))*$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='file') then (         matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='file') then ( matches($urlStr,'^///{0,2}((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='nfs') then (         matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2224. (if ($urlScheme='nfs') then ( matches($urlStr,'^//((((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+([a-z]+))))|([a-z][:|]))/?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='ftp' or $urlScheme='ftps') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='ftp' or $urlScheme='ftps') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;=~_-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z][\w-]*))?)?(/(([a-z\d$\.+!*(),?&amp;_~=-])|(%[a-f\d]{2}))*)*(;type=[aid])?$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='http' or $urlScheme='https') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738 (if ($urlScheme='http' or $urlScheme='https') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))*)*(\?(([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*(&amp;((([\w$_\.+;:@~!*(),])|(%[a-f\d]{2}))+=(([\w$_\.+;:/@~!*(),-])|(%[a-f\d]{2}))*)?)*)?(#([\w~!$+|.,*:=~_]|%[a-f\d]{2})*)?$', 'i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='telnet') then (         matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 1738. (if ($urlScheme='telnet') then ( matches($urlStr,'^//((([a-z\d$\.+!*(),?&amp;~_=-])|(%[a-f\d]{2}))+(:(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)?@)?((([1-2]\d{0,2})(\.([1-2]\d{0,2})){3})|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2})))(:(([1-9]\d{0,4})|([a-z]\w*))?)?(/(([a-z\d$\.+!*(),?&amp;=-])|(%[a-f\d]{2}))*)*$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mailto') then (         matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan RFC 2368. Merk op dat het niet toegestaan is extra headers op te nemen (if ($urlScheme='mailto') then ( matches($urlStr,'^[\w$\.+!*(),?&amp;~_=-]+(\.[\w$\.+!*(),?&amp;~_=-]+)*@([\w$+!*(),?&amp;~_=-]+\.)+([a-z]{2,4})$','i') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='x-hl7-applicatie') then (         matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten beginnen met "2.16.840.1.113883.2.4.6.6." gevolgd door een numeriek deel (if ($urlScheme='x-hl7-applicatie') then ( matches($urlStr,'^2\.16\.840\.1\.113883\.2\.4\.6\.6\.[1-9]\d+$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if ($urlScheme='mllp') then (         matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$')         ) else (1=1)"/>
         <axsl:otherwise>
            <axsl:message>Datatype URL: URI's met URL Scheme <axsl:text/>
               <axsl:value-of select="$urlScheme"/>
               <axsl:text/> moeten voldoen aan mllp://host:port/ waarbij 'host' een naam of IP kan zijn en 'port' een benoemde poort of een nummer (if ($urlScheme='mllp') then ( matches($urlStr,'^//(([1-2]\d{0,2})(\.([1-2]\d{0,2})){3}|(([\w-]+\.)+(aero|arpa|asia|biz|cat|com|coop|edu|gov|info|int|jobs|mil|mobi|museum|name|net|org|pro|tel|travel|[a-z]{2}))):(([1-9]\d{0,4})|([A-Za-z]\w*))/$') ) else (1=1) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor and hl7:usablePeriod)"/>
         <axsl:otherwise>
            <axsl:message>Datatype TEL: not null and usablePeriod (not(@nullFlavor and hl7:usablePeriod) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:Organization/hl7:name" priority="1001" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor or * or text()) and not(@nullFlavor and (* or text()))"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: either null or content ((@nullFlavor or * or text()) and not(@nullFlavor and (* or text())) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor"/>
         <axsl:otherwise>
            <axsl:message>Datatype EN: naam geheel in tekst of geheel in elementen (geen mixed content) ((count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="*[normalize-space(.)='']">
         <axsl:message>Datatype EN: lege naamdelen zijn niet toegestaan. (*[normalize-space(.)=''] / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="substring(normalize-space(.),1,1)='&#34;'">
         <axsl:message>Datatype EN: Het gebruik van aanhalingstekens aan het begin van een naam is waarschijnlijk onjuist. (substring(normalize-space(.),1,1)='"' / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:family)=0 and count(hl7:given)=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: no parts may be person types (count(hl7:family)=0 and count(hl7:given)=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@use='L')"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: use='L' attribuut is niet toegestaan bij namen van organisaties of apparaten (not(@use='L') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(*)"/>
         <axsl:otherwise>
            <axsl:message>Datatype ON: organisatienamen en apparaatnamen moeten in de text-node (not(*) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer//hl7:*[local-name()='AssignedPerson' or local-name()='assignedEntity']/hl7:Organization/hl7:addr" priority="1000" mode="M6">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(count(*)&gt;0 and string-length(normalize-space(text()[1]))=0) or count(*)=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: adres geheel in tekst of geheel in
        elementen (geen mixed content) ((count(*)&gt;0 and string-length(normalize-space(text()[1]))=0) or count(*)=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (not(hl7:thumbnail) or hl7:useablePeriod/@nullFlavor)"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: no useablePeriod if null (not(@nullFlavor) or (not(hl7:thumbnail) or hl7:useablePeriod/@nullFlavor) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*[self::hl7:useablePeriod][@updateMode])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: updateMode mag niet worden gebruikt op adreselementen (count(*[self::hl7:useablePeriod][@updateMode])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="postalCodeText" select="hl7:postalCode/text()"/>
      <axsl:variable name="countryCode" select="hl7:country/@code"/>
      <axsl:variable name="countryCodeSystem" select="hl7:country/@codeSystem"/>
      <axsl:variable name="countryText" select="upper-case(normalize-space(hl7:country))"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if (@codeSystem='2.16.840.1.113883.2.4.4.15') then (         matches(@code,'^[0-9]{4}[A-Z]{2}$')         ) else ( 1=1 )"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: postcodes onder codeSystem '2.16.840.1.113883.2.4.4.15' moeten voldoen aan '9999AA' (if (@codeSystem='2.16.840.1.113883.2.4.4.15') then ( matches(@code,'^[0-9]{4}[A-Z]{2}$') ) else ( 1=1 ) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="if (hl7:postalCode/text() and (not(hl7:country) or          ($countryCode='NL' and ($countryCodeSystem='2.16.1' or $countryCodeSystem='1.3.6.1.4.1.1466.115.121.1.11' or $countryCodeSystem='1.0.3166.1.2.2')) or         ($countryCode='NLD' and $countryCodeSystem='2.16.2') or         ($countryCode='528' and $countryCodeSystem='2.16.3') or         $countryText='NL' or         $countryText='NLD' or         $countryText='NEDERLAND'         )) then ( matches($postalCodeText,'^[0-9]{4} [A-Z]{2}$')         ) else ( 1=1 )"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: Nederlandse postcodes in de text-nodes moeten voldoen aan '9999 AA' (if (hl7:postalCode/text() and (not(hl7:country) or ($countryCode='NL' and ($countryCodeSystem='2.16.1' or $countryCodeSystem='1.3.6.1.4.1.1466.115.121.1.11' or $countryCodeSystem='1.0.3166.1.2.2')) or ($countryCode='NLD' and $countryCodeSystem='2.16.2') or ($countryCode='528' and $countryCodeSystem='2.16.3') or $countryText='NL' or $countryText='NLD' or $countryText='NEDERLAND' )) then ( matches($postalCodeText,'^[0-9]{4} [A-Z]{2}$') ) else ( 1=1 ) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="illegalAddressPart" select="*[local-name(.)!='delimiter' and local-name(.)!='buildingNumberSuffix' and         local-name(.)!='country' and local-name(.)!='county' and         local-name(.)!='city' and local-name(.)!='postalCode' and         local-name(.)!='houseNumber' and local-name(.)!='streetName' and         local-name(.)!='additionalLocator'][1]/name()"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*)=0 or string-length($illegalAddressPart)=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: binnen Nederland mogen alleen delimiter, country, county, 
        city, postalCode, houseNumber, buildingNumberSuffix, streetName en additionalLocator worden gebruikt. Gevonden '<axsl:text/>
               <axsl:value-of select="$illegalAddressPart"/>
               <axsl:text/>'. (count(*)=0 or string-length($illegalAddressPart)=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(*)=0 or count(*[not(self::hl7:postalCode) and not(self::hl7:country) and @code])=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype AD: alleen postalCode en country 
        kunnen gecodeerd worden. Gevonden '<axsl:text/>
               <axsl:value-of select="*[not(self::hl7:postalCode) and not(self::hl7:country) and @code][1]/name()"/>
               <axsl:text/>' (count(*)=0 or count(*[not(self::hl7:postalCode) and not(self::hl7:country) and @code])=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M6"/>
   <axsl:template match="@*|node()" priority="-2" mode="M6">
      <axsl:apply-templates select="*" mode="M6"/>
   </axsl:template>

<!--PATTERN -->


	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:profileId" priority="1001" mode="M7">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(descendant-or-self::hl7:*[@nullFlavor]) or          descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or          (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or          (@nullFlavor='UNC' and (@extension))]"/>
         <axsl:otherwise>
            <axsl:message>Datatype ANY: if there is a nullFlavor, there shall be no other attribute or element, unless it's nullFlavor='OTH' (@codeSystem or &lt;originalText&gt; may have a value), or nullFlavor 'UNC' (@extension may have a value (not(descendant-or-self::hl7:*[@nullFlavor]) or descendant-or-self::hl7:*[(@nullFlavor and count(@*)=1 and count(node())=0) or (@nullFlavor='OTH' and (@codeSystem or hl7:originalText)) or (@nullFlavor='UNC' and (@extension))] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@nullFlavor or (not(@nullFlavor) and @root)"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: root is required if not null (@nullFlavor or (not(@nullFlavor) and @root) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@root))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no root if null (not(@nullFlavor) or (@nullFlavor and not(@root)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@identifierName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no identifierName if null (not(@nullFlavor) or (@nullFlavor and not(@identifierName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@displayable))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no displayable if null (not(@nullFlavor) or (@nullFlavor and not(@displayable)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@reliability))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no reliability if null (not(@nullFlavor) or (@nullFlavor and not(@reliability)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName))"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: no assigningAuthorityName if null (not(@nullFlavor) or (@nullFlavor and not(@assigningAuthorityName)) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer persoon moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.1') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.111']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI
        rolcode attribuut code bevat geen geldige RoleCodeNL. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.111.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-nummer systeem moet 9 cijfers lang
        zijn (not(@root='2.16.528.1.1007.3.2') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or             matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: UZI-registerabonneenummer moet 8 cijfers lang zijn (not(@root='2.16.528.1.1007.3.3') or (../../hl7:id/@root='2.16.840.1.113883.2.4.6.6' and ../../hl7:id/@extension='1' and @extension='1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="../hl7:code[@codeSystem='2.16.840.1.113883.2.4.15.1060']/@code"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Organisatie rolcode attribuut code bevat geen geldige AssignedRoleType. (string-length($codeValue)=0 or document('../vocab/2.16.840.1.113883.2.4.15.1060.xml')/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: AGB-code moet 8 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.1') or matches(@extension,'^[0-9]{8}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$')"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer moet 9 cijfers lang zijn (not(@root='2.16.840.1.113883.2.4.6.3') or matches(@extension,'^[0-9]{9}$') / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.2.4.6.3') or (             (   number(substring(@extension,1,1))*9 )+             (   number(substring(@extension,2,1))*8 )+             (   number(substring(@extension,3,1))*7 )+             (   number(substring(@extension,4,1))*6 )+             (   number(substring(@extension,5,1))*5 )+             (   number(substring(@extension,6,1))*4 )+             (   number(substring(@extension,7,1))*3 )+             (   number(substring(@extension,8,1))*2 )+             (   number(substring(@extension,9,1))*-1) ) mod 11=0"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: Burgerservicenummer voldoet niet aan modulo 11 proef (not(@root='2.16.840.1.113883.2.4.6.3') or ( ( number(substring(@extension,1,1))*9 )+ ( number(substring(@extension,2,1))*8 )+ ( number(substring(@extension,3,1))*7 )+ ( number(substring(@extension,4,1))*6 )+ ( number(substring(@extension,5,1))*5 )+ ( number(substring(@extension,6,1))*4 )+ ( number(substring(@extension,7,1))*3 )+ ( number(substring(@extension,8,1))*2 )+ ( number(substring(@extension,9,1))*-1) ) mod 11=0 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="codeValue" select="@extension"/>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue]"/>
         <axsl:otherwise>
            <axsl:message>Datatype II: @extension moet een geldige interactie-id bevatten (not(@root='2.16.840.1.113883.1.6') or document(concat('../vocab/',@root,'.xml'))/*/hl7:code[@code=$codeValue] / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@root) &lt;= 128)">
         <axsl:message>Datatype II: attribuut root is langer dan de maximale 128 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@root) &lt;= 128) / warning)</axsl:message>
      </axsl:if>

		<!--REPORT warning-->

      <axsl:if test="not(string-length(@extension) &lt;= 64)">
         <axsl:message>Datatype II: attribuut extension is langer dan de maximale 64 tekens. Gaarne melden als 
        deze waarschuwing verschijnt, omdat huidige waarde dan blijkbaar te klein is (not(string-length(@extension) &lt;= 64) / warning)</axsl:message>
      </axsl:if>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"/>
         <axsl:otherwise>
            <axsl:message>In de transmission wrapper moet het element profileId worden gevuld met de waarde '810' (@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode" priority="1000" mode="M7">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: null violation ((@nullFlavor and not(@code)) or (not(@nullFlavor) and @code) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystem)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystem (not(@codeSystem) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemName (not(@codeSystemName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@codeSystemVersion)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have codeSystemVersion (not(@codeSystemVersion) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(@displayName)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have displayName (not(@displayName) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have originalText (not(hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:qualifier)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have qualifier (not(hl7:qualifier) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:translation)"/>
         <axsl:otherwise>
            <axsl:message>Datatype CS: cannot have translation (not(hl7:translation) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="@code='AL'"/>
         <axsl:otherwise>
            <axsl:message>In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'. (@code='AL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M7"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M7"/>
   <axsl:template match="@*|node()" priority="-2" mode="M7">
      <axsl:apply-templates select="*" mode="M7"/>
   </axsl:template>

<!--PATTERN Codes algemeen-->


	<!--RULE -->

   <axsl:template match="hl7:code" priority="1000" mode="M8">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="(@code and @codeSystem) or @nullFlavor or @xsi:nil='true'"/>
         <axsl:otherwise>
            <axsl:message>Code elementen moeten een
                        code en codesystem attribuut bevatten of een nullfavor. ((@code and @codeSystem) or @nullFlavor or @xsi:nil='true')</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M8"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M8"/>
   <axsl:template match="@*|node()" priority="-2" mode="M8">
      <axsl:apply-templates select="*" mode="M8"/>
   </axsl:template>

<!--PATTERN Bijzonderheden gezin-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation" priority="1000" mode="M9">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem
                        moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267')</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='78' or hl7:code/@code='1322' or hl7:code/@code='1367' or hl7:code/@code='1374'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 78, 1367 of 1374 zijn. (hl7:code/@code='78' or hl7:code/@code='1322' or hl7:code/@code='1367' or hl7:code/@code='1374')</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M9"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M9"/>
   <axsl:template match="@*|node()" priority="-2" mode="M9">
      <axsl:apply-templates select="*" mode="M9"/>
   </axsl:template>

<!--PATTERN Persoonsgegevens-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:AdministrativeObservation" priority="1002" mode="M10">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M10"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:subjectOf/hl7:AdministrativeObservation" priority="1001" mode="M10">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M10"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group" priority="1000" mode="M10">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet beginnen met 2.16.528.1.1007.3.3. (not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M10"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M10"/>
   <axsl:template match="@*|node()" priority="-2" mode="M10">
      <axsl:apply-templates select="*" mode="M10"/>
   </axsl:template>

<!--PATTERN Verantwoordelijke JGZ-organisatie-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity" priority="1001" mode="M11">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:id/@root='2.16.528.1.1007.3.3'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.3 zijn. (hl7:id/@root='2.16.528.1.1007.3.3' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M11"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:author/hl7:assignedEntity" priority="1000" mode="M11">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M11"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M11"/>
   <axsl:template match="@*|node()" priority="-2" mode="M11">
      <axsl:apply-templates select="*" mode="M11"/>
   </axsl:template>

<!--PATTERN Huisarts-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:CareProvision/hl7:performer/hl7:AssignedProvider" priority="1001" mode="M12">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M12"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:CareProvision/hl7:performer/hl7:AssignedPerformer/hl7:Organization" priority="1000" mode="M12">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.3'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.3 zijn. (not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.3' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M12"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M12"/>
   <axsl:template match="@*|node()" priority="-2" mode="M12">
      <axsl:apply-templates select="*" mode="M12"/>
   </axsl:template>

<!--PATTERN Andere betrokken organisaties/hulpverleners-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:CareProvision/hl7:performer/hl7:AssignedProvider" priority="1001" mode="M13">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M13"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:patientOfOtherProvider/hl7:subjectOf/hl7:CareProvision/hl7:performer/hl7:AssignedPerformer/hl7:Organization" priority="1000" mode="M13">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.3'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.3 zijn. (not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.3' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M13"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M13"/>
   <axsl:template match="@*|node()" priority="-2" mode="M13">
      <axsl:apply-templates select="*" mode="M13"/>
   </axsl:template>

<!--PATTERN Voor- of buitenschoolse voorzieningen/school-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:Student/hl7:Organization" priority="1000" mode="M14">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.840.1.113883.2.4.6.15'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.840.1.113883.2.4.6.15 zijn. (not(hl7:id) or hl7:id/@root='2.16.840.1.113883.2.4.6.15' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M14"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M14"/>
   <axsl:template match="@*|node()" priority="-2" mode="M14">
      <axsl:apply-templates select="*" mode="M14"/>
   </axsl:template>

<!--PATTERN Gezinssamenstelling-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation" priority="1008" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1367'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1367 zijn. (hl7:code/@code='1367' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:person" priority="1007" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.840.1.113883.2.4.6.3'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.840.1.113883.2.4.6.3 zijn. (not(hl7:id) or hl7:id/@root='2.16.840.1.113883.2.4.6.3' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:person/hl7:houseMate/hl7:group" priority="1006" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet beginnen met 2.16.528.1.1007.3.3. (not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation" priority="1005" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='78'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 78 zijn. (hl7:code/@code='78' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:person/hl7:houseMate/hl7:group" priority="1004" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet beginnen met 2.16.528.1.1007.3.3. (not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:subjectOf/hl7:observation" priority="1003" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1190'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1190 zijn. (hl7:code/@code='1190' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:member/hl7:group" priority="1002" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet beginnen met 2.16.528.1.1007.3.3. (substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation" priority="1001" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1374'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1374 zijn. (hl7:code/@code='1374' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:subject/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:person/hl7:houseMate/hl7:group" priority="1000" mode="M15">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet beginnen met 2.16.528.1.1007.3.3. (not(hl7:id) or substring(hl7:id/@root,1,20)='2.16.528.1.1007.3.3.' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M15"/>
   <axsl:template match="@*|node()" priority="-2" mode="M15">
      <axsl:apply-templates select="*" mode="M15"/>
   </axsl:template>

<!--PATTERN Erfelijke belasting en ouderkenmerken-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R012']" priority="1008" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=79])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 79, 'Erfelijke belasting en ouderkenmerken nagevraagd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=79])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS79-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='79']" priority="1007" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS238-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='238']" priority="1006" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS240-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='240']" priority="1005" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS808-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='808']" priority="1004" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS241-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='241']" priority="1003" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.29'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.29 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.29' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS239-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='239']" priority="1002" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.29'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.29 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.29' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS80-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='80']" priority="1001" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.8' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.8 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.8' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

	<!--RULE BDS70-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='70']" priority="1000" mode="M16">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.5' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.5 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.5' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M16"/>
   <axsl:template match="@*|node()" priority="-2" mode="M16">
      <axsl:apply-templates select="*" mode="M16"/>
   </axsl:template>

<!--PATTERN Bedreigingen uit de directe omgeving-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R013']" priority="1007" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=1384])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 1384, 'Bedreigingen nagevraagd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=1384])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

	<!--RULE BDS1384-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1384']" priority="1006" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

	<!--RULE BDS1415-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1415']" priority="1005" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

	<!--RULE BDS1416-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1416']" priority="1004" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

	<!--RULE BDS481-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='481']" priority="1003" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.81' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.81 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.81' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

	<!--RULE BDS827-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='827']" priority="1002" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.305' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.305 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.305' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

	<!--RULE BDS739-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='739']" priority="1001" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.396'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.396 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.396' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

	<!--RULE BDS1414-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1414']" priority="1000" mode="M17">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.405' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.405 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.405' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M17"/>
   <axsl:template match="@*|node()" priority="-2" mode="M17">
      <axsl:apply-templates select="*" mode="M17"/>
   </axsl:template>

<!--PATTERN Zwangerschap-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations" priority="1007" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='82'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 82 zijn. (hl7:code/@code='82' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations" priority="1006" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='91'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 91 zijn. (hl7:code/@code='91' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations" priority="1005" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='92'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 92 zijn. (hl7:code/@code='92' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations" priority="1004" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='93'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 93 zijn. (hl7:code/@code='93' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations" priority="1003" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='741'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 741 zijn. (hl7:code/@code='741' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations" priority="1002" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='740'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 740 zijn. (hl7:code/@code='740' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations" priority="1001" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='619'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 619 zijn. (hl7:code/@code='619' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:component1/hl7:PregnancyObservations/hl7:component/hl7:DetailPregnancyObservation" priority="1000" mode="M18">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.306'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.306 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.306' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='745'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 745 zijn. (hl7:code/@code='745' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M18"/>
   <axsl:template match="@*|node()" priority="-2" mode="M18">
      <axsl:apply-templates select="*" mode="M18"/>
   </axsl:template>

<!--PATTERN Bevalling-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1008" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1323'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1323 zijn. (hl7:code/@code='1323' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1007" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='98'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 98 zijn. (hl7:code/@code='98' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1006" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='97'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 97 zijn. (hl7:code/@code='97' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1005" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='105'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 105 zijn. (hl7:code/@code='105' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1004" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='106'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 106 zijn. (hl7:code/@code='106' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1003" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='107'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 107 zijn. (hl7:code/@code='107' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1002" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1324'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1324 zijn. (hl7:code/@code='1324' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1001" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.167'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.167 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.167' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='100'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 100 zijn. (hl7:code/@code='100' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:pertinentInformation/hl7:pregnancyCondition/hl7:outcome/hl7:Delivery/hl7:component/hl7:DeliveryObservation" priority="1000" mode="M19">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.170'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.170 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.170' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='103'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 103 zijn. (hl7:code/@code='103' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M19"/>
   <axsl:template match="@*|node()" priority="-2" mode="M19">
      <axsl:apply-templates select="*" mode="M19"/>
   </axsl:template>

<!--PATTERN Pasgeborene en eerste levensweken-->


	<!--RULE BDS108-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='108']" priority="1019" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS110-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='110']" priority="1018" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS111-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='111']" priority="1017" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS113-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='113']" priority="1016" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS112-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='112']" priority="1015" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS129-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='129']" priority="1014" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='INT'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet INT zijn. (hl7:value/@xsi:type='INT' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS130-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='130']" priority="1013" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='INT'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet INT zijn. (hl7:value/@xsi:type='INT' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS131-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='131']" priority="1012" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS133-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='133']" priority="1011" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS134-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='134']" priority="1010" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS135-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='135']" priority="1009" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS139-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='139']" priority="1008" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='IVL&lt;TS&gt;'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet IVL&lt;TS&gt; zijn. (hl7:value/@xsi:type='IVL&lt;TS&gt;' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component1/hl7:InPatientEncounter/hl7:location/hl7:ServiceDeliveryLocation/hl7:locationOf/hl7:IncubatorAccomodation" priority="1007" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='144'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 144 zijn. (hl7:code/@code='144' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS145-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='145']" priority="1006" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS626-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='626']" priority="1005" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS115-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='115']" priority="1004" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS747-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='747']" priority="1003" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.307' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.307 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.307' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS1340-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='1340']" priority="1002" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.307' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.307 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.307' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS140-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='140']" priority="1001" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.174' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.174 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.174' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

	<!--RULE BDS142-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component2/hl7:neonateData/hl7:NeonateData/hl7:component4/hl7:NeonateObservations[hl7:code/@code='142']" priority="1000" mode="M20">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.154' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.154 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.154' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M20"/>
   <axsl:template match="@*|node()" priority="-2" mode="M20">
      <axsl:apply-templates select="*" mode="M20"/>
   </axsl:template>

<!--PATTERN Activiteit-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/hl7:EncounterEvent" priority="1000" mode="M21">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.308'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.308 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.308' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:reasonCode/@codeSystem='2.16.840.1.113883.2.4.4.40.373'"/>
         <axsl:otherwise>
            <axsl:message>De OID van reasonCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.373 zijn. (hl7:reasonCode/@codeSystem='2.16.840.1.113883.2.4.4.40.373' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M21"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M21"/>
   <axsl:template match="@*|node()" priority="-2" mode="M21">
      <axsl:apply-templates select="*" mode="M21"/>
   </axsl:template>

<!--PATTERN Terugkerende anamnese-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R019']" priority="1026" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=748])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 748, 'Anamnese' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=748])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=148])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 148, 'Anamnese nagevraagd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=148])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS1412-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1025" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS149-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='149']" priority="1024" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='INT'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet INT zijn. (hl7:value/@xsi:type='INT' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS150-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='150']" priority="1023" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS1337-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1337']" priority="1022" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS1338-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1338']" priority="1021" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS1339-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1020" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ED'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ED zijn. (hl7:value/@xsi:type='ED' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS748-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='748']" priority="1019" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS753-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='753']" priority="1018" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS754-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1017" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS752-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='752']" priority="1016" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS148-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='148']" priority="1015" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS153-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='153']" priority="1014" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS154-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='154']" priority="1013" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS155-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='155']" priority="1012" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS322-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='322']" priority="1011" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS323-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='323']" priority="1010" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS330-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='330']" priority="1009" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS152-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='152']" priority="1008" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS496-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='496']" priority="1007" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.307' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.307 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.307' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS514-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='514']" priority="1006" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.99' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.99 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.99' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS510-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='510']" priority="1005" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.97' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.97 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.97' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS755-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='755']" priority="1004" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.400' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.400 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.400' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS179-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='179']" priority="1003" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.315' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.315 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.315' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS188-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='188']" priority="1002" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.15' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.15 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.15' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS190-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='190']" priority="1001" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.16' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.16 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.16' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

	<!--RULE BDS1378-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1378']" priority="1000" mode="M22">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.389' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.389 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.389' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M22"/>
   <axsl:template match="@*|node()" priority="-2" mode="M22">
      <axsl:apply-templates select="*" mode="M22"/>
   </axsl:template>

<!--PATTERN Algemene indruk-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R020']" priority="1013" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=756])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 756, 'Algemene indruk verkregen' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=756])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS756-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='756']" priority="1012" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS757-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='757']" priority="1011" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS758-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='758']" priority="1010" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS759-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='759']" priority="1009" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS760-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='760']" priority="1008" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS761-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='761']" priority="1007" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS762-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='762']" priority="1006" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS763-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='763']" priority="1005" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'targetSiteCode' aanwezig zijn. (hl7:targetSiteCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS766-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='766']" priority="1004" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS767-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='767']" priority="1003" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS768-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='768']" priority="1002" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS764-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1001" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

	<!--RULE BDS765-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='765']" priority="1000" mode="M23">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.311' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.311 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.311' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M23"/>
   <axsl:template match="@*|node()" priority="-2" mode="M23">
      <axsl:apply-templates select="*" mode="M23"/>
   </axsl:template>

<!--PATTERN Functioneren-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R021']" priority="1026" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=772])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 772, 'Adaptatie/persoonlijkheid/sociaal gedrag nagevraagd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=772])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=787])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 787, 'Functioneren op school nagevraagd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=787])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=321])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 321, 'Lichamelijk functioneren nagevraagd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=321])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS770-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='770']" priority="1025" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS772-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='772']" priority="1024" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS773-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='773']" priority="1023" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS774-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='774']" priority="1022" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS775-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='775']" priority="1021" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS776-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='776']" priority="1020" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS777-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='777']" priority="1019" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS778-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='778']" priority="1018" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS779-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='779']" priority="1017" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS780-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='780']" priority="1016" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS781-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='781']" priority="1015" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS782-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='782']" priority="1014" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS783-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='783']" priority="1013" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS784-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='784']" priority="1012" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS786-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1011" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS787-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='787']" priority="1010" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS790-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='790']" priority="1009" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS791-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='791']" priority="1008" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS792-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='792']" priority="1007" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS321-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='321']" priority="1006" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS325-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='325']" priority="1005" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS328-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='328']" priority="1004" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS324-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='324']" priority="1003" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.46' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.46 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.46' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS771-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='771']" priority="1002" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.312' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.312 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.312' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS785-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='785']" priority="1001" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.313' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.313 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.313' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

	<!--RULE BDS1422-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1000" mode="M24">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.409' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.409 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.409' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M24"/>
   <axsl:template match="@*|node()" priority="-2" mode="M24">
      <axsl:apply-templates select="*" mode="M24"/>
   </axsl:template>

<!--PATTERN Huid/haar/nagels-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R022']" priority="1003" mode="M25">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=161])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 161, 'Huid/haar/nagels onderzocht' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=161])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M25"/>
   </axsl:template>

	<!--RULE BDS161-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='161']" priority="1002" mode="M25">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M25"/>
   </axsl:template>

	<!--RULE BDS164-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='164']" priority="1001" mode="M25">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M25"/>
   </axsl:template>

	<!--RULE BDS163-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='163']" priority="1000" mode="M25">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.263' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.263 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.263' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M25"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M25"/>
   <axsl:template match="@*|node()" priority="-2" mode="M25">
      <axsl:apply-templates select="*" mode="M25"/>
   </axsl:template>

<!--PATTERN Hoofd/hals-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R023']" priority="1012" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=161])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 161, 'Huid/haar/nagels' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=161])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS167-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='167']" priority="1011" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS176-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='176']" priority="1010" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS184-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='184']" priority="1009" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS794-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='794']" priority="1008" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.314' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.314 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.314' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS795-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='795']" priority="1007" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.314' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.314 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.314' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS174-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='174']" priority="1006" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.10' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.10 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.10' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS175-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='175']" priority="1005" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.10' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.10 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.10' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS796-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='796']" priority="1004" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.316' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.316 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.316' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS797-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='797']" priority="1003" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.317' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.317 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.317' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS193-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='193']" priority="1002" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.12' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.12 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.12' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS793-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1001" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

	<!--RULE BDS170-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='170']" priority="1000" mode="M26">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.11' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.11 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.11' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'targetSiteCode' aanwezig zijn. (hl7:targetSiteCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M26"/>
   <axsl:template match="@*|node()" priority="-2" mode="M26">
      <axsl:apply-templates select="*" mode="M26"/>
   </axsl:template>

<!--PATTERN Romp-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R024']" priority="1007" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=167])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 167, 'Hoofd/hals' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=167])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

	<!--RULE BDS798-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='798']" priority="1006" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

	<!--RULE BDS196-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='196']" priority="1005" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

	<!--RULE BDS201-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='201']" priority="1004" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.318' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.318 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.318' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

	<!--RULE BDS202-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='202']" priority="1003" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.19' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.19 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.19' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

	<!--RULE BDS209-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='209']" priority="1002" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.20' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.20 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.20' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

	<!--RULE BDS210-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='210']" priority="1001" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.319' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.319 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.319' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

	<!--RULE BDS211-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='211']" priority="1000" mode="M27">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.319' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.319 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.319' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M27"/>
   <axsl:template match="@*|node()" priority="-2" mode="M27">
      <axsl:apply-templates select="*" mode="M27"/>
   </axsl:template>

<!--PATTERN Bewegingsapparaat-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R025']" priority="1015" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=212])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 212, 'Bewegingsapparaat onderzocht' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=212])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS212-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='212']" priority="1014" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS800-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='800']" priority="1013" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS804-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='804']" priority="1012" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS801-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1011" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS218-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='218']" priority="1010" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.21' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.21 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.21' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS805-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='805']" priority="1009" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.321' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.321 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.321' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS223-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='223']" priority="1008" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.321' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.321 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.321' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS802-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='802']" priority="1007" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'targetSiteCode' aanwezig zijn. (hl7:targetSiteCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS803-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1006" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS220-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1005" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS219-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='219']" priority="1004" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.22' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.22 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.22' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'targetSiteCode' aanwezig zijn. (hl7:targetSiteCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS222-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1003" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS221-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='221']" priority="1002" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.23' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.23 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.23' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'targetSiteCode' aanwezig zijn. (hl7:targetSiteCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS799-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1001" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

	<!--RULE BDS217-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='217']" priority="1000" mode="M28">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.320' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.320 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.320' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'targetSiteCode' aanwezig zijn. (hl7:targetSiteCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M28"/>
   <axsl:template match="@*|node()" priority="-2" mode="M28">
      <axsl:apply-templates select="*" mode="M28"/>
   </axsl:template>

<!--PATTERN Genitalia/puberteitsontwikkeling-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R026']" priority="1020" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=225])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 225, 'Genitalia/puberteitsontwikkeling onderzocht' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=225])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS806-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='806']" priority="1019" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS807-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='807']" priority="1018" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS824-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='824']" priority="1017" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS225-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='225']" priority="1016" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS228-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1015" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS312-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='312']" priority="1014" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='TS'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet TS zijn. (hl7:value/@xsi:type='TS' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS230-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='230']" priority="1013" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.24' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.24 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.24' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS232-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='232']" priority="1012" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.26' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.26 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.26' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS422-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='422']" priority="1011" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.72' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.72 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.72' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS1392-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1392']" priority="1010" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.72' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.72 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.72' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS1393-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1393']" priority="1009" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.27' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.27 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.27' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS233-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='233']" priority="1008" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.27' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.27 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.27' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS313-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='313']" priority="1007" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.43' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.43 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.43' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS314-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1006" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.34 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS316-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1005" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.34 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS318-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1004" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.34 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS826-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1003" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.34 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.34' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS315-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='315']" priority="1002" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.44' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.44 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.44' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS825-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='825']" priority="1001" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.44' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.44 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.44' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

	<!--RULE BDS317-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='317']" priority="1000" mode="M29">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.45' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.45 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.45' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M29"/>
   <axsl:template match="@*|node()" priority="-2" mode="M29">
      <axsl:apply-templates select="*" mode="M29"/>
   </axsl:template>

<!--PATTERN Groei-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R027']" priority="1007" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

	<!--RULE BDS234-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='234']" priority="1006" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

	<!--RULE BDS235-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='235']" priority="1005" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

	<!--RULE BDS252-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='252']" priority="1004" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

	<!--RULE BDS245-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='245']" priority="1003" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

	<!--RULE BDS236-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='236']" priority="1002" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.28'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.28 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.28' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

	<!--RULE BDS246-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='246']" priority="1001" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.30'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.30 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.30' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

	<!--RULE BDS247-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='247']" priority="1000" mode="M30">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.31' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.31 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.31' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M30"/>
   <axsl:template match="@*|node()" priority="-2" mode="M30">
      <axsl:apply-templates select="*" mode="M30"/>
   </axsl:template>

<!--PATTERN Psychosociale en cognitieve ontwikkeling-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R030']" priority="1003" mode="M31">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=259])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 259, 'Psychosociale en cognitieve ontwikkeling onderzocht' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=259])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M31"/>
   </axsl:template>

	<!--RULE BDS814-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1002" mode="M31">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M31"/>
   </axsl:template>

	<!--RULE BDS259-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='259']" priority="1001" mode="M31">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M31"/>
   </axsl:template>

	<!--RULE BDS265-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='265']" priority="1000" mode="M31">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M31"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M31"/>
   <axsl:template match="@*|node()" priority="-2" mode="M31">
      <axsl:apply-templates select="*" mode="M31"/>
   </axsl:template>

<!--PATTERN Motorische ontwikkeling-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R031']" priority="1005" mode="M32">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=268])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 268, 'Motorische ontwikkeling onderzocht' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=268])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M32"/>
   </axsl:template>

	<!--RULE BDS268-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='268']" priority="1004" mode="M32">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M32"/>
   </axsl:template>

	<!--RULE BDS271-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='271']" priority="1003" mode="M32">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M32"/>
   </axsl:template>

	<!--RULE BDS276-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='276']" priority="1002" mode="M32">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M32"/>
   </axsl:template>

	<!--RULE BDS269-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='269']" priority="1001" mode="M32">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.35' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.35 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.35' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M32"/>
   </axsl:template>

	<!--RULE BDS815-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='815']" priority="1000" mode="M32">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.322' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.322 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.322' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M32"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M32"/>
   <axsl:template match="@*|node()" priority="-2" mode="M32">
      <axsl:apply-templates select="*" mode="M32"/>
   </axsl:template>

<!--PATTERN Spraak- en taalontwikkeling-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R032']" priority="1014" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=294])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 294, 'Spraak- en taalontwikkeling onderzocht' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=294])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS817-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='817']" priority="1013" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS819-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1012" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS818-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='818']" priority="1011" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS821-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='821']" priority="1010" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS822-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='822']" priority="1009" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS294-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='294']" priority="1008" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS301-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='301']" priority="1007" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.40' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.40 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.40' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS820-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='820']" priority="1006" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.326' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.326 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.326' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS823-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='823']" priority="1005" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.327' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.327 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.327' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster[hl7:code/@code='G036']" priority="1004" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.393'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.393 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.393' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=302])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 302, 'Taal' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=302])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=307])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 307, 'Eerste/tweede taal' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=307])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS1329-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='1329']" priority="1003" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS302-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='302']" priority="1002" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.6.100' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.6.100 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.6.100' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS307-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='307']" priority="1001" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.323' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.323 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.323' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

	<!--RULE BDS816-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='816']" priority="1000" mode="M33">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.324' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.324 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.324' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M33"/>
   <axsl:template match="@*|node()" priority="-2" mode="M33">
      <axsl:apply-templates select="*" mode="M33"/>
   </axsl:template>

<!--PATTERN Inschatten verhouding draaglast-draagkracht-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R034']" priority="1003" mode="M34">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=339])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 339, 'Verhouding draaglast-draagkracht onderzocht' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=339])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M34"/>
   </axsl:template>

	<!--RULE BDS349-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1002" mode="M34">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M34"/>
   </axsl:template>

	<!--RULE BDS339-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='339']" priority="1001" mode="M34">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M34"/>
   </axsl:template>

	<!--RULE BDS348-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='348']" priority="1000" mode="M34">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.60' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.60 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.60' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M34"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M34"/>
   <axsl:template match="@*|node()" priority="-2" mode="M34">
      <axsl:apply-templates select="*" mode="M34"/>
   </axsl:template>

<!--PATTERN Ontvangen zorg-->


	<!--RULE BDS365-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:reasonOf/hl7:patientCareObservation[hl7:code/@code='365']" priority="1001" mode="M35">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M35"/>
   </axsl:template>

	<!--RULE BDS1201-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component3/hl7:patientCareProvision/hl7:componentOf/hl7:patientCareObservation[hl7:code/@code='1201']" priority="1000" mode="M35">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M35"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M35"/>
   <axsl:template match="@*|node()" priority="-2" mode="M35">
      <axsl:apply-templates select="*" mode="M35"/>
   </axsl:template>

<!--PATTERN Voorlichting, advies, instructie en begeleiding-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component2/hl7:Advice/hl7:component/hl7:Act" priority="1000" mode="M36">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1157'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1157 zijn. (hl7:code/@code='1157' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M36"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M36"/>
   <axsl:template match="@*|node()" priority="-2" mode="M36">
      <axsl:apply-templates select="*" mode="M36"/>
   </axsl:template>

<!--PATTERN Oogonderzoek-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R038']" priority="1039" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=1379])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 1379, 'Oogonderzoek uitgevoerd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=1379])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS832-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='832']" priority="1038" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.329' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.329 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.329' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS833-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='833']" priority="1037" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.330' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.330 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.330' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS834-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='834']" priority="1036" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.330' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.330 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.330' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS835-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='835']" priority="1035" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.331' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.331 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.331' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS836-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='836']" priority="1034" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.331' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.331 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.331' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS837-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='837']" priority="1033" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.332' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.332 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.332' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS838-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='838']" priority="1032" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.332' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.332 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.332' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS839-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1031" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS842-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1030" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS851-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1029" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS853-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='853']" priority="1028" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS854-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='854']" priority="1027" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS1379-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1379']" priority="1026" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS692-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='692']" priority="1025" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.329' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.329 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.329' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS390-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='390']" priority="1024" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS391-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='391']" priority="1023" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS392-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='392']" priority="1022" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS393-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='393']" priority="1021" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS840-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='840']" priority="1020" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS841-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='841']" priority="1019" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS404-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='404']" priority="1018" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS405-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='405']" priority="1017" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS406-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='406']" priority="1016" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS407-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='407']" priority="1015" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS394-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='394']" priority="1014" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS395-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='395']" priority="1013" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS396-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='396']" priority="1012" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS397-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='397']" priority="1011" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS398-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='398']" priority="1010" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS399-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='399']" priority="1009" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS402-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='402']" priority="1008" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS403-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='403']" priority="1007" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS831-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='831']" priority="1006" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.328' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.328 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.328' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS408-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='408']" priority="1005" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.333' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.333 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.333' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS852-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='852']" priority="1004" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.334' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.334 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.334' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS1421-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1421']" priority="1003" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.407' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.407 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.407' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS1418-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1418']" priority="1002" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.406' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.406 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.406' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS1419-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1419']" priority="1001" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.406' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.406 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.406' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

	<!--RULE BDS1420-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1420']" priority="1000" mode="M37">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.407' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.407 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.407' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M37"/>
   <axsl:template match="@*|node()" priority="-2" mode="M37">
      <axsl:apply-templates select="*" mode="M37"/>
   </axsl:template>

<!--PATTERN Hartonderzoek-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R039']" priority="1014" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=855])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 855, 'Hartonderzoek uitgevoerd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=855])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS428-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1013" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS855-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='855']" priority="1012" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS861-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='861']" priority="1011" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS862-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='862']" priority="1010" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS746-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='746']" priority="1009" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS146-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='146']" priority="1008" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS207-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='207']" priority="1007" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.337' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.337 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.337' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS206-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='206']" priority="1006" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.337' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.337 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.337' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster[hl7:code/@code='G044']" priority="1005" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.393'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.393 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.393' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation)&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 1202, 'Methode meting' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation)&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=856])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 856, 'Geruis intensiteit' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=856])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS859-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='859']" priority="1004" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS860-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='860']" priority="1003" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS1202-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1002" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.395'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.395 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.395' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS856-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='856']" priority="1001" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.335' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.335 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.335' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'methodCode' aanwezig zijn. (hl7:methodCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

	<!--RULE BDS858-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:groupCluster/hl7:component/hl7:observation[hl7:code/@code='858']" priority="1000" mode="M38">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.336' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.336 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.336' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M38"/>
   <axsl:template match="@*|node()" priority="-2" mode="M38">
      <axsl:apply-templates select="*" mode="M38"/>
   </axsl:template>

<!--PATTERN Gehooronderzoek-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R040']" priority="1036" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=438])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 438, 'Gehooronderzoek uitgevoerd' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=438])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS863-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='863']" priority="1035" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1413-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1034" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS438-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='438']" priority="1033" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1203-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1203']" priority="1032" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1204-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1204']" priority="1031" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1205-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1205']" priority="1030" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1206-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1206']" priority="1029" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1207-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1207']" priority="1028" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1208-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1208']" priority="1027" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1209-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1209']" priority="1026" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1210-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1210']" priority="1025" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1211-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1211']" priority="1024" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1212-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1212']" priority="1023" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1213-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1213']" priority="1022" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1214-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1214']" priority="1021" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS865-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='865']" priority="1020" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1239-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1239']" priority="1019" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS439-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='439']" priority="1018" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS447-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='447']" priority="1017" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS441-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='441']" priority="1016" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS442-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='442']" priority="1015" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS444-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='444']" priority="1014" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS445-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='445']" priority="1013" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS864-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='864']" priority="1012" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.338' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.338 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.338' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1216-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1216']" priority="1011" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1238-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1238']" priority="1010" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1234-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1234']" priority="1009" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1236-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1236']" priority="1008" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1218-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1218']" priority="1007" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1220-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1220']" priority="1006" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1222-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1222']" priority="1005" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1224-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1224']" priority="1004" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1226-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1226']" priority="1003" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1228-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1228']" priority="1002" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1230-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1230']" priority="1001" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

	<!--RULE BDS1232-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1232']" priority="1000" mode="M39">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.339 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.339' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M39"/>
   <axsl:template match="@*|node()" priority="-2" mode="M39">
      <axsl:apply-templates select="*" mode="M39"/>
   </axsl:template>

<!--PATTERN Rijksvaccinatieprogramma en andere vaccinaties-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component3/hl7:SubstanceAdministrationEvent/hl7:causeOf/hl7:AdverseReaction/hl7:reason/hl7:InformationControlActEvent" priority="1009" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='875'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 875 zijn. (hl7:code/@code='875' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component3/hl7:SubstanceAdministrationEvent/hl7:causeOf/hl7:AdverseReaction/hl7:reason/hl7:InformationControlActEvent/hl7:perfomer/hl7:AssignedPerson" priority="1008" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component3/hl7:SubstanceAdministrationEvent/hl7:causeOf/hl7:AdverseReaction" priority="1007" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='874'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 874 zijn. (hl7:code/@code='874' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component1/hl7:VaccinationObservation" priority="1006" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.399'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.399 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.399' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='608'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 608 zijn. (hl7:code/@code='608' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component1/hl7:VaccinationObservation" priority="1005" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='872'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 872 zijn. (hl7:code/@code='872' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:reasonOf/hl7:VaccinationReason" priority="1004" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='686'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 686 zijn. (hl7:code/@code='686' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component1/hl7:VaccinationObservation" priority="1003" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.402'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.402 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.402' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component3/hl7:SubstanceAdministrationEvent/hl7:subjectOf/hl7:ScheduleDeviation" priority="1002" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.340'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.340 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.340' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component3/hl7:SubstanceAdministrationEvent/hl7:subjectOf/hl7:ScheduleDeviation" priority="1001" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='871'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 871 zijn. (hl7:code/@code='871' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:component5/hl7:Vaccinations/hl7:component3/hl7:SubstanceAdministrationEvent/hl7:sourceOf/hl7:SerologyTest" priority="1000" mode="M40">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.325 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.325' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M40"/>
   <axsl:template match="@*|node()" priority="-2" mode="M40">
      <axsl:apply-templates select="*" mode="M40"/>
   </axsl:template>

<!--PATTERN Van Wiechen ontwikkelingsonderzoek-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R042']" priority="1169" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS880-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='880']" priority="1168" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS882-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='882']" priority="1167" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS895-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='895']" priority="1166" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS899-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='899']" priority="1165" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS901-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='901']" priority="1164" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS904-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='904']" priority="1163" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS908-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='908']" priority="1162" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS911-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='911']" priority="1161" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS915-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='915']" priority="1160" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS919-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='919']" priority="1159" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS929-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='929']" priority="1158" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS942-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='942']" priority="1157" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS944-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='944']" priority="1156" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS946-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='946']" priority="1155" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS952-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='952']" priority="1154" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS957-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='957']" priority="1153" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS960-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='960']" priority="1152" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS963-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='963']" priority="1151" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS965-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='965']" priority="1150" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS967-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='967']" priority="1149" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS969-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='969']" priority="1148" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS972-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='972']" priority="1147" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS974-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='974']" priority="1146" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS976-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='976']" priority="1145" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS979-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='979']" priority="1144" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS981-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='981']" priority="1143" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS983-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='983']" priority="1142" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS985-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='985']" priority="1141" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS987-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='987']" priority="1140" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS988-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='988']" priority="1139" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS990-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='990']" priority="1138" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS992-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='992']" priority="1137" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS995-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='995']" priority="1136" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS997-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='997']" priority="1135" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1000-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1000']" priority="1134" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1003-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1003']" priority="1133" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1004-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1004']" priority="1132" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1240-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1240']" priority="1131" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1241-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1241']" priority="1130" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1242-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1242']" priority="1129" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1243-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1243']" priority="1128" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1244-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1244']" priority="1127" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1245-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1245']" priority="1126" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1246-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1246']" priority="1125" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1247-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1247']" priority="1124" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1248-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1248']" priority="1123" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1249-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1249']" priority="1122" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1250-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1250']" priority="1121" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1251-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1251']" priority="1120" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1252-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1252']" priority="1119" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1253-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1253']" priority="1118" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1254-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1254']" priority="1117" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1255-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1255']" priority="1116" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1256-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1256']" priority="1115" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1257-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1257']" priority="1114" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1258-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1258']" priority="1113" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1259-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1259']" priority="1112" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1260-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1260']" priority="1111" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1261-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1261']" priority="1110" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1262-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1262']" priority="1109" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1263-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1263']" priority="1108" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1264-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1264']" priority="1107" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1265-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1265']" priority="1106" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1266-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1266']" priority="1105" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1267-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1267']" priority="1104" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1268-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1268']" priority="1103" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1269-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1269']" priority="1102" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1270-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1270']" priority="1101" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1271-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1271']" priority="1100" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1272-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1272']" priority="1099" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1273-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1273']" priority="1098" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1274-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1274']" priority="1097" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1275-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1275']" priority="1096" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1276-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1276']" priority="1095" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1277-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1277']" priority="1094" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1280-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1280']" priority="1093" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1279-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1279']" priority="1092" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS881-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='881']" priority="1091" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS879-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='879']" priority="1090" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS883-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='883']" priority="1089" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS884-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='884']" priority="1088" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS885-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='885']" priority="1087" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS888-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='888']" priority="1086" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS889-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='889']" priority="1085" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS887-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='887']" priority="1084" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS890-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='890']" priority="1083" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS903-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='903']" priority="1082" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS906-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='906']" priority="1081" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS902-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='902']" priority="1080" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS896-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='896']" priority="1079" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS897-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='897']" priority="1078" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS898-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='898']" priority="1077" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS891-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='891']" priority="1076" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS894-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='894']" priority="1075" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS968-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='968']" priority="1074" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS970-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='970']" priority="1073" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS971-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='971']" priority="1072" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS966-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='966']" priority="1071" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS964-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='964']" priority="1070" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS962-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='962']" priority="1069" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS961-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='961']" priority="1068" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS956-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='956']" priority="1067" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS958-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='958']" priority="1066" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS959-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='959']" priority="1065" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS955-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='955']" priority="1064" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS951-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='951']" priority="1063" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS945-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='945']" priority="1062" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS926-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='926']" priority="1061" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS920-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='920']" priority="1060" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS922-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='922']" priority="1059" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS916-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='916']" priority="1058" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS917-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='917']" priority="1057" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS918-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='918']" priority="1056" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS912-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='912']" priority="1055" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS914-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='914']" priority="1054" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS907-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='907']" priority="1053" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS910-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='910']" priority="1052" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1002-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1002']" priority="1051" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1001-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1001']" priority="1050" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS996-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='996']" priority="1049" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS999-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='999']" priority="1048" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS994-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='994']" priority="1047" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS993-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='993']" priority="1046" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS991-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='991']" priority="1045" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS989-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='989']" priority="1044" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS986-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='986']" priority="1043" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS978-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='978']" priority="1042" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS977-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='977']" priority="1041" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS975-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='975']" priority="1040" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS877-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='877']" priority="1039" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.341' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.341 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.341' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS878-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='878']" priority="1038" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.342' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.342 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.342' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS886-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='886']" priority="1037" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS893-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='893']" priority="1036" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS892-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='892']" priority="1035" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS900-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='900']" priority="1034" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS905-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='905']" priority="1033" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS927-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='927']" priority="1032" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS928-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='928']" priority="1031" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS930-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='930']" priority="1030" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS931-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='931']" priority="1029" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS932-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='932']" priority="1028" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS933-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='933']" priority="1027" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS934-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='934']" priority="1026" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS935-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='935']" priority="1025" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS936-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='936']" priority="1024" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS937-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='937']" priority="1023" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS938-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='938']" priority="1022" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS939-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='939']" priority="1021" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS909-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='909']" priority="1020" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS913-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='913']" priority="1019" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS921-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='921']" priority="1018" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS947-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='947']" priority="1017" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS943-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='943']" priority="1016" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS940-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='940']" priority="1015" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS941-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='941']" priority="1014" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS950-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='950']" priority="1013" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS948-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='948']" priority="1012" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS949-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='949']" priority="1011" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS954-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='954']" priority="1010" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS953-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='953']" priority="1009" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS973-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='973']" priority="1008" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS984-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='984']" priority="1007" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS982-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='982']" priority="1006" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS980-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='980']" priority="1005" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS998-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='998']" priority="1004" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS1278-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1278']" priority="1003" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.343 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.343' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS925-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='925']" priority="1002" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS923-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='923']" priority="1001" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.153 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.153' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'targetSiteCode' aanwezig zijn. (hl7:targetSiteCode / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

	<!--RULE BDS924-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1000" mode="M41">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13'"/>
         <axsl:otherwise>
            <axsl:message>De OID van targetSiteCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.13 zijn. (hl7:targetSiteCode/@codeSystem='2.16.840.1.113883.2.4.4.40.13' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'value' aanwezig zijn. (hl7:value / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code"/>
         <axsl:otherwise>
            <axsl:message>Er moet een element 'code' aanwezig zijn. (hl7:code / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M41"/>
   <axsl:template match="@*|node()" priority="-2" mode="M41">
      <axsl:apply-templates select="*" mode="M41"/>
   </axsl:template>

<!--PATTERN BFMT-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R043']" priority="1039" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1382-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1038" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1005-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1005']" priority="1037" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1006-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1006']" priority="1036" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ED'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ED zijn. (hl7:value/@xsi:type='ED' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1035-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1035']" priority="1035" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1036-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1036']" priority="1034" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1037-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1037']" priority="1033" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1038-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1038']" priority="1032" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1039-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1039']" priority="1031" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1040-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1040']" priority="1030" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1045-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1045']" priority="1029" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1007-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1007']" priority="1028" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.344' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.344 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.344' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1008-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1008']" priority="1027" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.345' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.345 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.345' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1009-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1009']" priority="1026" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.346' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.346 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.346' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1010-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1010']" priority="1025" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.347' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.347 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.347' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1011-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1011']" priority="1024" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.348' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.348 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.348' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1012-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1012']" priority="1023" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.349' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.349 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.349' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1013-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1013']" priority="1022" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.349' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.349 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.349' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1014-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1014']" priority="1021" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.350' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.350 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.350' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1015-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1015']" priority="1020" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.351' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.351 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.351' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1016-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1016']" priority="1019" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.352' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.352 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.352' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1017-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1017']" priority="1018" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.353' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.353 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.353' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1018-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1018']" priority="1017" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.353' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.353 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.353' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1019-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1019']" priority="1016" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.354' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.354 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.354' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1020-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1020']" priority="1015" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.354' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.354 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.354' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1021-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1021']" priority="1014" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.355' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.355 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.355' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1022-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1022']" priority="1013" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.356' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.356 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.356' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1023-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1023']" priority="1012" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.357' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.357 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.357' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1024-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1024']" priority="1011" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.357' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.357 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.357' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1025-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1025']" priority="1010" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.358' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.358 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.358' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1026-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1026']" priority="1009" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.359' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.359 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.359' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1027-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1027']" priority="1008" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.360' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.360 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.360' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1028-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1028']" priority="1007" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.361' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.361 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.361' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1029-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1029']" priority="1006" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.362' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.362 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.362' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1030-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1030']" priority="1005" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.363' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.363 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.363' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1031-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1031']" priority="1004" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.363' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.363 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.363' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1032-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1032']" priority="1003" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.364' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.364 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.364' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1033-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1033']" priority="1002" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.365' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.365 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.365' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1034-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1034']" priority="1001" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.366' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.366 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.366' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

	<!--RULE BDS1042-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1042']" priority="1000" mode="M42">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.367' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.367 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.367' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M42"/>
   <axsl:template match="@*|node()" priority="-2" mode="M42">
      <axsl:apply-templates select="*" mode="M42"/>
   </axsl:template>

<!--PATTERN SDQ 7-12-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R045']" priority="1040" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1103-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1103']" priority="1039" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ST'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ST zijn. (hl7:value/@xsi:type='ST' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1112-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1038" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1113-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1037" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1114-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1036" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1115-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1035" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1116-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1034" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1117-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='']" priority="1033" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='PQ'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet PQ zijn. (hl7:value/@xsi:type='PQ' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1101-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1101']" priority="1032" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1102-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1102']" priority="1031" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1093-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1093']" priority="1030" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1094-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1094']" priority="1029" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1095-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1095']" priority="1028" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1096-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1096']" priority="1027" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1097-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1097']" priority="1026" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1098-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1098']" priority="1025" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1099-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1099']" priority="1024" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1100-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1100']" priority="1023" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1078-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1078']" priority="1022" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1079-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1079']" priority="1021" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1080-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1080']" priority="1020" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1081-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1081']" priority="1019" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1082-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1082']" priority="1018" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1083-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1083']" priority="1017" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1084-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1084']" priority="1016" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1085-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1085']" priority="1015" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1086-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1086']" priority="1014" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1087-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1087']" priority="1013" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1088-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1088']" priority="1012" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1089-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1089']" priority="1011" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1090-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1090']" priority="1010" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1091-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1091']" priority="1009" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1092-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1092']" priority="1008" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.368 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.368' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1104-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1104']" priority="1007" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.369' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.369 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.369' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1105-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1105']" priority="1006" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.370' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.370 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.370' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1106-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1106']" priority="1005" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.371 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1107-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1107']" priority="1004" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.371 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1108-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1108']" priority="1003" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.371 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1109-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1109']" priority="1002" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.371 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1110-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1110']" priority="1001" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.371 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

	<!--RULE BDS1111-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1111']" priority="1000" mode="M43">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.371 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.371' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M43"/>
   <axsl:template match="@*|node()" priority="-2" mode="M43">
      <axsl:apply-templates select="*" mode="M43"/>
   </axsl:template>

<!--PATTERN Conclusies en vervolgstappen-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:subjectOf1/hl7:Conclusion/hl7:component/hl7:Indication" priority="1000" mode="M44">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.373'"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.373 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.373' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M44"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M44"/>
   <axsl:template match="@*|node()" priority="-2" mode="M44">
      <axsl:apply-templates select="*" mode="M44"/>
   </axsl:template>

<!--PATTERN Zorgplan-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:CarePlan/hl7:reasonOf/hl7:Problem" priority="1004" mode="M45">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1151'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1151 zijn. (hl7:code/@code='1151' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M45"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:CarePlan/hl7:reasonOf/hl7:Problem/hl7:subjectOf/hl7:Symptoms" priority="1003" mode="M45">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@code='1153'"/>
         <axsl:otherwise>
            <axsl:message>De waarde van code/@code moet 1153 zijn. (hl7:code/@code='1153' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M45"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:CarePlan/hl7:finalGoal/hl7:observationGoal" priority="1002" mode="M45">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M45"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:CarePlan/hl7:component/hl7:observationIntent" priority="1001" mode="M45">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M45"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component6/hl7:CarePlan/hl7:pertinentInformation/hl7:EvaluationEvent" priority="1000" mode="M45">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M45"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M45"/>
   <axsl:template match="@*|node()" priority="-2" mode="M45">
      <axsl:apply-templates select="*" mode="M45"/>
   </axsl:template>

<!--PATTERN Screening logopedie-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R049']" priority="1010" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="count(hl7:component/hl7:observation[hl7:code/@code=1173])&gt;=1"/>
         <axsl:otherwise>
            <axsl:message>Element 1173, '0. Stoornis' moet minimaal 1 keer voorkomen (count(hl7:component/hl7:observation[hl7:code/@code=1173])&gt;=1 / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1173-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1173']" priority="1009" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='BL'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet BL zijn. (hl7:value/@xsi:type='BL' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1182-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1182']" priority="1008" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ED'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ED zijn. (hl7:value/@xsi:type='ED' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1174-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1174']" priority="1007" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.378' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.378 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.378' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1175-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1175']" priority="1006" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.379' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.379 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.379' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1176-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1176']" priority="1005" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.380' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.380 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.380' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1177-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1177']" priority="1004" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.381' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.381 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.381' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1178-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1178']" priority="1003" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.382' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.382 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.382' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1179-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1179']" priority="1002" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.383' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.383 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.383' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1180-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1180']" priority="1001" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.384' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.384 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.384' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

	<!--RULE BDS1181-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1181']" priority="1000" mode="M46">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.385' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText)"/>
         <axsl:otherwise>
            <axsl:message>De OID van value/@codeSystem moet 2.16.840.1.113883.2.4.4.40.385 zijn. (hl7:value/@codeSystem='2.16.840.1.113883.2.4.4.40.385' or (hl7:value/@nullFlavor='OTH' and hl7:value/hl7:originalText) / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M46"/>
   <axsl:template match="@*|node()" priority="-2" mode="M46">
      <axsl:apply-templates select="*" mode="M46"/>
   </axsl:template>

<!--PATTERN Zorggegevens-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:Summary/hl7:observationEvent" priority="1001" mode="M47">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M47"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:authorization/hl7:VaccinationAuthorizationConsent/hl7:author/hl7:AssignedPerson" priority="1000" mode="M47">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (not(hl7:id) or hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M47"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M47"/>
   <axsl:template match="@*|node()" priority="-2" mode="M47">
      <axsl:apply-templates select="*" mode="M47"/>
   </axsl:template>

<!--PATTERN Meldingen-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:RegistrationEvent/hl7:subjectOf/hl7:Annotation" priority="1003" mode="M48">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M48"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:RegistrationEvent/hl7:perfomer/hl7:AssignedPerson" priority="1002" mode="M48">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M48"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:EncounterEvent/hl7:performer/hl7:AssignedPerson" priority="1001" mode="M48">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M48"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:RegistrationEvent/hl7:performer/hl7:AssignedPerson" priority="1000" mode="M48">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:id/@root='2.16.528.1.1007.3.1'"/>
         <axsl:otherwise>
            <axsl:message>De OID van id/@root moet 2.16.528.1.1007.3.1 zijn. (hl7:id/@root='2.16.528.1.1007.3.1' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M48"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M48"/>
   <axsl:template match="@*|node()" priority="-2" mode="M48">
      <axsl:apply-templates select="*" mode="M48"/>
   </axsl:template>

<!--PATTERN Screening psychosociale problemen-->


	<!--RULE -->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster[hl7:code/@code='R054']" priority="1003" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.391 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.391' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M49"/>
   </axsl:template>

	<!--RULE BDS1345-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1345']" priority="1002" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='ED'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet ED zijn. (hl7:value/@xsi:type='ED' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M49"/>
   </axsl:template>

	<!--RULE BDS1346-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1346']" priority="1001" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:value/@xsi:type='CV'"/>
         <axsl:otherwise>
            <axsl:message>Het datatype van value moet CV zijn. (hl7:value/@xsi:type='CV' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M49"/>
   </axsl:template>

	<!--RULE BDS1341-->

   <axsl:template match="hl7:CareProvisionRequest/hl7:sequelTo/hl7:careProvisionEvent/hl7:component/*/hl7:pertinentInformation/hl7:rubricCluster/hl7:component/hl7:observation[hl7:code/@code='1341']" priority="1000" mode="M49">

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.387'"/>
         <axsl:otherwise>
            <axsl:message>De OID van methodCode/@codeSystem moet 2.16.840.1.113883.2.4.4.40.387 zijn. (hl7:methodCode/@codeSystem='2.16.840.1.113883.2.4.4.40.387' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>

		<!--ASSERT error-->

      <axsl:choose>
         <axsl:when test="hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267'"/>
         <axsl:otherwise>
            <axsl:message>De OID van code/@codeSystem moet 2.16.840.1.113883.2.4.4.40.267 zijn. (hl7:code/@codeSystem='2.16.840.1.113883.2.4.4.40.267' / error)</axsl:message>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="*" mode="M49"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M49"/>
   <axsl:template match="@*|node()" priority="-2" mode="M49">
      <axsl:apply-templates select="*" mode="M49"/>
   </axsl:template>
</axsl:stylesheet>